#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 47: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 27: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 86: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QColor
      switch(to) {
        case 7: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 8:   //QContextMenuEvent
      switch(to) {
        case 8: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIODevice
      switch(to) {
        case 27: return (void*)(QObject*)(QIODevice*)xptr;
        case 18: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 19:   //QImage
      switch(to) {
        case 19: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMimeData
      switch(to) {
        case 24: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 25:   //QMouseEvent
      switch(to) {
        case 25: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QMoveEvent
      switch(to) {
        case 26: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QObject
      switch(to) {
        case 27: return (void*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 48: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 53: return (void*)(QsciLexer*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 86: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 84: return (void*)(QsciMacro*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 28:   //QPaintEngine
      switch(to) {
        case 28: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEvent
      switch(to) {
        case 29: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QPainter
      switch(to) {
        case 30: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 31:   //QPalette
      switch(to) {
        case 31: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 32:   //QPixmap
      switch(to) {
        case 32: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 33:   //QPoint
      switch(to) {
        case 33: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 34:   //QPrinter
      switch(to) {
        case 34: return (void*)(QPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 35:   //QRect
      switch(to) {
        case 35: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 36:   //QRegExp
      switch(to) {
        case 36: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 37:   //QResizeEvent
      switch(to) {
        case 37: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QScrollBar
      switch(to) {
        case 38: return (void*)(QScrollBar*)xptr;
        default: return xptr;
      }
    case 39:   //QSettings
      switch(to) {
        case 39: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 40:   //QShowEvent
      switch(to) {
        case 40: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QSize
      switch(to) {
        case 41: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 42:   //QStyle
      switch(to) {
        case 42: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 43:   //QTabletEvent
      switch(to) {
        case 43: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QTimerEvent
      switch(to) {
        case 44: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QVariant
      switch(to) {
        case 45: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 46:   //QWheelEvent
      switch(to) {
        case 46: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QWidget
      switch(to) {
        case 27: return (void*)(QObject*)(QWidget*)xptr;
        case 47: return (void*)(QWidget*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 86: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 48:   //QsciAPIs
      switch(to) {
        case 49: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 27: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 49:   //QsciAbstractAPIs
      switch(to) {
        case 27: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 50:   //QsciCommand
      switch(to) {
        case 50: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 51:   //QsciCommandSet
      switch(to) {
        case 51: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 52:   //QsciDocument
      switch(to) {
        case 52: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexer
      switch(to) {
        case 27: return (void*)(QObject*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerBash
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 54: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerBatch
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 55: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCMake
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 56: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCPP
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 57: return (void*)(QsciLexerCPP*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerCSS
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 58: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerCSharp
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerCustom
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 60: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerD
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 61: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerDiff
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 62: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerFortran
      switch(to) {
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 63: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerFortran77
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerHTML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 65: return (void*)(QsciLexerHTML*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerIDL
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 66: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerJava
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 67: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerJavaScript
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerLua
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 69: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerMakefile
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPOV
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 71: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPascal
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 72: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPerl
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 73: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerPostScript
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerProperties
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 75: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerPython
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 76: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerRuby
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 77: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerSQL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 78: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerTCL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 79: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerTeX
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 80: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 81:   //QsciLexerVHDL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 82:   //QsciLexerXML
      switch(to) {
        case 65: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 82: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 83:   //QsciLexerYAML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 27: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 83: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 84:   //QsciMacro
      switch(to) {
        case 27: return (void*)(QObject*)(QsciMacro*)xptr;
        case 84: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 85:   //QsciPrinter
      switch(to) {
        case 34: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 86:   //QsciScintilla
      switch(to) {
        case 87: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 27: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 86: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 87:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 27: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 87: return (void*)(QsciScintillaBase*)xptr;
        case 86: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 88:   //QsciStyle
      switch(to) {
        case 88: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 89:   //QsciStyledText
      switch(to) {
        case 89: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: QsciAbstractAPIs
    27, 0,	// 3: QObject
    53, 0,	// 5: QsciLexer
    57, 0,	// 7: QsciLexerCPP
    64, 0,	// 9: QsciLexerFortran77
    65, 0,	// 11: QsciLexerHTML
    34, 0,	// 13: QPrinter
    87, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciCommand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QColor", true, 0, 0, 0, 0, 0 },	//7
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//18
    { "QImage", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//24
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QObject", true, 0, 0, 0, 0, 0 },	//27
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QPainter", true, 0, 0, 0, 0, 0 },	//30
    { "QPalette", true, 0, 0, 0, 0, 0 },	//31
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//32
    { "QPoint", true, 0, 0, 0, 0, 0 },	//33
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//34
    { "QRect", true, 0, 0, 0, 0, 0 },	//35
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//36
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QScrollBar", true, 0, 0, 0, 0, 0 },	//38
    { "QSettings", true, 0, 0, 0, 0, 0 },	//39
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QSize", true, 0, 0, 0, 0, 0 },	//41
    { "QStyle", true, 0, 0, 0, 0, 0 },	//42
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QVariant", true, 0, 0, 0, 0, 0 },	//45
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QWidget", true, 0, 0, 0, 0, 0 },	//47
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//48
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//49
    { "QsciCommand", false, 0, xcall_QsciCommand, xenum_QsciCommand, 0, sizeof(QsciCommand) },	//50
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//51
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//52
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//53
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//54
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//55
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//56
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//57
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//58
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//59
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//60
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//61
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//62
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//63
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//64
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//65
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//66
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//67
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//68
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//69
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//70
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//71
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//72
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//73
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//74
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//75
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//76
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//77
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//78
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//79
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//80
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//81
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//82
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//83
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//84
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//85
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//86
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//87
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//88
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//89
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QColor", 7, Smoke::t_class|Smoke::tf_stack },	//6
    { "QContextMenuEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QFont", 15, Smoke::t_class|Smoke::tf_stack },	//14
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QIODevice*", 18, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//21
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QMimeData*", 24, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QMouseEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QMoveEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QPaintEngine*", 28, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPaintEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QPainter&", 30, Smoke::t_class|Smoke::tf_ref },	//31
    { "QPainter*", 30, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QPrinter::PrinterMode", 34, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QRect&", 35, Smoke::t_class|Smoke::tf_ref },	//34
    { "QRegExp&", 36, Smoke::t_class|Smoke::tf_ref },	//35
    { "QResizeEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QScrollBar*", 38, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QSettings&", 39, Smoke::t_class|Smoke::tf_ref },	//38
    { "QShowEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QSize", 41, Smoke::t_class|Smoke::tf_stack },	//40
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//43
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//44
    { "QStyle&", 42, Smoke::t_class|Smoke::tf_ref },	//45
    { "QTabletEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QTimerEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QVariant", 45, Smoke::t_class|Smoke::tf_stack },	//48
    { "QWheelEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QWidget*", 47, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QsciAPIs*", 48, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciAbstractAPIs*", 49, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciCommand*", 50, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QsciCommand::Command", 50, Smoke::t_enum|Smoke::tf_stack },	//54
    { "QsciCommandSet*", 51, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QsciDocument", 52, Smoke::t_class|Smoke::tf_stack },	//56
    { "QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref },	//57
    { "QsciDocument*", 52, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexer*", 53, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerBash*", 54, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerBatch*", 55, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerCMake*", 56, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerCPP*", 57, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerCSS*", 58, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerCSharp*", 59, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerCustom*", 60, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerD*", 61, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerDiff*", 62, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerFortran*", 63, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerFortran77*", 64, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerHTML*", 65, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerIDL*", 66, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerJava*", 67, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerJavaScript*", 68, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerLua*", 69, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerMakefile*", 70, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPOV*", 71, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerPascal*", 72, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerPerl*", 73, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerPostScript*", 74, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerProperties*", 75, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerPython*", 76, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QsciLexerPython::IndentationWarning", 76, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QsciLexerRuby*", 77, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciLexerSQL*", 78, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciLexerTCL*", 79, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciLexerTeX*", 80, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciLexerVHDL*", 81, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QsciLexerXML*", 82, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QsciLexerYAML*", 83, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QsciMacro*", 84, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QsciPrinter*", 85, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QsciScintilla*", 86, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QsciScintilla::AnnotationDisplay", 86, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::AutoCompletionSource", 86, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::AutoCompletionUseSingle", 86, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::BraceMatch", 86, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::CallTipsPosition", 86, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::CallTipsStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::EdgeMode", 86, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::EolMode", 86, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintilla::FoldStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciScintilla::IndentState", 86, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciScintilla::IndicatorStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciScintilla::MarginType", 86, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QsciScintilla::MarkerSymbol", 86, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QsciScintilla::TabDrawMode", 86, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QsciScintilla::WhitespaceVisibility", 86, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QsciScintilla::WrapIndentMode", 86, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QsciScintilla::WrapMode", 86, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QsciScintilla::WrapVisualFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QsciScintillaBase*", 87, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QsciStyle*", 88, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QsciStyle::TextCase", 88, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QsciStyledText", 89, Smoke::t_class|Smoke::tf_stack },	//115
    { "QsciStyledText*", 89, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//157
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//190
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//191
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//192
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//193
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//194
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QColor&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QImage&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//202
    { "const QMimeData*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//203
    { "const QPalette&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QPixmap&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QPoint&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QRect&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QRegExp&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//211
    { "const QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QsciStyle&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QsciStyledText&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//216
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//217
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//218
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//219
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//220
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//221
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//222
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//223
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//224
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//225
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  QEvent*
    49, 0,	//3  QWheelEvent*
    27, 12, 0,	//5  QObject*, QEvent*
    47, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    215, 0,	//12  const char*
    28, 0,	//14  QPaintDevice::PaintDeviceMetric
    191, 0,	//16  bool
    217, 0,	//18  int
    18, 0,	//20  QKeyEvent*
    26, 0,	//22  QMoveEvent*
    5, 0,	//24  QCloseEvent*
    46, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    39, 0,	//30  QShowEvent*
    15, 0,	//32  QHideEvent*
    190, 0,	//34  _XEvent*
    45, 0,	//36  QStyle&
    204, 0,	//38  const QPalette&
    197, 0,	//40  const QFont&
    215, 215, 0,	//42  const char*, const char*
    215, 215, 217, 0,	//45  const char*, const char*, int
    23, 217, 224, 0,	//49  QMetaObject::Call, int, void**
    59, 0,	//53  QsciLexer*
    209, 0,	//55  const QString&
    210, 43, 0,	//57  const QStringList&, QStringList&
    210, 217, 99, 21, 0,	//60  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    38, 215, 0,	//65  QSettings&, const char*
    54, 0,	//68  QsciCommand::Command
    38, 0,	//70  QSettings&
    212, 0,	//72  const QsciDocument&
    27, 0,	//74  QObject*
    219, 0,	//76  int*
    52, 0,	//78  QsciAbstractAPIs*
    196, 0,	//80  const QColor&
    93, 0,	//82  QsciScintilla*
    196, 217, 0,	//84  const QColor&, int
    191, 217, 0,	//87  bool, int
    197, 217, 0,	//90  const QFont&, int
    38, 209, 0,	//93  QSettings&, const QString&
    27, 191, 0,	//96  QObject*, bool
    217, 217, 0,	//99  int, int
    217, 213, 0,	//102  int, const QsciStyle&
    83, 0,	//105  QsciLexerPython::IndentationWarning
    209, 93, 0,	//107  const QString&, QsciScintilla*
    33, 0,	//110  QPrinter::PrinterMode
    31, 191, 34, 217, 0,	//112  QPainter&, bool, QRect&, int
    112, 217, 217, 0,	//117  QsciScintillaBase*, int, int
    110, 0,	//121  QsciScintilla::WrapMode
    112, 0,	//123  QsciScintillaBase*
    112, 217, 0,	//125  QsciScintillaBase*, int
    50, 0,	//128  QWidget*
    217, 218, 218, 0,	//130  int, int&, int&
    217, 209, 217, 0,	//134  int, const QString&, int
    217, 209, 213, 0,	//138  int, const QString&, const QsciStyle&
    217, 214, 0,	//142  int, const QsciStyledText&
    217, 199, 0,	//145  int, const QList<QsciStyledText>&
    217, 217, 217, 217, 217, 0,	//148  int, int, int, int, int
    101, 0,	//154  QsciScintilla::EolMode
    209, 191, 191, 191, 191, 191, 217, 217, 191, 191, 0,	//156  const QString&, bool, bool, bool, bool, bool, int, int, bool, bool
    209, 191, 191, 191, 191, 191, 191, 0,	//167  const QString&, bool, bool, bool, bool, bool, bool
    219, 219, 0,	//175  int*, int*
    219, 219, 219, 219, 0,	//178  int*, int*, int*, int*
    104, 217, 0,	//183  QsciScintilla::IndicatorStyle, int
    193, 0,	//186  char
    206, 0,	//188  const QPoint&
    217, 219, 219, 0,	//190  int, int*, int*
    106, 217, 0,	//194  QsciScintilla::MarkerSymbol, int
    193, 217, 0,	//197  char, int
    205, 217, 0,	//200  const QPixmap&, int
    198, 217, 0,	//203  const QImage&, int
    217, 221, 0,	//206  int, unsigned int
    16, 0,	//209  QIODevice*
    217, 205, 0,	//211  int, const QPixmap&
    217, 198, 0,	//214  int, const QImage&
    196, 196, 0,	//217  const QColor&, const QColor&
    94, 0,	//220  QsciScintilla::AnnotationDisplay
    210, 0,	//222  const QStringList&
    98, 0,	//224  QsciScintilla::CallTipsPosition
    99, 0,	//226  QsciScintilla::CallTipsStyle
    200, 0,	//228  const QList<int>&
    217, 196, 0,	//230  int, const QColor&
    100, 0,	//233  QsciScintilla::EdgeMode
    217, 105, 0,	//235  int, QsciScintilla::MarginType
    107, 0,	//238  QsciScintilla::TabDrawMode
    111, 111, 217, 0,	//240  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    109, 0,	//244  QsciScintilla::WrapIndentMode
    217, 210, 0,	//246  int, const QStringList&
    209, 217, 217, 0,	//249  const QString&, int, int
    95, 0,	//253  QsciScintilla::AutoCompletionSource
    96, 0,	//255  QsciScintilla::AutoCompletionUseSingle
    97, 0,	//257  QsciScintilla::BraceMatch
    102, 217, 0,	//259  QsciScintilla::FoldStyle, int
    217, 191, 0,	//262  int, bool
    217, 209, 0,	//265  int, const QString&
    217, 217, 217, 217, 0,	//268  int, int, int, int
    108, 0,	//273  QsciScintilla::WhitespaceVisibility
    217, 217, 157, 0,	//275  int, int, Qt::KeyboardModifiers
    7, 0,	//279  QContextMenuEvent*
    209, 191, 191, 191, 191, 0,	//281  const QString&, bool, bool, bool, bool
    209, 191, 191, 191, 191, 191, 0,	//287  const QString&, bool, bool, bool, bool, bool
    209, 191, 191, 191, 191, 191, 217, 0,	//294  const QString&, bool, bool, bool, bool, bool, int
    209, 191, 191, 191, 191, 191, 217, 217, 0,	//302  const QString&, bool, bool, bool, bool, bool, int, int
    209, 191, 191, 191, 191, 191, 217, 217, 191, 0,	//311  const QString&, bool, bool, bool, bool, bool, int, int, bool
    209, 191, 191, 191, 0,	//321  const QString&, bool, bool, bool
    104, 0,	//326  QsciScintilla::IndicatorStyle
    106, 0,	//328  QsciScintilla::MarkerSymbol
    205, 0,	//330  const QPixmap&
    198, 0,	//332  const QImage&
    111, 0,	//334  QsciScintilla::WrapVisualFlag
    111, 111, 0,	//336  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    102, 0,	//339  QsciScintilla::FoldStyle
    37, 0,	//341  QScrollBar*
    221, 222, 220, 0,	//343  unsigned int, unsigned long, long
    221, 222, 223, 0,	//347  unsigned int, unsigned long, void*
    221, 222, 215, 0,	//351  unsigned int, unsigned long, const char*
    221, 215, 0,	//355  unsigned int, const char*
    221, 215, 215, 0,	//358  unsigned int, const char*, const char*
    221, 220, 0,	//362  unsigned int, long
    221, 217, 0,	//365  unsigned int, int
    221, 220, 220, 194, 0,	//368  unsigned int, long, long, char*
    221, 222, 196, 0,	//373  unsigned int, unsigned long, const QColor&
    221, 196, 0,	//377  unsigned int, const QColor&
    221, 222, 32, 207, 220, 220, 0,	//380  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    221, 222, 205, 0,	//387  unsigned int, unsigned long, const QPixmap&
    221, 222, 198, 0,	//391  unsigned int, unsigned long, const QImage&
    221, 0,	//395  unsigned int
    217, 218, 0,	//397  int, int&
    215, 217, 217, 217, 0,	//400  const char*, int, int, int
    215, 217, 0,	//405  const char*, int
    217, 217, 217, 0,	//408  int, int, int
    217, 217, 215, 217, 217, 217, 217, 217, 217, 217, 0,	//412  int, int, const char*, int, int, int, int, int, int, int
    203, 0,	//423  const QMimeData*
    203, 192, 0,	//425  const QMimeData*, bool&
    195, 191, 0,	//428  const QByteArray&, bool
    8, 0,	//431  QDragEnterEvent*
    9, 0,	//433  QDragLeaveEvent*
    10, 0,	//435  QDragMoveEvent*
    11, 0,	//437  QDropEvent*
    13, 0,	//439  QFocusEvent*
    17, 0,	//441  QInputMethodEvent*
    151, 0,	//443  Qt::InputMethodQuery
    25, 0,	//445  QMouseEvent*
    30, 0,	//447  QPaintEvent*
    36, 0,	//449  QResizeEvent*
    221, 222, 0,	//451  unsigned int, unsigned long
    217, 209, 196, 196, 197, 191, 0,	//454  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    114, 0,	//461  QsciStyle::TextCase
    213, 0,	//463  const QsciStyle&
    217, 209, 196, 196, 197, 0,	//465  int, const QString&, const QColor&, const QColor&, const QFont&
    209, 217, 0,	//471  const QString&, int
    209, 213, 0,	//474  const QString&, const QsciStyle&
    214, 0,	//477  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AcusAlways",	//54
    "AcusExplicit",	//55
    "AcusNever",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationIndented",	//60
    "AnnotationStandard",	//61
    "Array",	//62
    "ArrayParenthesis",	//63
    "Asm",	//64
    "Assignment",	//65
    "AtRule",	//66
    "Attribute",	//67
    "Auto",	//68
    "B0",	//69
    "B1",	//70
    "B10",	//71
    "B2",	//72
    "B3",	//73
    "B4",	//74
    "B5",	//75
    "B6",	//76
    "B7",	//77
    "B8",	//78
    "B9",	//79
    "Background",	//80
    "BackquoteString",	//81
    "Backtab",	//82
    "BacktickHereDocument",	//83
    "BacktickHereDocumentVar",	//84
    "Backticks",	//85
    "BackticksVar",	//86
    "BadDirective",	//87
    "BadStringCharacter",	//88
    "Base85String",	//89
    "BasicFunctions",	//90
    "BlockForeach",	//91
    "BlockIf",	//92
    "BlockMacro",	//93
    "BlockWhile",	//94
    "Bookmark",	//95
    "BottomLeftCorner",	//96
    "BoxIndicator",	//97
    "BoxedFoldStyle",	//98
    "BoxedMinus",	//99
    "BoxedMinusConnected",	//100
    "BoxedPlus",	//101
    "BoxedPlusConnected",	//102
    "BoxedTreeFoldStyle",	//103
    "C5E",	//104
    "CDATA",	//105
    "CSS1Property",	//106
    "CSS2Property",	//107
    "CSS3Property",	//108
    "CallTipsAboveText",	//109
    "CallTipsBelowText",	//110
    "CallTipsContext",	//111
    "CallTipsNoAutoCompletionContext",	//112
    "CallTipsNoContext",	//113
    "CallTipsNone",	//114
    "Cancel",	//115
    "Cassette",	//116
    "CharLeft",	//117
    "CharLeftExtend",	//118
    "CharLeftRectExtend",	//119
    "CharRight",	//120
    "CharRightExtend",	//121
    "CharRightRectExtend",	//122
    "Character",	//123
    "Cicero",	//124
    "Circle",	//125
    "CircledFoldStyle",	//126
    "CircledMinus",	//127
    "CircledMinusConnected",	//128
    "CircledPlus",	//129
    "CircledPlusConnected",	//130
    "CircledTreeFoldStyle",	//131
    "ClassName",	//132
    "ClassSelector",	//133
    "ClassVariable",	//134
    "Color",	//135
    "Comm10E",	//136
    "Command",	//137
    "Comment",	//138
    "CommentBlock",	//139
    "CommentBox",	//140
    "CommentDoc",	//141
    "CommentDocKeyword",	//142
    "CommentDocKeywordError",	//143
    "CommentLine",	//144
    "CommentLineDoc",	//145
    "CommentLineHash",	//146
    "CommentNested",	//147
    "CommentParenthesis",	//148
    "Continuation",	//149
    "CoroutinesIOSystemFacilities",	//150
    "CurrentPage",	//151
    "Custom",	//152
    "DLE",	//153
    "DSCComment",	//154
    "DSCCommentValue",	//155
    "DashesIndicator",	//156
    "DataSection",	//157
    "Decorator",	//158
    "Default",	//159
    "DefaultValue",	//160
    "Delete",	//161
    "DeleteBack",	//162
    "DeleteBackNotLine",	//163
    "DeleteLineLeft",	//164
    "DeleteLineRight",	//165
    "DeleteWordLeft",	//166
    "DeleteWordRight",	//167
    "DeleteWordRightEnd",	//168
    "DemotedKeyword",	//169
    "DevicePixel",	//170
    "DiagonalIndicator",	//171
    "DictionaryParenthesis",	//172
    "Didot",	//173
    "Directive",	//174
    "DocumentDelimiter",	//175
    "DocumentEnd",	//176
    "DocumentEndExtend",	//177
    "DocumentStart",	//178
    "DocumentStartExtend",	//179
    "DotBoxIndicator",	//180
    "DotsIndicator",	//181
    "DottedOperator",	//182
    "DoubleQuotedHereDocument",	//183
    "DoubleQuotedHereDocumentVar",	//184
    "DoubleQuotedString",	//185
    "DoubleQuotedStringVar",	//186
    "DownTriangle",	//187
    "DrawChildren",	//188
    "DrawWindowBackground",	//189
    "DuplexAuto",	//190
    "DuplexLongSide",	//191
    "DuplexNone",	//192
    "DuplexShortSide",	//193
    "EdgeBackground",	//194
    "EdgeLine",	//195
    "EdgeMultipleLines",	//196
    "EdgeNone",	//197
    "EditToggleOvertype",	//198
    "Entity",	//199
    "Envelope",	//200
    "EnvelopeManual",	//201
    "EolMac",	//202
    "EolUnix",	//203
    "EolWindows",	//204
    "Error",	//205
    "EscapeSequence",	//206
    "Executive",	//207
    "ExpandKeyword",	//208
    "ExtendedCSSProperty",	//209
    "ExtendedFunction",	//210
    "ExtendedPseudoClass",	//211
    "ExtendedPseudoElement",	//212
    "ExternalCommand",	//213
    "FirstPageFirst",	//214
    "Folio",	//215
    "FormSource",	//216
    "FormatBody",	//217
    "FormatIdentifier",	//218
    "Formfeed",	//219
    "FullBoxIndicator",	//220
    "FullRectangle",	//221
    "Function",	//222
    "FunctionMethodName",	//223
    "Global",	//224
    "GlobalClass",	//225
    "GrayScale",	//226
    "Group",	//227
    "HSSLanguage",	//228
    "HTMLComment",	//229
    "HTMLDoubleQuotedString",	//230
    "HTMLNumber",	//231
    "HTMLSingleQuotedString",	//232
    "HTMLValue",	//233
    "Hash",	//234
    "HashQuotedString",	//235
    "Header",	//236
    "HereDocument",	//237
    "HereDocumentDelimiter",	//238
    "HexNumber",	//239
    "HexString",	//240
    "HiddenIndicator",	//241
    "HideCommandChar",	//242
    "HighResolution",	//243
    "HighlightedIdentifier",	//244
    "Home",	//245
    "HomeDisplay",	//246
    "HomeDisplayExtend",	//247
    "HomeExtend",	//248
    "HomeRectExtend",	//249
    "HomeWrap",	//250
    "HomeWrapExtend",	//251
    "IDSelector",	//252
    "ITCLKeyword",	//253
    "Identifier",	//254
    "Idle",	//255
    "IgnoreMask",	//256
    "ImmediateEvalLiteral",	//257
    "Important",	//258
    "InactiveComment",	//259
    "InactiveCommentDoc",	//260
    "InactiveCommentDocKeyword",	//261
    "InactiveCommentDocKeywordError",	//262
    "InactiveCommentLine",	//263
    "InactiveCommentLineDoc",	//264
    "InactiveDefault",	//265
    "InactiveDoubleQuotedString",	//266
    "InactiveEscapeSequence",	//267
    "InactiveGlobalClass",	//268
    "InactiveHashQuotedString",	//269
    "InactiveIdentifier",	//270
    "InactiveKeyword",	//271
    "InactiveKeywordSet2",	//272
    "InactiveNumber",	//273
    "InactiveOperator",	//274
    "InactivePreProcessor",	//275
    "InactivePreProcessorComment",	//276
    "InactivePreProcessorCommentLineDoc",	//277
    "InactiveRawString",	//278
    "InactiveRegex",	//279
    "InactiveSingleQuotedString",	//280
    "InactiveTaskMarker",	//281
    "InactiveTripleQuotedVerbatimString",	//282
    "InactiveUUID",	//283
    "InactiveUnclosedString",	//284
    "InactiveUserLiteral",	//285
    "InactiveVerbatimString",	//286
    "Inch",	//287
    "Inconsistent",	//288
    "InstanceVariable",	//289
    "IntrinsicFunction",	//290
    "Invisible",	//291
    "JavaScriptComment",	//292
    "JavaScriptCommentDoc",	//293
    "JavaScriptCommentLine",	//294
    "JavaScriptDefault",	//295
    "JavaScriptDoubleQuotedString",	//296
    "JavaScriptKeyword",	//297
    "JavaScriptNumber",	//298
    "JavaScriptRegex",	//299
    "JavaScriptSingleQuotedString",	//300
    "JavaScriptStart",	//301
    "JavaScriptSymbol",	//302
    "JavaScriptUnclosedString",	//303
    "JavaScriptWord",	//304
    "Key",	//305
    "Keyword",	//306
    "KeywordDoc",	//307
    "KeywordSecondary",	//308
    "KeywordSet2",	//309
    "KeywordSet3",	//310
    "KeywordSet5",	//311
    "KeywordSet6",	//312
    "KeywordSet7",	//313
    "KeywordSet8",	//314
    "KeywordSet9",	//315
    "Label",	//316
    "Landscape",	//317
    "LargeCapacity",	//318
    "LargeFormat",	//319
    "LastPageFirst",	//320
    "Ledger",	//321
    "LeftRectangle",	//322
    "LeftSideRoundedSplitter",	//323
    "LeftSideSplitter",	//324
    "Legal",	//325
    "LessLanguage",	//326
    "Letter",	//327
    "LineAdded",	//328
    "LineChanged",	//329
    "LineComment",	//330
    "LineCopy",	//331
    "LineCut",	//332
    "LineDelete",	//333
    "LineDown",	//334
    "LineDownExtend",	//335
    "LineDownRectExtend",	//336
    "LineDuplicate",	//337
    "LineEnd",	//338
    "LineEndDisplay",	//339
    "LineEndDisplayExtend",	//340
    "LineEndExtend",	//341
    "LineEndRectExtend",	//342
    "LineEndWrap",	//343
    "LineEndWrapExtend",	//344
    "LineRemoved",	//345
    "LineScrollDown",	//346
    "LineScrollUp",	//347
    "LineTranspose",	//348
    "LineUp",	//349
    "LineUpExtend",	//350
    "LineUpRectExtend",	//351
    "Literal",	//352
    "LiteralString",	//353
    "Lower",	//354
    "LowerCase",	//355
    "Manual",	//356
    "MaxPageSource",	//357
    "MediaRule",	//358
    "Middle",	//359
    "Millimeter",	//360
    "Minus",	//361
    "MoNone",	//362
    "MoSublineSelect",	//363
    "Modifier",	//364
    "ModuleName",	//365
    "MoveSelectedLinesDown",	//366
    "MoveSelectedLinesUp",	//367
    "NPageSize",	//368
    "NPaperSize",	//369
    "Name",	//370
    "NativeFormat",	//371
    "Newline",	//372
    "NoBraceMatch",	//373
    "NoFoldStyle",	//374
    "NoWarning",	//375
    "Number",	//376
    "NumberMargin",	//377
    "ObjectsCSGAppearance",	//378
    "OnlyOne",	//379
    "Operator",	//380
    "OriginalCase",	//381
    "OtherInTag",	//382
    "PHPComment",	//383
    "PHPCommentLine",	//384
    "PHPDefault",	//385
    "PHPDoubleQuotedString",	//386
    "PHPDoubleQuotedVariable",	//387
    "PHPKeyword",	//388
    "PHPNumber",	//389
    "PHPOperator",	//390
    "PHPSingleQuotedString",	//391
    "PHPStart",	//392
    "PHPVariable",	//393
    "POD",	//394
    "PODVerbatim",	//395
    "PageDown",	//396
    "PageDownExtend",	//397
    "PageDownRectExtend",	//398
    "PageRange",	//399
    "PageUp",	//400
    "PageUpExtend",	//401
    "PageUpRectExtend",	//402
    "ParaDown",	//403
    "ParaDownExtend",	//404
    "ParaUp",	//405
    "ParaUpExtend",	//406
    "ParameterExpansion",	//407
    "Paste",	//408
    "PdfFormat",	//409
    "PercentStringQ",	//410
    "PercentStringq",	//411
    "PercentStringr",	//412
    "PercentStringw",	//413
    "PercentStringx",	//414
    "Pica",	//415
    "PlainFoldStyle",	//416
    "PlainIndicator",	//417
    "Plus",	//418
    "PlusComment",	//419
    "PlusKeyword",	//420
    "PlusPrompt",	//421
    "Point",	//422
    "Portrait",	//423
    "Position",	//424
    "PostScriptFormat",	//425
    "PreProcessor",	//426
    "PreProcessorComment",	//427
    "PreProcessorCommentLineDoc",	//428
    "PreProcessorParenthesis",	//429
    "PredefinedFunctions",	//430
    "PredefinedIdentifiers",	//431
    "Preprocessor",	//432
    "PrinterResolution",	//433
    "ProcedureParenthesis",	//434
    "PseudoClass",	//435
    "PseudoElement",	//436
    "PythonClassName",	//437
    "PythonComment",	//438
    "PythonDefault",	//439
    "PythonDoubleQuotedString",	//440
    "PythonFunctionMethodName",	//441
    "PythonIdentifier",	//442
    "PythonKeyword",	//443
    "PythonNumber",	//444
    "PythonOperator",	//445
    "PythonSingleQuotedString",	//446
    "PythonStart",	//447
    "PythonTripleDoubleQuotedString",	//448
    "PythonTripleSingleQuotedString",	//449
    "QSCN_SELCHANGED",	//450
    "QSCN_SELCHANGED$",	//451
    "QsciAPIs",	//452
    "QsciAPIs#",	//453
    "QsciAbstractAPIs",	//454
    "QsciAbstractAPIs#",	//455
    "QsciDocument",	//456
    "QsciDocument#",	//457
    "QsciLexer",	//458
    "QsciLexer#",	//459
    "QsciLexerBash",	//460
    "QsciLexerBash#",	//461
    "QsciLexerBatch",	//462
    "QsciLexerBatch#",	//463
    "QsciLexerCMake",	//464
    "QsciLexerCMake#",	//465
    "QsciLexerCPP",	//466
    "QsciLexerCPP#",	//467
    "QsciLexerCPP#$",	//468
    "QsciLexerCSS",	//469
    "QsciLexerCSS#",	//470
    "QsciLexerCSharp",	//471
    "QsciLexerCSharp#",	//472
    "QsciLexerCustom",	//473
    "QsciLexerCustom#",	//474
    "QsciLexerD",	//475
    "QsciLexerD#",	//476
    "QsciLexerDiff",	//477
    "QsciLexerDiff#",	//478
    "QsciLexerFortran",	//479
    "QsciLexerFortran#",	//480
    "QsciLexerFortran77",	//481
    "QsciLexerFortran77#",	//482
    "QsciLexerHTML",	//483
    "QsciLexerHTML#",	//484
    "QsciLexerIDL",	//485
    "QsciLexerIDL#",	//486
    "QsciLexerJava",	//487
    "QsciLexerJava#",	//488
    "QsciLexerJavaScript",	//489
    "QsciLexerJavaScript#",	//490
    "QsciLexerLua",	//491
    "QsciLexerLua#",	//492
    "QsciLexerMakefile",	//493
    "QsciLexerMakefile#",	//494
    "QsciLexerPOV",	//495
    "QsciLexerPOV#",	//496
    "QsciLexerPascal",	//497
    "QsciLexerPascal#",	//498
    "QsciLexerPerl",	//499
    "QsciLexerPerl#",	//500
    "QsciLexerPostScript",	//501
    "QsciLexerPostScript#",	//502
    "QsciLexerProperties",	//503
    "QsciLexerProperties#",	//504
    "QsciLexerPython",	//505
    "QsciLexerPython#",	//506
    "QsciLexerRuby",	//507
    "QsciLexerRuby#",	//508
    "QsciLexerSQL",	//509
    "QsciLexerSQL#",	//510
    "QsciLexerTCL",	//511
    "QsciLexerTCL#",	//512
    "QsciLexerTeX",	//513
    "QsciLexerTeX#",	//514
    "QsciLexerVHDL",	//515
    "QsciLexerVHDL#",	//516
    "QsciLexerXML",	//517
    "QsciLexerXML#",	//518
    "QsciLexerYAML",	//519
    "QsciLexerYAML#",	//520
    "QsciMacro",	//521
    "QsciMacro#",	//522
    "QsciMacro$#",	//523
    "QsciPrinter",	//524
    "QsciPrinter$",	//525
    "QsciScintilla",	//526
    "QsciScintilla#",	//527
    "QsciScintillaBase",	//528
    "QsciScintillaBase#",	//529
    "QsciStyle",	//530
    "QsciStyle#",	//531
    "QsciStyle$",	//532
    "QsciStyle$$###",	//533
    "QsciStyle$$###$",	//534
    "QsciStyledText",	//535
    "QsciStyledText#",	//536
    "QsciStyledText$#",	//537
    "QsciStyledText$$",	//538
    "QuotedIdentifier",	//539
    "QuotedKeyword",	//540
    "QuotedOperator",	//541
    "QuotedString",	//542
    "QuotedStringQ",	//543
    "QuotedStringQQ",	//544
    "QuotedStringQQVar",	//545
    "QuotedStringQR",	//546
    "QuotedStringQRVar",	//547
    "QuotedStringQW",	//548
    "QuotedStringQX",	//549
    "QuotedStringQXVar",	//550
    "RawString",	//551
    "Rectangle",	//552
    "Redo",	//553
    "Reference",	//554
    "Regex",	//555
    "RegexVar",	//556
    "RightArrow",	//557
    "RightTriangle",	//558
    "RoundBoxIndicator",	//559
    "RoundedBottomLeftCorner",	//560
    "SCEN_CHANGE",	//561
    "SCN_AUTOCCANCELLED",	//562
    "SCN_AUTOCCHARDELETED",	//563
    "SCN_AUTOCCOMPLETED",	//564
    "SCN_AUTOCCOMPLETED$$$$",	//565
    "SCN_AUTOCSELECTION",	//566
    "SCN_AUTOCSELECTION$$",	//567
    "SCN_AUTOCSELECTION$$$$",	//568
    "SCN_CALLTIPCLICK",	//569
    "SCN_CALLTIPCLICK$",	//570
    "SCN_CHARADDED",	//571
    "SCN_CHARADDED$",	//572
    "SCN_DOUBLECLICK",	//573
    "SCN_DOUBLECLICK$$$",	//574
    "SCN_DWELLEND",	//575
    "SCN_DWELLEND$$$",	//576
    "SCN_DWELLSTART",	//577
    "SCN_DWELLSTART$$$",	//578
    "SCN_FOCUSIN",	//579
    "SCN_FOCUSOUT",	//580
    "SCN_HOTSPOTCLICK",	//581
    "SCN_HOTSPOTCLICK$$",	//582
    "SCN_HOTSPOTDOUBLECLICK",	//583
    "SCN_HOTSPOTDOUBLECLICK$$",	//584
    "SCN_HOTSPOTRELEASECLICK",	//585
    "SCN_HOTSPOTRELEASECLICK$$",	//586
    "SCN_INDICATORCLICK",	//587
    "SCN_INDICATORCLICK$$",	//588
    "SCN_INDICATORRELEASE",	//589
    "SCN_INDICATORRELEASE$$",	//590
    "SCN_MACRORECORD",	//591
    "SCN_MACRORECORD$$$",	//592
    "SCN_MARGINCLICK",	//593
    "SCN_MARGINCLICK$$$",	//594
    "SCN_MARGINRIGHTCLICK",	//595
    "SCN_MARGINRIGHTCLICK$$$",	//596
    "SCN_MODIFIED",	//597
    "SCN_MODIFIED$$$$$$$$$$",	//598
    "SCN_MODIFYATTEMPTRO",	//599
    "SCN_NEEDSHOWN",	//600
    "SCN_NEEDSHOWN$$",	//601
    "SCN_PAINTED",	//602
    "SCN_SAVEPOINTLEFT",	//603
    "SCN_SAVEPOINTREACHED",	//604
    "SCN_STYLENEEDED",	//605
    "SCN_STYLENEEDED$",	//606
    "SCN_UPDATEUI",	//607
    "SCN_UPDATEUI$",	//608
    "SCN_USERLISTSELECTION",	//609
    "SCN_USERLISTSELECTION$$",	//610
    "SCN_USERLISTSELECTION$$$$",	//611
    "SCN_ZOOM",	//612
    "SCSSLanguage",	//613
    "SC_ORDER_CUSTOM",	//614
    "SC_ORDER_PERFORMSORT",	//615
    "SC_ORDER_PRESORTED",	//616
    "SGMLBlockDefault",	//617
    "SGMLCommand",	//618
    "SGMLComment",	//619
    "SGMLDefault",	//620
    "SGMLDoubleQuotedString",	//621
    "SGMLEntity",	//622
    "SGMLError",	//623
    "SGMLParameter",	//624
    "SGMLParameterComment",	//625
    "SGMLSingleQuotedString",	//626
    "SGMLSpecial",	//627
    "Scalar",	//628
    "ScreenResolution",	//629
    "Script",	//630
    "ScrollToEnd",	//631
    "ScrollToStart",	//632
    "Section",	//633
    "SelectAll",	//634
    "Selection",	//635
    "SelectionCopy",	//636
    "SelectionCut",	//637
    "SelectionDuplicate",	//638
    "SelectionLowerCase",	//639
    "SelectionUpperCase",	//640
    "SendScintilla",	//641
    "SendScintilla$",	//642
    "SendScintilla$#",	//643
    "SendScintilla$$",	//644
    "SendScintilla$$#",	//645
    "SendScintilla$$##$$",	//646
    "SendScintilla$$$",	//647
    "SendScintilla$$$$",	//648
    "SendScintillaPtrResult",	//649
    "SendScintillaPtrResult$",	//650
    "SingleQuotedHereDocument",	//651
    "SingleQuotedString",	//652
    "SloppyBraceMatch",	//653
    "SmallFormat",	//654
    "SmallRectangle",	//655
    "Spaces",	//656
    "Special",	//657
    "SquiggleIndicator",	//658
    "SquiggleLowIndicator",	//659
    "SquigglePixmapIndicator",	//660
    "StandardFunction",	//661
    "StandardOperator",	//662
    "StandardPackage",	//663
    "StandardType",	//664
    "Stderr",	//665
    "Stdin",	//666
    "Stdout",	//667
    "StraightBoxIndicator",	//668
    "StrictBraceMatch",	//669
    "StrikeIndicator",	//670
    "String",	//671
    "StringLeftQuote",	//672
    "StringRightQuote",	//673
    "StringTableMathsFunctions",	//674
    "StringVariable",	//675
    "StutteredPageDown",	//676
    "StutteredPageDownExtend",	//677
    "StutteredPageUp",	//678
    "StutteredPageUpExtend",	//679
    "SubroutinePrototype",	//680
    "Substitution",	//681
    "SubstitutionBrace",	//682
    "SubstitutionVar",	//683
    "Symbol",	//684
    "SymbolMargin",	//685
    "SymbolMarginColor",	//686
    "SymbolMarginDefaultBackgroundColor",	//687
    "SymbolMarginDefaultForegroundColor",	//688
    "SymbolTable",	//689
    "SyntaxErrorMarker",	//690
    "TCLKeyword",	//691
    "TTIndicator",	//692
    "Tab",	//693
    "TabLongArrow",	//694
    "TabStrikeOut",	//695
    "Tabloid",	//696
    "Tabs",	//697
    "TabsAfterSpaces",	//698
    "Tag",	//699
    "Target",	//700
    "TaskMarker",	//701
    "Text",	//702
    "TextBlockMarker",	//703
    "TextColorIndicator",	//704
    "TextMargin",	//705
    "TextMarginRightJustified",	//706
    "ThickCompositionIndicator",	//707
    "ThinCompositionIndicator",	//708
    "ThreeDots",	//709
    "ThreeRightArrows",	//710
    "TkCommand",	//711
    "TkKeyword",	//712
    "Tractor",	//713
    "Translation",	//714
    "TriangleCharacterIndicator",	//715
    "TriangleIndicator",	//716
    "TripleDoubleQuotedString",	//717
    "TripleQuotedVerbatimString",	//718
    "TripleSingleQuotedString",	//719
    "Typedefs",	//720
    "TypesModifiersItems",	//721
    "UUID",	//722
    "UnclosedString",	//723
    "Underline",	//724
    "Undo",	//725
    "UnknownAttribute",	//726
    "UnknownProperty",	//727
    "UnknownPseudoClass",	//728
    "UnknownTag",	//729
    "UpperCase",	//730
    "UserLiteral",	//731
    "VBScriptComment",	//732
    "VBScriptDefault",	//733
    "VBScriptIdentifier",	//734
    "VBScriptKeyword",	//735
    "VBScriptNumber",	//736
    "VBScriptStart",	//737
    "VBScriptString",	//738
    "VBScriptUnclosedString",	//739
    "VCHome",	//740
    "VCHomeExtend",	//741
    "VCHomeRectExtend",	//742
    "VCHomeWrap",	//743
    "VCHomeWrapExtend",	//744
    "Value",	//745
    "Variable",	//746
    "VerbatimString",	//747
    "VerticalCentreCaret",	//748
    "VerticalLine",	//749
    "WordLeft",	//750
    "WordLeftEnd",	//751
    "WordLeftEndExtend",	//752
    "WordLeftExtend",	//753
    "WordPartLeft",	//754
    "WordPartLeftExtend",	//755
    "WordPartRight",	//756
    "WordPartRightExtend",	//757
    "WordRight",	//758
    "WordRightEnd",	//759
    "WordRightEndExtend",	//760
    "WordRightExtend",	//761
    "WrapCharacter",	//762
    "WrapFlagByBorder",	//763
    "WrapFlagByText",	//764
    "WrapFlagInMargin",	//765
    "WrapFlagNone",	//766
    "WrapIndentFixed",	//767
    "WrapIndentIndented",	//768
    "WrapIndentSame",	//769
    "WrapNone",	//770
    "WrapWhitespace",	//771
    "WrapWord",	//772
    "WsInvisible",	//773
    "WsVisible",	//774
    "WsVisibleAfterIndent",	//775
    "WsVisibleOnlyInIndent",	//776
    "XMLEnd",	//777
    "XMLStart",	//778
    "XMLTagEnd",	//779
    "ZoomIn",	//780
    "ZoomOut",	//781
    "actionEvent",	//782
    "add",	//783
    "add$",	//784
    "addEdgeColumn",	//785
    "addEdgeColumn$#",	//786
    "alternateKey",	//787
    "annotate",	//788
    "annotate$#",	//789
    "annotate$$#",	//790
    "annotate$$$",	//791
    "annotate$?",	//792
    "annotation",	//793
    "annotation$",	//794
    "annotationDisplay",	//795
    "apiContext",	//796
    "apiContext$$$",	//797
    "apiPreparationCancelled",	//798
    "apiPreparationFinished",	//799
    "apiPreparationStarted",	//800
    "apis",	//801
    "append",	//802
    "append$",	//803
    "apply",	//804
    "apply#",	//805
    "autoCompleteFromAPIs",	//806
    "autoCompleteFromAll",	//807
    "autoCompleteFromDocument",	//808
    "autoCompletionCaseSensitivity",	//809
    "autoCompletionFillups",	//810
    "autoCompletionFillupsEnabled",	//811
    "autoCompletionReplaceWord",	//812
    "autoCompletionSelected",	//813
    "autoCompletionSelected$",	//814
    "autoCompletionShowSingle",	//815
    "autoCompletionSource",	//816
    "autoCompletionThreshold",	//817
    "autoCompletionUseSingle",	//818
    "autoCompletionWordSeparators",	//819
    "autoIndent",	//820
    "autoIndentStyle",	//821
    "backslashEscapes",	//822
    "backspaceUnindents",	//823
    "beginUndoAction",	//824
    "blockEnd",	//825
    "blockEnd$",	//826
    "blockLookback",	//827
    "blockStart",	//828
    "blockStart$",	//829
    "blockStartKeyword",	//830
    "blockStartKeyword$",	//831
    "boundTo",	//832
    "boundTo$",	//833
    "braceMatching",	//834
    "braceStyle",	//835
    "bytes",	//836
    "bytes$$",	//837
    "bytesAsText",	//838
    "bytesAsText$",	//839
    "callTip",	//840
    "callTips",	//841
    "callTips?$$?",	//842
    "callTipsPosition",	//843
    "callTipsStyle",	//844
    "callTipsVisible",	//845
    "canInsertFromMimeData",	//846
    "canInsertFromMimeData#",	//847
    "cancelList",	//848
    "cancelPreparation",	//849
    "caseSensitive",	//850
    "caseSensitiveTags",	//851
    "changeEvent",	//852
    "changeEvent#",	//853
    "changeable",	//854
    "childEvent",	//855
    "clear",	//856
    "clearAlternateKeys",	//857
    "clearAnnotations",	//858
    "clearAnnotations$",	//859
    "clearEdgeColumns",	//860
    "clearFolds",	//861
    "clearIndicatorRange",	//862
    "clearIndicatorRange$$$$$",	//863
    "clearKeys",	//864
    "clearMarginText",	//865
    "clearMarginText$",	//866
    "clearRegisteredImages",	//867
    "closeEvent",	//868
    "color",	//869
    "color$",	//870
    "colorChanged",	//871
    "colorChanged#$",	//872
    "command",	//873
    "commandKey",	//874
    "commandKey$$",	//875
    "commands",	//876
    "connectNotify",	//877
    "contextMenuEvent",	//878
    "contextMenuEvent#",	//879
    "contextMenuNeeded",	//880
    "contextMenuNeeded$$",	//881
    "contractedFolds",	//882
    "convertEols",	//883
    "convertEols$",	//884
    "copy",	//885
    "copyAvailable",	//886
    "copyAvailable$",	//887
    "createStandardContextMenu",	//888
    "cursorPositionChanged",	//889
    "cursorPositionChanged$$",	//890
    "customEvent",	//891
    "cut",	//892
    "defaultColor",	//893
    "defaultColor$",	//894
    "defaultEolFill",	//895
    "defaultEolFill$",	//896
    "defaultFont",	//897
    "defaultFont$",	//898
    "defaultPaper",	//899
    "defaultPaper$",	//900
    "defaultPreparedName",	//901
    "defaultStyle",	//902
    "description",	//903
    "description$",	//904
    "devType",	//905
    "disconnectNotify",	//906
    "djangoTemplates",	//907
    "document",	//908
    "dollarsAllowed",	//909
    "dottedWords",	//910
    "dragEnterEvent",	//911
    "dragEnterEvent#",	//912
    "dragLeaveEvent",	//913
    "dragLeaveEvent#",	//914
    "dragMoveEvent",	//915
    "dragMoveEvent#",	//916
    "dropEvent",	//917
    "dropEvent#",	//918
    "edgeColor",	//919
    "edgeColumn",	//920
    "edgeMode",	//921
    "editor",	//922
    "enabledChange",	//923
    "endRecording",	//924
    "endUndoAction",	//925
    "ensureCursorVisible",	//926
    "ensureLineVisible",	//927
    "ensureLineVisible$",	//928
    "enterEvent",	//929
    "eolFill",	//930
    "eolFill$",	//931
    "eolFillChanged",	//932
    "eolFillChanged$$",	//933
    "eolMode",	//934
    "eolVisibility",	//935
    "event",	//936
    "event#",	//937
    "eventFilter",	//938
    "execute",	//939
    "extraAscent",	//940
    "extraDescent",	//941
    "fillIndicatorRange",	//942
    "fillIndicatorRange$$$$$",	//943
    "find",	//944
    "find$",	//945
    "findFirst",	//946
    "findFirst$$$$$",	//947
    "findFirst$$$$$$",	//948
    "findFirst$$$$$$$",	//949
    "findFirst$$$$$$$$",	//950
    "findFirst$$$$$$$$$",	//951
    "findFirst$$$$$$$$$$",	//952
    "findFirstInSelection",	//953
    "findFirstInSelection$$$$",	//954
    "findFirstInSelection$$$$$",	//955
    "findFirstInSelection$$$$$$",	//956
    "findFirstInSelection$$$$$$$",	//957
    "findNext",	//958
    "firstVisibleLine",	//959
    "focusInEvent",	//960
    "focusInEvent#",	//961
    "focusNextPrevChild",	//962
    "focusNextPrevChild$",	//963
    "focusOutEvent",	//964
    "focusOutEvent#",	//965
    "foldAll",	//966
    "foldAll$",	//967
    "foldAtBegin",	//968
    "foldAtElse",	//969
    "foldAtParenthesis",	//970
    "foldComments",	//971
    "foldCompact",	//972
    "foldDirectives",	//973
    "foldLine",	//974
    "foldLine$",	//975
    "foldOnlyBegin",	//976
    "foldPODBlocks",	//977
    "foldPackages",	//978
    "foldPreprocessor",	//979
    "foldQuotes",	//980
    "foldScriptComments",	//981
    "foldScriptHeredocs",	//982
    "folding",	//983
    "font",	//984
    "font$",	//985
    "fontChange",	//986
    "fontChanged",	//987
    "fontChanged#$",	//988
    "formatPage",	//989
    "formatPage#$#$",	//990
    "fromMimeData",	//991
    "fromMimeData#$",	//992
    "getCursorPosition",	//993
    "getCursorPosition$$",	//994
    "getSelection",	//995
    "getSelection$$$$",	//996
    "hasSelectedText",	//997
    "hashComments",	//998
    "heightForWidth",	//999
    "hideEvent",	//1000
    "highlightBackQuotedStrings",	//1001
    "highlightEscapeSequences",	//1002
    "highlightHashQuotedStrings",	//1003
    "highlightSubidentifiers",	//1004
    "highlightTripleQuotedStrings",	//1005
    "hotspot",	//1006
    "indent",	//1007
    "indent$",	//1008
    "indentation",	//1009
    "indentation$",	//1010
    "indentationGuideView",	//1011
    "indentationGuides",	//1012
    "indentationWarning",	//1013
    "indentationWidth",	//1014
    "indentationsUseTabs",	//1015
    "indicatorClicked",	//1016
    "indicatorClicked$$$",	//1017
    "indicatorDefine",	//1018
    "indicatorDefine$",	//1019
    "indicatorDefine$$",	//1020
    "indicatorDrawUnder",	//1021
    "indicatorDrawUnder$",	//1022
    "indicatorReleased",	//1023
    "indicatorReleased$$$",	//1024
    "initialSpaces",	//1025
    "inputMethodEvent",	//1026
    "inputMethodEvent#",	//1027
    "inputMethodQuery",	//1028
    "inputMethodQuery$",	//1029
    "insert",	//1030
    "insert$",	//1031
    "insertAt",	//1032
    "insertAt$$$",	//1033
    "installedAPIFiles",	//1034
    "isCallTipActive",	//1035
    "isListActive",	//1036
    "isModified",	//1037
    "isPrepared",	//1038
    "isPrepared$",	//1039
    "isReadOnly",	//1040
    "isRedoAvailable",	//1041
    "isUndoAvailable",	//1042
    "isUtf8",	//1043
    "isWordCharacter",	//1044
    "isWordCharacter$",	//1045
    "key",	//1046
    "keyPressEvent",	//1047
    "keyPressEvent#",	//1048
    "keyReleaseEvent",	//1049
    "keywords",	//1050
    "keywords$",	//1051
    "language",	//1052
    "languageChange",	//1053
    "leaveEvent",	//1054
    "length",	//1055
    "level",	//1056
    "lexer",	//1057
    "lexerId",	//1058
    "lineAt",	//1059
    "lineAt#",	//1060
    "lineIndexFromPosition",	//1061
    "lineIndexFromPosition$$$",	//1062
    "lineLength",	//1063
    "lineLength$",	//1064
    "lines",	//1065
    "linesChanged",	//1066
    "load",	//1067
    "load$",	//1068
    "loadPrepared",	//1069
    "loadPrepared$",	//1070
    "magnification",	//1071
    "makoTemplates",	//1072
    "marginBackgroundColor",	//1073
    "marginBackgroundColor$",	//1074
    "marginClicked",	//1075
    "marginClicked$$$",	//1076
    "marginLineNumbers",	//1077
    "marginLineNumbers$",	//1078
    "marginMarkerMask",	//1079
    "marginMarkerMask$",	//1080
    "marginOptions",	//1081
    "marginRightClicked",	//1082
    "marginRightClicked$$$",	//1083
    "marginSensitivity",	//1084
    "marginSensitivity$",	//1085
    "marginType",	//1086
    "marginType$",	//1087
    "marginWidth",	//1088
    "marginWidth$",	//1089
    "margins",	//1090
    "markerAdd",	//1091
    "markerAdd$$",	//1092
    "markerDefine",	//1093
    "markerDefine#",	//1094
    "markerDefine#$",	//1095
    "markerDefine$",	//1096
    "markerDefine$$",	//1097
    "markerDelete",	//1098
    "markerDelete$",	//1099
    "markerDelete$$",	//1100
    "markerDeleteAll",	//1101
    "markerDeleteAll$",	//1102
    "markerDeleteHandle",	//1103
    "markerDeleteHandle$",	//1104
    "markerFindNext",	//1105
    "markerFindNext$$",	//1106
    "markerFindPrevious",	//1107
    "markerFindPrevious$$",	//1108
    "markerLine",	//1109
    "markerLine$",	//1110
    "markersAtLine",	//1111
    "markersAtLine$",	//1112
    "metaObject",	//1113
    "metric",	//1114
    "minimumSizeHint",	//1115
    "modificationAttempted",	//1116
    "modificationChanged",	//1117
    "modificationChanged$",	//1118
    "mouseDoubleClickEvent",	//1119
    "mouseDoubleClickEvent#",	//1120
    "mouseMoveEvent",	//1121
    "mouseMoveEvent#",	//1122
    "mousePressEvent",	//1123
    "mousePressEvent#",	//1124
    "mouseReleaseEvent",	//1125
    "mouseReleaseEvent#",	//1126
    "moveEvent",	//1127
    "moveToMatchingBrace",	//1128
    "operator=",	//1129
    "operator=#",	//1130
    "overwriteMode",	//1131
    "paintEngine",	//1132
    "paintEvent",	//1133
    "paintEvent#",	//1134
    "paletteChange",	//1135
    "paper",	//1136
    "paper$",	//1137
    "paperChanged",	//1138
    "paperChanged#$",	//1139
    "paste",	//1140
    "play",	//1141
    "pool",	//1142
    "positionFromLineIndex",	//1143
    "positionFromLineIndex$$",	//1144
    "prepare",	//1145
    "printRange",	//1146
    "printRange#",	//1147
    "printRange#$",	//1148
    "printRange#$$",	//1149
    "processComments",	//1150
    "processIf",	//1151
    "propertyChanged",	//1152
    "propertyChanged$$",	//1153
    "qt_metacall",	//1154
    "qt_metacall$$?",	//1155
    "qt_metacast",	//1156
    "qt_metacast$",	//1157
    "quotedIdentifiers",	//1158
    "read",	//1159
    "read#",	//1160
    "readProperties",	//1161
    "readProperties#$",	//1162
    "readSettings",	//1163
    "readSettings#",	//1164
    "readSettings#$",	//1165
    "recolor",	//1166
    "recolor$",	//1167
    "recolor$$",	//1168
    "redo",	//1169
    "refresh",	//1170
    "refreshProperties",	//1171
    "registerImage",	//1172
    "registerImage$#",	//1173
    "remove",	//1174
    "remove$",	//1175
    "removeSelectedText",	//1176
    "replace",	//1177
    "replace$",	//1178
    "replaceHorizontalScrollBar",	//1179
    "replaceHorizontalScrollBar#",	//1180
    "replaceSelectedText",	//1181
    "replaceSelectedText$",	//1182
    "replaceVerticalScrollBar",	//1183
    "replaceVerticalScrollBar#",	//1184
    "resetFoldMarginColors",	//1185
    "resetHotspotBackgroundColor",	//1186
    "resetHotspotForegroundColor",	//1187
    "resetMatchedBraceIndicator",	//1188
    "resetSelectionBackgroundColor",	//1189
    "resetSelectionForegroundColor",	//1190
    "resetUnmatchedBraceIndicator",	//1191
    "resizeEvent",	//1192
    "resizeEvent#",	//1193
    "save",	//1194
    "savePrepared",	//1195
    "savePrepared$",	//1196
    "scriptsStyled",	//1197
    "scrollContentsBy",	//1198
    "scrollContentsBy$$",	//1199
    "scrollWidth",	//1200
    "scrollWidthTracking",	//1201
    "selectAll",	//1202
    "selectAll$",	//1203
    "selectToMatchingBrace",	//1204
    "selectedText",	//1205
    "selectionChanged",	//1206
    "selectionToEol",	//1207
    "setAPIs",	//1208
    "setAPIs#",	//1209
    "setAlternateKey",	//1210
    "setAlternateKey$",	//1211
    "setAnnotationDisplay",	//1212
    "setAnnotationDisplay$",	//1213
    "setAutoCompletionCaseSensitivity",	//1214
    "setAutoCompletionCaseSensitivity$",	//1215
    "setAutoCompletionFillups",	//1216
    "setAutoCompletionFillups$",	//1217
    "setAutoCompletionFillupsEnabled",	//1218
    "setAutoCompletionFillupsEnabled$",	//1219
    "setAutoCompletionReplaceWord",	//1220
    "setAutoCompletionReplaceWord$",	//1221
    "setAutoCompletionShowSingle",	//1222
    "setAutoCompletionShowSingle$",	//1223
    "setAutoCompletionSource",	//1224
    "setAutoCompletionSource$",	//1225
    "setAutoCompletionThreshold",	//1226
    "setAutoCompletionThreshold$",	//1227
    "setAutoCompletionUseSingle",	//1228
    "setAutoCompletionUseSingle$",	//1229
    "setAutoCompletionWordSeparators",	//1230
    "setAutoCompletionWordSeparators?",	//1231
    "setAutoIndent",	//1232
    "setAutoIndent$",	//1233
    "setAutoIndentStyle",	//1234
    "setAutoIndentStyle$",	//1235
    "setBackslashEscapes",	//1236
    "setBackslashEscapes$",	//1237
    "setBackspaceUnindents",	//1238
    "setBackspaceUnindents$",	//1239
    "setBraceMatching",	//1240
    "setBraceMatching$",	//1241
    "setCallTipsBackgroundColor",	//1242
    "setCallTipsBackgroundColor#",	//1243
    "setCallTipsForegroundColor",	//1244
    "setCallTipsForegroundColor#",	//1245
    "setCallTipsHighlightColor",	//1246
    "setCallTipsHighlightColor#",	//1247
    "setCallTipsPosition",	//1248
    "setCallTipsPosition$",	//1249
    "setCallTipsStyle",	//1250
    "setCallTipsStyle$",	//1251
    "setCallTipsVisible",	//1252
    "setCallTipsVisible$",	//1253
    "setCaretForegroundColor",	//1254
    "setCaretForegroundColor#",	//1255
    "setCaretLineBackgroundColor",	//1256
    "setCaretLineBackgroundColor#",	//1257
    "setCaretLineVisible",	//1258
    "setCaretLineVisible$",	//1259
    "setCaretWidth",	//1260
    "setCaretWidth$",	//1261
    "setCaseSensitiveTags",	//1262
    "setCaseSensitiveTags$",	//1263
    "setChangeable",	//1264
    "setChangeable$",	//1265
    "setColor",	//1266
    "setColor#",	//1267
    "setColor#$",	//1268
    "setContractedFolds",	//1269
    "setContractedFolds?",	//1270
    "setCursorPosition",	//1271
    "setCursorPosition$$",	//1272
    "setDefaultColor",	//1273
    "setDefaultColor#",	//1274
    "setDefaultFont",	//1275
    "setDefaultFont#",	//1276
    "setDefaultPaper",	//1277
    "setDefaultPaper#",	//1278
    "setDescription",	//1279
    "setDescription$",	//1280
    "setDjangoTemplates",	//1281
    "setDjangoTemplates$",	//1282
    "setDocument",	//1283
    "setDocument#",	//1284
    "setDollarsAllowed",	//1285
    "setDollarsAllowed$",	//1286
    "setDottedWords",	//1287
    "setDottedWords$",	//1288
    "setEdgeColor",	//1289
    "setEdgeColor#",	//1290
    "setEdgeColumn",	//1291
    "setEdgeColumn$",	//1292
    "setEdgeMode",	//1293
    "setEdgeMode$",	//1294
    "setEditor",	//1295
    "setEditor#",	//1296
    "setEolFill",	//1297
    "setEolFill$",	//1298
    "setEolFill$$",	//1299
    "setEolMode",	//1300
    "setEolMode$",	//1301
    "setEolVisibility",	//1302
    "setEolVisibility$",	//1303
    "setExtraAscent",	//1304
    "setExtraAscent$",	//1305
    "setExtraDescent",	//1306
    "setExtraDescent$",	//1307
    "setFirstVisibleLine",	//1308
    "setFirstVisibleLine$",	//1309
    "setFoldAtBegin",	//1310
    "setFoldAtBegin$",	//1311
    "setFoldAtElse",	//1312
    "setFoldAtElse$",	//1313
    "setFoldAtParenthesis",	//1314
    "setFoldAtParenthesis$",	//1315
    "setFoldComments",	//1316
    "setFoldComments$",	//1317
    "setFoldCompact",	//1318
    "setFoldCompact$",	//1319
    "setFoldDirectives",	//1320
    "setFoldDirectives$",	//1321
    "setFoldMarginColors",	//1322
    "setFoldMarginColors##",	//1323
    "setFoldOnlyBegin",	//1324
    "setFoldOnlyBegin$",	//1325
    "setFoldPODBlocks",	//1326
    "setFoldPODBlocks$",	//1327
    "setFoldPackages",	//1328
    "setFoldPackages$",	//1329
    "setFoldPreprocessor",	//1330
    "setFoldPreprocessor$",	//1331
    "setFoldQuotes",	//1332
    "setFoldQuotes$",	//1333
    "setFoldScriptComments",	//1334
    "setFoldScriptComments$",	//1335
    "setFoldScriptHeredocs",	//1336
    "setFoldScriptHeredocs$",	//1337
    "setFolding",	//1338
    "setFolding$",	//1339
    "setFolding$$",	//1340
    "setFont",	//1341
    "setFont#",	//1342
    "setFont#$",	//1343
    "setHSSLanguage",	//1344
    "setHSSLanguage$",	//1345
    "setHashComments",	//1346
    "setHashComments$",	//1347
    "setHighlightBackQuotedStrings",	//1348
    "setHighlightBackQuotedStrings$",	//1349
    "setHighlightEscapeSequences",	//1350
    "setHighlightEscapeSequences$",	//1351
    "setHighlightHashQuotedStrings",	//1352
    "setHighlightHashQuotedStrings$",	//1353
    "setHighlightSubidentifiers",	//1354
    "setHighlightSubidentifiers$",	//1355
    "setHighlightTripleQuotedStrings",	//1356
    "setHighlightTripleQuotedStrings$",	//1357
    "setHotspot",	//1358
    "setHotspot$",	//1359
    "setHotspotBackgroundColor",	//1360
    "setHotspotBackgroundColor#",	//1361
    "setHotspotForegroundColor",	//1362
    "setHotspotForegroundColor#",	//1363
    "setHotspotUnderline",	//1364
    "setHotspotUnderline$",	//1365
    "setHotspotWrap",	//1366
    "setHotspotWrap$",	//1367
    "setIndentation",	//1368
    "setIndentation$$",	//1369
    "setIndentationGuides",	//1370
    "setIndentationGuides$",	//1371
    "setIndentationGuidesBackgroundColor",	//1372
    "setIndentationGuidesBackgroundColor#",	//1373
    "setIndentationGuidesForegroundColor",	//1374
    "setIndentationGuidesForegroundColor#",	//1375
    "setIndentationWarning",	//1376
    "setIndentationWarning$",	//1377
    "setIndentationWidth",	//1378
    "setIndentationWidth$",	//1379
    "setIndentationsUseTabs",	//1380
    "setIndentationsUseTabs$",	//1381
    "setIndicatorDrawUnder",	//1382
    "setIndicatorDrawUnder$",	//1383
    "setIndicatorDrawUnder$$",	//1384
    "setIndicatorForegroundColor",	//1385
    "setIndicatorForegroundColor#",	//1386
    "setIndicatorForegroundColor#$",	//1387
    "setIndicatorHoverForegroundColor",	//1388
    "setIndicatorHoverForegroundColor#",	//1389
    "setIndicatorHoverForegroundColor#$",	//1390
    "setIndicatorHoverStyle",	//1391
    "setIndicatorHoverStyle$",	//1392
    "setIndicatorHoverStyle$$",	//1393
    "setIndicatorOutlineColor",	//1394
    "setIndicatorOutlineColor#",	//1395
    "setIndicatorOutlineColor#$",	//1396
    "setInitialSpaces",	//1397
    "setInitialSpaces$",	//1398
    "setKey",	//1399
    "setKey$",	//1400
    "setLessLanguage",	//1401
    "setLessLanguage$",	//1402
    "setLevel",	//1403
    "setLevel$",	//1404
    "setLexer",	//1405
    "setLexer#",	//1406
    "setMagnification",	//1407
    "setMagnification$",	//1408
    "setMakoTemplates",	//1409
    "setMakoTemplates$",	//1410
    "setMarginBackgroundColor",	//1411
    "setMarginBackgroundColor$#",	//1412
    "setMarginLineNumbers",	//1413
    "setMarginLineNumbers$$",	//1414
    "setMarginMarkerMask",	//1415
    "setMarginMarkerMask$$",	//1416
    "setMarginOptions",	//1417
    "setMarginOptions$",	//1418
    "setMarginSensitivity",	//1419
    "setMarginSensitivity$$",	//1420
    "setMarginText",	//1421
    "setMarginText$#",	//1422
    "setMarginText$$#",	//1423
    "setMarginText$$$",	//1424
    "setMarginText$?",	//1425
    "setMarginType",	//1426
    "setMarginType$$",	//1427
    "setMarginWidth",	//1428
    "setMarginWidth$$",	//1429
    "setMargins",	//1430
    "setMargins$",	//1431
    "setMarginsBackgroundColor",	//1432
    "setMarginsBackgroundColor#",	//1433
    "setMarginsFont",	//1434
    "setMarginsFont#",	//1435
    "setMarginsForegroundColor",	//1436
    "setMarginsForegroundColor#",	//1437
    "setMarkerBackgroundColor",	//1438
    "setMarkerBackgroundColor#",	//1439
    "setMarkerBackgroundColor#$",	//1440
    "setMarkerForegroundColor",	//1441
    "setMarkerForegroundColor#",	//1442
    "setMarkerForegroundColor#$",	//1443
    "setMatchedBraceBackgroundColor",	//1444
    "setMatchedBraceBackgroundColor#",	//1445
    "setMatchedBraceForegroundColor",	//1446
    "setMatchedBraceForegroundColor#",	//1447
    "setMatchedBraceIndicator",	//1448
    "setMatchedBraceIndicator$",	//1449
    "setModified",	//1450
    "setModified$",	//1451
    "setOverwriteMode",	//1452
    "setOverwriteMode$",	//1453
    "setPaper",	//1454
    "setPaper#",	//1455
    "setPaper#$",	//1456
    "setProcessComments",	//1457
    "setProcessComments$",	//1458
    "setProcessIf",	//1459
    "setProcessIf$",	//1460
    "setQuotedIdentifiers",	//1461
    "setQuotedIdentifiers$",	//1462
    "setReadOnly",	//1463
    "setReadOnly$",	//1464
    "setSCSSLanguage",	//1465
    "setSCSSLanguage$",	//1466
    "setScriptsStyled",	//1467
    "setScriptsStyled$",	//1468
    "setScrollBars",	//1469
    "setScrollWidth",	//1470
    "setScrollWidth$",	//1471
    "setScrollWidthTracking",	//1472
    "setScrollWidthTracking$",	//1473
    "setSelection",	//1474
    "setSelection$$$$",	//1475
    "setSelectionBackgroundColor",	//1476
    "setSelectionBackgroundColor#",	//1477
    "setSelectionForegroundColor",	//1478
    "setSelectionForegroundColor#",	//1479
    "setSelectionToEol",	//1480
    "setSelectionToEol$",	//1481
    "setSmartHighlighting",	//1482
    "setSmartHighlighting$",	//1483
    "setStringsOverNewlineAllowed",	//1484
    "setStringsOverNewlineAllowed$",	//1485
    "setStyle",	//1486
    "setStyle$",	//1487
    "setStylePreprocessor",	//1488
    "setStylePreprocessor$",	//1489
    "setStyling",	//1490
    "setStyling$#",	//1491
    "setStyling$$",	//1492
    "setTabDrawMode",	//1493
    "setTabDrawMode$",	//1494
    "setTabIndents",	//1495
    "setTabIndents$",	//1496
    "setTabWidth",	//1497
    "setTabWidth$",	//1498
    "setText",	//1499
    "setText$",	//1500
    "setTextCase",	//1501
    "setTextCase$",	//1502
    "setTokenize",	//1503
    "setTokenize$",	//1504
    "setUnmatchedBraceBackgroundColor",	//1505
    "setUnmatchedBraceBackgroundColor#",	//1506
    "setUnmatchedBraceForegroundColor",	//1507
    "setUnmatchedBraceForegroundColor#",	//1508
    "setUnmatchedBraceIndicator",	//1509
    "setUnmatchedBraceIndicator$",	//1510
    "setUtf8",	//1511
    "setUtf8$",	//1512
    "setV2UnicodeAllowed",	//1513
    "setV2UnicodeAllowed$",	//1514
    "setV3BinaryOctalAllowed",	//1515
    "setV3BinaryOctalAllowed$",	//1516
    "setV3BytesAllowed",	//1517
    "setV3BytesAllowed$",	//1518
    "setVerbatimStringEscapeSequencesAllowed",	//1519
    "setVerbatimStringEscapeSequencesAllowed$",	//1520
    "setVisible",	//1521
    "setVisible$",	//1522
    "setWhitespaceBackgroundColor",	//1523
    "setWhitespaceBackgroundColor#",	//1524
    "setWhitespaceForegroundColor",	//1525
    "setWhitespaceForegroundColor#",	//1526
    "setWhitespaceSize",	//1527
    "setWhitespaceSize$",	//1528
    "setWhitespaceVisibility",	//1529
    "setWhitespaceVisibility$",	//1530
    "setWrapIndentMode",	//1531
    "setWrapIndentMode$",	//1532
    "setWrapMode",	//1533
    "setWrapMode$",	//1534
    "setWrapVisualFlags",	//1535
    "setWrapVisualFlags$",	//1536
    "setWrapVisualFlags$$",	//1537
    "setWrapVisualFlags$$$",	//1538
    "showEvent",	//1539
    "showUserList",	//1540
    "showUserList$?",	//1541
    "sizeHint",	//1542
    "smartHighlighting",	//1543
    "standardCommands",	//1544
    "startRecording",	//1545
    "startStyling",	//1546
    "startStyling$",	//1547
    "startStyling$$",	//1548
    "staticMetaObject",	//1549
    "stringsOverNewlineAllowed",	//1550
    "style",	//1551
    "styleBitsNeeded",	//1552
    "styleChange",	//1553
    "stylePreprocessor",	//1554
    "styleText",	//1555
    "styleText$$",	//1556
    "tabDrawMode",	//1557
    "tabIndents",	//1558
    "tabWidth",	//1559
    "tabletEvent",	//1560
    "text",	//1561
    "text$",	//1562
    "text$$",	//1563
    "textAsBytes",	//1564
    "textAsBytes$",	//1565
    "textCase",	//1566
    "textChanged",	//1567
    "textHeight",	//1568
    "textHeight$",	//1569
    "timerEvent",	//1570
    "toMimeData",	//1571
    "toMimeData#$",	//1572
    "tokenize",	//1573
    "tr",	//1574
    "tr$",	//1575
    "tr$$",	//1576
    "tr$$$",	//1577
    "trUtf8",	//1578
    "trUtf8$",	//1579
    "trUtf8$$",	//1580
    "trUtf8$$$",	//1581
    "undo",	//1582
    "unindent",	//1583
    "unindent$",	//1584
    "updateAutoCompletionList",	//1585
    "updateAutoCompletionList??",	//1586
    "userListActivated",	//1587
    "userListActivated$$",	//1588
    "v2UnicodeAllowed",	//1589
    "v3BinaryOctalAllowed",	//1590
    "v3BytesAllowed",	//1591
    "validKey",	//1592
    "validKey$",	//1593
    "verbatimStringEscapeSequencesAllowed",	//1594
    "viewportEvent",	//1595
    "visible",	//1596
    "wheelEvent",	//1597
    "wheelEvent#",	//1598
    "whitespaceSize",	//1599
    "whitespaceVisibility",	//1600
    "windowActivationChange",	//1601
    "wordAtLineIndex",	//1602
    "wordAtLineIndex$$",	//1603
    "wordAtPoint",	//1604
    "wordAtPoint#",	//1605
    "wordCharacters",	//1606
    "wrapIndentMode",	//1607
    "wrapMode",	//1608
    "write",	//1609
    "write#",	//1610
    "writeProperties",	//1611
    "writeProperties#$",	//1612
    "writeSettings",	//1613
    "writeSettings#",	//1614
    "writeSettings#$",	//1615
    "x11Event",	//1616
    "zoomIn",	//1617
    "zoomIn$",	//1618
    "zoomOut",	//1619
    "zoomOut$",	//1620
    "zoomTo",	//1621
    "zoomTo$",	//1622
    "~QsciAPIs",	//1623
    "~QsciAbstractAPIs",	//1624
    "~QsciCommand",	//1625
    "~QsciDocument",	//1626
    "~QsciLexer",	//1627
    "~QsciLexerBash",	//1628
    "~QsciLexerBatch",	//1629
    "~QsciLexerCMake",	//1630
    "~QsciLexerCPP",	//1631
    "~QsciLexerCSS",	//1632
    "~QsciLexerCSharp",	//1633
    "~QsciLexerCustom",	//1634
    "~QsciLexerD",	//1635
    "~QsciLexerDiff",	//1636
    "~QsciLexerFortran",	//1637
    "~QsciLexerFortran77",	//1638
    "~QsciLexerHTML",	//1639
    "~QsciLexerIDL",	//1640
    "~QsciLexerJava",	//1641
    "~QsciLexerJavaScript",	//1642
    "~QsciLexerLua",	//1643
    "~QsciLexerMakefile",	//1644
    "~QsciLexerPOV",	//1645
    "~QsciLexerPascal",	//1646
    "~QsciLexerPerl",	//1647
    "~QsciLexerPostScript",	//1648
    "~QsciLexerProperties",	//1649
    "~QsciLexerPython",	//1650
    "~QsciLexerRuby",	//1651
    "~QsciLexerSQL",	//1652
    "~QsciLexerTCL",	//1653
    "~QsciLexerTeX",	//1654
    "~QsciLexerVHDL",	//1655
    "~QsciLexerXML",	//1656
    "~QsciLexerYAML",	//1657
    "~QsciMacro",	//1658
    "~QsciPrinter",	//1659
    "~QsciScintilla",	//1660
    "~QsciScintillaBase",	//1661
    "~QsciStyle",	//1662
    "~QsciStyledText",	//1663
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1542, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 936, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 191, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1595, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 191, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1597, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {27, 936, 1, 1, Smoke::mf_virtual, 191, 0},	//6 QObject::event(QEvent*)
    {27, 938, 5, 2, Smoke::mf_virtual, 191, 0},	//7 QObject::eventFilter(QObject*, QEvent*)
    {27, 1570, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 QObject::timerEvent(QTimerEvent*)
    {27, 855, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 QObject::childEvent(QChildEvent*)
    {27, 891, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 QObject::customEvent(QEvent*)
    {27, 877, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 QObject::connectNotify(const char*)
    {27, 906, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 QObject::disconnectNotify(const char*)
    {34, 905, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 0},	//13 QPrinter::devType() const
    {34, 1132, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//14 QPrinter::paintEngine() const
    {34, 1114, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 217, 0},	//15 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {34, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 4},	//16 QPrinter::ScreenResolution (enum)
    {34, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 5},	//17 QPrinter::PrinterResolution (enum)
    {34, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 6},	//18 QPrinter::HighResolution (enum)
    {47, 905, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 0},	//19 QWidget::devType() const
    {47, 1521, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//20 QWidget::setVisible(bool)
    {47, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 217, 0},	//21 QWidget::heightForWidth(int) const
    {47, 1132, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//22 QWidget::paintEngine() const
    {47, 1049, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 QWidget::keyReleaseEvent(QKeyEvent*)
    {47, 929, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//24 QWidget::enterEvent(QEvent*)
    {47, 1054, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//25 QWidget::leaveEvent(QEvent*)
    {47, 1127, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//26 QWidget::moveEvent(QMoveEvent*)
    {47, 868, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 QWidget::closeEvent(QCloseEvent*)
    {47, 1560, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//28 QWidget::tabletEvent(QTabletEvent*)
    {47, 782, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//29 QWidget::actionEvent(QActionEvent*)
    {47, 1539, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//30 QWidget::showEvent(QShowEvent*)
    {47, 1000, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//31 QWidget::hideEvent(QHideEvent*)
    {47, 1616, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 191, 0},	//32 QWidget::x11Event(_XEvent*)
    {47, 1114, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 217, 0},	//33 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {47, 1553, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QWidget::styleChange(QStyle&)
    {47, 923, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QWidget::enabledChange(bool)
    {47, 1135, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QWidget::paletteChange(const QPalette&)
    {47, 986, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QWidget::fontChange(const QFont&)
    {47, 1601, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QWidget::windowActivationChange(bool)
    {47, 1053, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QWidget::languageChange()
    {48, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//40 QsciAPIs::metaObject() const
    {48, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//41 QsciAPIs::qt_metacast(const char*)
    {48, 1574, 42, 2, Smoke::mf_static, 41, 3},	//42 QsciAPIs::tr(const char*, const char*)
    {48, 1578, 42, 2, Smoke::mf_static, 41, 4},	//43 QsciAPIs::trUtf8(const char*, const char*)
    {48, 1574, 45, 3, Smoke::mf_static, 41, 5},	//44 QsciAPIs::tr(const char*, const char*, int)
    {48, 1578, 45, 3, Smoke::mf_static, 41, 6},	//45 QsciAPIs::trUtf8(const char*, const char*, int)
    {48, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//46 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {48, 452, 53, 1, Smoke::mf_ctor, 51, 8},	//47 QsciAPIs::QsciAPIs(QsciLexer*)
    {48, 783, 55, 1, 0, 0, 9},	//48 QsciAPIs::add(const QString&)
    {48, 856, 0, 0, 0, 0, 10},	//49 QsciAPIs::clear()
    {48, 1067, 55, 1, 0, 191, 11},	//50 QsciAPIs::load(const QString&)
    {48, 1174, 55, 1, 0, 0, 12},	//51 QsciAPIs::remove(const QString&)
    {48, 1145, 0, 0, 0, 0, 13},	//52 QsciAPIs::prepare()
    {48, 849, 0, 0, 0, 0, 14},	//53 QsciAPIs::cancelPreparation()
    {48, 901, 0, 0, Smoke::mf_const, 41, 15},	//54 QsciAPIs::defaultPreparedName() const
    {48, 1038, 55, 1, Smoke::mf_const, 191, 16},	//55 QsciAPIs::isPrepared(const QString&) const
    {48, 1069, 55, 1, 0, 191, 17},	//56 QsciAPIs::loadPrepared(const QString&)
    {48, 1195, 55, 1, Smoke::mf_const, 191, 18},	//57 QsciAPIs::savePrepared(const QString&) const
    {48, 1585, 57, 2, Smoke::mf_virtual, 0, 19},	//58 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {48, 813, 55, 1, Smoke::mf_virtual, 0, 20},	//59 QsciAPIs::autoCompletionSelected(const QString&)
    {48, 841, 60, 4, Smoke::mf_virtual, 42, 21},	//60 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {48, 936, 1, 1, Smoke::mf_virtual, 191, 22},	//61 QsciAPIs::event(QEvent*)
    {48, 1034, 0, 0, Smoke::mf_const, 42, 23},	//62 QsciAPIs::installedAPIFiles() const
    {48, 798, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//63 QsciAPIs::apiPreparationCancelled()
    {48, 800, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//64 QsciAPIs::apiPreparationStarted()
    {48, 799, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//65 QsciAPIs::apiPreparationFinished()
    {48, 1574, 12, 1, Smoke::mf_static, 41, 27},	//66 QsciAPIs::tr(const char*)
    {48, 1578, 12, 1, Smoke::mf_static, 41, 28},	//67 QsciAPIs::trUtf8(const char*)
    {48, 1038, 0, 0, Smoke::mf_const, 191, 29},	//68 QsciAPIs::isPrepared() const
    {48, 1069, 0, 0, 0, 191, 30},	//69 QsciAPIs::loadPrepared()
    {48, 1195, 0, 0, Smoke::mf_const, 191, 31},	//70 QsciAPIs::savePrepared() const
    {48, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 32},	//71 QsciAPIs::staticMetaObject() const
    {48, 1623, 0, 0, Smoke::mf_dtor, 0, 33 },	//72 QsciAPIs::~QsciAPIs()
    {49, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//73 QsciAbstractAPIs::metaObject() const
    {49, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//74 QsciAbstractAPIs::qt_metacast(const char*)
    {49, 1574, 42, 2, Smoke::mf_static, 41, 3},	//75 QsciAbstractAPIs::tr(const char*, const char*)
    {49, 1578, 42, 2, Smoke::mf_static, 41, 4},	//76 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {49, 1574, 45, 3, Smoke::mf_static, 41, 5},	//77 QsciAbstractAPIs::tr(const char*, const char*, int)
    {49, 1578, 45, 3, Smoke::mf_static, 41, 6},	//78 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {49, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//79 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {49, 454, 53, 1, Smoke::mf_ctor, 52, 8},	//80 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {49, 1057, 0, 0, Smoke::mf_const, 59, 9},	//81 QsciAbstractAPIs::lexer() const
    {49, 1585, 57, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//82 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {49, 813, 55, 1, Smoke::mf_virtual, 0, 11},	//83 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {49, 841, 60, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 42, 12},	//84 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {49, 1574, 12, 1, Smoke::mf_static, 41, 13},	//85 QsciAbstractAPIs::tr(const char*)
    {49, 1578, 12, 1, Smoke::mf_static, 41, 14},	//86 QsciAbstractAPIs::trUtf8(const char*)
    {49, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 15},	//87 QsciAbstractAPIs::staticMetaObject() const
    {49, 1624, 0, 0, Smoke::mf_dtor, 0, 16 },	//88 QsciAbstractAPIs::~QsciAbstractAPIs()
    {50, 873, 0, 0, Smoke::mf_const, 54, 1},	//89 QsciCommand::command() const
    {50, 939, 0, 0, 0, 0, 2},	//90 QsciCommand::execute()
    {50, 1399, 18, 1, 0, 0, 3},	//91 QsciCommand::setKey(int)
    {50, 1210, 18, 1, 0, 0, 4},	//92 QsciCommand::setAlternateKey(int)
    {50, 1046, 0, 0, Smoke::mf_const, 217, 5},	//93 QsciCommand::key() const
    {50, 787, 0, 0, Smoke::mf_const, 217, 6},	//94 QsciCommand::alternateKey() const
    {50, 1592, 18, 1, Smoke::mf_static, 191, 7},	//95 QsciCommand::validKey(int)
    {50, 903, 0, 0, Smoke::mf_const, 41, 8},	//96 QsciCommand::description() const
    {50, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 9},	//97 QsciCommand::LineDown (enum)
    {50, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 10},	//98 QsciCommand::LineDownExtend (enum)
    {50, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 11},	//99 QsciCommand::LineDownRectExtend (enum)
    {50, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 12},	//100 QsciCommand::LineScrollDown (enum)
    {50, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 13},	//101 QsciCommand::LineUp (enum)
    {50, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 14},	//102 QsciCommand::LineUpExtend (enum)
    {50, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 15},	//103 QsciCommand::LineUpRectExtend (enum)
    {50, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 16},	//104 QsciCommand::LineScrollUp (enum)
    {50, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 17},	//105 QsciCommand::ScrollToStart (enum)
    {50, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 18},	//106 QsciCommand::ScrollToEnd (enum)
    {50, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 19},	//107 QsciCommand::VerticalCentreCaret (enum)
    {50, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 20},	//108 QsciCommand::ParaDown (enum)
    {50, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 21},	//109 QsciCommand::ParaDownExtend (enum)
    {50, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 22},	//110 QsciCommand::ParaUp (enum)
    {50, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 23},	//111 QsciCommand::ParaUpExtend (enum)
    {50, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 24},	//112 QsciCommand::CharLeft (enum)
    {50, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 25},	//113 QsciCommand::CharLeftExtend (enum)
    {50, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 26},	//114 QsciCommand::CharLeftRectExtend (enum)
    {50, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 27},	//115 QsciCommand::CharRight (enum)
    {50, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 28},	//116 QsciCommand::CharRightExtend (enum)
    {50, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 29},	//117 QsciCommand::CharRightRectExtend (enum)
    {50, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 30},	//118 QsciCommand::WordLeft (enum)
    {50, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 31},	//119 QsciCommand::WordLeftExtend (enum)
    {50, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 32},	//120 QsciCommand::WordRight (enum)
    {50, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 33},	//121 QsciCommand::WordRightExtend (enum)
    {50, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 34},	//122 QsciCommand::WordLeftEnd (enum)
    {50, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 35},	//123 QsciCommand::WordLeftEndExtend (enum)
    {50, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 36},	//124 QsciCommand::WordRightEnd (enum)
    {50, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 37},	//125 QsciCommand::WordRightEndExtend (enum)
    {50, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 38},	//126 QsciCommand::WordPartLeft (enum)
    {50, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//127 QsciCommand::WordPartLeftExtend (enum)
    {50, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//128 QsciCommand::WordPartRight (enum)
    {50, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//129 QsciCommand::WordPartRightExtend (enum)
    {50, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//130 QsciCommand::Home (enum)
    {50, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//131 QsciCommand::HomeExtend (enum)
    {50, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 44},	//132 QsciCommand::HomeRectExtend (enum)
    {50, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 45},	//133 QsciCommand::HomeDisplay (enum)
    {50, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 46},	//134 QsciCommand::HomeDisplayExtend (enum)
    {50, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 47},	//135 QsciCommand::HomeWrap (enum)
    {50, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 48},	//136 QsciCommand::HomeWrapExtend (enum)
    {50, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 49},	//137 QsciCommand::VCHome (enum)
    {50, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 50},	//138 QsciCommand::VCHomeExtend (enum)
    {50, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 51},	//139 QsciCommand::VCHomeRectExtend (enum)
    {50, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 52},	//140 QsciCommand::VCHomeWrap (enum)
    {50, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 53},	//141 QsciCommand::VCHomeWrapExtend (enum)
    {50, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 54},	//142 QsciCommand::LineEnd (enum)
    {50, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 55},	//143 QsciCommand::LineEndExtend (enum)
    {50, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 56},	//144 QsciCommand::LineEndRectExtend (enum)
    {50, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 57},	//145 QsciCommand::LineEndDisplay (enum)
    {50, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 58},	//146 QsciCommand::LineEndDisplayExtend (enum)
    {50, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 59},	//147 QsciCommand::LineEndWrap (enum)
    {50, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 60},	//148 QsciCommand::LineEndWrapExtend (enum)
    {50, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 61},	//149 QsciCommand::DocumentStart (enum)
    {50, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 62},	//150 QsciCommand::DocumentStartExtend (enum)
    {50, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 63},	//151 QsciCommand::DocumentEnd (enum)
    {50, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 64},	//152 QsciCommand::DocumentEndExtend (enum)
    {50, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 65},	//153 QsciCommand::PageUp (enum)
    {50, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 66},	//154 QsciCommand::PageUpExtend (enum)
    {50, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 67},	//155 QsciCommand::PageUpRectExtend (enum)
    {50, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 68},	//156 QsciCommand::PageDown (enum)
    {50, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 69},	//157 QsciCommand::PageDownExtend (enum)
    {50, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 70},	//158 QsciCommand::PageDownRectExtend (enum)
    {50, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 71},	//159 QsciCommand::StutteredPageUp (enum)
    {50, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 72},	//160 QsciCommand::StutteredPageUpExtend (enum)
    {50, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 73},	//161 QsciCommand::StutteredPageDown (enum)
    {50, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 74},	//162 QsciCommand::StutteredPageDownExtend (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 75},	//163 QsciCommand::Delete (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 76},	//164 QsciCommand::DeleteBack (enum)
    {50, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 77},	//165 QsciCommand::DeleteBackNotLine (enum)
    {50, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 78},	//166 QsciCommand::DeleteWordLeft (enum)
    {50, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 79},	//167 QsciCommand::DeleteWordRight (enum)
    {50, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 80},	//168 QsciCommand::DeleteWordRightEnd (enum)
    {50, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 81},	//169 QsciCommand::DeleteLineLeft (enum)
    {50, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 82},	//170 QsciCommand::DeleteLineRight (enum)
    {50, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 83},	//171 QsciCommand::LineDelete (enum)
    {50, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 84},	//172 QsciCommand::LineCut (enum)
    {50, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 85},	//173 QsciCommand::LineCopy (enum)
    {50, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 86},	//174 QsciCommand::LineTranspose (enum)
    {50, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 87},	//175 QsciCommand::LineDuplicate (enum)
    {50, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 88},	//176 QsciCommand::SelectAll (enum)
    {50, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 89},	//177 QsciCommand::MoveSelectedLinesUp (enum)
    {50, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 90},	//178 QsciCommand::MoveSelectedLinesDown (enum)
    {50, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 91},	//179 QsciCommand::SelectionDuplicate (enum)
    {50, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 92},	//180 QsciCommand::SelectionLowerCase (enum)
    {50, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 93},	//181 QsciCommand::SelectionUpperCase (enum)
    {50, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 94},	//182 QsciCommand::SelectionCut (enum)
    {50, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 95},	//183 QsciCommand::SelectionCopy (enum)
    {50, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 96},	//184 QsciCommand::Paste (enum)
    {50, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 97},	//185 QsciCommand::EditToggleOvertype (enum)
    {50, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 98},	//186 QsciCommand::Newline (enum)
    {50, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 99},	//187 QsciCommand::Formfeed (enum)
    {50, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 100},	//188 QsciCommand::Tab (enum)
    {50, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 101},	//189 QsciCommand::Backtab (enum)
    {50, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 102},	//190 QsciCommand::Cancel (enum)
    {50, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 103},	//191 QsciCommand::Undo (enum)
    {50, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 104},	//192 QsciCommand::Redo (enum)
    {50, 780, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 105},	//193 QsciCommand::ZoomIn (enum)
    {50, 781, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 106},	//194 QsciCommand::ZoomOut (enum)
    {50, 1625, 0, 0, Smoke::mf_dtor, 0, 107 },	//195 QsciCommand::~QsciCommand()
    {51, 1163, 65, 2, 0, 191, 1},	//196 QsciCommandSet::readSettings(QSettings&, const char*)
    {51, 1613, 65, 2, 0, 191, 2},	//197 QsciCommandSet::writeSettings(QSettings&, const char*)
    {51, 876, 0, 0, 0, 19, 3},	//198 QsciCommandSet::commands()
    {51, 864, 0, 0, 0, 0, 4},	//199 QsciCommandSet::clearKeys()
    {51, 857, 0, 0, 0, 0, 5},	//200 QsciCommandSet::clearAlternateKeys()
    {51, 832, 18, 1, Smoke::mf_const, 53, 6},	//201 QsciCommandSet::boundTo(int) const
    {51, 944, 68, 1, Smoke::mf_const, 53, 7},	//202 QsciCommandSet::find(QsciCommand::Command) const
    {51, 1163, 70, 1, 0, 191, 8},	//203 QsciCommandSet::readSettings(QSettings&)
    {51, 1613, 70, 1, 0, 191, 9},	//204 QsciCommandSet::writeSettings(QSettings&)
    {52, 456, 0, 0, Smoke::mf_ctor, 58, 1},	//205 QsciDocument::QsciDocument()
    {52, 456, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//206 QsciDocument::QsciDocument(const QsciDocument&)
    {52, 1129, 72, 1, 0, 57, 3},	//207 QsciDocument::operator=(const QsciDocument&)
    {52, 1626, 0, 0, Smoke::mf_dtor, 0, 4 },	//208 QsciDocument::~QsciDocument()
    {53, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//209 QsciLexer::metaObject() const
    {53, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//210 QsciLexer::qt_metacast(const char*)
    {53, 1574, 42, 2, Smoke::mf_static, 41, 3},	//211 QsciLexer::tr(const char*, const char*)
    {53, 1578, 42, 2, Smoke::mf_static, 41, 4},	//212 QsciLexer::trUtf8(const char*, const char*)
    {53, 1574, 45, 3, Smoke::mf_static, 41, 5},	//213 QsciLexer::tr(const char*, const char*, int)
    {53, 1578, 45, 3, Smoke::mf_static, 41, 6},	//214 QsciLexer::trUtf8(const char*, const char*, int)
    {53, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//215 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {53, 458, 74, 1, Smoke::mf_ctor, 59, 8},	//216 QsciLexer::QsciLexer(QObject*)
    {53, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 215, 9},	//217 QsciLexer::language() const [pure virtual]
    {53, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//218 QsciLexer::lexer() const
    {53, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//219 QsciLexer::lexerId() const
    {53, 801, 0, 0, Smoke::mf_const, 52, 12},	//220 QsciLexer::apis() const
    {53, 810, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//221 QsciLexer::autoCompletionFillups() const
    {53, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 14},	//222 QsciLexer::autoCompletionWordSeparators() const
    {53, 821, 0, 0, 0, 217, 15},	//223 QsciLexer::autoIndentStyle()
    {53, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//224 QsciLexer::blockEnd(int*) const
    {53, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 17},	//225 QsciLexer::blockLookback() const
    {53, 828, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 18},	//226 QsciLexer::blockStart(int*) const
    {53, 830, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 19},	//227 QsciLexer::blockStartKeyword(int*) const
    {53, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 20},	//228 QsciLexer::braceStyle() const
    {53, 850, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 191, 21},	//229 QsciLexer::caseSensitive() const
    {53, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 22},	//230 QsciLexer::color(int) const
    {53, 930, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 23},	//231 QsciLexer::eolFill(int) const
    {53, 984, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 24},	//232 QsciLexer::font(int) const
    {53, 1011, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 25},	//233 QsciLexer::indentationGuideView() const
    {53, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 26},	//234 QsciLexer::keywords(int) const
    {53, 902, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 27},	//235 QsciLexer::defaultStyle() const
    {53, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 41, 28},	//236 QsciLexer::description(int) const [pure virtual]
    {53, 1136, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 29},	//237 QsciLexer::paper(int) const
    {53, 893, 0, 0, Smoke::mf_const, 6, 30},	//238 QsciLexer::defaultColor() const
    {53, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 31},	//239 QsciLexer::defaultColor(int) const
    {53, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 32},	//240 QsciLexer::defaultEolFill(int) const
    {53, 897, 0, 0, Smoke::mf_const, 14, 33},	//241 QsciLexer::defaultFont() const
    {53, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 34},	//242 QsciLexer::defaultFont(int) const
    {53, 899, 0, 0, Smoke::mf_const, 6, 35},	//243 QsciLexer::defaultPaper() const
    {53, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 36},	//244 QsciLexer::defaultPaper(int) const
    {53, 922, 0, 0, Smoke::mf_const, 93, 37},	//245 QsciLexer::editor() const
    {53, 1208, 78, 1, 0, 0, 38},	//246 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {53, 1273, 80, 1, 0, 0, 39},	//247 QsciLexer::setDefaultColor(const QColor&)
    {53, 1275, 40, 1, 0, 0, 40},	//248 QsciLexer::setDefaultFont(const QFont&)
    {53, 1277, 80, 1, 0, 0, 41},	//249 QsciLexer::setDefaultPaper(const QColor&)
    {53, 1295, 82, 1, Smoke::mf_virtual, 0, 42},	//250 QsciLexer::setEditor(QsciScintilla*)
    {53, 1163, 65, 2, 0, 191, 43},	//251 QsciLexer::readSettings(QSettings&, const char*)
    {53, 1171, 0, 0, Smoke::mf_virtual, 0, 44},	//252 QsciLexer::refreshProperties()
    {53, 1552, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 45},	//253 QsciLexer::styleBitsNeeded() const
    {53, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 46},	//254 QsciLexer::wordCharacters() const
    {53, 1613, 65, 2, Smoke::mf_const, 191, 47},	//255 QsciLexer::writeSettings(QSettings&, const char*) const
    {53, 1234, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//256 QsciLexer::setAutoIndentStyle(int)
    {53, 1266, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//257 QsciLexer::setColor(const QColor&, int)
    {53, 1297, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//258 QsciLexer::setEolFill(bool, int)
    {53, 1341, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//259 QsciLexer::setFont(const QFont&, int)
    {53, 1454, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//260 QsciLexer::setPaper(const QColor&, int)
    {53, 871, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//261 QsciLexer::colorChanged(const QColor&, int)
    {53, 932, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//262 QsciLexer::eolFillChanged(bool, int)
    {53, 987, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//263 QsciLexer::fontChanged(const QFont&, int)
    {53, 1138, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//264 QsciLexer::paperChanged(const QColor&, int)
    {53, 1152, 42, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//265 QsciLexer::propertyChanged(const char*, const char*)
    {53, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 58},	//266 QsciLexer::readProperties(QSettings&, const QString&)
    {53, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 59},	//267 QsciLexer::writeProperties(QSettings&, const QString&) const
    {53, 1574, 12, 1, Smoke::mf_static, 41, 60},	//268 QsciLexer::tr(const char*)
    {53, 1578, 12, 1, Smoke::mf_static, 41, 61},	//269 QsciLexer::trUtf8(const char*)
    {53, 458, 0, 0, Smoke::mf_ctor, 59, 62},	//270 QsciLexer::QsciLexer()
    {53, 825, 0, 0, Smoke::mf_const, 215, 63},	//271 QsciLexer::blockEnd() const
    {53, 828, 0, 0, Smoke::mf_const, 215, 64},	//272 QsciLexer::blockStart() const
    {53, 830, 0, 0, Smoke::mf_const, 215, 65},	//273 QsciLexer::blockStartKeyword() const
    {53, 1163, 70, 1, 0, 191, 66},	//274 QsciLexer::readSettings(QSettings&)
    {53, 1613, 70, 1, Smoke::mf_const, 191, 67},	//275 QsciLexer::writeSettings(QSettings&) const
    {53, 1266, 80, 1, Smoke::mf_slot, 0, 68},	//276 QsciLexer::setColor(const QColor&)
    {53, 1297, 16, 1, Smoke::mf_slot, 0, 69},	//277 QsciLexer::setEolFill(bool)
    {53, 1341, 40, 1, Smoke::mf_slot, 0, 70},	//278 QsciLexer::setFont(const QFont&)
    {53, 1454, 80, 1, Smoke::mf_slot, 0, 71},	//279 QsciLexer::setPaper(const QColor&)
    {53, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 72},	//280 QsciLexer::staticMetaObject() const
    {53, 1627, 0, 0, Smoke::mf_dtor, 0, 73 },	//281 QsciLexer::~QsciLexer()
    {54, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//282 QsciLexerBash::metaObject() const
    {54, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//283 QsciLexerBash::qt_metacast(const char*)
    {54, 1574, 42, 2, Smoke::mf_static, 41, 3},	//284 QsciLexerBash::tr(const char*, const char*)
    {54, 1578, 42, 2, Smoke::mf_static, 41, 4},	//285 QsciLexerBash::trUtf8(const char*, const char*)
    {54, 1574, 45, 3, Smoke::mf_static, 41, 5},	//286 QsciLexerBash::tr(const char*, const char*, int)
    {54, 1578, 45, 3, Smoke::mf_static, 41, 6},	//287 QsciLexerBash::trUtf8(const char*, const char*, int)
    {54, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//288 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {54, 460, 74, 1, Smoke::mf_ctor, 60, 8},	//289 QsciLexerBash::QsciLexerBash(QObject*)
    {54, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//290 QsciLexerBash::language() const
    {54, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//291 QsciLexerBash::lexer() const
    {54, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//292 QsciLexerBash::braceStyle() const
    {54, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//293 QsciLexerBash::wordCharacters() const
    {54, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//294 QsciLexerBash::defaultColor(int) const
    {54, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 14},	//295 QsciLexerBash::defaultEolFill(int) const
    {54, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//296 QsciLexerBash::defaultFont(int) const
    {54, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//297 QsciLexerBash::defaultPaper(int) const
    {54, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//298 QsciLexerBash::keywords(int) const
    {54, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 18},	//299 QsciLexerBash::description(int) const
    {54, 1171, 0, 0, Smoke::mf_virtual, 0, 19},	//300 QsciLexerBash::refreshProperties()
    {54, 971, 0, 0, Smoke::mf_const, 191, 20},	//301 QsciLexerBash::foldComments() const
    {54, 972, 0, 0, Smoke::mf_const, 191, 21},	//302 QsciLexerBash::foldCompact() const
    {54, 1316, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//303 QsciLexerBash::setFoldComments(bool)
    {54, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//304 QsciLexerBash::setFoldCompact(bool)
    {54, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 24},	//305 QsciLexerBash::readProperties(QSettings&, const QString&)
    {54, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 25},	//306 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {54, 1574, 12, 1, Smoke::mf_static, 41, 26},	//307 QsciLexerBash::tr(const char*)
    {54, 1578, 12, 1, Smoke::mf_static, 41, 27},	//308 QsciLexerBash::trUtf8(const char*)
    {54, 460, 0, 0, Smoke::mf_ctor, 60, 28},	//309 QsciLexerBash::QsciLexerBash()
    {54, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 29},	//310 QsciLexerBash::staticMetaObject() const
    {54, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//311 QsciLexerBash::Default (enum)
    {54, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//312 QsciLexerBash::Error (enum)
    {54, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//313 QsciLexerBash::Comment (enum)
    {54, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//314 QsciLexerBash::Number (enum)
    {54, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//315 QsciLexerBash::Keyword (enum)
    {54, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//316 QsciLexerBash::DoubleQuotedString (enum)
    {54, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//317 QsciLexerBash::SingleQuotedString (enum)
    {54, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//318 QsciLexerBash::Operator (enum)
    {54, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//319 QsciLexerBash::Identifier (enum)
    {54, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//320 QsciLexerBash::Scalar (enum)
    {54, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//321 QsciLexerBash::ParameterExpansion (enum)
    {54, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//322 QsciLexerBash::Backticks (enum)
    {54, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//323 QsciLexerBash::HereDocumentDelimiter (enum)
    {54, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//324 QsciLexerBash::SingleQuotedHereDocument (enum)
    {54, 1628, 0, 0, Smoke::mf_dtor, 0, 44 },	//325 QsciLexerBash::~QsciLexerBash()
    {55, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//326 QsciLexerBatch::metaObject() const
    {55, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//327 QsciLexerBatch::qt_metacast(const char*)
    {55, 1574, 42, 2, Smoke::mf_static, 41, 3},	//328 QsciLexerBatch::tr(const char*, const char*)
    {55, 1578, 42, 2, Smoke::mf_static, 41, 4},	//329 QsciLexerBatch::trUtf8(const char*, const char*)
    {55, 1574, 45, 3, Smoke::mf_static, 41, 5},	//330 QsciLexerBatch::tr(const char*, const char*, int)
    {55, 1578, 45, 3, Smoke::mf_static, 41, 6},	//331 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {55, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//332 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {55, 462, 74, 1, Smoke::mf_ctor, 61, 8},	//333 QsciLexerBatch::QsciLexerBatch(QObject*)
    {55, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//334 QsciLexerBatch::language() const
    {55, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//335 QsciLexerBatch::lexer() const
    {55, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//336 QsciLexerBatch::wordCharacters() const
    {55, 850, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 191, 12},	//337 QsciLexerBatch::caseSensitive() const
    {55, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//338 QsciLexerBatch::defaultColor(int) const
    {55, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 14},	//339 QsciLexerBatch::defaultEolFill(int) const
    {55, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//340 QsciLexerBatch::defaultFont(int) const
    {55, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//341 QsciLexerBatch::defaultPaper(int) const
    {55, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//342 QsciLexerBatch::keywords(int) const
    {55, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 18},	//343 QsciLexerBatch::description(int) const
    {55, 1574, 12, 1, Smoke::mf_static, 41, 19},	//344 QsciLexerBatch::tr(const char*)
    {55, 1578, 12, 1, Smoke::mf_static, 41, 20},	//345 QsciLexerBatch::trUtf8(const char*)
    {55, 462, 0, 0, Smoke::mf_ctor, 61, 21},	//346 QsciLexerBatch::QsciLexerBatch()
    {55, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 22},	//347 QsciLexerBatch::staticMetaObject() const
    {55, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 23},	//348 QsciLexerBatch::Default (enum)
    {55, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 24},	//349 QsciLexerBatch::Comment (enum)
    {55, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 25},	//350 QsciLexerBatch::Keyword (enum)
    {55, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 26},	//351 QsciLexerBatch::Label (enum)
    {55, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//352 QsciLexerBatch::HideCommandChar (enum)
    {55, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//353 QsciLexerBatch::ExternalCommand (enum)
    {55, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//354 QsciLexerBatch::Variable (enum)
    {55, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//355 QsciLexerBatch::Operator (enum)
    {55, 1629, 0, 0, Smoke::mf_dtor, 0, 31 },	//356 QsciLexerBatch::~QsciLexerBatch()
    {56, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//357 QsciLexerCMake::metaObject() const
    {56, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//358 QsciLexerCMake::qt_metacast(const char*)
    {56, 1574, 42, 2, Smoke::mf_static, 41, 3},	//359 QsciLexerCMake::tr(const char*, const char*)
    {56, 1578, 42, 2, Smoke::mf_static, 41, 4},	//360 QsciLexerCMake::trUtf8(const char*, const char*)
    {56, 1574, 45, 3, Smoke::mf_static, 41, 5},	//361 QsciLexerCMake::tr(const char*, const char*, int)
    {56, 1578, 45, 3, Smoke::mf_static, 41, 6},	//362 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {56, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//363 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {56, 464, 74, 1, Smoke::mf_ctor, 62, 8},	//364 QsciLexerCMake::QsciLexerCMake(QObject*)
    {56, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//365 QsciLexerCMake::language() const
    {56, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//366 QsciLexerCMake::lexer() const
    {56, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//367 QsciLexerCMake::defaultColor(int) const
    {56, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//368 QsciLexerCMake::defaultFont(int) const
    {56, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//369 QsciLexerCMake::defaultPaper(int) const
    {56, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//370 QsciLexerCMake::keywords(int) const
    {56, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 15},	//371 QsciLexerCMake::description(int) const
    {56, 1171, 0, 0, Smoke::mf_virtual, 0, 16},	//372 QsciLexerCMake::refreshProperties()
    {56, 969, 0, 0, Smoke::mf_const, 191, 17},	//373 QsciLexerCMake::foldAtElse() const
    {56, 1312, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//374 QsciLexerCMake::setFoldAtElse(bool)
    {56, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 19},	//375 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {56, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 20},	//376 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {56, 1574, 12, 1, Smoke::mf_static, 41, 21},	//377 QsciLexerCMake::tr(const char*)
    {56, 1578, 12, 1, Smoke::mf_static, 41, 22},	//378 QsciLexerCMake::trUtf8(const char*)
    {56, 464, 0, 0, Smoke::mf_ctor, 62, 23},	//379 QsciLexerCMake::QsciLexerCMake()
    {56, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 24},	//380 QsciLexerCMake::staticMetaObject() const
    {56, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 25},	//381 QsciLexerCMake::Default (enum)
    {56, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 26},	//382 QsciLexerCMake::Comment (enum)
    {56, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//383 QsciLexerCMake::String (enum)
    {56, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//384 QsciLexerCMake::StringLeftQuote (enum)
    {56, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//385 QsciLexerCMake::StringRightQuote (enum)
    {56, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//386 QsciLexerCMake::Function (enum)
    {56, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//387 QsciLexerCMake::Variable (enum)
    {56, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//388 QsciLexerCMake::Label (enum)
    {56, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//389 QsciLexerCMake::KeywordSet3 (enum)
    {56, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//390 QsciLexerCMake::BlockWhile (enum)
    {56, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//391 QsciLexerCMake::BlockForeach (enum)
    {56, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//392 QsciLexerCMake::BlockIf (enum)
    {56, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//393 QsciLexerCMake::BlockMacro (enum)
    {56, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//394 QsciLexerCMake::StringVariable (enum)
    {56, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//395 QsciLexerCMake::Number (enum)
    {56, 1630, 0, 0, Smoke::mf_dtor, 0, 40 },	//396 QsciLexerCMake::~QsciLexerCMake()
    {57, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//397 QsciLexerCPP::metaObject() const
    {57, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//398 QsciLexerCPP::qt_metacast(const char*)
    {57, 1574, 42, 2, Smoke::mf_static, 41, 3},	//399 QsciLexerCPP::tr(const char*, const char*)
    {57, 1578, 42, 2, Smoke::mf_static, 41, 4},	//400 QsciLexerCPP::trUtf8(const char*, const char*)
    {57, 1574, 45, 3, Smoke::mf_static, 41, 5},	//401 QsciLexerCPP::tr(const char*, const char*, int)
    {57, 1578, 45, 3, Smoke::mf_static, 41, 6},	//402 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {57, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//403 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {57, 466, 96, 2, Smoke::mf_ctor, 63, 8},	//404 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {57, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//405 QsciLexerCPP::language() const
    {57, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//406 QsciLexerCPP::lexer() const
    {57, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//407 QsciLexerCPP::autoCompletionWordSeparators() const
    {57, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//408 QsciLexerCPP::blockEnd(int*) const
    {57, 828, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//409 QsciLexerCPP::blockStart(int*) const
    {57, 830, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//410 QsciLexerCPP::blockStartKeyword(int*) const
    {57, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 15},	//411 QsciLexerCPP::braceStyle() const
    {57, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//412 QsciLexerCPP::wordCharacters() const
    {57, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//413 QsciLexerCPP::defaultColor(int) const
    {57, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 18},	//414 QsciLexerCPP::defaultEolFill(int) const
    {57, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//415 QsciLexerCPP::defaultFont(int) const
    {57, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//416 QsciLexerCPP::defaultPaper(int) const
    {57, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 21},	//417 QsciLexerCPP::keywords(int) const
    {57, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 22},	//418 QsciLexerCPP::description(int) const
    {57, 1171, 0, 0, Smoke::mf_virtual, 0, 23},	//419 QsciLexerCPP::refreshProperties()
    {57, 969, 0, 0, Smoke::mf_const, 191, 24},	//420 QsciLexerCPP::foldAtElse() const
    {57, 971, 0, 0, Smoke::mf_const, 191, 25},	//421 QsciLexerCPP::foldComments() const
    {57, 972, 0, 0, Smoke::mf_const, 191, 26},	//422 QsciLexerCPP::foldCompact() const
    {57, 979, 0, 0, Smoke::mf_const, 191, 27},	//423 QsciLexerCPP::foldPreprocessor() const
    {57, 1554, 0, 0, Smoke::mf_const, 191, 28},	//424 QsciLexerCPP::stylePreprocessor() const
    {57, 1285, 16, 1, 0, 0, 29},	//425 QsciLexerCPP::setDollarsAllowed(bool)
    {57, 909, 0, 0, Smoke::mf_const, 191, 30},	//426 QsciLexerCPP::dollarsAllowed() const
    {57, 1356, 16, 1, 0, 0, 31},	//427 QsciLexerCPP::setHighlightTripleQuotedStrings(bool)
    {57, 1005, 0, 0, Smoke::mf_const, 191, 32},	//428 QsciLexerCPP::highlightTripleQuotedStrings() const
    {57, 1352, 16, 1, 0, 0, 33},	//429 QsciLexerCPP::setHighlightHashQuotedStrings(bool)
    {57, 1003, 0, 0, Smoke::mf_const, 191, 34},	//430 QsciLexerCPP::highlightHashQuotedStrings() const
    {57, 1348, 16, 1, 0, 0, 35},	//431 QsciLexerCPP::setHighlightBackQuotedStrings(bool)
    {57, 1001, 0, 0, Smoke::mf_const, 191, 36},	//432 QsciLexerCPP::highlightBackQuotedStrings() const
    {57, 1350, 16, 1, 0, 0, 37},	//433 QsciLexerCPP::setHighlightEscapeSequences(bool)
    {57, 1002, 0, 0, Smoke::mf_const, 191, 38},	//434 QsciLexerCPP::highlightEscapeSequences() const
    {57, 1519, 16, 1, 0, 0, 39},	//435 QsciLexerCPP::setVerbatimStringEscapeSequencesAllowed(bool)
    {57, 1594, 0, 0, Smoke::mf_const, 191, 40},	//436 QsciLexerCPP::verbatimStringEscapeSequencesAllowed() const
    {57, 1312, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 41},	//437 QsciLexerCPP::setFoldAtElse(bool)
    {57, 1316, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//438 QsciLexerCPP::setFoldComments(bool)
    {57, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//439 QsciLexerCPP::setFoldCompact(bool)
    {57, 1330, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 44},	//440 QsciLexerCPP::setFoldPreprocessor(bool)
    {57, 1488, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 45},	//441 QsciLexerCPP::setStylePreprocessor(bool)
    {57, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 46},	//442 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {57, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 47},	//443 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {57, 1574, 12, 1, Smoke::mf_static, 41, 48},	//444 QsciLexerCPP::tr(const char*)
    {57, 1578, 12, 1, Smoke::mf_static, 41, 49},	//445 QsciLexerCPP::trUtf8(const char*)
    {57, 466, 0, 0, Smoke::mf_ctor, 63, 50},	//446 QsciLexerCPP::QsciLexerCPP()
    {57, 466, 74, 1, Smoke::mf_ctor, 63, 51},	//447 QsciLexerCPP::QsciLexerCPP(QObject*)
    {57, 825, 0, 0, Smoke::mf_const, 215, 52},	//448 QsciLexerCPP::blockEnd() const
    {57, 828, 0, 0, Smoke::mf_const, 215, 53},	//449 QsciLexerCPP::blockStart() const
    {57, 830, 0, 0, Smoke::mf_const, 215, 54},	//450 QsciLexerCPP::blockStartKeyword() const
    {57, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 55},	//451 QsciLexerCPP::staticMetaObject() const
    {57, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//452 QsciLexerCPP::Default (enum)
    {57, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//453 QsciLexerCPP::InactiveDefault (enum)
    {57, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//454 QsciLexerCPP::Comment (enum)
    {57, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//455 QsciLexerCPP::InactiveComment (enum)
    {57, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//456 QsciLexerCPP::CommentLine (enum)
    {57, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//457 QsciLexerCPP::InactiveCommentLine (enum)
    {57, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//458 QsciLexerCPP::CommentDoc (enum)
    {57, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 63},	//459 QsciLexerCPP::InactiveCommentDoc (enum)
    {57, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 64},	//460 QsciLexerCPP::Number (enum)
    {57, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 65},	//461 QsciLexerCPP::InactiveNumber (enum)
    {57, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 66},	//462 QsciLexerCPP::Keyword (enum)
    {57, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 67},	//463 QsciLexerCPP::InactiveKeyword (enum)
    {57, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 68},	//464 QsciLexerCPP::DoubleQuotedString (enum)
    {57, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 69},	//465 QsciLexerCPP::InactiveDoubleQuotedString (enum)
    {57, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 70},	//466 QsciLexerCPP::SingleQuotedString (enum)
    {57, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 71},	//467 QsciLexerCPP::InactiveSingleQuotedString (enum)
    {57, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 72},	//468 QsciLexerCPP::UUID (enum)
    {57, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 73},	//469 QsciLexerCPP::InactiveUUID (enum)
    {57, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 74},	//470 QsciLexerCPP::PreProcessor (enum)
    {57, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 75},	//471 QsciLexerCPP::InactivePreProcessor (enum)
    {57, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 76},	//472 QsciLexerCPP::Operator (enum)
    {57, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 77},	//473 QsciLexerCPP::InactiveOperator (enum)
    {57, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 78},	//474 QsciLexerCPP::Identifier (enum)
    {57, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 79},	//475 QsciLexerCPP::InactiveIdentifier (enum)
    {57, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 80},	//476 QsciLexerCPP::UnclosedString (enum)
    {57, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 81},	//477 QsciLexerCPP::InactiveUnclosedString (enum)
    {57, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 82},	//478 QsciLexerCPP::VerbatimString (enum)
    {57, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 83},	//479 QsciLexerCPP::InactiveVerbatimString (enum)
    {57, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 84},	//480 QsciLexerCPP::Regex (enum)
    {57, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 85},	//481 QsciLexerCPP::InactiveRegex (enum)
    {57, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 86},	//482 QsciLexerCPP::CommentLineDoc (enum)
    {57, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 87},	//483 QsciLexerCPP::InactiveCommentLineDoc (enum)
    {57, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 88},	//484 QsciLexerCPP::KeywordSet2 (enum)
    {57, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 89},	//485 QsciLexerCPP::InactiveKeywordSet2 (enum)
    {57, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 90},	//486 QsciLexerCPP::CommentDocKeyword (enum)
    {57, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 91},	//487 QsciLexerCPP::InactiveCommentDocKeyword (enum)
    {57, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 92},	//488 QsciLexerCPP::CommentDocKeywordError (enum)
    {57, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 93},	//489 QsciLexerCPP::InactiveCommentDocKeywordError (enum)
    {57, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 94},	//490 QsciLexerCPP::GlobalClass (enum)
    {57, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 95},	//491 QsciLexerCPP::InactiveGlobalClass (enum)
    {57, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 96},	//492 QsciLexerCPP::RawString (enum)
    {57, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 97},	//493 QsciLexerCPP::InactiveRawString (enum)
    {57, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 98},	//494 QsciLexerCPP::TripleQuotedVerbatimString (enum)
    {57, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 99},	//495 QsciLexerCPP::InactiveTripleQuotedVerbatimString (enum)
    {57, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 100},	//496 QsciLexerCPP::HashQuotedString (enum)
    {57, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 101},	//497 QsciLexerCPP::InactiveHashQuotedString (enum)
    {57, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 102},	//498 QsciLexerCPP::PreProcessorComment (enum)
    {57, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 103},	//499 QsciLexerCPP::InactivePreProcessorComment (enum)
    {57, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 104},	//500 QsciLexerCPP::PreProcessorCommentLineDoc (enum)
    {57, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 105},	//501 QsciLexerCPP::InactivePreProcessorCommentLineDoc (enum)
    {57, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 106},	//502 QsciLexerCPP::UserLiteral (enum)
    {57, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 107},	//503 QsciLexerCPP::InactiveUserLiteral (enum)
    {57, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 108},	//504 QsciLexerCPP::TaskMarker (enum)
    {57, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 109},	//505 QsciLexerCPP::InactiveTaskMarker (enum)
    {57, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 110},	//506 QsciLexerCPP::EscapeSequence (enum)
    {57, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 111},	//507 QsciLexerCPP::InactiveEscapeSequence (enum)
    {57, 1631, 0, 0, Smoke::mf_dtor, 0, 112 },	//508 QsciLexerCPP::~QsciLexerCPP()
    {58, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//509 QsciLexerCSS::metaObject() const
    {58, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//510 QsciLexerCSS::qt_metacast(const char*)
    {58, 1574, 42, 2, Smoke::mf_static, 41, 3},	//511 QsciLexerCSS::tr(const char*, const char*)
    {58, 1578, 42, 2, Smoke::mf_static, 41, 4},	//512 QsciLexerCSS::trUtf8(const char*, const char*)
    {58, 1574, 45, 3, Smoke::mf_static, 41, 5},	//513 QsciLexerCSS::tr(const char*, const char*, int)
    {58, 1578, 45, 3, Smoke::mf_static, 41, 6},	//514 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {58, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//515 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {58, 469, 74, 1, Smoke::mf_ctor, 64, 8},	//516 QsciLexerCSS::QsciLexerCSS(QObject*)
    {58, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//517 QsciLexerCSS::language() const
    {58, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//518 QsciLexerCSS::lexer() const
    {58, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//519 QsciLexerCSS::blockEnd(int*) const
    {58, 828, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//520 QsciLexerCSS::blockStart(int*) const
    {58, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//521 QsciLexerCSS::wordCharacters() const
    {58, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//522 QsciLexerCSS::defaultColor(int) const
    {58, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//523 QsciLexerCSS::defaultFont(int) const
    {58, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//524 QsciLexerCSS::keywords(int) const
    {58, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 17},	//525 QsciLexerCSS::description(int) const
    {58, 1171, 0, 0, Smoke::mf_virtual, 0, 18},	//526 QsciLexerCSS::refreshProperties()
    {58, 971, 0, 0, Smoke::mf_const, 191, 19},	//527 QsciLexerCSS::foldComments() const
    {58, 972, 0, 0, Smoke::mf_const, 191, 20},	//528 QsciLexerCSS::foldCompact() const
    {58, 1344, 16, 1, 0, 0, 21},	//529 QsciLexerCSS::setHSSLanguage(bool)
    {58, 228, 0, 0, Smoke::mf_const, 191, 22},	//530 QsciLexerCSS::HSSLanguage() const
    {58, 1401, 16, 1, 0, 0, 23},	//531 QsciLexerCSS::setLessLanguage(bool)
    {58, 326, 0, 0, Smoke::mf_const, 191, 24},	//532 QsciLexerCSS::LessLanguage() const
    {58, 1465, 16, 1, 0, 0, 25},	//533 QsciLexerCSS::setSCSSLanguage(bool)
    {58, 613, 0, 0, Smoke::mf_const, 191, 26},	//534 QsciLexerCSS::SCSSLanguage() const
    {58, 1316, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//535 QsciLexerCSS::setFoldComments(bool)
    {58, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//536 QsciLexerCSS::setFoldCompact(bool)
    {58, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 29},	//537 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {58, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 30},	//538 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {58, 1574, 12, 1, Smoke::mf_static, 41, 31},	//539 QsciLexerCSS::tr(const char*)
    {58, 1578, 12, 1, Smoke::mf_static, 41, 32},	//540 QsciLexerCSS::trUtf8(const char*)
    {58, 469, 0, 0, Smoke::mf_ctor, 64, 33},	//541 QsciLexerCSS::QsciLexerCSS()
    {58, 825, 0, 0, Smoke::mf_const, 215, 34},	//542 QsciLexerCSS::blockEnd() const
    {58, 828, 0, 0, Smoke::mf_const, 215, 35},	//543 QsciLexerCSS::blockStart() const
    {58, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 36},	//544 QsciLexerCSS::staticMetaObject() const
    {58, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//545 QsciLexerCSS::Default (enum)
    {58, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//546 QsciLexerCSS::Tag (enum)
    {58, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//547 QsciLexerCSS::ClassSelector (enum)
    {58, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//548 QsciLexerCSS::PseudoClass (enum)
    {58, 728, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//549 QsciLexerCSS::UnknownPseudoClass (enum)
    {58, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//550 QsciLexerCSS::Operator (enum)
    {58, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//551 QsciLexerCSS::CSS1Property (enum)
    {58, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//552 QsciLexerCSS::UnknownProperty (enum)
    {58, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//553 QsciLexerCSS::Value (enum)
    {58, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//554 QsciLexerCSS::Comment (enum)
    {58, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//555 QsciLexerCSS::IDSelector (enum)
    {58, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//556 QsciLexerCSS::Important (enum)
    {58, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//557 QsciLexerCSS::AtRule (enum)
    {58, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//558 QsciLexerCSS::DoubleQuotedString (enum)
    {58, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//559 QsciLexerCSS::SingleQuotedString (enum)
    {58, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//560 QsciLexerCSS::CSS2Property (enum)
    {58, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//561 QsciLexerCSS::Attribute (enum)
    {58, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//562 QsciLexerCSS::CSS3Property (enum)
    {58, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//563 QsciLexerCSS::PseudoElement (enum)
    {58, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//564 QsciLexerCSS::ExtendedCSSProperty (enum)
    {58, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//565 QsciLexerCSS::ExtendedPseudoClass (enum)
    {58, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//566 QsciLexerCSS::ExtendedPseudoElement (enum)
    {58, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//567 QsciLexerCSS::MediaRule (enum)
    {58, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//568 QsciLexerCSS::Variable (enum)
    {58, 1632, 0, 0, Smoke::mf_dtor, 0, 61 },	//569 QsciLexerCSS::~QsciLexerCSS()
    {59, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//570 QsciLexerCSharp::metaObject() const
    {59, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//571 QsciLexerCSharp::qt_metacast(const char*)
    {59, 1574, 42, 2, Smoke::mf_static, 41, 3},	//572 QsciLexerCSharp::tr(const char*, const char*)
    {59, 1578, 42, 2, Smoke::mf_static, 41, 4},	//573 QsciLexerCSharp::trUtf8(const char*, const char*)
    {59, 1574, 45, 3, Smoke::mf_static, 41, 5},	//574 QsciLexerCSharp::tr(const char*, const char*, int)
    {59, 1578, 45, 3, Smoke::mf_static, 41, 6},	//575 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {59, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//576 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {59, 471, 74, 1, Smoke::mf_ctor, 65, 8},	//577 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {59, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//578 QsciLexerCSharp::language() const
    {59, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//579 QsciLexerCSharp::defaultColor(int) const
    {59, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 11},	//580 QsciLexerCSharp::defaultEolFill(int) const
    {59, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//581 QsciLexerCSharp::defaultFont(int) const
    {59, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//582 QsciLexerCSharp::defaultPaper(int) const
    {59, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//583 QsciLexerCSharp::keywords(int) const
    {59, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 15},	//584 QsciLexerCSharp::description(int) const
    {59, 1574, 12, 1, Smoke::mf_static, 41, 16},	//585 QsciLexerCSharp::tr(const char*)
    {59, 1578, 12, 1, Smoke::mf_static, 41, 17},	//586 QsciLexerCSharp::trUtf8(const char*)
    {59, 471, 0, 0, Smoke::mf_ctor, 65, 18},	//587 QsciLexerCSharp::QsciLexerCSharp()
    {59, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 19},	//588 QsciLexerCSharp::staticMetaObject() const
    {59, 1633, 0, 0, Smoke::mf_dtor, 0, 20 },	//589 QsciLexerCSharp::~QsciLexerCSharp()
    {60, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//590 QsciLexerCustom::metaObject() const
    {60, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//591 QsciLexerCustom::qt_metacast(const char*)
    {60, 1574, 42, 2, Smoke::mf_static, 41, 3},	//592 QsciLexerCustom::tr(const char*, const char*)
    {60, 1578, 42, 2, Smoke::mf_static, 41, 4},	//593 QsciLexerCustom::trUtf8(const char*, const char*)
    {60, 1574, 45, 3, Smoke::mf_static, 41, 5},	//594 QsciLexerCustom::tr(const char*, const char*, int)
    {60, 1578, 45, 3, Smoke::mf_static, 41, 6},	//595 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {60, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//596 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {60, 473, 74, 1, Smoke::mf_ctor, 66, 8},	//597 QsciLexerCustom::QsciLexerCustom(QObject*)
    {60, 1490, 99, 2, 0, 0, 9},	//598 QsciLexerCustom::setStyling(int, int)
    {60, 1490, 102, 2, 0, 0, 10},	//599 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {60, 1546, 99, 2, 0, 0, 11},	//600 QsciLexerCustom::startStyling(int, int)
    {60, 1555, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//601 QsciLexerCustom::styleText(int, int) [pure virtual]
    {60, 1295, 82, 1, Smoke::mf_virtual, 0, 13},	//602 QsciLexerCustom::setEditor(QsciScintilla*)
    {60, 1552, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 14},	//603 QsciLexerCustom::styleBitsNeeded() const
    {60, 1574, 12, 1, Smoke::mf_static, 41, 15},	//604 QsciLexerCustom::tr(const char*)
    {60, 1578, 12, 1, Smoke::mf_static, 41, 16},	//605 QsciLexerCustom::trUtf8(const char*)
    {60, 473, 0, 0, Smoke::mf_ctor, 66, 17},	//606 QsciLexerCustom::QsciLexerCustom()
    {60, 1546, 18, 1, 0, 0, 18},	//607 QsciLexerCustom::startStyling(int)
    {60, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 19},	//608 QsciLexerCustom::staticMetaObject() const
    {60, 1634, 0, 0, Smoke::mf_dtor, 0, 20 },	//609 QsciLexerCustom::~QsciLexerCustom()
    {61, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//610 QsciLexerD::metaObject() const
    {61, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//611 QsciLexerD::qt_metacast(const char*)
    {61, 1574, 42, 2, Smoke::mf_static, 41, 3},	//612 QsciLexerD::tr(const char*, const char*)
    {61, 1578, 42, 2, Smoke::mf_static, 41, 4},	//613 QsciLexerD::trUtf8(const char*, const char*)
    {61, 1574, 45, 3, Smoke::mf_static, 41, 5},	//614 QsciLexerD::tr(const char*, const char*, int)
    {61, 1578, 45, 3, Smoke::mf_static, 41, 6},	//615 QsciLexerD::trUtf8(const char*, const char*, int)
    {61, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//616 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {61, 475, 74, 1, Smoke::mf_ctor, 67, 8},	//617 QsciLexerD::QsciLexerD(QObject*)
    {61, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//618 QsciLexerD::language() const
    {61, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//619 QsciLexerD::lexer() const
    {61, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//620 QsciLexerD::autoCompletionWordSeparators() const
    {61, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//621 QsciLexerD::blockEnd(int*) const
    {61, 828, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//622 QsciLexerD::blockStart(int*) const
    {61, 830, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//623 QsciLexerD::blockStartKeyword(int*) const
    {61, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 15},	//624 QsciLexerD::braceStyle() const
    {61, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//625 QsciLexerD::wordCharacters() const
    {61, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//626 QsciLexerD::defaultColor(int) const
    {61, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 18},	//627 QsciLexerD::defaultEolFill(int) const
    {61, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//628 QsciLexerD::defaultFont(int) const
    {61, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//629 QsciLexerD::defaultPaper(int) const
    {61, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 21},	//630 QsciLexerD::keywords(int) const
    {61, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 22},	//631 QsciLexerD::description(int) const
    {61, 1171, 0, 0, Smoke::mf_virtual, 0, 23},	//632 QsciLexerD::refreshProperties()
    {61, 969, 0, 0, Smoke::mf_const, 191, 24},	//633 QsciLexerD::foldAtElse() const
    {61, 971, 0, 0, Smoke::mf_const, 191, 25},	//634 QsciLexerD::foldComments() const
    {61, 972, 0, 0, Smoke::mf_const, 191, 26},	//635 QsciLexerD::foldCompact() const
    {61, 1312, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//636 QsciLexerD::setFoldAtElse(bool)
    {61, 1316, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//637 QsciLexerD::setFoldComments(bool)
    {61, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//638 QsciLexerD::setFoldCompact(bool)
    {61, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 30},	//639 QsciLexerD::readProperties(QSettings&, const QString&)
    {61, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 31},	//640 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {61, 1574, 12, 1, Smoke::mf_static, 41, 32},	//641 QsciLexerD::tr(const char*)
    {61, 1578, 12, 1, Smoke::mf_static, 41, 33},	//642 QsciLexerD::trUtf8(const char*)
    {61, 475, 0, 0, Smoke::mf_ctor, 67, 34},	//643 QsciLexerD::QsciLexerD()
    {61, 825, 0, 0, Smoke::mf_const, 215, 35},	//644 QsciLexerD::blockEnd() const
    {61, 828, 0, 0, Smoke::mf_const, 215, 36},	//645 QsciLexerD::blockStart() const
    {61, 830, 0, 0, Smoke::mf_const, 215, 37},	//646 QsciLexerD::blockStartKeyword() const
    {61, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 38},	//647 QsciLexerD::staticMetaObject() const
    {61, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//648 QsciLexerD::Default (enum)
    {61, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//649 QsciLexerD::Comment (enum)
    {61, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//650 QsciLexerD::CommentLine (enum)
    {61, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//651 QsciLexerD::CommentDoc (enum)
    {61, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//652 QsciLexerD::CommentNested (enum)
    {61, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//653 QsciLexerD::Number (enum)
    {61, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//654 QsciLexerD::Keyword (enum)
    {61, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//655 QsciLexerD::KeywordSecondary (enum)
    {61, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//656 QsciLexerD::KeywordDoc (enum)
    {61, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//657 QsciLexerD::Typedefs (enum)
    {61, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//658 QsciLexerD::String (enum)
    {61, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//659 QsciLexerD::UnclosedString (enum)
    {61, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//660 QsciLexerD::Character (enum)
    {61, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//661 QsciLexerD::Operator (enum)
    {61, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//662 QsciLexerD::Identifier (enum)
    {61, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//663 QsciLexerD::CommentLineDoc (enum)
    {61, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//664 QsciLexerD::CommentDocKeyword (enum)
    {61, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//665 QsciLexerD::CommentDocKeywordError (enum)
    {61, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//666 QsciLexerD::BackquoteString (enum)
    {61, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//667 QsciLexerD::RawString (enum)
    {61, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//668 QsciLexerD::KeywordSet5 (enum)
    {61, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//669 QsciLexerD::KeywordSet6 (enum)
    {61, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//670 QsciLexerD::KeywordSet7 (enum)
    {61, 1635, 0, 0, Smoke::mf_dtor, 0, 62 },	//671 QsciLexerD::~QsciLexerD()
    {62, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//672 QsciLexerDiff::metaObject() const
    {62, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//673 QsciLexerDiff::qt_metacast(const char*)
    {62, 1574, 42, 2, Smoke::mf_static, 41, 3},	//674 QsciLexerDiff::tr(const char*, const char*)
    {62, 1578, 42, 2, Smoke::mf_static, 41, 4},	//675 QsciLexerDiff::trUtf8(const char*, const char*)
    {62, 1574, 45, 3, Smoke::mf_static, 41, 5},	//676 QsciLexerDiff::tr(const char*, const char*, int)
    {62, 1578, 45, 3, Smoke::mf_static, 41, 6},	//677 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {62, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//678 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {62, 477, 74, 1, Smoke::mf_ctor, 68, 8},	//679 QsciLexerDiff::QsciLexerDiff(QObject*)
    {62, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//680 QsciLexerDiff::language() const
    {62, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//681 QsciLexerDiff::lexer() const
    {62, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//682 QsciLexerDiff::wordCharacters() const
    {62, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//683 QsciLexerDiff::defaultColor(int) const
    {62, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 13},	//684 QsciLexerDiff::description(int) const
    {62, 1574, 12, 1, Smoke::mf_static, 41, 14},	//685 QsciLexerDiff::tr(const char*)
    {62, 1578, 12, 1, Smoke::mf_static, 41, 15},	//686 QsciLexerDiff::trUtf8(const char*)
    {62, 477, 0, 0, Smoke::mf_ctor, 68, 16},	//687 QsciLexerDiff::QsciLexerDiff()
    {62, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 17},	//688 QsciLexerDiff::staticMetaObject() const
    {62, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 18},	//689 QsciLexerDiff::Default (enum)
    {62, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 19},	//690 QsciLexerDiff::Comment (enum)
    {62, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 20},	//691 QsciLexerDiff::Command (enum)
    {62, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 21},	//692 QsciLexerDiff::Header (enum)
    {62, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 22},	//693 QsciLexerDiff::Position (enum)
    {62, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 23},	//694 QsciLexerDiff::LineRemoved (enum)
    {62, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 24},	//695 QsciLexerDiff::LineAdded (enum)
    {62, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 25},	//696 QsciLexerDiff::LineChanged (enum)
    {62, 1636, 0, 0, Smoke::mf_dtor, 0, 26 },	//697 QsciLexerDiff::~QsciLexerDiff()
    {63, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//698 QsciLexerFortran::metaObject() const
    {63, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//699 QsciLexerFortran::qt_metacast(const char*)
    {63, 1574, 42, 2, Smoke::mf_static, 41, 3},	//700 QsciLexerFortran::tr(const char*, const char*)
    {63, 1578, 42, 2, Smoke::mf_static, 41, 4},	//701 QsciLexerFortran::trUtf8(const char*, const char*)
    {63, 1574, 45, 3, Smoke::mf_static, 41, 5},	//702 QsciLexerFortran::tr(const char*, const char*, int)
    {63, 1578, 45, 3, Smoke::mf_static, 41, 6},	//703 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {63, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//704 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {63, 479, 74, 1, Smoke::mf_ctor, 69, 8},	//705 QsciLexerFortran::QsciLexerFortran(QObject*)
    {63, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//706 QsciLexerFortran::language() const
    {63, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//707 QsciLexerFortran::lexer() const
    {63, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//708 QsciLexerFortran::keywords(int) const
    {63, 1574, 12, 1, Smoke::mf_static, 41, 12},	//709 QsciLexerFortran::tr(const char*)
    {63, 1578, 12, 1, Smoke::mf_static, 41, 13},	//710 QsciLexerFortran::trUtf8(const char*)
    {63, 479, 0, 0, Smoke::mf_ctor, 69, 14},	//711 QsciLexerFortran::QsciLexerFortran()
    {63, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 15},	//712 QsciLexerFortran::staticMetaObject() const
    {63, 1637, 0, 0, Smoke::mf_dtor, 0, 16 },	//713 QsciLexerFortran::~QsciLexerFortran()
    {64, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//714 QsciLexerFortran77::metaObject() const
    {64, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//715 QsciLexerFortran77::qt_metacast(const char*)
    {64, 1574, 42, 2, Smoke::mf_static, 41, 3},	//716 QsciLexerFortran77::tr(const char*, const char*)
    {64, 1578, 42, 2, Smoke::mf_static, 41, 4},	//717 QsciLexerFortran77::trUtf8(const char*, const char*)
    {64, 1574, 45, 3, Smoke::mf_static, 41, 5},	//718 QsciLexerFortran77::tr(const char*, const char*, int)
    {64, 1578, 45, 3, Smoke::mf_static, 41, 6},	//719 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {64, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//720 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {64, 481, 74, 1, Smoke::mf_ctor, 70, 8},	//721 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {64, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//722 QsciLexerFortran77::language() const
    {64, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//723 QsciLexerFortran77::lexer() const
    {64, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//724 QsciLexerFortran77::braceStyle() const
    {64, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//725 QsciLexerFortran77::defaultColor(int) const
    {64, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//726 QsciLexerFortran77::defaultEolFill(int) const
    {64, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//727 QsciLexerFortran77::defaultFont(int) const
    {64, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//728 QsciLexerFortran77::defaultPaper(int) const
    {64, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//729 QsciLexerFortran77::keywords(int) const
    {64, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 17},	//730 QsciLexerFortran77::description(int) const
    {64, 1171, 0, 0, Smoke::mf_virtual, 0, 18},	//731 QsciLexerFortran77::refreshProperties()
    {64, 972, 0, 0, Smoke::mf_const, 191, 19},	//732 QsciLexerFortran77::foldCompact() const
    {64, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//733 QsciLexerFortran77::setFoldCompact(bool)
    {64, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 21},	//734 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {64, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 22},	//735 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {64, 1574, 12, 1, Smoke::mf_static, 41, 23},	//736 QsciLexerFortran77::tr(const char*)
    {64, 1578, 12, 1, Smoke::mf_static, 41, 24},	//737 QsciLexerFortran77::trUtf8(const char*)
    {64, 481, 0, 0, Smoke::mf_ctor, 70, 25},	//738 QsciLexerFortran77::QsciLexerFortran77()
    {64, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 26},	//739 QsciLexerFortran77::staticMetaObject() const
    {64, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//740 QsciLexerFortran77::Default (enum)
    {64, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//741 QsciLexerFortran77::Comment (enum)
    {64, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//742 QsciLexerFortran77::Number (enum)
    {64, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//743 QsciLexerFortran77::SingleQuotedString (enum)
    {64, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//744 QsciLexerFortran77::DoubleQuotedString (enum)
    {64, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//745 QsciLexerFortran77::UnclosedString (enum)
    {64, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//746 QsciLexerFortran77::Operator (enum)
    {64, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//747 QsciLexerFortran77::Identifier (enum)
    {64, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//748 QsciLexerFortran77::Keyword (enum)
    {64, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//749 QsciLexerFortran77::IntrinsicFunction (enum)
    {64, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//750 QsciLexerFortran77::ExtendedFunction (enum)
    {64, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//751 QsciLexerFortran77::PreProcessor (enum)
    {64, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//752 QsciLexerFortran77::DottedOperator (enum)
    {64, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//753 QsciLexerFortran77::Label (enum)
    {64, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//754 QsciLexerFortran77::Continuation (enum)
    {64, 1638, 0, 0, Smoke::mf_dtor, 0, 42 },	//755 QsciLexerFortran77::~QsciLexerFortran77()
    {65, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//756 QsciLexerHTML::metaObject() const
    {65, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//757 QsciLexerHTML::qt_metacast(const char*)
    {65, 1574, 42, 2, Smoke::mf_static, 41, 3},	//758 QsciLexerHTML::tr(const char*, const char*)
    {65, 1578, 42, 2, Smoke::mf_static, 41, 4},	//759 QsciLexerHTML::trUtf8(const char*, const char*)
    {65, 1574, 45, 3, Smoke::mf_static, 41, 5},	//760 QsciLexerHTML::tr(const char*, const char*, int)
    {65, 1578, 45, 3, Smoke::mf_static, 41, 6},	//761 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {65, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//762 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {65, 483, 74, 1, Smoke::mf_ctor, 71, 8},	//763 QsciLexerHTML::QsciLexerHTML(QObject*)
    {65, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//764 QsciLexerHTML::language() const
    {65, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//765 QsciLexerHTML::lexer() const
    {65, 810, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//766 QsciLexerHTML::autoCompletionFillups() const
    {65, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//767 QsciLexerHTML::wordCharacters() const
    {65, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//768 QsciLexerHTML::defaultColor(int) const
    {65, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 14},	//769 QsciLexerHTML::defaultEolFill(int) const
    {65, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//770 QsciLexerHTML::defaultFont(int) const
    {65, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//771 QsciLexerHTML::defaultPaper(int) const
    {65, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//772 QsciLexerHTML::keywords(int) const
    {65, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 18},	//773 QsciLexerHTML::description(int) const
    {65, 1171, 0, 0, Smoke::mf_virtual, 0, 19},	//774 QsciLexerHTML::refreshProperties()
    {65, 851, 0, 0, Smoke::mf_const, 191, 20},	//775 QsciLexerHTML::caseSensitiveTags() const
    {65, 1281, 16, 1, 0, 0, 21},	//776 QsciLexerHTML::setDjangoTemplates(bool)
    {65, 907, 0, 0, Smoke::mf_const, 191, 22},	//777 QsciLexerHTML::djangoTemplates() const
    {65, 972, 0, 0, Smoke::mf_const, 191, 23},	//778 QsciLexerHTML::foldCompact() const
    {65, 979, 0, 0, Smoke::mf_const, 191, 24},	//779 QsciLexerHTML::foldPreprocessor() const
    {65, 1334, 16, 1, 0, 0, 25},	//780 QsciLexerHTML::setFoldScriptComments(bool)
    {65, 981, 0, 0, Smoke::mf_const, 191, 26},	//781 QsciLexerHTML::foldScriptComments() const
    {65, 1336, 16, 1, 0, 0, 27},	//782 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {65, 982, 0, 0, Smoke::mf_const, 191, 28},	//783 QsciLexerHTML::foldScriptHeredocs() const
    {65, 1409, 16, 1, 0, 0, 29},	//784 QsciLexerHTML::setMakoTemplates(bool)
    {65, 1072, 0, 0, Smoke::mf_const, 191, 30},	//785 QsciLexerHTML::makoTemplates() const
    {65, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//786 QsciLexerHTML::setFoldCompact(bool)
    {65, 1330, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//787 QsciLexerHTML::setFoldPreprocessor(bool)
    {65, 1262, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//788 QsciLexerHTML::setCaseSensitiveTags(bool)
    {65, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 34},	//789 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {65, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 35},	//790 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {65, 1574, 12, 1, Smoke::mf_static, 41, 36},	//791 QsciLexerHTML::tr(const char*)
    {65, 1578, 12, 1, Smoke::mf_static, 41, 37},	//792 QsciLexerHTML::trUtf8(const char*)
    {65, 483, 0, 0, Smoke::mf_ctor, 71, 38},	//793 QsciLexerHTML::QsciLexerHTML()
    {65, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 39},	//794 QsciLexerHTML::staticMetaObject() const
    {65, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//795 QsciLexerHTML::Default (enum)
    {65, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//796 QsciLexerHTML::Tag (enum)
    {65, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//797 QsciLexerHTML::UnknownTag (enum)
    {65, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//798 QsciLexerHTML::Attribute (enum)
    {65, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//799 QsciLexerHTML::UnknownAttribute (enum)
    {65, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//800 QsciLexerHTML::HTMLNumber (enum)
    {65, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//801 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {65, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//802 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {65, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//803 QsciLexerHTML::OtherInTag (enum)
    {65, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//804 QsciLexerHTML::HTMLComment (enum)
    {65, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//805 QsciLexerHTML::Entity (enum)
    {65, 779, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//806 QsciLexerHTML::XMLTagEnd (enum)
    {65, 778, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//807 QsciLexerHTML::XMLStart (enum)
    {65, 777, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//808 QsciLexerHTML::XMLEnd (enum)
    {65, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//809 QsciLexerHTML::Script (enum)
    {65, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//810 QsciLexerHTML::ASPAtStart (enum)
    {65, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//811 QsciLexerHTML::ASPStart (enum)
    {65, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//812 QsciLexerHTML::CDATA (enum)
    {65, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//813 QsciLexerHTML::PHPStart (enum)
    {65, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//814 QsciLexerHTML::HTMLValue (enum)
    {65, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//815 QsciLexerHTML::ASPXCComment (enum)
    {65, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//816 QsciLexerHTML::SGMLDefault (enum)
    {65, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//817 QsciLexerHTML::SGMLCommand (enum)
    {65, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 63},	//818 QsciLexerHTML::SGMLParameter (enum)
    {65, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 64},	//819 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {65, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 65},	//820 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {65, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 66},	//821 QsciLexerHTML::SGMLError (enum)
    {65, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 67},	//822 QsciLexerHTML::SGMLSpecial (enum)
    {65, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 68},	//823 QsciLexerHTML::SGMLEntity (enum)
    {65, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 69},	//824 QsciLexerHTML::SGMLComment (enum)
    {65, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 70},	//825 QsciLexerHTML::SGMLParameterComment (enum)
    {65, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 71},	//826 QsciLexerHTML::SGMLBlockDefault (enum)
    {65, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 72},	//827 QsciLexerHTML::JavaScriptStart (enum)
    {65, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 73},	//828 QsciLexerHTML::JavaScriptDefault (enum)
    {65, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 74},	//829 QsciLexerHTML::JavaScriptComment (enum)
    {65, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 75},	//830 QsciLexerHTML::JavaScriptCommentLine (enum)
    {65, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 76},	//831 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {65, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 77},	//832 QsciLexerHTML::JavaScriptNumber (enum)
    {65, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 78},	//833 QsciLexerHTML::JavaScriptWord (enum)
    {65, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 79},	//834 QsciLexerHTML::JavaScriptKeyword (enum)
    {65, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 80},	//835 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {65, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 81},	//836 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {65, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 82},	//837 QsciLexerHTML::JavaScriptSymbol (enum)
    {65, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 83},	//838 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {65, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 84},	//839 QsciLexerHTML::JavaScriptRegex (enum)
    {65, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 85},	//840 QsciLexerHTML::ASPJavaScriptStart (enum)
    {65, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 86},	//841 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {65, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 87},	//842 QsciLexerHTML::ASPJavaScriptComment (enum)
    {65, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 88},	//843 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {65, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 89},	//844 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {65, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 90},	//845 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {65, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 91},	//846 QsciLexerHTML::ASPJavaScriptWord (enum)
    {65, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 92},	//847 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {65, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 93},	//848 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {65, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 94},	//849 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {65, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 95},	//850 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {65, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 96},	//851 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {65, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 97},	//852 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {65, 737, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 98},	//853 QsciLexerHTML::VBScriptStart (enum)
    {65, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 99},	//854 QsciLexerHTML::VBScriptDefault (enum)
    {65, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 100},	//855 QsciLexerHTML::VBScriptComment (enum)
    {65, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 101},	//856 QsciLexerHTML::VBScriptNumber (enum)
    {65, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 102},	//857 QsciLexerHTML::VBScriptKeyword (enum)
    {65, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 103},	//858 QsciLexerHTML::VBScriptString (enum)
    {65, 734, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 104},	//859 QsciLexerHTML::VBScriptIdentifier (enum)
    {65, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 105},	//860 QsciLexerHTML::VBScriptUnclosedString (enum)
    {65, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 106},	//861 QsciLexerHTML::ASPVBScriptStart (enum)
    {65, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 107},	//862 QsciLexerHTML::ASPVBScriptDefault (enum)
    {65, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 108},	//863 QsciLexerHTML::ASPVBScriptComment (enum)
    {65, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 109},	//864 QsciLexerHTML::ASPVBScriptNumber (enum)
    {65, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 110},	//865 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {65, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 111},	//866 QsciLexerHTML::ASPVBScriptString (enum)
    {65, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 112},	//867 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {65, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 113},	//868 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {65, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 114},	//869 QsciLexerHTML::PythonStart (enum)
    {65, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 115},	//870 QsciLexerHTML::PythonDefault (enum)
    {65, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 116},	//871 QsciLexerHTML::PythonComment (enum)
    {65, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 117},	//872 QsciLexerHTML::PythonNumber (enum)
    {65, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 118},	//873 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {65, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 119},	//874 QsciLexerHTML::PythonSingleQuotedString (enum)
    {65, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 120},	//875 QsciLexerHTML::PythonKeyword (enum)
    {65, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 121},	//876 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {65, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 122},	//877 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {65, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 123},	//878 QsciLexerHTML::PythonClassName (enum)
    {65, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 124},	//879 QsciLexerHTML::PythonFunctionMethodName (enum)
    {65, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 125},	//880 QsciLexerHTML::PythonOperator (enum)
    {65, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 126},	//881 QsciLexerHTML::PythonIdentifier (enum)
    {65, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 127},	//882 QsciLexerHTML::ASPPythonStart (enum)
    {65, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 128},	//883 QsciLexerHTML::ASPPythonDefault (enum)
    {65, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 129},	//884 QsciLexerHTML::ASPPythonComment (enum)
    {65, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 130},	//885 QsciLexerHTML::ASPPythonNumber (enum)
    {65, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 131},	//886 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {65, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 132},	//887 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {65, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 133},	//888 QsciLexerHTML::ASPPythonKeyword (enum)
    {65, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 134},	//889 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {65, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 135},	//890 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {65, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 136},	//891 QsciLexerHTML::ASPPythonClassName (enum)
    {65, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 137},	//892 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {65, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 138},	//893 QsciLexerHTML::ASPPythonOperator (enum)
    {65, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 139},	//894 QsciLexerHTML::ASPPythonIdentifier (enum)
    {65, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 140},	//895 QsciLexerHTML::PHPDefault (enum)
    {65, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 141},	//896 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {65, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 142},	//897 QsciLexerHTML::PHPSingleQuotedString (enum)
    {65, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 143},	//898 QsciLexerHTML::PHPKeyword (enum)
    {65, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 144},	//899 QsciLexerHTML::PHPNumber (enum)
    {65, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 145},	//900 QsciLexerHTML::PHPVariable (enum)
    {65, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 146},	//901 QsciLexerHTML::PHPComment (enum)
    {65, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 147},	//902 QsciLexerHTML::PHPCommentLine (enum)
    {65, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 148},	//903 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {65, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 149},	//904 QsciLexerHTML::PHPOperator (enum)
    {65, 1639, 0, 0, Smoke::mf_dtor, 0, 150 },	//905 QsciLexerHTML::~QsciLexerHTML()
    {66, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//906 QsciLexerIDL::metaObject() const
    {66, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//907 QsciLexerIDL::qt_metacast(const char*)
    {66, 1574, 42, 2, Smoke::mf_static, 41, 3},	//908 QsciLexerIDL::tr(const char*, const char*)
    {66, 1578, 42, 2, Smoke::mf_static, 41, 4},	//909 QsciLexerIDL::trUtf8(const char*, const char*)
    {66, 1574, 45, 3, Smoke::mf_static, 41, 5},	//910 QsciLexerIDL::tr(const char*, const char*, int)
    {66, 1578, 45, 3, Smoke::mf_static, 41, 6},	//911 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {66, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//912 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {66, 485, 74, 1, Smoke::mf_ctor, 72, 8},	//913 QsciLexerIDL::QsciLexerIDL(QObject*)
    {66, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//914 QsciLexerIDL::language() const
    {66, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//915 QsciLexerIDL::defaultColor(int) const
    {66, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//916 QsciLexerIDL::keywords(int) const
    {66, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 12},	//917 QsciLexerIDL::description(int) const
    {66, 1574, 12, 1, Smoke::mf_static, 41, 13},	//918 QsciLexerIDL::tr(const char*)
    {66, 1578, 12, 1, Smoke::mf_static, 41, 14},	//919 QsciLexerIDL::trUtf8(const char*)
    {66, 485, 0, 0, Smoke::mf_ctor, 72, 15},	//920 QsciLexerIDL::QsciLexerIDL()
    {66, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 16},	//921 QsciLexerIDL::staticMetaObject() const
    {66, 1640, 0, 0, Smoke::mf_dtor, 0, 17 },	//922 QsciLexerIDL::~QsciLexerIDL()
    {67, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//923 QsciLexerJava::metaObject() const
    {67, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//924 QsciLexerJava::qt_metacast(const char*)
    {67, 1574, 42, 2, Smoke::mf_static, 41, 3},	//925 QsciLexerJava::tr(const char*, const char*)
    {67, 1578, 42, 2, Smoke::mf_static, 41, 4},	//926 QsciLexerJava::trUtf8(const char*, const char*)
    {67, 1574, 45, 3, Smoke::mf_static, 41, 5},	//927 QsciLexerJava::tr(const char*, const char*, int)
    {67, 1578, 45, 3, Smoke::mf_static, 41, 6},	//928 QsciLexerJava::trUtf8(const char*, const char*, int)
    {67, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//929 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {67, 487, 74, 1, Smoke::mf_ctor, 73, 8},	//930 QsciLexerJava::QsciLexerJava(QObject*)
    {67, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//931 QsciLexerJava::language() const
    {67, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//932 QsciLexerJava::keywords(int) const
    {67, 1574, 12, 1, Smoke::mf_static, 41, 11},	//933 QsciLexerJava::tr(const char*)
    {67, 1578, 12, 1, Smoke::mf_static, 41, 12},	//934 QsciLexerJava::trUtf8(const char*)
    {67, 487, 0, 0, Smoke::mf_ctor, 73, 13},	//935 QsciLexerJava::QsciLexerJava()
    {67, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 14},	//936 QsciLexerJava::staticMetaObject() const
    {67, 1641, 0, 0, Smoke::mf_dtor, 0, 15 },	//937 QsciLexerJava::~QsciLexerJava()
    {68, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//938 QsciLexerJavaScript::metaObject() const
    {68, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//939 QsciLexerJavaScript::qt_metacast(const char*)
    {68, 1574, 42, 2, Smoke::mf_static, 41, 3},	//940 QsciLexerJavaScript::tr(const char*, const char*)
    {68, 1578, 42, 2, Smoke::mf_static, 41, 4},	//941 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {68, 1574, 45, 3, Smoke::mf_static, 41, 5},	//942 QsciLexerJavaScript::tr(const char*, const char*, int)
    {68, 1578, 45, 3, Smoke::mf_static, 41, 6},	//943 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {68, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//944 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {68, 489, 74, 1, Smoke::mf_ctor, 74, 8},	//945 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {68, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//946 QsciLexerJavaScript::language() const
    {68, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//947 QsciLexerJavaScript::defaultColor(int) const
    {68, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 11},	//948 QsciLexerJavaScript::defaultEolFill(int) const
    {68, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//949 QsciLexerJavaScript::defaultFont(int) const
    {68, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//950 QsciLexerJavaScript::defaultPaper(int) const
    {68, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//951 QsciLexerJavaScript::keywords(int) const
    {68, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 15},	//952 QsciLexerJavaScript::description(int) const
    {68, 1574, 12, 1, Smoke::mf_static, 41, 16},	//953 QsciLexerJavaScript::tr(const char*)
    {68, 1578, 12, 1, Smoke::mf_static, 41, 17},	//954 QsciLexerJavaScript::trUtf8(const char*)
    {68, 489, 0, 0, Smoke::mf_ctor, 74, 18},	//955 QsciLexerJavaScript::QsciLexerJavaScript()
    {68, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 19},	//956 QsciLexerJavaScript::staticMetaObject() const
    {68, 1642, 0, 0, Smoke::mf_dtor, 0, 20 },	//957 QsciLexerJavaScript::~QsciLexerJavaScript()
    {69, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//958 QsciLexerLua::metaObject() const
    {69, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//959 QsciLexerLua::qt_metacast(const char*)
    {69, 1574, 42, 2, Smoke::mf_static, 41, 3},	//960 QsciLexerLua::tr(const char*, const char*)
    {69, 1578, 42, 2, Smoke::mf_static, 41, 4},	//961 QsciLexerLua::trUtf8(const char*, const char*)
    {69, 1574, 45, 3, Smoke::mf_static, 41, 5},	//962 QsciLexerLua::tr(const char*, const char*, int)
    {69, 1578, 45, 3, Smoke::mf_static, 41, 6},	//963 QsciLexerLua::trUtf8(const char*, const char*, int)
    {69, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//964 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {69, 491, 74, 1, Smoke::mf_ctor, 75, 8},	//965 QsciLexerLua::QsciLexerLua(QObject*)
    {69, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//966 QsciLexerLua::language() const
    {69, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//967 QsciLexerLua::lexer() const
    {69, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//968 QsciLexerLua::autoCompletionWordSeparators() const
    {69, 828, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//969 QsciLexerLua::blockStart(int*) const
    {69, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 13},	//970 QsciLexerLua::braceStyle() const
    {69, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//971 QsciLexerLua::defaultColor(int) const
    {69, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 15},	//972 QsciLexerLua::defaultEolFill(int) const
    {69, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//973 QsciLexerLua::defaultFont(int) const
    {69, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//974 QsciLexerLua::defaultPaper(int) const
    {69, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 18},	//975 QsciLexerLua::keywords(int) const
    {69, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 19},	//976 QsciLexerLua::description(int) const
    {69, 1171, 0, 0, Smoke::mf_virtual, 0, 20},	//977 QsciLexerLua::refreshProperties()
    {69, 972, 0, 0, Smoke::mf_const, 191, 21},	//978 QsciLexerLua::foldCompact() const
    {69, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//979 QsciLexerLua::setFoldCompact(bool)
    {69, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 23},	//980 QsciLexerLua::readProperties(QSettings&, const QString&)
    {69, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 24},	//981 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {69, 1574, 12, 1, Smoke::mf_static, 41, 25},	//982 QsciLexerLua::tr(const char*)
    {69, 1578, 12, 1, Smoke::mf_static, 41, 26},	//983 QsciLexerLua::trUtf8(const char*)
    {69, 491, 0, 0, Smoke::mf_ctor, 75, 27},	//984 QsciLexerLua::QsciLexerLua()
    {69, 828, 0, 0, Smoke::mf_const, 215, 28},	//985 QsciLexerLua::blockStart() const
    {69, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 29},	//986 QsciLexerLua::staticMetaObject() const
    {69, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//987 QsciLexerLua::Default (enum)
    {69, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//988 QsciLexerLua::Comment (enum)
    {69, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//989 QsciLexerLua::LineComment (enum)
    {69, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//990 QsciLexerLua::Number (enum)
    {69, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//991 QsciLexerLua::Keyword (enum)
    {69, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//992 QsciLexerLua::String (enum)
    {69, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//993 QsciLexerLua::Character (enum)
    {69, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//994 QsciLexerLua::LiteralString (enum)
    {69, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//995 QsciLexerLua::Preprocessor (enum)
    {69, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//996 QsciLexerLua::Operator (enum)
    {69, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//997 QsciLexerLua::Identifier (enum)
    {69, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//998 QsciLexerLua::UnclosedString (enum)
    {69, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//999 QsciLexerLua::BasicFunctions (enum)
    {69, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1000 QsciLexerLua::StringTableMathsFunctions (enum)
    {69, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1001 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {69, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1002 QsciLexerLua::KeywordSet5 (enum)
    {69, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1003 QsciLexerLua::KeywordSet6 (enum)
    {69, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1004 QsciLexerLua::KeywordSet7 (enum)
    {69, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1005 QsciLexerLua::KeywordSet8 (enum)
    {69, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1006 QsciLexerLua::Label (enum)
    {69, 1643, 0, 0, Smoke::mf_dtor, 0, 50 },	//1007 QsciLexerLua::~QsciLexerLua()
    {70, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1008 QsciLexerMakefile::metaObject() const
    {70, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1009 QsciLexerMakefile::qt_metacast(const char*)
    {70, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1010 QsciLexerMakefile::tr(const char*, const char*)
    {70, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1011 QsciLexerMakefile::trUtf8(const char*, const char*)
    {70, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1012 QsciLexerMakefile::tr(const char*, const char*, int)
    {70, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1013 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {70, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1014 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {70, 493, 74, 1, Smoke::mf_ctor, 76, 8},	//1015 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {70, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1016 QsciLexerMakefile::language() const
    {70, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1017 QsciLexerMakefile::lexer() const
    {70, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1018 QsciLexerMakefile::wordCharacters() const
    {70, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1019 QsciLexerMakefile::defaultColor(int) const
    {70, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//1020 QsciLexerMakefile::defaultEolFill(int) const
    {70, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1021 QsciLexerMakefile::defaultFont(int) const
    {70, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1022 QsciLexerMakefile::defaultPaper(int) const
    {70, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 16},	//1023 QsciLexerMakefile::description(int) const
    {70, 1574, 12, 1, Smoke::mf_static, 41, 17},	//1024 QsciLexerMakefile::tr(const char*)
    {70, 1578, 12, 1, Smoke::mf_static, 41, 18},	//1025 QsciLexerMakefile::trUtf8(const char*)
    {70, 493, 0, 0, Smoke::mf_ctor, 76, 19},	//1026 QsciLexerMakefile::QsciLexerMakefile()
    {70, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 20},	//1027 QsciLexerMakefile::staticMetaObject() const
    {70, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 21},	//1028 QsciLexerMakefile::Default (enum)
    {70, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 22},	//1029 QsciLexerMakefile::Comment (enum)
    {70, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 23},	//1030 QsciLexerMakefile::Preprocessor (enum)
    {70, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 24},	//1031 QsciLexerMakefile::Variable (enum)
    {70, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 25},	//1032 QsciLexerMakefile::Operator (enum)
    {70, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 26},	//1033 QsciLexerMakefile::Target (enum)
    {70, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//1034 QsciLexerMakefile::Error (enum)
    {70, 1644, 0, 0, Smoke::mf_dtor, 0, 28 },	//1035 QsciLexerMakefile::~QsciLexerMakefile()
    {71, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1036 QsciLexerPOV::metaObject() const
    {71, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1037 QsciLexerPOV::qt_metacast(const char*)
    {71, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1038 QsciLexerPOV::tr(const char*, const char*)
    {71, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1039 QsciLexerPOV::trUtf8(const char*, const char*)
    {71, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1040 QsciLexerPOV::tr(const char*, const char*, int)
    {71, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1041 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {71, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1042 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {71, 495, 74, 1, Smoke::mf_ctor, 77, 8},	//1043 QsciLexerPOV::QsciLexerPOV(QObject*)
    {71, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1044 QsciLexerPOV::language() const
    {71, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1045 QsciLexerPOV::lexer() const
    {71, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//1046 QsciLexerPOV::braceStyle() const
    {71, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1047 QsciLexerPOV::wordCharacters() const
    {71, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//1048 QsciLexerPOV::defaultColor(int) const
    {71, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 14},	//1049 QsciLexerPOV::defaultEolFill(int) const
    {71, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//1050 QsciLexerPOV::defaultFont(int) const
    {71, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1051 QsciLexerPOV::defaultPaper(int) const
    {71, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//1052 QsciLexerPOV::keywords(int) const
    {71, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 18},	//1053 QsciLexerPOV::description(int) const
    {71, 1171, 0, 0, Smoke::mf_virtual, 0, 19},	//1054 QsciLexerPOV::refreshProperties()
    {71, 971, 0, 0, Smoke::mf_const, 191, 20},	//1055 QsciLexerPOV::foldComments() const
    {71, 972, 0, 0, Smoke::mf_const, 191, 21},	//1056 QsciLexerPOV::foldCompact() const
    {71, 973, 0, 0, Smoke::mf_const, 191, 22},	//1057 QsciLexerPOV::foldDirectives() const
    {71, 1316, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1058 QsciLexerPOV::setFoldComments(bool)
    {71, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1059 QsciLexerPOV::setFoldCompact(bool)
    {71, 1320, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1060 QsciLexerPOV::setFoldDirectives(bool)
    {71, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 26},	//1061 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {71, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 27},	//1062 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {71, 1574, 12, 1, Smoke::mf_static, 41, 28},	//1063 QsciLexerPOV::tr(const char*)
    {71, 1578, 12, 1, Smoke::mf_static, 41, 29},	//1064 QsciLexerPOV::trUtf8(const char*)
    {71, 495, 0, 0, Smoke::mf_ctor, 77, 30},	//1065 QsciLexerPOV::QsciLexerPOV()
    {71, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 31},	//1066 QsciLexerPOV::staticMetaObject() const
    {71, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1067 QsciLexerPOV::Default (enum)
    {71, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1068 QsciLexerPOV::Comment (enum)
    {71, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//1069 QsciLexerPOV::CommentLine (enum)
    {71, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1070 QsciLexerPOV::Number (enum)
    {71, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//1071 QsciLexerPOV::Operator (enum)
    {71, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//1072 QsciLexerPOV::Identifier (enum)
    {71, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//1073 QsciLexerPOV::String (enum)
    {71, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//1074 QsciLexerPOV::UnclosedString (enum)
    {71, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1075 QsciLexerPOV::Directive (enum)
    {71, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1076 QsciLexerPOV::BadDirective (enum)
    {71, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1077 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {71, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1078 QsciLexerPOV::TypesModifiersItems (enum)
    {71, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1079 QsciLexerPOV::PredefinedIdentifiers (enum)
    {71, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1080 QsciLexerPOV::PredefinedFunctions (enum)
    {71, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1081 QsciLexerPOV::KeywordSet6 (enum)
    {71, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1082 QsciLexerPOV::KeywordSet7 (enum)
    {71, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1083 QsciLexerPOV::KeywordSet8 (enum)
    {71, 1645, 0, 0, Smoke::mf_dtor, 0, 49 },	//1084 QsciLexerPOV::~QsciLexerPOV()
    {72, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1085 QsciLexerPascal::metaObject() const
    {72, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1086 QsciLexerPascal::qt_metacast(const char*)
    {72, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1087 QsciLexerPascal::tr(const char*, const char*)
    {72, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1088 QsciLexerPascal::trUtf8(const char*, const char*)
    {72, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1089 QsciLexerPascal::tr(const char*, const char*, int)
    {72, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1090 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {72, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1091 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {72, 497, 74, 1, Smoke::mf_ctor, 78, 8},	//1092 QsciLexerPascal::QsciLexerPascal(QObject*)
    {72, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1093 QsciLexerPascal::language() const
    {72, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1094 QsciLexerPascal::lexer() const
    {72, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//1095 QsciLexerPascal::autoCompletionWordSeparators() const
    {72, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1096 QsciLexerPascal::blockEnd(int*) const
    {72, 828, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//1097 QsciLexerPascal::blockStart(int*) const
    {72, 830, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1098 QsciLexerPascal::blockStartKeyword(int*) const
    {72, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 15},	//1099 QsciLexerPascal::braceStyle() const
    {72, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1100 QsciLexerPascal::defaultColor(int) const
    {72, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 17},	//1101 QsciLexerPascal::defaultEolFill(int) const
    {72, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1102 QsciLexerPascal::defaultFont(int) const
    {72, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1103 QsciLexerPascal::defaultPaper(int) const
    {72, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 20},	//1104 QsciLexerPascal::keywords(int) const
    {72, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 21},	//1105 QsciLexerPascal::description(int) const
    {72, 1171, 0, 0, Smoke::mf_virtual, 0, 22},	//1106 QsciLexerPascal::refreshProperties()
    {72, 971, 0, 0, Smoke::mf_const, 191, 23},	//1107 QsciLexerPascal::foldComments() const
    {72, 972, 0, 0, Smoke::mf_const, 191, 24},	//1108 QsciLexerPascal::foldCompact() const
    {72, 979, 0, 0, Smoke::mf_const, 191, 25},	//1109 QsciLexerPascal::foldPreprocessor() const
    {72, 1482, 16, 1, 0, 0, 26},	//1110 QsciLexerPascal::setSmartHighlighting(bool)
    {72, 1543, 0, 0, Smoke::mf_const, 191, 27},	//1111 QsciLexerPascal::smartHighlighting() const
    {72, 1316, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1112 QsciLexerPascal::setFoldComments(bool)
    {72, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1113 QsciLexerPascal::setFoldCompact(bool)
    {72, 1330, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//1114 QsciLexerPascal::setFoldPreprocessor(bool)
    {72, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 31},	//1115 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {72, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 32},	//1116 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {72, 1574, 12, 1, Smoke::mf_static, 41, 33},	//1117 QsciLexerPascal::tr(const char*)
    {72, 1578, 12, 1, Smoke::mf_static, 41, 34},	//1118 QsciLexerPascal::trUtf8(const char*)
    {72, 497, 0, 0, Smoke::mf_ctor, 78, 35},	//1119 QsciLexerPascal::QsciLexerPascal()
    {72, 825, 0, 0, Smoke::mf_const, 215, 36},	//1120 QsciLexerPascal::blockEnd() const
    {72, 828, 0, 0, Smoke::mf_const, 215, 37},	//1121 QsciLexerPascal::blockStart() const
    {72, 830, 0, 0, Smoke::mf_const, 215, 38},	//1122 QsciLexerPascal::blockStartKeyword() const
    {72, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 39},	//1123 QsciLexerPascal::staticMetaObject() const
    {72, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1124 QsciLexerPascal::Default (enum)
    {72, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1125 QsciLexerPascal::Identifier (enum)
    {72, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1126 QsciLexerPascal::Comment (enum)
    {72, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1127 QsciLexerPascal::CommentParenthesis (enum)
    {72, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1128 QsciLexerPascal::CommentLine (enum)
    {72, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1129 QsciLexerPascal::PreProcessor (enum)
    {72, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1130 QsciLexerPascal::PreProcessorParenthesis (enum)
    {72, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1131 QsciLexerPascal::Number (enum)
    {72, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1132 QsciLexerPascal::HexNumber (enum)
    {72, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1133 QsciLexerPascal::Keyword (enum)
    {72, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1134 QsciLexerPascal::SingleQuotedString (enum)
    {72, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//1135 QsciLexerPascal::UnclosedString (enum)
    {72, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//1136 QsciLexerPascal::Character (enum)
    {72, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//1137 QsciLexerPascal::Operator (enum)
    {72, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//1138 QsciLexerPascal::Asm (enum)
    {72, 1646, 0, 0, Smoke::mf_dtor, 0, 55 },	//1139 QsciLexerPascal::~QsciLexerPascal()
    {73, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1140 QsciLexerPerl::metaObject() const
    {73, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1141 QsciLexerPerl::qt_metacast(const char*)
    {73, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1142 QsciLexerPerl::tr(const char*, const char*)
    {73, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1143 QsciLexerPerl::trUtf8(const char*, const char*)
    {73, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1144 QsciLexerPerl::tr(const char*, const char*, int)
    {73, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1145 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {73, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1146 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {73, 499, 74, 1, Smoke::mf_ctor, 79, 8},	//1147 QsciLexerPerl::QsciLexerPerl(QObject*)
    {73, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1148 QsciLexerPerl::language() const
    {73, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1149 QsciLexerPerl::lexer() const
    {73, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//1150 QsciLexerPerl::autoCompletionWordSeparators() const
    {73, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1151 QsciLexerPerl::blockEnd(int*) const
    {73, 828, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//1152 QsciLexerPerl::blockStart(int*) const
    {73, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 14},	//1153 QsciLexerPerl::braceStyle() const
    {73, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1154 QsciLexerPerl::wordCharacters() const
    {73, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1155 QsciLexerPerl::defaultColor(int) const
    {73, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 17},	//1156 QsciLexerPerl::defaultEolFill(int) const
    {73, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1157 QsciLexerPerl::defaultFont(int) const
    {73, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1158 QsciLexerPerl::defaultPaper(int) const
    {73, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 20},	//1159 QsciLexerPerl::keywords(int) const
    {73, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 21},	//1160 QsciLexerPerl::description(int) const
    {73, 1171, 0, 0, Smoke::mf_virtual, 0, 22},	//1161 QsciLexerPerl::refreshProperties()
    {73, 1312, 16, 1, 0, 0, 23},	//1162 QsciLexerPerl::setFoldAtElse(bool)
    {73, 969, 0, 0, Smoke::mf_const, 191, 24},	//1163 QsciLexerPerl::foldAtElse() const
    {73, 971, 0, 0, Smoke::mf_const, 191, 25},	//1164 QsciLexerPerl::foldComments() const
    {73, 972, 0, 0, Smoke::mf_const, 191, 26},	//1165 QsciLexerPerl::foldCompact() const
    {73, 1328, 16, 1, 0, 0, 27},	//1166 QsciLexerPerl::setFoldPackages(bool)
    {73, 978, 0, 0, Smoke::mf_const, 191, 28},	//1167 QsciLexerPerl::foldPackages() const
    {73, 1326, 16, 1, 0, 0, 29},	//1168 QsciLexerPerl::setFoldPODBlocks(bool)
    {73, 977, 0, 0, Smoke::mf_const, 191, 30},	//1169 QsciLexerPerl::foldPODBlocks() const
    {73, 1316, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//1170 QsciLexerPerl::setFoldComments(bool)
    {73, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1171 QsciLexerPerl::setFoldCompact(bool)
    {73, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 33},	//1172 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {73, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 34},	//1173 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {73, 1574, 12, 1, Smoke::mf_static, 41, 35},	//1174 QsciLexerPerl::tr(const char*)
    {73, 1578, 12, 1, Smoke::mf_static, 41, 36},	//1175 QsciLexerPerl::trUtf8(const char*)
    {73, 499, 0, 0, Smoke::mf_ctor, 79, 37},	//1176 QsciLexerPerl::QsciLexerPerl()
    {73, 825, 0, 0, Smoke::mf_const, 215, 38},	//1177 QsciLexerPerl::blockEnd() const
    {73, 828, 0, 0, Smoke::mf_const, 215, 39},	//1178 QsciLexerPerl::blockStart() const
    {73, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 40},	//1179 QsciLexerPerl::staticMetaObject() const
    {73, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1180 QsciLexerPerl::Default (enum)
    {73, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1181 QsciLexerPerl::Error (enum)
    {73, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1182 QsciLexerPerl::Comment (enum)
    {73, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1183 QsciLexerPerl::POD (enum)
    {73, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1184 QsciLexerPerl::Number (enum)
    {73, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1185 QsciLexerPerl::Keyword (enum)
    {73, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1186 QsciLexerPerl::DoubleQuotedString (enum)
    {73, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1187 QsciLexerPerl::SingleQuotedString (enum)
    {73, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1188 QsciLexerPerl::Operator (enum)
    {73, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1189 QsciLexerPerl::Identifier (enum)
    {73, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//1190 QsciLexerPerl::Scalar (enum)
    {73, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//1191 QsciLexerPerl::Array (enum)
    {73, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//1192 QsciLexerPerl::Hash (enum)
    {73, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//1193 QsciLexerPerl::SymbolTable (enum)
    {73, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//1194 QsciLexerPerl::Regex (enum)
    {73, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//1195 QsciLexerPerl::Substitution (enum)
    {73, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//1196 QsciLexerPerl::Backticks (enum)
    {73, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//1197 QsciLexerPerl::DataSection (enum)
    {73, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//1198 QsciLexerPerl::HereDocumentDelimiter (enum)
    {73, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//1199 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {73, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//1200 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {73, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//1201 QsciLexerPerl::BacktickHereDocument (enum)
    {73, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 63},	//1202 QsciLexerPerl::QuotedStringQ (enum)
    {73, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 64},	//1203 QsciLexerPerl::QuotedStringQQ (enum)
    {73, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 65},	//1204 QsciLexerPerl::QuotedStringQX (enum)
    {73, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 66},	//1205 QsciLexerPerl::QuotedStringQR (enum)
    {73, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 67},	//1206 QsciLexerPerl::QuotedStringQW (enum)
    {73, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 68},	//1207 QsciLexerPerl::PODVerbatim (enum)
    {73, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 69},	//1208 QsciLexerPerl::SubroutinePrototype (enum)
    {73, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 70},	//1209 QsciLexerPerl::FormatIdentifier (enum)
    {73, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 71},	//1210 QsciLexerPerl::FormatBody (enum)
    {73, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 72},	//1211 QsciLexerPerl::DoubleQuotedStringVar (enum)
    {73, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 73},	//1212 QsciLexerPerl::Translation (enum)
    {73, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 74},	//1213 QsciLexerPerl::RegexVar (enum)
    {73, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 75},	//1214 QsciLexerPerl::SubstitutionVar (enum)
    {73, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 76},	//1215 QsciLexerPerl::BackticksVar (enum)
    {73, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 77},	//1216 QsciLexerPerl::DoubleQuotedHereDocumentVar (enum)
    {73, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 78},	//1217 QsciLexerPerl::BacktickHereDocumentVar (enum)
    {73, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 79},	//1218 QsciLexerPerl::QuotedStringQQVar (enum)
    {73, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 80},	//1219 QsciLexerPerl::QuotedStringQXVar (enum)
    {73, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 81},	//1220 QsciLexerPerl::QuotedStringQRVar (enum)
    {73, 1647, 0, 0, Smoke::mf_dtor, 0, 82 },	//1221 QsciLexerPerl::~QsciLexerPerl()
    {74, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1222 QsciLexerPostScript::metaObject() const
    {74, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1223 QsciLexerPostScript::qt_metacast(const char*)
    {74, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1224 QsciLexerPostScript::tr(const char*, const char*)
    {74, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1225 QsciLexerPostScript::trUtf8(const char*, const char*)
    {74, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1226 QsciLexerPostScript::tr(const char*, const char*, int)
    {74, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1227 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {74, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1228 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {74, 501, 74, 1, Smoke::mf_ctor, 80, 8},	//1229 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {74, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1230 QsciLexerPostScript::language() const
    {74, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1231 QsciLexerPostScript::lexer() const
    {74, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//1232 QsciLexerPostScript::braceStyle() const
    {74, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1233 QsciLexerPostScript::defaultColor(int) const
    {74, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1234 QsciLexerPostScript::defaultFont(int) const
    {74, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1235 QsciLexerPostScript::defaultPaper(int) const
    {74, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1236 QsciLexerPostScript::keywords(int) const
    {74, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 16},	//1237 QsciLexerPostScript::description(int) const
    {74, 1171, 0, 0, Smoke::mf_virtual, 0, 17},	//1238 QsciLexerPostScript::refreshProperties()
    {74, 1573, 0, 0, Smoke::mf_const, 191, 18},	//1239 QsciLexerPostScript::tokenize() const
    {74, 1056, 0, 0, Smoke::mf_const, 217, 19},	//1240 QsciLexerPostScript::level() const
    {74, 972, 0, 0, Smoke::mf_const, 191, 20},	//1241 QsciLexerPostScript::foldCompact() const
    {74, 969, 0, 0, Smoke::mf_const, 191, 21},	//1242 QsciLexerPostScript::foldAtElse() const
    {74, 1503, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1243 QsciLexerPostScript::setTokenize(bool)
    {74, 1403, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1244 QsciLexerPostScript::setLevel(int)
    {74, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1245 QsciLexerPostScript::setFoldCompact(bool)
    {74, 1312, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1246 QsciLexerPostScript::setFoldAtElse(bool)
    {74, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 26},	//1247 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {74, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 27},	//1248 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {74, 1574, 12, 1, Smoke::mf_static, 41, 28},	//1249 QsciLexerPostScript::tr(const char*)
    {74, 1578, 12, 1, Smoke::mf_static, 41, 29},	//1250 QsciLexerPostScript::trUtf8(const char*)
    {74, 501, 0, 0, Smoke::mf_ctor, 80, 30},	//1251 QsciLexerPostScript::QsciLexerPostScript()
    {74, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 31},	//1252 QsciLexerPostScript::staticMetaObject() const
    {74, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1253 QsciLexerPostScript::Default (enum)
    {74, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1254 QsciLexerPostScript::Comment (enum)
    {74, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//1255 QsciLexerPostScript::DSCComment (enum)
    {74, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1256 QsciLexerPostScript::DSCCommentValue (enum)
    {74, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//1257 QsciLexerPostScript::Number (enum)
    {74, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//1258 QsciLexerPostScript::Name (enum)
    {74, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//1259 QsciLexerPostScript::Keyword (enum)
    {74, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//1260 QsciLexerPostScript::Literal (enum)
    {74, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1261 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {74, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1262 QsciLexerPostScript::ArrayParenthesis (enum)
    {74, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1263 QsciLexerPostScript::DictionaryParenthesis (enum)
    {74, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1264 QsciLexerPostScript::ProcedureParenthesis (enum)
    {74, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1265 QsciLexerPostScript::Text (enum)
    {74, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1266 QsciLexerPostScript::HexString (enum)
    {74, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1267 QsciLexerPostScript::Base85String (enum)
    {74, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1268 QsciLexerPostScript::BadStringCharacter (enum)
    {74, 1648, 0, 0, Smoke::mf_dtor, 0, 48 },	//1269 QsciLexerPostScript::~QsciLexerPostScript()
    {75, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1270 QsciLexerProperties::metaObject() const
    {75, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1271 QsciLexerProperties::qt_metacast(const char*)
    {75, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1272 QsciLexerProperties::tr(const char*, const char*)
    {75, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1273 QsciLexerProperties::trUtf8(const char*, const char*)
    {75, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1274 QsciLexerProperties::tr(const char*, const char*, int)
    {75, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1275 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {75, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1276 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {75, 503, 74, 1, Smoke::mf_ctor, 81, 8},	//1277 QsciLexerProperties::QsciLexerProperties(QObject*)
    {75, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1278 QsciLexerProperties::language() const
    {75, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1279 QsciLexerProperties::lexer() const
    {75, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1280 QsciLexerProperties::wordCharacters() const
    {75, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1281 QsciLexerProperties::defaultColor(int) const
    {75, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//1282 QsciLexerProperties::defaultEolFill(int) const
    {75, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1283 QsciLexerProperties::defaultFont(int) const
    {75, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1284 QsciLexerProperties::defaultPaper(int) const
    {75, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 16},	//1285 QsciLexerProperties::description(int) const
    {75, 1171, 0, 0, Smoke::mf_virtual, 0, 17},	//1286 QsciLexerProperties::refreshProperties()
    {75, 972, 0, 0, Smoke::mf_const, 191, 18},	//1287 QsciLexerProperties::foldCompact() const
    {75, 1397, 16, 1, 0, 0, 19},	//1288 QsciLexerProperties::setInitialSpaces(bool)
    {75, 1025, 0, 0, Smoke::mf_const, 191, 20},	//1289 QsciLexerProperties::initialSpaces() const
    {75, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1290 QsciLexerProperties::setFoldCompact(bool)
    {75, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 22},	//1291 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {75, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 23},	//1292 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {75, 1574, 12, 1, Smoke::mf_static, 41, 24},	//1293 QsciLexerProperties::tr(const char*)
    {75, 1578, 12, 1, Smoke::mf_static, 41, 25},	//1294 QsciLexerProperties::trUtf8(const char*)
    {75, 503, 0, 0, Smoke::mf_ctor, 81, 26},	//1295 QsciLexerProperties::QsciLexerProperties()
    {75, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 27},	//1296 QsciLexerProperties::staticMetaObject() const
    {75, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//1297 QsciLexerProperties::Default (enum)
    {75, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//1298 QsciLexerProperties::Comment (enum)
    {75, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//1299 QsciLexerProperties::Section (enum)
    {75, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//1300 QsciLexerProperties::Assignment (enum)
    {75, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1301 QsciLexerProperties::DefaultValue (enum)
    {75, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1302 QsciLexerProperties::Key (enum)
    {75, 1649, 0, 0, Smoke::mf_dtor, 0, 34 },	//1303 QsciLexerProperties::~QsciLexerProperties()
    {76, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1304 QsciLexerPython::metaObject() const
    {76, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1305 QsciLexerPython::qt_metacast(const char*)
    {76, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1306 QsciLexerPython::tr(const char*, const char*)
    {76, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1307 QsciLexerPython::trUtf8(const char*, const char*)
    {76, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1308 QsciLexerPython::tr(const char*, const char*, int)
    {76, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1309 QsciLexerPython::trUtf8(const char*, const char*, int)
    {76, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1310 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {76, 505, 74, 1, Smoke::mf_ctor, 82, 8},	//1311 QsciLexerPython::QsciLexerPython(QObject*)
    {76, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1312 QsciLexerPython::language() const
    {76, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1313 QsciLexerPython::lexer() const
    {76, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//1314 QsciLexerPython::autoCompletionWordSeparators() const
    {76, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 12},	//1315 QsciLexerPython::blockLookback() const
    {76, 828, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//1316 QsciLexerPython::blockStart(int*) const
    {76, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 14},	//1317 QsciLexerPython::braceStyle() const
    {76, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1318 QsciLexerPython::defaultColor(int) const
    {76, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 16},	//1319 QsciLexerPython::defaultEolFill(int) const
    {76, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1320 QsciLexerPython::defaultFont(int) const
    {76, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1321 QsciLexerPython::defaultPaper(int) const
    {76, 1011, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 19},	//1322 QsciLexerPython::indentationGuideView() const
    {76, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 20},	//1323 QsciLexerPython::keywords(int) const
    {76, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 21},	//1324 QsciLexerPython::description(int) const
    {76, 1171, 0, 0, Smoke::mf_virtual, 0, 22},	//1325 QsciLexerPython::refreshProperties()
    {76, 971, 0, 0, Smoke::mf_const, 191, 23},	//1326 QsciLexerPython::foldComments() const
    {76, 1318, 16, 1, 0, 0, 24},	//1327 QsciLexerPython::setFoldCompact(bool)
    {76, 972, 0, 0, Smoke::mf_const, 191, 25},	//1328 QsciLexerPython::foldCompact() const
    {76, 980, 0, 0, Smoke::mf_const, 191, 26},	//1329 QsciLexerPython::foldQuotes() const
    {76, 1013, 0, 0, Smoke::mf_const, 83, 27},	//1330 QsciLexerPython::indentationWarning() const
    {76, 1354, 16, 1, 0, 0, 28},	//1331 QsciLexerPython::setHighlightSubidentifiers(bool)
    {76, 1004, 0, 0, Smoke::mf_const, 191, 29},	//1332 QsciLexerPython::highlightSubidentifiers() const
    {76, 1484, 16, 1, 0, 0, 30},	//1333 QsciLexerPython::setStringsOverNewlineAllowed(bool)
    {76, 1550, 0, 0, Smoke::mf_const, 191, 31},	//1334 QsciLexerPython::stringsOverNewlineAllowed() const
    {76, 1513, 16, 1, 0, 0, 32},	//1335 QsciLexerPython::setV2UnicodeAllowed(bool)
    {76, 1589, 0, 0, Smoke::mf_const, 191, 33},	//1336 QsciLexerPython::v2UnicodeAllowed() const
    {76, 1515, 16, 1, 0, 0, 34},	//1337 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {76, 1590, 0, 0, Smoke::mf_const, 191, 35},	//1338 QsciLexerPython::v3BinaryOctalAllowed() const
    {76, 1517, 16, 1, 0, 0, 36},	//1339 QsciLexerPython::setV3BytesAllowed(bool)
    {76, 1591, 0, 0, Smoke::mf_const, 191, 37},	//1340 QsciLexerPython::v3BytesAllowed() const
    {76, 1316, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//1341 QsciLexerPython::setFoldComments(bool)
    {76, 1332, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//1342 QsciLexerPython::setFoldQuotes(bool)
    {76, 1376, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 40},	//1343 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {76, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 41},	//1344 QsciLexerPython::readProperties(QSettings&, const QString&)
    {76, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 42},	//1345 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {76, 1574, 12, 1, Smoke::mf_static, 41, 43},	//1346 QsciLexerPython::tr(const char*)
    {76, 1578, 12, 1, Smoke::mf_static, 41, 44},	//1347 QsciLexerPython::trUtf8(const char*)
    {76, 505, 0, 0, Smoke::mf_ctor, 82, 45},	//1348 QsciLexerPython::QsciLexerPython()
    {76, 828, 0, 0, Smoke::mf_const, 215, 46},	//1349 QsciLexerPython::blockStart() const
    {76, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 47},	//1350 QsciLexerPython::staticMetaObject() const
    {76, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1351 QsciLexerPython::Default (enum)
    {76, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1352 QsciLexerPython::Comment (enum)
    {76, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1353 QsciLexerPython::Number (enum)
    {76, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//1354 QsciLexerPython::DoubleQuotedString (enum)
    {76, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//1355 QsciLexerPython::SingleQuotedString (enum)
    {76, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//1356 QsciLexerPython::Keyword (enum)
    {76, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//1357 QsciLexerPython::TripleSingleQuotedString (enum)
    {76, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//1358 QsciLexerPython::TripleDoubleQuotedString (enum)
    {76, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//1359 QsciLexerPython::ClassName (enum)
    {76, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//1360 QsciLexerPython::FunctionMethodName (enum)
    {76, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//1361 QsciLexerPython::Operator (enum)
    {76, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//1362 QsciLexerPython::Identifier (enum)
    {76, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//1363 QsciLexerPython::CommentBlock (enum)
    {76, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//1364 QsciLexerPython::UnclosedString (enum)
    {76, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//1365 QsciLexerPython::HighlightedIdentifier (enum)
    {76, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 63},	//1366 QsciLexerPython::Decorator (enum)
    {76, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 64},	//1367 QsciLexerPython::NoWarning (enum)
    {76, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 65},	//1368 QsciLexerPython::Inconsistent (enum)
    {76, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 66},	//1369 QsciLexerPython::TabsAfterSpaces (enum)
    {76, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 67},	//1370 QsciLexerPython::Spaces (enum)
    {76, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 68},	//1371 QsciLexerPython::Tabs (enum)
    {76, 1650, 0, 0, Smoke::mf_dtor, 0, 69 },	//1372 QsciLexerPython::~QsciLexerPython()
    {77, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1373 QsciLexerRuby::metaObject() const
    {77, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1374 QsciLexerRuby::qt_metacast(const char*)
    {77, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1375 QsciLexerRuby::tr(const char*, const char*)
    {77, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1376 QsciLexerRuby::trUtf8(const char*, const char*)
    {77, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1377 QsciLexerRuby::tr(const char*, const char*, int)
    {77, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1378 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {77, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1379 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {77, 507, 74, 1, Smoke::mf_ctor, 84, 8},	//1380 QsciLexerRuby::QsciLexerRuby(QObject*)
    {77, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1381 QsciLexerRuby::language() const
    {77, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1382 QsciLexerRuby::lexer() const
    {77, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1383 QsciLexerRuby::blockEnd(int*) const
    {77, 828, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1384 QsciLexerRuby::blockStart(int*) const
    {77, 830, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//1385 QsciLexerRuby::blockStartKeyword(int*) const
    {77, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 14},	//1386 QsciLexerRuby::braceStyle() const
    {77, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1387 QsciLexerRuby::defaultColor(int) const
    {77, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 16},	//1388 QsciLexerRuby::defaultEolFill(int) const
    {77, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1389 QsciLexerRuby::defaultFont(int) const
    {77, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1390 QsciLexerRuby::defaultPaper(int) const
    {77, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 19},	//1391 QsciLexerRuby::keywords(int) const
    {77, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 20},	//1392 QsciLexerRuby::description(int) const
    {77, 1171, 0, 0, Smoke::mf_virtual, 0, 21},	//1393 QsciLexerRuby::refreshProperties()
    {77, 1316, 16, 1, 0, 0, 22},	//1394 QsciLexerRuby::setFoldComments(bool)
    {77, 971, 0, 0, Smoke::mf_const, 191, 23},	//1395 QsciLexerRuby::foldComments() const
    {77, 1318, 16, 1, 0, 0, 24},	//1396 QsciLexerRuby::setFoldCompact(bool)
    {77, 972, 0, 0, Smoke::mf_const, 191, 25},	//1397 QsciLexerRuby::foldCompact() const
    {77, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 26},	//1398 QsciLexerRuby::readProperties(QSettings&, const QString&)
    {77, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 27},	//1399 QsciLexerRuby::writeProperties(QSettings&, const QString&) const
    {77, 1574, 12, 1, Smoke::mf_static, 41, 28},	//1400 QsciLexerRuby::tr(const char*)
    {77, 1578, 12, 1, Smoke::mf_static, 41, 29},	//1401 QsciLexerRuby::trUtf8(const char*)
    {77, 507, 0, 0, Smoke::mf_ctor, 84, 30},	//1402 QsciLexerRuby::QsciLexerRuby()
    {77, 825, 0, 0, Smoke::mf_const, 215, 31},	//1403 QsciLexerRuby::blockEnd() const
    {77, 828, 0, 0, Smoke::mf_const, 215, 32},	//1404 QsciLexerRuby::blockStart() const
    {77, 830, 0, 0, Smoke::mf_const, 215, 33},	//1405 QsciLexerRuby::blockStartKeyword() const
    {77, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 34},	//1406 QsciLexerRuby::staticMetaObject() const
    {77, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1407 QsciLexerRuby::Default (enum)
    {77, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//1408 QsciLexerRuby::Error (enum)
    {77, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//1409 QsciLexerRuby::Comment (enum)
    {77, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//1410 QsciLexerRuby::POD (enum)
    {77, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//1411 QsciLexerRuby::Number (enum)
    {77, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1412 QsciLexerRuby::Keyword (enum)
    {77, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1413 QsciLexerRuby::DoubleQuotedString (enum)
    {77, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1414 QsciLexerRuby::SingleQuotedString (enum)
    {77, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1415 QsciLexerRuby::ClassName (enum)
    {77, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1416 QsciLexerRuby::FunctionMethodName (enum)
    {77, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1417 QsciLexerRuby::Operator (enum)
    {77, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1418 QsciLexerRuby::Identifier (enum)
    {77, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1419 QsciLexerRuby::Regex (enum)
    {77, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1420 QsciLexerRuby::Global (enum)
    {77, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1421 QsciLexerRuby::Symbol (enum)
    {77, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1422 QsciLexerRuby::ModuleName (enum)
    {77, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//1423 QsciLexerRuby::InstanceVariable (enum)
    {77, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//1424 QsciLexerRuby::ClassVariable (enum)
    {77, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//1425 QsciLexerRuby::Backticks (enum)
    {77, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//1426 QsciLexerRuby::DataSection (enum)
    {77, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//1427 QsciLexerRuby::HereDocumentDelimiter (enum)
    {77, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//1428 QsciLexerRuby::HereDocument (enum)
    {77, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//1429 QsciLexerRuby::PercentStringq (enum)
    {77, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//1430 QsciLexerRuby::PercentStringQ (enum)
    {77, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//1431 QsciLexerRuby::PercentStringx (enum)
    {77, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//1432 QsciLexerRuby::PercentStringr (enum)
    {77, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//1433 QsciLexerRuby::PercentStringw (enum)
    {77, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//1434 QsciLexerRuby::DemotedKeyword (enum)
    {77, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 63},	//1435 QsciLexerRuby::Stdin (enum)
    {77, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 64},	//1436 QsciLexerRuby::Stdout (enum)
    {77, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 65},	//1437 QsciLexerRuby::Stderr (enum)
    {77, 1651, 0, 0, Smoke::mf_dtor, 0, 66 },	//1438 QsciLexerRuby::~QsciLexerRuby()
    {78, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1439 QsciLexerSQL::metaObject() const
    {78, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1440 QsciLexerSQL::qt_metacast(const char*)
    {78, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1441 QsciLexerSQL::tr(const char*, const char*)
    {78, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1442 QsciLexerSQL::trUtf8(const char*, const char*)
    {78, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1443 QsciLexerSQL::tr(const char*, const char*, int)
    {78, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1444 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {78, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1445 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {78, 509, 74, 1, Smoke::mf_ctor, 85, 8},	//1446 QsciLexerSQL::QsciLexerSQL(QObject*)
    {78, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1447 QsciLexerSQL::language() const
    {78, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1448 QsciLexerSQL::lexer() const
    {78, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//1449 QsciLexerSQL::braceStyle() const
    {78, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1450 QsciLexerSQL::defaultColor(int) const
    {78, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//1451 QsciLexerSQL::defaultEolFill(int) const
    {78, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1452 QsciLexerSQL::defaultFont(int) const
    {78, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1453 QsciLexerSQL::defaultPaper(int) const
    {78, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//1454 QsciLexerSQL::keywords(int) const
    {78, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 17},	//1455 QsciLexerSQL::description(int) const
    {78, 1171, 0, 0, Smoke::mf_virtual, 0, 18},	//1456 QsciLexerSQL::refreshProperties()
    {78, 822, 0, 0, Smoke::mf_const, 191, 19},	//1457 QsciLexerSQL::backslashEscapes() const
    {78, 1287, 16, 1, 0, 0, 20},	//1458 QsciLexerSQL::setDottedWords(bool)
    {78, 910, 0, 0, Smoke::mf_const, 191, 21},	//1459 QsciLexerSQL::dottedWords() const
    {78, 1312, 16, 1, 0, 0, 22},	//1460 QsciLexerSQL::setFoldAtElse(bool)
    {78, 969, 0, 0, Smoke::mf_const, 191, 23},	//1461 QsciLexerSQL::foldAtElse() const
    {78, 971, 0, 0, Smoke::mf_const, 191, 24},	//1462 QsciLexerSQL::foldComments() const
    {78, 972, 0, 0, Smoke::mf_const, 191, 25},	//1463 QsciLexerSQL::foldCompact() const
    {78, 1324, 16, 1, 0, 0, 26},	//1464 QsciLexerSQL::setFoldOnlyBegin(bool)
    {78, 976, 0, 0, Smoke::mf_const, 191, 27},	//1465 QsciLexerSQL::foldOnlyBegin() const
    {78, 1346, 16, 1, 0, 0, 28},	//1466 QsciLexerSQL::setHashComments(bool)
    {78, 998, 0, 0, Smoke::mf_const, 191, 29},	//1467 QsciLexerSQL::hashComments() const
    {78, 1461, 16, 1, 0, 0, 30},	//1468 QsciLexerSQL::setQuotedIdentifiers(bool)
    {78, 1158, 0, 0, Smoke::mf_const, 191, 31},	//1469 QsciLexerSQL::quotedIdentifiers() const
    {78, 1236, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1470 QsciLexerSQL::setBackslashEscapes(bool)
    {78, 1316, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1471 QsciLexerSQL::setFoldComments(bool)
    {78, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1472 QsciLexerSQL::setFoldCompact(bool)
    {78, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 35},	//1473 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {78, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 36},	//1474 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {78, 1574, 12, 1, Smoke::mf_static, 41, 37},	//1475 QsciLexerSQL::tr(const char*)
    {78, 1578, 12, 1, Smoke::mf_static, 41, 38},	//1476 QsciLexerSQL::trUtf8(const char*)
    {78, 509, 0, 0, Smoke::mf_ctor, 85, 39},	//1477 QsciLexerSQL::QsciLexerSQL()
    {78, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 40},	//1478 QsciLexerSQL::staticMetaObject() const
    {78, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1479 QsciLexerSQL::Default (enum)
    {78, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1480 QsciLexerSQL::Comment (enum)
    {78, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1481 QsciLexerSQL::CommentLine (enum)
    {78, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1482 QsciLexerSQL::CommentDoc (enum)
    {78, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1483 QsciLexerSQL::Number (enum)
    {78, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1484 QsciLexerSQL::Keyword (enum)
    {78, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1485 QsciLexerSQL::DoubleQuotedString (enum)
    {78, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1486 QsciLexerSQL::SingleQuotedString (enum)
    {78, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1487 QsciLexerSQL::PlusKeyword (enum)
    {78, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1488 QsciLexerSQL::PlusPrompt (enum)
    {78, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//1489 QsciLexerSQL::Operator (enum)
    {78, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//1490 QsciLexerSQL::Identifier (enum)
    {78, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//1491 QsciLexerSQL::PlusComment (enum)
    {78, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//1492 QsciLexerSQL::CommentLineHash (enum)
    {78, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//1493 QsciLexerSQL::CommentDocKeyword (enum)
    {78, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//1494 QsciLexerSQL::CommentDocKeywordError (enum)
    {78, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//1495 QsciLexerSQL::KeywordSet5 (enum)
    {78, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//1496 QsciLexerSQL::KeywordSet6 (enum)
    {78, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//1497 QsciLexerSQL::KeywordSet7 (enum)
    {78, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//1498 QsciLexerSQL::KeywordSet8 (enum)
    {78, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//1499 QsciLexerSQL::QuotedIdentifier (enum)
    {78, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//1500 QsciLexerSQL::QuotedOperator (enum)
    {78, 1652, 0, 0, Smoke::mf_dtor, 0, 63 },	//1501 QsciLexerSQL::~QsciLexerSQL()
    {79, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1502 QsciLexerTCL::metaObject() const
    {79, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1503 QsciLexerTCL::qt_metacast(const char*)
    {79, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1504 QsciLexerTCL::tr(const char*, const char*)
    {79, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1505 QsciLexerTCL::trUtf8(const char*, const char*)
    {79, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1506 QsciLexerTCL::tr(const char*, const char*, int)
    {79, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1507 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {79, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1508 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {79, 511, 74, 1, Smoke::mf_ctor, 86, 8},	//1509 QsciLexerTCL::QsciLexerTCL(QObject*)
    {79, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1510 QsciLexerTCL::language() const
    {79, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1511 QsciLexerTCL::lexer() const
    {79, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//1512 QsciLexerTCL::braceStyle() const
    {79, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1513 QsciLexerTCL::defaultColor(int) const
    {79, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//1514 QsciLexerTCL::defaultEolFill(int) const
    {79, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1515 QsciLexerTCL::defaultFont(int) const
    {79, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1516 QsciLexerTCL::defaultPaper(int) const
    {79, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//1517 QsciLexerTCL::keywords(int) const
    {79, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 17},	//1518 QsciLexerTCL::description(int) const
    {79, 1171, 0, 0, Smoke::mf_virtual, 0, 18},	//1519 QsciLexerTCL::refreshProperties()
    {79, 1316, 16, 1, 0, 0, 19},	//1520 QsciLexerTCL::setFoldComments(bool)
    {79, 971, 0, 0, Smoke::mf_const, 191, 20},	//1521 QsciLexerTCL::foldComments() const
    {79, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 21},	//1522 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {79, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 22},	//1523 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {79, 1574, 12, 1, Smoke::mf_static, 41, 23},	//1524 QsciLexerTCL::tr(const char*)
    {79, 1578, 12, 1, Smoke::mf_static, 41, 24},	//1525 QsciLexerTCL::trUtf8(const char*)
    {79, 511, 0, 0, Smoke::mf_ctor, 86, 25},	//1526 QsciLexerTCL::QsciLexerTCL()
    {79, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 26},	//1527 QsciLexerTCL::staticMetaObject() const
    {79, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//1528 QsciLexerTCL::Default (enum)
    {79, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//1529 QsciLexerTCL::Comment (enum)
    {79, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//1530 QsciLexerTCL::CommentLine (enum)
    {79, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//1531 QsciLexerTCL::Number (enum)
    {79, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//1532 QsciLexerTCL::QuotedKeyword (enum)
    {79, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1533 QsciLexerTCL::QuotedString (enum)
    {79, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1534 QsciLexerTCL::Operator (enum)
    {79, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//1535 QsciLexerTCL::Identifier (enum)
    {79, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1536 QsciLexerTCL::Substitution (enum)
    {79, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//1537 QsciLexerTCL::SubstitutionBrace (enum)
    {79, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//1538 QsciLexerTCL::Modifier (enum)
    {79, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//1539 QsciLexerTCL::ExpandKeyword (enum)
    {79, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//1540 QsciLexerTCL::TCLKeyword (enum)
    {79, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1541 QsciLexerTCL::TkKeyword (enum)
    {79, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1542 QsciLexerTCL::ITCLKeyword (enum)
    {79, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1543 QsciLexerTCL::TkCommand (enum)
    {79, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1544 QsciLexerTCL::KeywordSet6 (enum)
    {79, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1545 QsciLexerTCL::KeywordSet7 (enum)
    {79, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1546 QsciLexerTCL::KeywordSet8 (enum)
    {79, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1547 QsciLexerTCL::KeywordSet9 (enum)
    {79, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1548 QsciLexerTCL::CommentBox (enum)
    {79, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1549 QsciLexerTCL::CommentBlock (enum)
    {79, 1653, 0, 0, Smoke::mf_dtor, 0, 49 },	//1550 QsciLexerTCL::~QsciLexerTCL()
    {80, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1551 QsciLexerTeX::metaObject() const
    {80, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1552 QsciLexerTeX::qt_metacast(const char*)
    {80, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1553 QsciLexerTeX::tr(const char*, const char*)
    {80, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1554 QsciLexerTeX::trUtf8(const char*, const char*)
    {80, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1555 QsciLexerTeX::tr(const char*, const char*, int)
    {80, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1556 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {80, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1557 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {80, 513, 74, 1, Smoke::mf_ctor, 87, 8},	//1558 QsciLexerTeX::QsciLexerTeX(QObject*)
    {80, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1559 QsciLexerTeX::language() const
    {80, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1560 QsciLexerTeX::lexer() const
    {80, 1606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1561 QsciLexerTeX::wordCharacters() const
    {80, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1562 QsciLexerTeX::defaultColor(int) const
    {80, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//1563 QsciLexerTeX::keywords(int) const
    {80, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 14},	//1564 QsciLexerTeX::description(int) const
    {80, 1171, 0, 0, Smoke::mf_virtual, 0, 15},	//1565 QsciLexerTeX::refreshProperties()
    {80, 1316, 16, 1, 0, 0, 16},	//1566 QsciLexerTeX::setFoldComments(bool)
    {80, 971, 0, 0, Smoke::mf_const, 191, 17},	//1567 QsciLexerTeX::foldComments() const
    {80, 1318, 16, 1, 0, 0, 18},	//1568 QsciLexerTeX::setFoldCompact(bool)
    {80, 972, 0, 0, Smoke::mf_const, 191, 19},	//1569 QsciLexerTeX::foldCompact() const
    {80, 1457, 16, 1, 0, 0, 20},	//1570 QsciLexerTeX::setProcessComments(bool)
    {80, 1150, 0, 0, Smoke::mf_const, 191, 21},	//1571 QsciLexerTeX::processComments() const
    {80, 1459, 16, 1, 0, 0, 22},	//1572 QsciLexerTeX::setProcessIf(bool)
    {80, 1151, 0, 0, Smoke::mf_const, 191, 23},	//1573 QsciLexerTeX::processIf() const
    {80, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 24},	//1574 QsciLexerTeX::readProperties(QSettings&, const QString&)
    {80, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 25},	//1575 QsciLexerTeX::writeProperties(QSettings&, const QString&) const
    {80, 1574, 12, 1, Smoke::mf_static, 41, 26},	//1576 QsciLexerTeX::tr(const char*)
    {80, 1578, 12, 1, Smoke::mf_static, 41, 27},	//1577 QsciLexerTeX::trUtf8(const char*)
    {80, 513, 0, 0, Smoke::mf_ctor, 87, 28},	//1578 QsciLexerTeX::QsciLexerTeX()
    {80, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 29},	//1579 QsciLexerTeX::staticMetaObject() const
    {80, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//1580 QsciLexerTeX::Default (enum)
    {80, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//1581 QsciLexerTeX::Special (enum)
    {80, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1582 QsciLexerTeX::Group (enum)
    {80, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1583 QsciLexerTeX::Symbol (enum)
    {80, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//1584 QsciLexerTeX::Command (enum)
    {80, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1585 QsciLexerTeX::Text (enum)
    {80, 1654, 0, 0, Smoke::mf_dtor, 0, 36 },	//1586 QsciLexerTeX::~QsciLexerTeX()
    {81, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1587 QsciLexerVHDL::metaObject() const
    {81, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1588 QsciLexerVHDL::qt_metacast(const char*)
    {81, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1589 QsciLexerVHDL::tr(const char*, const char*)
    {81, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1590 QsciLexerVHDL::trUtf8(const char*, const char*)
    {81, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1591 QsciLexerVHDL::tr(const char*, const char*, int)
    {81, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1592 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {81, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1593 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {81, 515, 74, 1, Smoke::mf_ctor, 88, 8},	//1594 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {81, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1595 QsciLexerVHDL::language() const
    {81, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1596 QsciLexerVHDL::lexer() const
    {81, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//1597 QsciLexerVHDL::braceStyle() const
    {81, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1598 QsciLexerVHDL::defaultColor(int) const
    {81, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//1599 QsciLexerVHDL::defaultEolFill(int) const
    {81, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1600 QsciLexerVHDL::defaultFont(int) const
    {81, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1601 QsciLexerVHDL::defaultPaper(int) const
    {81, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//1602 QsciLexerVHDL::keywords(int) const
    {81, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 17},	//1603 QsciLexerVHDL::description(int) const
    {81, 1171, 0, 0, Smoke::mf_virtual, 0, 18},	//1604 QsciLexerVHDL::refreshProperties()
    {81, 971, 0, 0, Smoke::mf_const, 191, 19},	//1605 QsciLexerVHDL::foldComments() const
    {81, 972, 0, 0, Smoke::mf_const, 191, 20},	//1606 QsciLexerVHDL::foldCompact() const
    {81, 969, 0, 0, Smoke::mf_const, 191, 21},	//1607 QsciLexerVHDL::foldAtElse() const
    {81, 968, 0, 0, Smoke::mf_const, 191, 22},	//1608 QsciLexerVHDL::foldAtBegin() const
    {81, 970, 0, 0, Smoke::mf_const, 191, 23},	//1609 QsciLexerVHDL::foldAtParenthesis() const
    {81, 1316, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1610 QsciLexerVHDL::setFoldComments(bool)
    {81, 1318, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1611 QsciLexerVHDL::setFoldCompact(bool)
    {81, 1312, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1612 QsciLexerVHDL::setFoldAtElse(bool)
    {81, 1310, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1613 QsciLexerVHDL::setFoldAtBegin(bool)
    {81, 1314, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1614 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {81, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 29},	//1615 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {81, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 30},	//1616 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {81, 1574, 12, 1, Smoke::mf_static, 41, 31},	//1617 QsciLexerVHDL::tr(const char*)
    {81, 1578, 12, 1, Smoke::mf_static, 41, 32},	//1618 QsciLexerVHDL::trUtf8(const char*)
    {81, 515, 0, 0, Smoke::mf_ctor, 88, 33},	//1619 QsciLexerVHDL::QsciLexerVHDL()
    {81, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 34},	//1620 QsciLexerVHDL::staticMetaObject() const
    {81, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1621 QsciLexerVHDL::Default (enum)
    {81, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//1622 QsciLexerVHDL::Comment (enum)
    {81, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//1623 QsciLexerVHDL::CommentLine (enum)
    {81, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//1624 QsciLexerVHDL::Number (enum)
    {81, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//1625 QsciLexerVHDL::String (enum)
    {81, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1626 QsciLexerVHDL::Operator (enum)
    {81, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1627 QsciLexerVHDL::Identifier (enum)
    {81, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1628 QsciLexerVHDL::UnclosedString (enum)
    {81, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1629 QsciLexerVHDL::Keyword (enum)
    {81, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1630 QsciLexerVHDL::StandardOperator (enum)
    {81, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1631 QsciLexerVHDL::Attribute (enum)
    {81, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1632 QsciLexerVHDL::StandardFunction (enum)
    {81, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1633 QsciLexerVHDL::StandardPackage (enum)
    {81, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1634 QsciLexerVHDL::StandardType (enum)
    {81, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1635 QsciLexerVHDL::KeywordSet7 (enum)
    {81, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1636 QsciLexerVHDL::CommentBlock (enum)
    {81, 1655, 0, 0, Smoke::mf_dtor, 0, 51 },	//1637 QsciLexerVHDL::~QsciLexerVHDL()
    {82, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1638 QsciLexerXML::metaObject() const
    {82, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1639 QsciLexerXML::qt_metacast(const char*)
    {82, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1640 QsciLexerXML::tr(const char*, const char*)
    {82, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1641 QsciLexerXML::trUtf8(const char*, const char*)
    {82, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1642 QsciLexerXML::tr(const char*, const char*, int)
    {82, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1643 QsciLexerXML::trUtf8(const char*, const char*, int)
    {82, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1644 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {82, 517, 74, 1, Smoke::mf_ctor, 89, 8},	//1645 QsciLexerXML::QsciLexerXML(QObject*)
    {82, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1646 QsciLexerXML::language() const
    {82, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1647 QsciLexerXML::lexer() const
    {82, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1648 QsciLexerXML::defaultColor(int) const
    {82, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 12},	//1649 QsciLexerXML::defaultEolFill(int) const
    {82, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1650 QsciLexerXML::defaultFont(int) const
    {82, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1651 QsciLexerXML::defaultPaper(int) const
    {82, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1652 QsciLexerXML::keywords(int) const
    {82, 1171, 0, 0, Smoke::mf_virtual, 0, 16},	//1653 QsciLexerXML::refreshProperties()
    {82, 1467, 16, 1, 0, 0, 17},	//1654 QsciLexerXML::setScriptsStyled(bool)
    {82, 1197, 0, 0, Smoke::mf_const, 191, 18},	//1655 QsciLexerXML::scriptsStyled() const
    {82, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 19},	//1656 QsciLexerXML::readProperties(QSettings&, const QString&)
    {82, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 20},	//1657 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {82, 1574, 12, 1, Smoke::mf_static, 41, 21},	//1658 QsciLexerXML::tr(const char*)
    {82, 1578, 12, 1, Smoke::mf_static, 41, 22},	//1659 QsciLexerXML::trUtf8(const char*)
    {82, 517, 0, 0, Smoke::mf_ctor, 89, 23},	//1660 QsciLexerXML::QsciLexerXML()
    {82, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 24},	//1661 QsciLexerXML::staticMetaObject() const
    {82, 1656, 0, 0, Smoke::mf_dtor, 0, 25 },	//1662 QsciLexerXML::~QsciLexerXML()
    {83, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1663 QsciLexerYAML::metaObject() const
    {83, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1664 QsciLexerYAML::qt_metacast(const char*)
    {83, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1665 QsciLexerYAML::tr(const char*, const char*)
    {83, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1666 QsciLexerYAML::trUtf8(const char*, const char*)
    {83, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1667 QsciLexerYAML::tr(const char*, const char*, int)
    {83, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1668 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {83, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1669 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {83, 519, 74, 1, Smoke::mf_ctor, 90, 8},	//1670 QsciLexerYAML::QsciLexerYAML(QObject*)
    {83, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1671 QsciLexerYAML::language() const
    {83, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1672 QsciLexerYAML::lexer() const
    {83, 893, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1673 QsciLexerYAML::defaultColor(int) const
    {83, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 12},	//1674 QsciLexerYAML::defaultEolFill(int) const
    {83, 897, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1675 QsciLexerYAML::defaultFont(int) const
    {83, 899, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1676 QsciLexerYAML::defaultPaper(int) const
    {83, 1050, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1677 QsciLexerYAML::keywords(int) const
    {83, 903, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 16},	//1678 QsciLexerYAML::description(int) const
    {83, 1171, 0, 0, Smoke::mf_virtual, 0, 17},	//1679 QsciLexerYAML::refreshProperties()
    {83, 971, 0, 0, Smoke::mf_const, 191, 18},	//1680 QsciLexerYAML::foldComments() const
    {83, 1316, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1681 QsciLexerYAML::setFoldComments(bool)
    {83, 1161, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 20},	//1682 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {83, 1611, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 21},	//1683 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {83, 1574, 12, 1, Smoke::mf_static, 41, 22},	//1684 QsciLexerYAML::tr(const char*)
    {83, 1578, 12, 1, Smoke::mf_static, 41, 23},	//1685 QsciLexerYAML::trUtf8(const char*)
    {83, 519, 0, 0, Smoke::mf_ctor, 90, 24},	//1686 QsciLexerYAML::QsciLexerYAML()
    {83, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 25},	//1687 QsciLexerYAML::staticMetaObject() const
    {83, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 26},	//1688 QsciLexerYAML::Default (enum)
    {83, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//1689 QsciLexerYAML::Comment (enum)
    {83, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//1690 QsciLexerYAML::Identifier (enum)
    {83, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//1691 QsciLexerYAML::Keyword (enum)
    {83, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//1692 QsciLexerYAML::Number (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//1693 QsciLexerYAML::Reference (enum)
    {83, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1694 QsciLexerYAML::DocumentDelimiter (enum)
    {83, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1695 QsciLexerYAML::TextBlockMarker (enum)
    {83, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//1696 QsciLexerYAML::SyntaxErrorMarker (enum)
    {83, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1697 QsciLexerYAML::Operator (enum)
    {83, 1657, 0, 0, Smoke::mf_dtor, 0, 36 },	//1698 QsciLexerYAML::~QsciLexerYAML()
    {84, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1699 QsciMacro::metaObject() const
    {84, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1700 QsciMacro::qt_metacast(const char*)
    {84, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1701 QsciMacro::tr(const char*, const char*)
    {84, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1702 QsciMacro::trUtf8(const char*, const char*)
    {84, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1703 QsciMacro::tr(const char*, const char*, int)
    {84, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1704 QsciMacro::trUtf8(const char*, const char*, int)
    {84, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1705 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {84, 521, 82, 1, Smoke::mf_ctor, 91, 8},	//1706 QsciMacro::QsciMacro(QsciScintilla*)
    {84, 521, 107, 2, Smoke::mf_ctor, 91, 9},	//1707 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {84, 856, 0, 0, 0, 0, 10},	//1708 QsciMacro::clear()
    {84, 1067, 55, 1, 0, 191, 11},	//1709 QsciMacro::load(const QString&)
    {84, 1194, 0, 0, Smoke::mf_const, 41, 12},	//1710 QsciMacro::save() const
    {84, 1141, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1711 QsciMacro::play()
    {84, 1545, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1712 QsciMacro::startRecording()
    {84, 924, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1713 QsciMacro::endRecording()
    {84, 1574, 12, 1, Smoke::mf_static, 41, 16},	//1714 QsciMacro::tr(const char*)
    {84, 1578, 12, 1, Smoke::mf_static, 41, 17},	//1715 QsciMacro::trUtf8(const char*)
    {84, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 18},	//1716 QsciMacro::staticMetaObject() const
    {84, 1658, 0, 0, Smoke::mf_dtor, 0, 19 },	//1717 QsciMacro::~QsciMacro()
    {85, 524, 110, 1, Smoke::mf_ctor, 92, 1},	//1718 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {85, 989, 112, 4, Smoke::mf_virtual, 0, 2},	//1719 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {85, 1071, 0, 0, Smoke::mf_const, 217, 3},	//1720 QsciPrinter::magnification() const
    {85, 1407, 18, 1, Smoke::mf_virtual, 0, 4},	//1721 QsciPrinter::setMagnification(int)
    {85, 1146, 117, 3, Smoke::mf_virtual, 217, 5},	//1722 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {85, 1608, 0, 0, Smoke::mf_const, 110, 6},	//1723 QsciPrinter::wrapMode() const
    {85, 1533, 121, 1, Smoke::mf_virtual, 0, 7},	//1724 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {85, 524, 0, 0, Smoke::mf_ctor, 92, 8},	//1725 QsciPrinter::QsciPrinter()
    {85, 1146, 123, 1, 0, 217, 9},	//1726 QsciPrinter::printRange(QsciScintillaBase*)
    {85, 1146, 125, 2, 0, 217, 10},	//1727 QsciPrinter::printRange(QsciScintillaBase*, int)
    {85, 1659, 0, 0, Smoke::mf_dtor, 0, 11 },	//1728 QsciPrinter::~QsciPrinter()
    {86, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1729 QsciScintilla::metaObject() const
    {86, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//1730 QsciScintilla::qt_metacast(const char*)
    {86, 1574, 42, 2, Smoke::mf_static, 41, 3},	//1731 QsciScintilla::tr(const char*, const char*)
    {86, 1578, 42, 2, Smoke::mf_static, 41, 4},	//1732 QsciScintilla::trUtf8(const char*, const char*)
    {86, 1574, 45, 3, Smoke::mf_static, 41, 5},	//1733 QsciScintilla::tr(const char*, const char*, int)
    {86, 1578, 45, 3, Smoke::mf_static, 41, 6},	//1734 QsciScintilla::trUtf8(const char*, const char*, int)
    {86, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//1735 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {86, 526, 128, 1, Smoke::mf_ctor, 93, 8},	//1736 QsciScintilla::QsciScintilla(QWidget*)
    {86, 796, 130, 3, Smoke::mf_virtual, 42, 9},	//1737 QsciScintilla::apiContext(int, int&, int&)
    {86, 788, 134, 3, 0, 0, 10},	//1738 QsciScintilla::annotate(int, const QString&, int)
    {86, 788, 138, 3, 0, 0, 11},	//1739 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {86, 788, 142, 2, 0, 0, 12},	//1740 QsciScintilla::annotate(int, const QsciStyledText&)
    {86, 788, 145, 2, 0, 0, 13},	//1741 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {86, 793, 18, 1, Smoke::mf_const, 41, 14},	//1742 QsciScintilla::annotation(int) const
    {86, 795, 0, 0, Smoke::mf_const, 94, 15},	//1743 QsciScintilla::annotationDisplay() const
    {86, 858, 18, 1, 0, 0, 16},	//1744 QsciScintilla::clearAnnotations(int)
    {86, 809, 0, 0, Smoke::mf_const, 191, 17},	//1745 QsciScintilla::autoCompletionCaseSensitivity() const
    {86, 811, 0, 0, Smoke::mf_const, 191, 18},	//1746 QsciScintilla::autoCompletionFillupsEnabled() const
    {86, 812, 0, 0, Smoke::mf_const, 191, 19},	//1747 QsciScintilla::autoCompletionReplaceWord() const
    {86, 815, 0, 0, Smoke::mf_const, 191, 20},	//1748 QsciScintilla::autoCompletionShowSingle() const
    {86, 816, 0, 0, Smoke::mf_const, 95, 21},	//1749 QsciScintilla::autoCompletionSource() const
    {86, 817, 0, 0, Smoke::mf_const, 217, 22},	//1750 QsciScintilla::autoCompletionThreshold() const
    {86, 818, 0, 0, Smoke::mf_const, 96, 23},	//1751 QsciScintilla::autoCompletionUseSingle() const
    {86, 820, 0, 0, Smoke::mf_const, 191, 24},	//1752 QsciScintilla::autoIndent() const
    {86, 823, 0, 0, Smoke::mf_const, 191, 25},	//1753 QsciScintilla::backspaceUnindents() const
    {86, 824, 0, 0, 0, 0, 26},	//1754 QsciScintilla::beginUndoAction()
    {86, 834, 0, 0, Smoke::mf_const, 97, 27},	//1755 QsciScintilla::braceMatching() const
    {86, 836, 99, 2, Smoke::mf_const, 3, 28},	//1756 QsciScintilla::bytes(int, int) const
    {86, 843, 0, 0, Smoke::mf_const, 98, 29},	//1757 QsciScintilla::callTipsPosition() const
    {86, 844, 0, 0, Smoke::mf_const, 99, 30},	//1758 QsciScintilla::callTipsStyle() const
    {86, 845, 0, 0, Smoke::mf_const, 217, 31},	//1759 QsciScintilla::callTipsVisible() const
    {86, 848, 0, 0, 0, 0, 32},	//1760 QsciScintilla::cancelList()
    {86, 850, 0, 0, Smoke::mf_const, 191, 33},	//1761 QsciScintilla::caseSensitive() const
    {86, 861, 0, 0, 0, 0, 34},	//1762 QsciScintilla::clearFolds()
    {86, 862, 148, 5, 0, 0, 35},	//1763 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {86, 867, 0, 0, 0, 0, 36},	//1764 QsciScintilla::clearRegisteredImages()
    {86, 869, 0, 0, Smoke::mf_const, 6, 37},	//1765 QsciScintilla::color() const
    {86, 882, 0, 0, Smoke::mf_const, 20, 38},	//1766 QsciScintilla::contractedFolds() const
    {86, 883, 154, 1, 0, 0, 39},	//1767 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {86, 888, 0, 0, 0, 22, 40},	//1768 QsciScintilla::createStandardContextMenu()
    {86, 908, 0, 0, Smoke::mf_const, 56, 41},	//1769 QsciScintilla::document() const
    {86, 925, 0, 0, 0, 0, 42},	//1770 QsciScintilla::endUndoAction()
    {86, 919, 0, 0, Smoke::mf_const, 6, 43},	//1771 QsciScintilla::edgeColor() const
    {86, 920, 0, 0, Smoke::mf_const, 217, 44},	//1772 QsciScintilla::edgeColumn() const
    {86, 921, 0, 0, Smoke::mf_const, 100, 45},	//1773 QsciScintilla::edgeMode() const
    {86, 1341, 40, 1, 0, 0, 46},	//1774 QsciScintilla::setFont(const QFont&)
    {86, 934, 0, 0, Smoke::mf_const, 101, 47},	//1775 QsciScintilla::eolMode() const
    {86, 935, 0, 0, Smoke::mf_const, 191, 48},	//1776 QsciScintilla::eolVisibility() const
    {86, 940, 0, 0, Smoke::mf_const, 217, 49},	//1777 QsciScintilla::extraAscent() const
    {86, 941, 0, 0, Smoke::mf_const, 217, 50},	//1778 QsciScintilla::extraDescent() const
    {86, 942, 148, 5, 0, 0, 51},	//1779 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {86, 946, 156, 10, Smoke::mf_virtual, 191, 52},	//1780 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool, bool)
    {86, 953, 167, 7, Smoke::mf_virtual, 191, 53},	//1781 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool, bool)
    {86, 958, 0, 0, Smoke::mf_virtual, 191, 54},	//1782 QsciScintilla::findNext()
    {86, 959, 0, 0, Smoke::mf_const, 217, 55},	//1783 QsciScintilla::firstVisibleLine() const
    {86, 983, 0, 0, Smoke::mf_const, 102, 56},	//1784 QsciScintilla::folding() const
    {86, 993, 175, 2, Smoke::mf_const, 0, 57},	//1785 QsciScintilla::getCursorPosition(int*, int*) const
    {86, 995, 178, 4, Smoke::mf_const, 0, 58},	//1786 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {86, 997, 0, 0, Smoke::mf_const, 191, 59},	//1787 QsciScintilla::hasSelectedText() const
    {86, 1009, 18, 1, Smoke::mf_const, 217, 60},	//1788 QsciScintilla::indentation(int) const
    {86, 1012, 0, 0, Smoke::mf_const, 191, 61},	//1789 QsciScintilla::indentationGuides() const
    {86, 1015, 0, 0, Smoke::mf_const, 191, 62},	//1790 QsciScintilla::indentationsUseTabs() const
    {86, 1014, 0, 0, Smoke::mf_const, 217, 63},	//1791 QsciScintilla::indentationWidth() const
    {86, 1018, 183, 2, 0, 217, 64},	//1792 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {86, 1021, 18, 1, Smoke::mf_const, 191, 65},	//1793 QsciScintilla::indicatorDrawUnder(int) const
    {86, 1035, 0, 0, Smoke::mf_const, 191, 66},	//1794 QsciScintilla::isCallTipActive() const
    {86, 1036, 0, 0, Smoke::mf_const, 191, 67},	//1795 QsciScintilla::isListActive() const
    {86, 1037, 0, 0, Smoke::mf_const, 191, 68},	//1796 QsciScintilla::isModified() const
    {86, 1040, 0, 0, Smoke::mf_const, 191, 69},	//1797 QsciScintilla::isReadOnly() const
    {86, 1041, 0, 0, Smoke::mf_const, 191, 70},	//1798 QsciScintilla::isRedoAvailable() const
    {86, 1042, 0, 0, Smoke::mf_const, 191, 71},	//1799 QsciScintilla::isUndoAvailable() const
    {86, 1043, 0, 0, Smoke::mf_const, 191, 72},	//1800 QsciScintilla::isUtf8() const
    {86, 1044, 186, 1, Smoke::mf_const, 191, 73},	//1801 QsciScintilla::isWordCharacter(char) const
    {86, 1059, 188, 1, Smoke::mf_const, 217, 74},	//1802 QsciScintilla::lineAt(const QPoint&) const
    {86, 1061, 190, 3, Smoke::mf_const, 0, 75},	//1803 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {86, 1063, 18, 1, Smoke::mf_const, 217, 76},	//1804 QsciScintilla::lineLength(int) const
    {86, 1065, 0, 0, Smoke::mf_const, 217, 77},	//1805 QsciScintilla::lines() const
    {86, 1055, 0, 0, Smoke::mf_const, 217, 78},	//1806 QsciScintilla::length() const
    {86, 1057, 0, 0, Smoke::mf_const, 59, 79},	//1807 QsciScintilla::lexer() const
    {86, 1073, 18, 1, Smoke::mf_const, 6, 80},	//1808 QsciScintilla::marginBackgroundColor(int) const
    {86, 1077, 18, 1, Smoke::mf_const, 191, 81},	//1809 QsciScintilla::marginLineNumbers(int) const
    {86, 1079, 18, 1, Smoke::mf_const, 217, 82},	//1810 QsciScintilla::marginMarkerMask(int) const
    {86, 1081, 0, 0, Smoke::mf_const, 217, 83},	//1811 QsciScintilla::marginOptions() const
    {86, 1084, 18, 1, Smoke::mf_const, 191, 84},	//1812 QsciScintilla::marginSensitivity(int) const
    {86, 1086, 18, 1, Smoke::mf_const, 105, 85},	//1813 QsciScintilla::marginType(int) const
    {86, 1088, 18, 1, Smoke::mf_const, 217, 86},	//1814 QsciScintilla::marginWidth(int) const
    {86, 1090, 0, 0, Smoke::mf_const, 217, 87},	//1815 QsciScintilla::margins() const
    {86, 1093, 194, 2, 0, 217, 88},	//1816 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {86, 1093, 197, 2, 0, 217, 89},	//1817 QsciScintilla::markerDefine(char, int)
    {86, 1093, 200, 2, 0, 217, 90},	//1818 QsciScintilla::markerDefine(const QPixmap&, int)
    {86, 1093, 203, 2, 0, 217, 91},	//1819 QsciScintilla::markerDefine(const QImage&, int)
    {86, 1091, 99, 2, 0, 217, 92},	//1820 QsciScintilla::markerAdd(int, int)
    {86, 1111, 18, 1, Smoke::mf_const, 221, 93},	//1821 QsciScintilla::markersAtLine(int) const
    {86, 1098, 99, 2, 0, 0, 94},	//1822 QsciScintilla::markerDelete(int, int)
    {86, 1101, 18, 1, 0, 0, 95},	//1823 QsciScintilla::markerDeleteAll(int)
    {86, 1103, 18, 1, 0, 0, 96},	//1824 QsciScintilla::markerDeleteHandle(int)
    {86, 1109, 18, 1, Smoke::mf_const, 217, 97},	//1825 QsciScintilla::markerLine(int) const
    {86, 1105, 206, 2, Smoke::mf_const, 217, 98},	//1826 QsciScintilla::markerFindNext(int, unsigned int) const
    {86, 1107, 206, 2, Smoke::mf_const, 217, 99},	//1827 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {86, 1131, 0, 0, Smoke::mf_const, 191, 100},	//1828 QsciScintilla::overwriteMode() const
    {86, 1136, 0, 0, Smoke::mf_const, 6, 101},	//1829 QsciScintilla::paper() const
    {86, 1143, 99, 2, Smoke::mf_const, 217, 102},	//1830 QsciScintilla::positionFromLineIndex(int, int) const
    {86, 1159, 209, 1, 0, 191, 103},	//1831 QsciScintilla::read(QIODevice*)
    {86, 1166, 99, 2, Smoke::mf_virtual, 0, 104},	//1832 QsciScintilla::recolor(int, int)
    {86, 1172, 211, 2, 0, 0, 105},	//1833 QsciScintilla::registerImage(int, const QPixmap&)
    {86, 1172, 214, 2, 0, 0, 106},	//1834 QsciScintilla::registerImage(int, const QImage&)
    {86, 1177, 55, 1, Smoke::mf_virtual, 0, 107},	//1835 QsciScintilla::replace(const QString&)
    {86, 1185, 0, 0, 0, 0, 108},	//1836 QsciScintilla::resetFoldMarginColors()
    {86, 1186, 0, 0, 0, 0, 109},	//1837 QsciScintilla::resetHotspotBackgroundColor()
    {86, 1187, 0, 0, 0, 0, 110},	//1838 QsciScintilla::resetHotspotForegroundColor()
    {86, 1200, 0, 0, Smoke::mf_const, 217, 111},	//1839 QsciScintilla::scrollWidth() const
    {86, 1201, 0, 0, Smoke::mf_const, 191, 112},	//1840 QsciScintilla::scrollWidthTracking() const
    {86, 1322, 217, 2, 0, 0, 113},	//1841 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {86, 1212, 220, 1, 0, 0, 114},	//1842 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {86, 1218, 16, 1, 0, 0, 115},	//1843 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {86, 1216, 12, 1, 0, 0, 116},	//1844 QsciScintilla::setAutoCompletionFillups(const char*)
    {86, 1230, 222, 1, 0, 0, 117},	//1845 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {86, 1242, 80, 1, 0, 0, 118},	//1846 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {86, 1244, 80, 1, 0, 0, 119},	//1847 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {86, 1246, 80, 1, 0, 0, 120},	//1848 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {86, 1248, 224, 1, 0, 0, 121},	//1849 QsciScintilla::setCallTipsPosition(QsciScintilla::CallTipsPosition)
    {86, 1250, 226, 1, 0, 0, 122},	//1850 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {86, 1252, 18, 1, 0, 0, 123},	//1851 QsciScintilla::setCallTipsVisible(int)
    {86, 1269, 228, 1, 0, 0, 124},	//1852 QsciScintilla::setContractedFolds(const QList<int>&)
    {86, 1283, 72, 1, 0, 0, 125},	//1853 QsciScintilla::setDocument(const QsciDocument&)
    {86, 785, 230, 2, 0, 0, 126},	//1854 QsciScintilla::addEdgeColumn(int, const QColor&)
    {86, 860, 0, 0, 0, 0, 127},	//1855 QsciScintilla::clearEdgeColumns()
    {86, 1289, 80, 1, 0, 0, 128},	//1856 QsciScintilla::setEdgeColor(const QColor&)
    {86, 1291, 18, 1, 0, 0, 129},	//1857 QsciScintilla::setEdgeColumn(int)
    {86, 1293, 233, 1, 0, 0, 130},	//1858 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {86, 1308, 18, 1, 0, 0, 131},	//1859 QsciScintilla::setFirstVisibleLine(int)
    {86, 1382, 87, 2, 0, 0, 132},	//1860 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {86, 1385, 84, 2, 0, 0, 133},	//1861 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {86, 1388, 84, 2, 0, 0, 134},	//1862 QsciScintilla::setIndicatorHoverForegroundColor(const QColor&, int)
    {86, 1391, 183, 2, 0, 0, 135},	//1863 QsciScintilla::setIndicatorHoverStyle(QsciScintilla::IndicatorStyle, int)
    {86, 1394, 84, 2, 0, 0, 136},	//1864 QsciScintilla::setIndicatorOutlineColor(const QColor&, int)
    {86, 1411, 230, 2, 0, 0, 137},	//1865 QsciScintilla::setMarginBackgroundColor(int, const QColor&)
    {86, 1417, 18, 1, 0, 0, 138},	//1866 QsciScintilla::setMarginOptions(int)
    {86, 1421, 134, 3, 0, 0, 139},	//1867 QsciScintilla::setMarginText(int, const QString&, int)
    {86, 1421, 138, 3, 0, 0, 140},	//1868 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {86, 1421, 142, 2, 0, 0, 141},	//1869 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {86, 1421, 145, 2, 0, 0, 142},	//1870 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {86, 1426, 235, 2, 0, 0, 143},	//1871 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {86, 865, 18, 1, 0, 0, 144},	//1872 QsciScintilla::clearMarginText(int)
    {86, 1430, 18, 1, 0, 0, 145},	//1873 QsciScintilla::setMargins(int)
    {86, 1438, 84, 2, 0, 0, 146},	//1874 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {86, 1441, 84, 2, 0, 0, 147},	//1875 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {86, 1444, 80, 1, 0, 0, 148},	//1876 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {86, 1446, 80, 1, 0, 0, 149},	//1877 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {86, 1448, 18, 1, 0, 0, 150},	//1878 QsciScintilla::setMatchedBraceIndicator(int)
    {86, 1188, 0, 0, 0, 0, 151},	//1879 QsciScintilla::resetMatchedBraceIndicator()
    {86, 1470, 18, 1, 0, 0, 152},	//1880 QsciScintilla::setScrollWidth(int)
    {86, 1472, 16, 1, 0, 0, 153},	//1881 QsciScintilla::setScrollWidthTracking(bool)
    {86, 1493, 238, 1, 0, 0, 154},	//1882 QsciScintilla::setTabDrawMode(QsciScintilla::TabDrawMode)
    {86, 1505, 80, 1, 0, 0, 155},	//1883 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {86, 1507, 80, 1, 0, 0, 156},	//1884 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {86, 1509, 18, 1, 0, 0, 157},	//1885 QsciScintilla::setUnmatchedBraceIndicator(int)
    {86, 1191, 0, 0, 0, 0, 158},	//1886 QsciScintilla::resetUnmatchedBraceIndicator()
    {86, 1535, 240, 3, 0, 0, 159},	//1887 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {86, 1205, 0, 0, Smoke::mf_const, 41, 160},	//1888 QsciScintilla::selectedText() const
    {86, 1207, 0, 0, Smoke::mf_const, 191, 161},	//1889 QsciScintilla::selectionToEol() const
    {86, 1360, 80, 1, 0, 0, 162},	//1890 QsciScintilla::setHotspotBackgroundColor(const QColor&)
    {86, 1362, 80, 1, 0, 0, 163},	//1891 QsciScintilla::setHotspotForegroundColor(const QColor&)
    {86, 1364, 16, 1, 0, 0, 164},	//1892 QsciScintilla::setHotspotUnderline(bool)
    {86, 1366, 16, 1, 0, 0, 165},	//1893 QsciScintilla::setHotspotWrap(bool)
    {86, 1480, 16, 1, 0, 0, 166},	//1894 QsciScintilla::setSelectionToEol(bool)
    {86, 1304, 18, 1, 0, 0, 167},	//1895 QsciScintilla::setExtraAscent(int)
    {86, 1306, 18, 1, 0, 0, 168},	//1896 QsciScintilla::setExtraDescent(int)
    {86, 1452, 16, 1, 0, 0, 169},	//1897 QsciScintilla::setOverwriteMode(bool)
    {86, 1523, 80, 1, 0, 0, 170},	//1898 QsciScintilla::setWhitespaceBackgroundColor(const QColor&)
    {86, 1525, 80, 1, 0, 0, 171},	//1899 QsciScintilla::setWhitespaceForegroundColor(const QColor&)
    {86, 1527, 18, 1, 0, 0, 172},	//1900 QsciScintilla::setWhitespaceSize(int)
    {86, 1531, 244, 1, 0, 0, 173},	//1901 QsciScintilla::setWrapIndentMode(QsciScintilla::WrapIndentMode)
    {86, 1540, 246, 2, 0, 0, 174},	//1902 QsciScintilla::showUserList(int, const QStringList&)
    {86, 1544, 0, 0, Smoke::mf_const, 55, 175},	//1903 QsciScintilla::standardCommands() const
    {86, 1557, 0, 0, Smoke::mf_const, 107, 176},	//1904 QsciScintilla::tabDrawMode() const
    {86, 1558, 0, 0, Smoke::mf_const, 191, 177},	//1905 QsciScintilla::tabIndents() const
    {86, 1559, 0, 0, Smoke::mf_const, 217, 178},	//1906 QsciScintilla::tabWidth() const
    {86, 1561, 0, 0, Smoke::mf_const, 41, 179},	//1907 QsciScintilla::text() const
    {86, 1561, 18, 1, Smoke::mf_const, 41, 180},	//1908 QsciScintilla::text(int) const
    {86, 1561, 99, 2, Smoke::mf_const, 41, 181},	//1909 QsciScintilla::text(int, int) const
    {86, 1568, 18, 1, Smoke::mf_const, 217, 182},	//1910 QsciScintilla::textHeight(int) const
    {86, 1599, 0, 0, Smoke::mf_const, 217, 183},	//1911 QsciScintilla::whitespaceSize() const
    {86, 1600, 0, 0, Smoke::mf_const, 108, 184},	//1912 QsciScintilla::whitespaceVisibility() const
    {86, 1602, 99, 2, Smoke::mf_const, 41, 185},	//1913 QsciScintilla::wordAtLineIndex(int, int) const
    {86, 1604, 188, 1, Smoke::mf_const, 41, 186},	//1914 QsciScintilla::wordAtPoint(const QPoint&) const
    {86, 1606, 0, 0, Smoke::mf_const, 215, 187},	//1915 QsciScintilla::wordCharacters() const
    {86, 1608, 0, 0, Smoke::mf_const, 110, 188},	//1916 QsciScintilla::wrapMode() const
    {86, 1607, 0, 0, Smoke::mf_const, 109, 189},	//1917 QsciScintilla::wrapIndentMode() const
    {86, 1609, 209, 1, Smoke::mf_const, 191, 190},	//1918 QsciScintilla::write(QIODevice*) const
    {86, 802, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1919 QsciScintilla::append(const QString&)
    {86, 807, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1920 QsciScintilla::autoCompleteFromAll()
    {86, 806, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1921 QsciScintilla::autoCompleteFromAPIs()
    {86, 808, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1922 QsciScintilla::autoCompleteFromDocument()
    {86, 840, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1923 QsciScintilla::callTip()
    {86, 856, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1924 QsciScintilla::clear()
    {86, 885, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1925 QsciScintilla::copy()
    {86, 892, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1926 QsciScintilla::cut()
    {86, 926, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1927 QsciScintilla::ensureCursorVisible()
    {86, 927, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1928 QsciScintilla::ensureLineVisible(int)
    {86, 966, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1929 QsciScintilla::foldAll(bool)
    {86, 974, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1930 QsciScintilla::foldLine(int)
    {86, 1007, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1931 QsciScintilla::indent(int)
    {86, 1030, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1932 QsciScintilla::insert(const QString&)
    {86, 1032, 249, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1933 QsciScintilla::insertAt(const QString&, int, int)
    {86, 1128, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1934 QsciScintilla::moveToMatchingBrace()
    {86, 1140, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1935 QsciScintilla::paste()
    {86, 1169, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1936 QsciScintilla::redo()
    {86, 1176, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1937 QsciScintilla::removeSelectedText()
    {86, 1181, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1938 QsciScintilla::replaceSelectedText(const QString&)
    {86, 1189, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1939 QsciScintilla::resetSelectionBackgroundColor()
    {86, 1190, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1940 QsciScintilla::resetSelectionForegroundColor()
    {86, 1202, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 213},	//1941 QsciScintilla::selectAll(bool)
    {86, 1204, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 214},	//1942 QsciScintilla::selectToMatchingBrace()
    {86, 1214, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 215},	//1943 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {86, 1220, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 216},	//1944 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {86, 1222, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 217},	//1945 QsciScintilla::setAutoCompletionShowSingle(bool)
    {86, 1224, 253, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 218},	//1946 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {86, 1226, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 219},	//1947 QsciScintilla::setAutoCompletionThreshold(int)
    {86, 1228, 255, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 220},	//1948 QsciScintilla::setAutoCompletionUseSingle(QsciScintilla::AutoCompletionUseSingle)
    {86, 1232, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 221},	//1949 QsciScintilla::setAutoIndent(bool)
    {86, 1240, 257, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 222},	//1950 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {86, 1238, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 223},	//1951 QsciScintilla::setBackspaceUnindents(bool)
    {86, 1254, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 224},	//1952 QsciScintilla::setCaretForegroundColor(const QColor&)
    {86, 1256, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 225},	//1953 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {86, 1258, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 226},	//1954 QsciScintilla::setCaretLineVisible(bool)
    {86, 1260, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 227},	//1955 QsciScintilla::setCaretWidth(int)
    {86, 1266, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 228},	//1956 QsciScintilla::setColor(const QColor&)
    {86, 1271, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 229},	//1957 QsciScintilla::setCursorPosition(int, int)
    {86, 1300, 154, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 230},	//1958 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {86, 1302, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 231},	//1959 QsciScintilla::setEolVisibility(bool)
    {86, 1338, 259, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 232},	//1960 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {86, 1368, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 233},	//1961 QsciScintilla::setIndentation(int, int)
    {86, 1370, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 234},	//1962 QsciScintilla::setIndentationGuides(bool)
    {86, 1372, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 235},	//1963 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {86, 1374, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 236},	//1964 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {86, 1380, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 237},	//1965 QsciScintilla::setIndentationsUseTabs(bool)
    {86, 1378, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 238},	//1966 QsciScintilla::setIndentationWidth(int)
    {86, 1405, 53, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 239},	//1967 QsciScintilla::setLexer(QsciLexer*)
    {86, 1432, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 240},	//1968 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {86, 1434, 40, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 241},	//1969 QsciScintilla::setMarginsFont(const QFont&)
    {86, 1436, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 242},	//1970 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {86, 1413, 262, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 243},	//1971 QsciScintilla::setMarginLineNumbers(int, bool)
    {86, 1415, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 244},	//1972 QsciScintilla::setMarginMarkerMask(int, int)
    {86, 1419, 262, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 245},	//1973 QsciScintilla::setMarginSensitivity(int, bool)
    {86, 1428, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 246},	//1974 QsciScintilla::setMarginWidth(int, int)
    {86, 1428, 265, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 247},	//1975 QsciScintilla::setMarginWidth(int, const QString&)
    {86, 1450, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 248},	//1976 QsciScintilla::setModified(bool)
    {86, 1454, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 249},	//1977 QsciScintilla::setPaper(const QColor&)
    {86, 1463, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 250},	//1978 QsciScintilla::setReadOnly(bool)
    {86, 1474, 268, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 251},	//1979 QsciScintilla::setSelection(int, int, int, int)
    {86, 1476, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 252},	//1980 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {86, 1478, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 253},	//1981 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {86, 1495, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 254},	//1982 QsciScintilla::setTabIndents(bool)
    {86, 1497, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 255},	//1983 QsciScintilla::setTabWidth(int)
    {86, 1499, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 256},	//1984 QsciScintilla::setText(const QString&)
    {86, 1511, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 257},	//1985 QsciScintilla::setUtf8(bool)
    {86, 1529, 273, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 258},	//1986 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {86, 1533, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 259},	//1987 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {86, 1582, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 260},	//1988 QsciScintilla::undo()
    {86, 1583, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 261},	//1989 QsciScintilla::unindent(int)
    {86, 1617, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 262},	//1990 QsciScintilla::zoomIn(int)
    {86, 1617, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 263},	//1991 QsciScintilla::zoomIn()
    {86, 1619, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 264},	//1992 QsciScintilla::zoomOut(int)
    {86, 1619, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 265},	//1993 QsciScintilla::zoomOut()
    {86, 1621, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 266},	//1994 QsciScintilla::zoomTo(int)
    {86, 889, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 267},	//1995 QsciScintilla::cursorPositionChanged(int, int)
    {86, 886, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 268},	//1996 QsciScintilla::copyAvailable(bool)
    {86, 1016, 275, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 269},	//1997 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {86, 1023, 275, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 270},	//1998 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {86, 1066, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 271},	//1999 QsciScintilla::linesChanged()
    {86, 1075, 275, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 272},	//2000 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {86, 1082, 275, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 273},	//2001 QsciScintilla::marginRightClicked(int, int, Qt::KeyboardModifiers)
    {86, 1116, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 274},	//2002 QsciScintilla::modificationAttempted()
    {86, 1117, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 275},	//2003 QsciScintilla::modificationChanged(bool)
    {86, 1206, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 276},	//2004 QsciScintilla::selectionChanged()
    {86, 1567, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 277},	//2005 QsciScintilla::textChanged()
    {86, 1587, 265, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 278},	//2006 QsciScintilla::userListActivated(int, const QString&)
    {86, 936, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 191, 279},	//2007 QsciScintilla::event(QEvent*)
    {86, 852, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 280},	//2008 QsciScintilla::changeEvent(QEvent*)
    {86, 878, 279, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 281},	//2009 QsciScintilla::contextMenuEvent(QContextMenuEvent*)
    {86, 1597, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 282},	//2010 QsciScintilla::wheelEvent(QWheelEvent*)
    {86, 1574, 12, 1, Smoke::mf_static, 41, 283},	//2011 QsciScintilla::tr(const char*)
    {86, 1578, 12, 1, Smoke::mf_static, 41, 284},	//2012 QsciScintilla::trUtf8(const char*)
    {86, 526, 0, 0, Smoke::mf_ctor, 93, 285},	//2013 QsciScintilla::QsciScintilla()
    {86, 858, 0, 0, 0, 0, 286},	//2014 QsciScintilla::clearAnnotations()
    {86, 946, 281, 5, 0, 191, 287},	//2015 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {86, 946, 287, 6, 0, 191, 288},	//2016 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {86, 946, 294, 7, 0, 191, 289},	//2017 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {86, 946, 302, 8, 0, 191, 290},	//2018 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {86, 946, 311, 9, 0, 191, 291},	//2019 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {86, 953, 321, 4, 0, 191, 292},	//2020 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool)
    {86, 953, 281, 5, 0, 191, 293},	//2021 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool)
    {86, 953, 287, 6, 0, 191, 294},	//2022 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool)
    {86, 1018, 326, 1, 0, 217, 295},	//2023 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {86, 1093, 328, 1, 0, 217, 296},	//2024 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {86, 1093, 186, 1, 0, 217, 297},	//2025 QsciScintilla::markerDefine(char)
    {86, 1093, 330, 1, 0, 217, 298},	//2026 QsciScintilla::markerDefine(const QPixmap&)
    {86, 1093, 332, 1, 0, 217, 299},	//2027 QsciScintilla::markerDefine(const QImage&)
    {86, 1098, 18, 1, 0, 0, 300},	//2028 QsciScintilla::markerDelete(int)
    {86, 1101, 0, 0, 0, 0, 301},	//2029 QsciScintilla::markerDeleteAll()
    {86, 1166, 0, 0, 0, 0, 302},	//2030 QsciScintilla::recolor()
    {86, 1166, 18, 1, 0, 0, 303},	//2031 QsciScintilla::recolor(int)
    {86, 1382, 16, 1, 0, 0, 304},	//2032 QsciScintilla::setIndicatorDrawUnder(bool)
    {86, 1385, 80, 1, 0, 0, 305},	//2033 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {86, 1388, 80, 1, 0, 0, 306},	//2034 QsciScintilla::setIndicatorHoverForegroundColor(const QColor&)
    {86, 1391, 326, 1, 0, 0, 307},	//2035 QsciScintilla::setIndicatorHoverStyle(QsciScintilla::IndicatorStyle)
    {86, 1394, 80, 1, 0, 0, 308},	//2036 QsciScintilla::setIndicatorOutlineColor(const QColor&)
    {86, 865, 0, 0, 0, 0, 309},	//2037 QsciScintilla::clearMarginText()
    {86, 1438, 80, 1, 0, 0, 310},	//2038 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {86, 1441, 80, 1, 0, 0, 311},	//2039 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {86, 1535, 334, 1, 0, 0, 312},	//2040 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {86, 1535, 336, 2, 0, 0, 313},	//2041 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {86, 966, 0, 0, Smoke::mf_slot, 0, 314},	//2042 QsciScintilla::foldAll()
    {86, 1202, 0, 0, Smoke::mf_slot, 0, 315},	//2043 QsciScintilla::selectAll()
    {86, 1338, 339, 1, Smoke::mf_slot, 0, 316},	//2044 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {86, 1405, 0, 0, Smoke::mf_slot, 0, 317},	//2045 QsciScintilla::setLexer()
    {86, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 318},	//2046 QsciScintilla::staticMetaObject() const
    {86, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 319},	//2047 QsciScintilla::MoNone (enum)
    {86, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 320},	//2048 QsciScintilla::MoSublineSelect (enum)
    {86, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 321},	//2049 QsciScintilla::AnnotationHidden (enum)
    {86, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 322},	//2050 QsciScintilla::AnnotationStandard (enum)
    {86, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 323},	//2051 QsciScintilla::AnnotationBoxed (enum)
    {86, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 324},	//2052 QsciScintilla::AnnotationIndented (enum)
    {86, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 325},	//2053 QsciScintilla::AcusNever (enum)
    {86, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 326},	//2054 QsciScintilla::AcusExplicit (enum)
    {86, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 327},	//2055 QsciScintilla::AcusAlways (enum)
    {86, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 328},	//2056 QsciScintilla::AcsNone (enum)
    {86, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 329},	//2057 QsciScintilla::AcsAll (enum)
    {86, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 330},	//2058 QsciScintilla::AcsDocument (enum)
    {86, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 331},	//2059 QsciScintilla::AcsAPIs (enum)
    {86, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 332},	//2060 QsciScintilla::NoBraceMatch (enum)
    {86, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 333},	//2061 QsciScintilla::StrictBraceMatch (enum)
    {86, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 334},	//2062 QsciScintilla::SloppyBraceMatch (enum)
    {86, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 335},	//2063 QsciScintilla::CallTipsBelowText (enum)
    {86, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 336},	//2064 QsciScintilla::CallTipsAboveText (enum)
    {86, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 337},	//2065 QsciScintilla::CallTipsNone (enum)
    {86, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 338},	//2066 QsciScintilla::CallTipsNoContext (enum)
    {86, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 339},	//2067 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {86, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 340},	//2068 QsciScintilla::CallTipsContext (enum)
    {86, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 341},	//2069 QsciScintilla::EdgeNone (enum)
    {86, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 342},	//2070 QsciScintilla::EdgeLine (enum)
    {86, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 343},	//2071 QsciScintilla::EdgeBackground (enum)
    {86, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 344},	//2072 QsciScintilla::EdgeMultipleLines (enum)
    {86, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 345},	//2073 QsciScintilla::EolWindows (enum)
    {86, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 346},	//2074 QsciScintilla::EolUnix (enum)
    {86, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 347},	//2075 QsciScintilla::EolMac (enum)
    {86, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 348},	//2076 QsciScintilla::NoFoldStyle (enum)
    {86, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 349},	//2077 QsciScintilla::PlainFoldStyle (enum)
    {86, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 350},	//2078 QsciScintilla::CircledFoldStyle (enum)
    {86, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 351},	//2079 QsciScintilla::BoxedFoldStyle (enum)
    {86, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 352},	//2080 QsciScintilla::CircledTreeFoldStyle (enum)
    {86, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 353},	//2081 QsciScintilla::BoxedTreeFoldStyle (enum)
    {86, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 354},	//2082 QsciScintilla::PlainIndicator (enum)
    {86, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 355},	//2083 QsciScintilla::SquiggleIndicator (enum)
    {86, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 356},	//2084 QsciScintilla::TTIndicator (enum)
    {86, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 357},	//2085 QsciScintilla::DiagonalIndicator (enum)
    {86, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 358},	//2086 QsciScintilla::StrikeIndicator (enum)
    {86, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 359},	//2087 QsciScintilla::HiddenIndicator (enum)
    {86, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 360},	//2088 QsciScintilla::BoxIndicator (enum)
    {86, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 361},	//2089 QsciScintilla::RoundBoxIndicator (enum)
    {86, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 362},	//2090 QsciScintilla::StraightBoxIndicator (enum)
    {86, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 363},	//2091 QsciScintilla::FullBoxIndicator (enum)
    {86, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 364},	//2092 QsciScintilla::DashesIndicator (enum)
    {86, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 365},	//2093 QsciScintilla::DotsIndicator (enum)
    {86, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 366},	//2094 QsciScintilla::SquiggleLowIndicator (enum)
    {86, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 367},	//2095 QsciScintilla::DotBoxIndicator (enum)
    {86, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 368},	//2096 QsciScintilla::SquigglePixmapIndicator (enum)
    {86, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 369},	//2097 QsciScintilla::ThickCompositionIndicator (enum)
    {86, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 370},	//2098 QsciScintilla::ThinCompositionIndicator (enum)
    {86, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 371},	//2099 QsciScintilla::TextColorIndicator (enum)
    {86, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 372},	//2100 QsciScintilla::TriangleIndicator (enum)
    {86, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 373},	//2101 QsciScintilla::TriangleCharacterIndicator (enum)
    {86, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 374},	//2102 QsciScintilla::MoNone (enum)
    {86, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 375},	//2103 QsciScintilla::MoSublineSelect (enum)
    {86, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 376},	//2104 QsciScintilla::SymbolMargin (enum)
    {86, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 377},	//2105 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {86, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 378},	//2106 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {86, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 379},	//2107 QsciScintilla::NumberMargin (enum)
    {86, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 380},	//2108 QsciScintilla::TextMargin (enum)
    {86, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 381},	//2109 QsciScintilla::TextMarginRightJustified (enum)
    {86, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 382},	//2110 QsciScintilla::SymbolMarginColor (enum)
    {86, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 383},	//2111 QsciScintilla::Circle (enum)
    {86, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 384},	//2112 QsciScintilla::Rectangle (enum)
    {86, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 385},	//2113 QsciScintilla::RightTriangle (enum)
    {86, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 386},	//2114 QsciScintilla::SmallRectangle (enum)
    {86, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 387},	//2115 QsciScintilla::RightArrow (enum)
    {86, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 388},	//2116 QsciScintilla::Invisible (enum)
    {86, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 389},	//2117 QsciScintilla::DownTriangle (enum)
    {86, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 390},	//2118 QsciScintilla::Minus (enum)
    {86, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 391},	//2119 QsciScintilla::Plus (enum)
    {86, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 392},	//2120 QsciScintilla::VerticalLine (enum)
    {86, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 393},	//2121 QsciScintilla::BottomLeftCorner (enum)
    {86, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 394},	//2122 QsciScintilla::LeftSideSplitter (enum)
    {86, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 395},	//2123 QsciScintilla::BoxedPlus (enum)
    {86, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 396},	//2124 QsciScintilla::BoxedPlusConnected (enum)
    {86, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 397},	//2125 QsciScintilla::BoxedMinus (enum)
    {86, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 398},	//2126 QsciScintilla::BoxedMinusConnected (enum)
    {86, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 399},	//2127 QsciScintilla::RoundedBottomLeftCorner (enum)
    {86, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 400},	//2128 QsciScintilla::LeftSideRoundedSplitter (enum)
    {86, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 401},	//2129 QsciScintilla::CircledPlus (enum)
    {86, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 402},	//2130 QsciScintilla::CircledPlusConnected (enum)
    {86, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 403},	//2131 QsciScintilla::CircledMinus (enum)
    {86, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 404},	//2132 QsciScintilla::CircledMinusConnected (enum)
    {86, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 405},	//2133 QsciScintilla::Background (enum)
    {86, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 406},	//2134 QsciScintilla::ThreeDots (enum)
    {86, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 407},	//2135 QsciScintilla::ThreeRightArrows (enum)
    {86, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 408},	//2136 QsciScintilla::FullRectangle (enum)
    {86, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 409},	//2137 QsciScintilla::LeftRectangle (enum)
    {86, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 410},	//2138 QsciScintilla::Underline (enum)
    {86, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 411},	//2139 QsciScintilla::Bookmark (enum)
    {86, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 412},	//2140 QsciScintilla::TabLongArrow (enum)
    {86, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 413},	//2141 QsciScintilla::TabStrikeOut (enum)
    {86, 773, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 414},	//2142 QsciScintilla::WsInvisible (enum)
    {86, 774, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 415},	//2143 QsciScintilla::WsVisible (enum)
    {86, 775, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 416},	//2144 QsciScintilla::WsVisibleAfterIndent (enum)
    {86, 776, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 417},	//2145 QsciScintilla::WsVisibleOnlyInIndent (enum)
    {86, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 418},	//2146 QsciScintilla::WrapNone (enum)
    {86, 772, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 419},	//2147 QsciScintilla::WrapWord (enum)
    {86, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 420},	//2148 QsciScintilla::WrapCharacter (enum)
    {86, 771, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 421},	//2149 QsciScintilla::WrapWhitespace (enum)
    {86, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 422},	//2150 QsciScintilla::WrapFlagNone (enum)
    {86, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 423},	//2151 QsciScintilla::WrapFlagByText (enum)
    {86, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 424},	//2152 QsciScintilla::WrapFlagByBorder (enum)
    {86, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 425},	//2153 QsciScintilla::WrapFlagInMargin (enum)
    {86, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 426},	//2154 QsciScintilla::WrapIndentFixed (enum)
    {86, 769, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 427},	//2155 QsciScintilla::WrapIndentSame (enum)
    {86, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 428},	//2156 QsciScintilla::WrapIndentIndented (enum)
    {86, 1660, 0, 0, Smoke::mf_dtor, 0, 429 },	//2157 QsciScintilla::~QsciScintilla()
    {87, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//2158 QsciScintillaBase::metaObject() const
    {87, 1156, 12, 1, Smoke::mf_virtual, 223, 2},	//2159 QsciScintillaBase::qt_metacast(const char*)
    {87, 1574, 42, 2, Smoke::mf_static, 41, 3},	//2160 QsciScintillaBase::tr(const char*, const char*)
    {87, 1578, 42, 2, Smoke::mf_static, 41, 4},	//2161 QsciScintillaBase::trUtf8(const char*, const char*)
    {87, 1574, 45, 3, Smoke::mf_static, 41, 5},	//2162 QsciScintillaBase::tr(const char*, const char*, int)
    {87, 1578, 45, 3, Smoke::mf_static, 41, 6},	//2163 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {87, 1154, 49, 3, Smoke::mf_virtual, 217, 7},	//2164 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {87, 528, 128, 1, Smoke::mf_ctor, 112, 8},	//2165 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {87, 1142, 0, 0, Smoke::mf_static, 112, 9},	//2166 QsciScintillaBase::pool()
    {87, 1179, 341, 1, 0, 0, 10},	//2167 QsciScintillaBase::replaceHorizontalScrollBar(QScrollBar*)
    {87, 1183, 341, 1, 0, 0, 11},	//2168 QsciScintillaBase::replaceVerticalScrollBar(QScrollBar*)
    {87, 641, 343, 3, Smoke::mf_const, 220, 12},	//2169 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {87, 641, 347, 3, Smoke::mf_const, 220, 13},	//2170 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {87, 641, 351, 3, Smoke::mf_const, 220, 14},	//2171 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {87, 641, 355, 2, Smoke::mf_const, 220, 15},	//2172 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {87, 641, 358, 3, Smoke::mf_const, 220, 16},	//2173 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {87, 641, 362, 2, Smoke::mf_const, 220, 17},	//2174 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {87, 641, 365, 2, Smoke::mf_const, 220, 18},	//2175 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {87, 641, 368, 4, Smoke::mf_const, 220, 19},	//2176 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {87, 641, 373, 3, Smoke::mf_const, 220, 20},	//2177 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {87, 641, 377, 2, Smoke::mf_const, 220, 21},	//2178 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {87, 641, 380, 6, Smoke::mf_const, 220, 22},	//2179 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {87, 641, 387, 3, Smoke::mf_const, 220, 23},	//2180 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {87, 641, 391, 3, Smoke::mf_const, 220, 24},	//2181 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    {87, 649, 395, 1, Smoke::mf_const, 223, 25},	//2182 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {87, 874, 397, 2, Smoke::mf_static, 217, 26},	//2183 QsciScintillaBase::commandKey(int, int&)
    {87, 450, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2184 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {87, 562, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2185 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {87, 563, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2186 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {87, 564, 400, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2187 QsciScintillaBase::SCN_AUTOCCOMPLETED(const char*, int, int, int)
    {87, 566, 400, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2188 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int, int, int)
    {87, 566, 405, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2189 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {87, 561, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//2190 QsciScintillaBase::SCEN_CHANGE()
    {87, 569, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2191 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {87, 571, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2192 QsciScintillaBase::SCN_CHARADDED(int)
    {87, 573, 408, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2193 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {87, 575, 408, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//2194 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {87, 577, 408, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//2195 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {87, 579, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2196 QsciScintillaBase::SCN_FOCUSIN()
    {87, 580, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2197 QsciScintillaBase::SCN_FOCUSOUT()
    {87, 581, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2198 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {87, 583, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2199 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {87, 585, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2200 QsciScintillaBase::SCN_HOTSPOTRELEASECLICK(int, int)
    {87, 587, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2201 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {87, 589, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2202 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {87, 591, 347, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2203 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {87, 593, 408, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2204 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {87, 595, 408, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2205 QsciScintillaBase::SCN_MARGINRIGHTCLICK(int, int, int)
    {87, 597, 412, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2206 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {87, 599, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//2207 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {87, 600, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//2208 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {87, 602, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//2209 QsciScintillaBase::SCN_PAINTED()
    {87, 603, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//2210 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {87, 604, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//2211 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {87, 605, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//2212 QsciScintillaBase::SCN_STYLENEEDED(int)
    {87, 607, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//2213 QsciScintillaBase::SCN_UPDATEUI(int)
    {87, 609, 400, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//2214 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int, int, int)
    {87, 609, 405, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//2215 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {87, 612, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//2216 QsciScintillaBase::SCN_ZOOM()
    {87, 846, 423, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 60},	//2217 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {87, 991, 425, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 3, 61},	//2218 QsciScintillaBase::fromMimeData(const QMimeData*, bool&) const
    {87, 1571, 428, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 24, 62},	//2219 QsciScintillaBase::toMimeData(const QByteArray&, bool) const
    {87, 852, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2220 QsciScintillaBase::changeEvent(QEvent*)
    {87, 878, 279, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//2221 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {87, 911, 431, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//2222 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {87, 913, 433, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//2223 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {87, 915, 435, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//2224 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {87, 917, 437, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2225 QsciScintillaBase::dropEvent(QDropEvent*)
    {87, 960, 439, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2226 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {87, 964, 439, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//2227 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {87, 962, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 191, 71},	//2228 QsciScintillaBase::focusNextPrevChild(bool)
    {87, 1047, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//2229 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {87, 1026, 441, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 73},	//2230 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {87, 1028, 443, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 48, 74},	//2231 QsciScintillaBase::inputMethodQuery(Qt::InputMethodQuery) const
    {87, 1119, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 75},	//2232 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {87, 1121, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 76},	//2233 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {87, 1123, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 77},	//2234 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {87, 1125, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 78},	//2235 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {87, 1133, 447, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 79},	//2236 QsciScintillaBase::paintEvent(QPaintEvent*)
    {87, 1192, 449, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//2237 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {87, 1198, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 81},	//2238 QsciScintillaBase::scrollContentsBy(int, int)
    {87, 1469, 0, 0, Smoke::mf_protected, 0, 82},	//2239 QsciScintillaBase::setScrollBars()
    {87, 1564, 55, 1, Smoke::mf_const|Smoke::mf_protected, 3, 83},	//2240 QsciScintillaBase::textAsBytes(const QString&) const
    {87, 838, 12, 1, Smoke::mf_const|Smoke::mf_protected, 41, 84},	//2241 QsciScintillaBase::bytesAsText(const char*) const
    {87, 880, 99, 2, Smoke::mf_const|Smoke::mf_protected, 191, 85},	//2242 QsciScintillaBase::contextMenuNeeded(int, int) const
    {87, 1574, 12, 1, Smoke::mf_static, 41, 86},	//2243 QsciScintillaBase::tr(const char*)
    {87, 1578, 12, 1, Smoke::mf_static, 41, 87},	//2244 QsciScintillaBase::trUtf8(const char*)
    {87, 528, 0, 0, Smoke::mf_ctor, 112, 88},	//2245 QsciScintillaBase::QsciScintillaBase()
    {87, 641, 395, 1, Smoke::mf_const, 220, 89},	//2246 QsciScintillaBase::SendScintilla(unsigned int) const
    {87, 641, 451, 2, Smoke::mf_const, 220, 90},	//2247 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {87, 1549, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 91},	//2248 QsciScintillaBase::staticMetaObject() const
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 92},	//2249 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 93},	//2250 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 94},	//2251 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 95},	//2252 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 96},	//2253 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 97},	//2254 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 98},	//2255 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 99},	//2256 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 100},	//2257 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 101},	//2258 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 102},	//2259 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 103},	//2260 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 104},	//2261 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 105},	//2262 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 106},	//2263 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 107},	//2264 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 108},	//2265 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 109},	//2266 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 110},	//2267 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 111},	//2268 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 112},	//2269 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 113},	//2270 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 114},	//2271 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 115},	//2272 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 116},	//2273 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 117},	//2274 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 118},	//2275 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 119},	//2276 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 120},	//2277 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 121},	//2278 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 122},	//2279 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 123},	//2280 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 124},	//2281 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 125},	//2282 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 126},	//2283 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 127},	//2284 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 128},	//2285 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 129},	//2286 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 130},	//2287 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 131},	//2288 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 132},	//2289 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 133},	//2290 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 134},	//2291 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 135},	//2292 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 136},	//2293 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 137},	//2294 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 138},	//2295 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 139},	//2296 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 140},	//2297 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 141},	//2298 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 142},	//2299 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 143},	//2300 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 144},	//2301 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 145},	//2302 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 146},	//2303 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 147},	//2304 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 148},	//2305 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 149},	//2306 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 150},	//2307 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 151},	//2308 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 152},	//2309 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 153},	//2310 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 154},	//2311 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 155},	//2312 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 156},	//2313 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 157},	//2314 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 158},	//2315 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 159},	//2316 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 160},	//2317 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 161},	//2318 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 162},	//2319 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 163},	//2320 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 164},	//2321 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 165},	//2322 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 166},	//2323 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 167},	//2324 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 168},	//2325 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 169},	//2326 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 170},	//2327 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 171},	//2328 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 172},	//2329 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 173},	//2330 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 174},	//2331 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 175},	//2332 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 176},	//2333 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 177},	//2334 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 178},	//2335 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 179},	//2336 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 180},	//2337 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 181},	//2338 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 182},	//2339 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 183},	//2340 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 184},	//2341 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 185},	//2342 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 186},	//2343 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 187},	//2344 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 188},	//2345 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 189},	//2346 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 190},	//2347 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 191},	//2348 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 192},	//2349 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 193},	//2350 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 194},	//2351 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 195},	//2352 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 196},	//2353 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 197},	//2354 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 198},	//2355 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 199},	//2356 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 200},	//2357 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 201},	//2358 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 202},	//2359 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 203},	//2360 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 204},	//2361 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 205},	//2362 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 206},	//2363 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 207},	//2364 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 208},	//2365 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 209},	//2366 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 210},	//2367 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 211},	//2368 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 212},	//2369 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 213},	//2370 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 214},	//2371 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 215},	//2372 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 216},	//2373 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 217},	//2374 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 218},	//2375 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 219},	//2376 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 220},	//2377 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 221},	//2378 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 222},	//2379 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 223},	//2380 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 224},	//2381 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 225},	//2382 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 226},	//2383 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 227},	//2384 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 228},	//2385 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 229},	//2386 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 230},	//2387 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 231},	//2388 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 232},	//2389 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 233},	//2390 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 234},	//2391 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 235},	//2392 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 236},	//2393 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 237},	//2394 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 238},	//2395 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 239},	//2396 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 240},	//2397 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 241},	//2398 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 242},	//2399 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 243},	//2400 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 244},	//2401 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 245},	//2402 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 246},	//2403 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 247},	//2404 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 248},	//2405 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 249},	//2406 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 250},	//2407 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 251},	//2408 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 252},	//2409 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 253},	//2410 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 254},	//2411 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 255},	//2412 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 256},	//2413 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 257},	//2414 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 258},	//2415 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 259},	//2416 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 260},	//2417 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 261},	//2418 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 262},	//2419 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 263},	//2420 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 264},	//2421 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 265},	//2422 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 266},	//2423 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 267},	//2424 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 268},	//2425 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 1661, 0, 0, Smoke::mf_dtor, 0, 269 },	//2426 QsciScintillaBase::~QsciScintillaBase()
    {88, 530, 18, 1, Smoke::mf_ctor, 113, 1},	//2427 QsciStyle::QsciStyle(int)
    {88, 530, 454, 6, Smoke::mf_ctor, 113, 2},	//2428 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {88, 804, 123, 1, Smoke::mf_const, 0, 3},	//2429 QsciStyle::apply(QsciScintillaBase*) const
    {88, 1486, 18, 1, 0, 0, 4},	//2430 QsciStyle::setStyle(int)
    {88, 1551, 0, 0, Smoke::mf_const, 217, 5},	//2431 QsciStyle::style() const
    {88, 1279, 55, 1, 0, 0, 6},	//2432 QsciStyle::setDescription(const QString&)
    {88, 903, 0, 0, Smoke::mf_const, 41, 7},	//2433 QsciStyle::description() const
    {88, 1266, 80, 1, 0, 0, 8},	//2434 QsciStyle::setColor(const QColor&)
    {88, 869, 0, 0, Smoke::mf_const, 6, 9},	//2435 QsciStyle::color() const
    {88, 1454, 80, 1, 0, 0, 10},	//2436 QsciStyle::setPaper(const QColor&)
    {88, 1136, 0, 0, Smoke::mf_const, 6, 11},	//2437 QsciStyle::paper() const
    {88, 1341, 40, 1, 0, 0, 12},	//2438 QsciStyle::setFont(const QFont&)
    {88, 984, 0, 0, Smoke::mf_const, 14, 13},	//2439 QsciStyle::font() const
    {88, 1297, 16, 1, 0, 0, 14},	//2440 QsciStyle::setEolFill(bool)
    {88, 930, 0, 0, Smoke::mf_const, 191, 15},	//2441 QsciStyle::eolFill() const
    {88, 1501, 461, 1, 0, 0, 16},	//2442 QsciStyle::setTextCase(QsciStyle::TextCase)
    {88, 1566, 0, 0, Smoke::mf_const, 114, 17},	//2443 QsciStyle::textCase() const
    {88, 1521, 16, 1, 0, 0, 18},	//2444 QsciStyle::setVisible(bool)
    {88, 1596, 0, 0, Smoke::mf_const, 191, 19},	//2445 QsciStyle::visible() const
    {88, 1264, 16, 1, 0, 0, 20},	//2446 QsciStyle::setChangeable(bool)
    {88, 854, 0, 0, Smoke::mf_const, 191, 21},	//2447 QsciStyle::changeable() const
    {88, 1358, 16, 1, 0, 0, 22},	//2448 QsciStyle::setHotspot(bool)
    {88, 1006, 0, 0, Smoke::mf_const, 191, 23},	//2449 QsciStyle::hotspot() const
    {88, 1170, 0, 0, 0, 0, 24},	//2450 QsciStyle::refresh()
    {88, 530, 463, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 113, 25},	//2451 QsciStyle::QsciStyle(const QsciStyle&)
    {88, 530, 0, 0, Smoke::mf_ctor, 113, 26},	//2452 QsciStyle::QsciStyle()
    {88, 530, 465, 5, Smoke::mf_ctor, 113, 27},	//2453 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {88, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 28},	//2454 QsciStyle::OriginalCase (enum)
    {88, 730, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 29},	//2455 QsciStyle::UpperCase (enum)
    {88, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 30},	//2456 QsciStyle::LowerCase (enum)
    {88, 1662, 0, 0, Smoke::mf_dtor, 0, 31 },	//2457 QsciStyle::~QsciStyle()
    {89, 535, 471, 2, Smoke::mf_ctor, 116, 1},	//2458 QsciStyledText::QsciStyledText(const QString&, int)
    {89, 535, 474, 2, Smoke::mf_ctor, 116, 2},	//2459 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {89, 804, 123, 1, Smoke::mf_const, 0, 3},	//2460 QsciStyledText::apply(QsciScintillaBase*) const
    {89, 1561, 0, 0, Smoke::mf_const, 209, 4},	//2461 QsciStyledText::text() const
    {89, 1551, 0, 0, Smoke::mf_const, 217, 5},	//2462 QsciStyledText::style() const
    {89, 535, 477, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 6},	//2463 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {89, 1663, 0, 0, Smoke::mf_dtor, 0, 7 },	//2464 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2425,  // QsciScintillaBase::SC_ORDER_CUSTOM
    0,
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2424,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    0,
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2423,  // QsciScintillaBase::SC_ORDER_PRESORTED
    0,
    2172,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    2174,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    2175,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    2247,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    2177,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    2180,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    2181,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    0,
    2169,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    2170,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    2171,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    2173,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    2102,  // QsciScintilla::MoNone
    2102,  // QsciScintilla::MoNone
    0,
    2103,  // QsciScintilla::MoSublineSelect
    2103,  // QsciScintilla::MoSublineSelect
    0,
    2026,  // QsciScintilla::markerDefine(const QPixmap&)
    2027,  // QsciScintilla::markerDefine(const QImage&)
    0,
    1818,  // QsciScintilla::markerDefine(const QPixmap&, int)
    1819,  // QsciScintilla::markerDefine(const QImage&, int)
    0,
    2024,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    2025,  // QsciScintilla::markerDefine(char)
    0,
    1816,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1817,  // QsciScintilla::markerDefine(char, int)
    0,
    1833,  // QsciScintilla::registerImage(int, const QPixmap&)
    1834,  // QsciScintilla::registerImage(int, const QImage&)
    0,
    1974,  // QsciScintilla::setMarginWidth(int, int)
    1975,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {48, 453, 47},	// QsciAPIs::QsciAPIs#
    {48, 784, 48},	// QsciAPIs::add$
    {48, 798, 63},	// QsciAPIs::apiPreparationCancelled
    {48, 799, 65},	// QsciAPIs::apiPreparationFinished
    {48, 800, 64},	// QsciAPIs::apiPreparationStarted
    {48, 814, 59},	// QsciAPIs::autoCompletionSelected$
    {48, 842, 60},	// QsciAPIs::callTips?$$?
    {48, 849, 53},	// QsciAPIs::cancelPreparation
    {48, 856, 49},	// QsciAPIs::clear
    {48, 901, 54},	// QsciAPIs::defaultPreparedName
    {48, 937, 61},	// QsciAPIs::event#
    {48, 1034, 62},	// QsciAPIs::installedAPIFiles
    {48, 1038, 68},	// QsciAPIs::isPrepared
    {48, 1039, 55},	// QsciAPIs::isPrepared$
    {48, 1068, 50},	// QsciAPIs::load$
    {48, 1069, 69},	// QsciAPIs::loadPrepared
    {48, 1070, 56},	// QsciAPIs::loadPrepared$
    {48, 1113, 40},	// QsciAPIs::metaObject
    {48, 1145, 52},	// QsciAPIs::prepare
    {48, 1155, 46},	// QsciAPIs::qt_metacall$$?
    {48, 1157, 41},	// QsciAPIs::qt_metacast$
    {48, 1175, 51},	// QsciAPIs::remove$
    {48, 1195, 70},	// QsciAPIs::savePrepared
    {48, 1196, 57},	// QsciAPIs::savePrepared$
    {48, 1549, 71},	// QsciAPIs::staticMetaObject
    {48, 1575, 66},	// QsciAPIs::tr$
    {48, 1576, 42},	// QsciAPIs::tr$$
    {48, 1577, 44},	// QsciAPIs::tr$$$
    {48, 1579, 67},	// QsciAPIs::trUtf8$
    {48, 1580, 43},	// QsciAPIs::trUtf8$$
    {48, 1581, 45},	// QsciAPIs::trUtf8$$$
    {48, 1586, 58},	// QsciAPIs::updateAutoCompletionList??
    {48, 1623, 72},	// QsciAPIs::~QsciAPIs
    {49, 455, 80},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {49, 814, 83},	// QsciAbstractAPIs::autoCompletionSelected$
    {49, 842, 84},	// QsciAbstractAPIs::callTips?$$?
    {49, 1057, 81},	// QsciAbstractAPIs::lexer
    {49, 1113, 73},	// QsciAbstractAPIs::metaObject
    {49, 1155, 79},	// QsciAbstractAPIs::qt_metacall$$?
    {49, 1157, 74},	// QsciAbstractAPIs::qt_metacast$
    {49, 1549, 87},	// QsciAbstractAPIs::staticMetaObject
    {49, 1575, 85},	// QsciAbstractAPIs::tr$
    {49, 1576, 75},	// QsciAbstractAPIs::tr$$
    {49, 1577, 77},	// QsciAbstractAPIs::tr$$$
    {49, 1579, 86},	// QsciAbstractAPIs::trUtf8$
    {49, 1580, 76},	// QsciAbstractAPIs::trUtf8$$
    {49, 1581, 78},	// QsciAbstractAPIs::trUtf8$$$
    {49, 1586, 82},	// QsciAbstractAPIs::updateAutoCompletionList??
    {49, 1624, 88},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {50, 82, 189},	// QsciCommand::Backtab
    {50, 115, 190},	// QsciCommand::Cancel
    {50, 117, 112},	// QsciCommand::CharLeft
    {50, 118, 113},	// QsciCommand::CharLeftExtend
    {50, 119, 114},	// QsciCommand::CharLeftRectExtend
    {50, 120, 115},	// QsciCommand::CharRight
    {50, 121, 116},	// QsciCommand::CharRightExtend
    {50, 122, 117},	// QsciCommand::CharRightRectExtend
    {50, 161, 163},	// QsciCommand::Delete
    {50, 162, 164},	// QsciCommand::DeleteBack
    {50, 163, 165},	// QsciCommand::DeleteBackNotLine
    {50, 164, 169},	// QsciCommand::DeleteLineLeft
    {50, 165, 170},	// QsciCommand::DeleteLineRight
    {50, 166, 166},	// QsciCommand::DeleteWordLeft
    {50, 167, 167},	// QsciCommand::DeleteWordRight
    {50, 168, 168},	// QsciCommand::DeleteWordRightEnd
    {50, 176, 151},	// QsciCommand::DocumentEnd
    {50, 177, 152},	// QsciCommand::DocumentEndExtend
    {50, 178, 149},	// QsciCommand::DocumentStart
    {50, 179, 150},	// QsciCommand::DocumentStartExtend
    {50, 198, 185},	// QsciCommand::EditToggleOvertype
    {50, 219, 187},	// QsciCommand::Formfeed
    {50, 245, 130},	// QsciCommand::Home
    {50, 246, 133},	// QsciCommand::HomeDisplay
    {50, 247, 134},	// QsciCommand::HomeDisplayExtend
    {50, 248, 131},	// QsciCommand::HomeExtend
    {50, 249, 132},	// QsciCommand::HomeRectExtend
    {50, 250, 135},	// QsciCommand::HomeWrap
    {50, 251, 136},	// QsciCommand::HomeWrapExtend
    {50, 331, 173},	// QsciCommand::LineCopy
    {50, 332, 172},	// QsciCommand::LineCut
    {50, 333, 171},	// QsciCommand::LineDelete
    {50, 334, 97},	// QsciCommand::LineDown
    {50, 335, 98},	// QsciCommand::LineDownExtend
    {50, 336, 99},	// QsciCommand::LineDownRectExtend
    {50, 337, 175},	// QsciCommand::LineDuplicate
    {50, 338, 142},	// QsciCommand::LineEnd
    {50, 339, 145},	// QsciCommand::LineEndDisplay
    {50, 340, 146},	// QsciCommand::LineEndDisplayExtend
    {50, 341, 143},	// QsciCommand::LineEndExtend
    {50, 342, 144},	// QsciCommand::LineEndRectExtend
    {50, 343, 147},	// QsciCommand::LineEndWrap
    {50, 344, 148},	// QsciCommand::LineEndWrapExtend
    {50, 346, 100},	// QsciCommand::LineScrollDown
    {50, 347, 104},	// QsciCommand::LineScrollUp
    {50, 348, 174},	// QsciCommand::LineTranspose
    {50, 349, 101},	// QsciCommand::LineUp
    {50, 350, 102},	// QsciCommand::LineUpExtend
    {50, 351, 103},	// QsciCommand::LineUpRectExtend
    {50, 366, 178},	// QsciCommand::MoveSelectedLinesDown
    {50, 367, 177},	// QsciCommand::MoveSelectedLinesUp
    {50, 372, 186},	// QsciCommand::Newline
    {50, 396, 156},	// QsciCommand::PageDown
    {50, 397, 157},	// QsciCommand::PageDownExtend
    {50, 398, 158},	// QsciCommand::PageDownRectExtend
    {50, 400, 153},	// QsciCommand::PageUp
    {50, 401, 154},	// QsciCommand::PageUpExtend
    {50, 402, 155},	// QsciCommand::PageUpRectExtend
    {50, 403, 108},	// QsciCommand::ParaDown
    {50, 404, 109},	// QsciCommand::ParaDownExtend
    {50, 405, 110},	// QsciCommand::ParaUp
    {50, 406, 111},	// QsciCommand::ParaUpExtend
    {50, 408, 184},	// QsciCommand::Paste
    {50, 553, 192},	// QsciCommand::Redo
    {50, 631, 106},	// QsciCommand::ScrollToEnd
    {50, 632, 105},	// QsciCommand::ScrollToStart
    {50, 634, 176},	// QsciCommand::SelectAll
    {50, 636, 183},	// QsciCommand::SelectionCopy
    {50, 637, 182},	// QsciCommand::SelectionCut
    {50, 638, 179},	// QsciCommand::SelectionDuplicate
    {50, 639, 180},	// QsciCommand::SelectionLowerCase
    {50, 640, 181},	// QsciCommand::SelectionUpperCase
    {50, 676, 161},	// QsciCommand::StutteredPageDown
    {50, 677, 162},	// QsciCommand::StutteredPageDownExtend
    {50, 678, 159},	// QsciCommand::StutteredPageUp
    {50, 679, 160},	// QsciCommand::StutteredPageUpExtend
    {50, 693, 188},	// QsciCommand::Tab
    {50, 725, 191},	// QsciCommand::Undo
    {50, 740, 137},	// QsciCommand::VCHome
    {50, 741, 138},	// QsciCommand::VCHomeExtend
    {50, 742, 139},	// QsciCommand::VCHomeRectExtend
    {50, 743, 140},	// QsciCommand::VCHomeWrap
    {50, 744, 141},	// QsciCommand::VCHomeWrapExtend
    {50, 748, 107},	// QsciCommand::VerticalCentreCaret
    {50, 750, 118},	// QsciCommand::WordLeft
    {50, 751, 122},	// QsciCommand::WordLeftEnd
    {50, 752, 123},	// QsciCommand::WordLeftEndExtend
    {50, 753, 119},	// QsciCommand::WordLeftExtend
    {50, 754, 126},	// QsciCommand::WordPartLeft
    {50, 755, 127},	// QsciCommand::WordPartLeftExtend
    {50, 756, 128},	// QsciCommand::WordPartRight
    {50, 757, 129},	// QsciCommand::WordPartRightExtend
    {50, 758, 120},	// QsciCommand::WordRight
    {50, 759, 124},	// QsciCommand::WordRightEnd
    {50, 760, 125},	// QsciCommand::WordRightEndExtend
    {50, 761, 121},	// QsciCommand::WordRightExtend
    {50, 780, 193},	// QsciCommand::ZoomIn
    {50, 781, 194},	// QsciCommand::ZoomOut
    {50, 787, 94},	// QsciCommand::alternateKey
    {50, 873, 89},	// QsciCommand::command
    {50, 903, 96},	// QsciCommand::description
    {50, 939, 90},	// QsciCommand::execute
    {50, 1046, 93},	// QsciCommand::key
    {50, 1211, 92},	// QsciCommand::setAlternateKey$
    {50, 1400, 91},	// QsciCommand::setKey$
    {50, 1593, 95},	// QsciCommand::validKey$
    {50, 1625, 195},	// QsciCommand::~QsciCommand
    {51, 833, 201},	// QsciCommandSet::boundTo$
    {51, 857, 200},	// QsciCommandSet::clearAlternateKeys
    {51, 864, 199},	// QsciCommandSet::clearKeys
    {51, 876, 198},	// QsciCommandSet::commands
    {51, 945, 202},	// QsciCommandSet::find$
    {51, 1164, 203},	// QsciCommandSet::readSettings#
    {51, 1165, 196},	// QsciCommandSet::readSettings#$
    {51, 1614, 204},	// QsciCommandSet::writeSettings#
    {51, 1615, 197},	// QsciCommandSet::writeSettings#$
    {52, 456, 205},	// QsciDocument::QsciDocument
    {52, 457, 206},	// QsciDocument::QsciDocument#
    {52, 1130, 207},	// QsciDocument::operator=#
    {52, 1626, 208},	// QsciDocument::~QsciDocument
    {53, 458, 270},	// QsciLexer::QsciLexer
    {53, 459, 216},	// QsciLexer::QsciLexer#
    {53, 801, 220},	// QsciLexer::apis
    {53, 810, 221},	// QsciLexer::autoCompletionFillups
    {53, 819, 222},	// QsciLexer::autoCompletionWordSeparators
    {53, 821, 223},	// QsciLexer::autoIndentStyle
    {53, 825, 271},	// QsciLexer::blockEnd
    {53, 826, 224},	// QsciLexer::blockEnd$
    {53, 827, 225},	// QsciLexer::blockLookback
    {53, 828, 272},	// QsciLexer::blockStart
    {53, 829, 226},	// QsciLexer::blockStart$
    {53, 830, 273},	// QsciLexer::blockStartKeyword
    {53, 831, 227},	// QsciLexer::blockStartKeyword$
    {53, 835, 228},	// QsciLexer::braceStyle
    {53, 850, 229},	// QsciLexer::caseSensitive
    {53, 870, 230},	// QsciLexer::color$
    {53, 872, 261},	// QsciLexer::colorChanged#$
    {53, 893, 238},	// QsciLexer::defaultColor
    {53, 894, 239},	// QsciLexer::defaultColor$
    {53, 896, 240},	// QsciLexer::defaultEolFill$
    {53, 897, 241},	// QsciLexer::defaultFont
    {53, 898, 242},	// QsciLexer::defaultFont$
    {53, 899, 243},	// QsciLexer::defaultPaper
    {53, 900, 244},	// QsciLexer::defaultPaper$
    {53, 902, 235},	// QsciLexer::defaultStyle
    {53, 904, 236},	// QsciLexer::description$
    {53, 922, 245},	// QsciLexer::editor
    {53, 931, 231},	// QsciLexer::eolFill$
    {53, 933, 262},	// QsciLexer::eolFillChanged$$
    {53, 985, 232},	// QsciLexer::font$
    {53, 988, 263},	// QsciLexer::fontChanged#$
    {53, 1011, 233},	// QsciLexer::indentationGuideView
    {53, 1051, 234},	// QsciLexer::keywords$
    {53, 1052, 217},	// QsciLexer::language
    {53, 1057, 218},	// QsciLexer::lexer
    {53, 1058, 219},	// QsciLexer::lexerId
    {53, 1113, 209},	// QsciLexer::metaObject
    {53, 1137, 237},	// QsciLexer::paper$
    {53, 1139, 264},	// QsciLexer::paperChanged#$
    {53, 1153, 265},	// QsciLexer::propertyChanged$$
    {53, 1155, 215},	// QsciLexer::qt_metacall$$?
    {53, 1157, 210},	// QsciLexer::qt_metacast$
    {53, 1162, 266},	// QsciLexer::readProperties#$
    {53, 1164, 274},	// QsciLexer::readSettings#
    {53, 1165, 251},	// QsciLexer::readSettings#$
    {53, 1171, 252},	// QsciLexer::refreshProperties
    {53, 1209, 246},	// QsciLexer::setAPIs#
    {53, 1235, 256},	// QsciLexer::setAutoIndentStyle$
    {53, 1267, 276},	// QsciLexer::setColor#
    {53, 1268, 257},	// QsciLexer::setColor#$
    {53, 1274, 247},	// QsciLexer::setDefaultColor#
    {53, 1276, 248},	// QsciLexer::setDefaultFont#
    {53, 1278, 249},	// QsciLexer::setDefaultPaper#
    {53, 1296, 250},	// QsciLexer::setEditor#
    {53, 1298, 277},	// QsciLexer::setEolFill$
    {53, 1299, 258},	// QsciLexer::setEolFill$$
    {53, 1342, 278},	// QsciLexer::setFont#
    {53, 1343, 259},	// QsciLexer::setFont#$
    {53, 1455, 279},	// QsciLexer::setPaper#
    {53, 1456, 260},	// QsciLexer::setPaper#$
    {53, 1549, 280},	// QsciLexer::staticMetaObject
    {53, 1552, 253},	// QsciLexer::styleBitsNeeded
    {53, 1575, 268},	// QsciLexer::tr$
    {53, 1576, 211},	// QsciLexer::tr$$
    {53, 1577, 213},	// QsciLexer::tr$$$
    {53, 1579, 269},	// QsciLexer::trUtf8$
    {53, 1580, 212},	// QsciLexer::trUtf8$$
    {53, 1581, 214},	// QsciLexer::trUtf8$$$
    {53, 1606, 254},	// QsciLexer::wordCharacters
    {53, 1612, 267},	// QsciLexer::writeProperties#$
    {53, 1614, 275},	// QsciLexer::writeSettings#
    {53, 1615, 255},	// QsciLexer::writeSettings#$
    {53, 1627, 281},	// QsciLexer::~QsciLexer
    {54, 85, 322},	// QsciLexerBash::Backticks
    {54, 138, 313},	// QsciLexerBash::Comment
    {54, 159, 311},	// QsciLexerBash::Default
    {54, 185, 316},	// QsciLexerBash::DoubleQuotedString
    {54, 205, 312},	// QsciLexerBash::Error
    {54, 238, 323},	// QsciLexerBash::HereDocumentDelimiter
    {54, 254, 319},	// QsciLexerBash::Identifier
    {54, 306, 315},	// QsciLexerBash::Keyword
    {54, 376, 314},	// QsciLexerBash::Number
    {54, 380, 318},	// QsciLexerBash::Operator
    {54, 407, 321},	// QsciLexerBash::ParameterExpansion
    {54, 460, 309},	// QsciLexerBash::QsciLexerBash
    {54, 461, 289},	// QsciLexerBash::QsciLexerBash#
    {54, 628, 320},	// QsciLexerBash::Scalar
    {54, 651, 324},	// QsciLexerBash::SingleQuotedHereDocument
    {54, 652, 317},	// QsciLexerBash::SingleQuotedString
    {54, 835, 292},	// QsciLexerBash::braceStyle
    {54, 894, 294},	// QsciLexerBash::defaultColor$
    {54, 896, 295},	// QsciLexerBash::defaultEolFill$
    {54, 898, 296},	// QsciLexerBash::defaultFont$
    {54, 900, 297},	// QsciLexerBash::defaultPaper$
    {54, 904, 299},	// QsciLexerBash::description$
    {54, 971, 301},	// QsciLexerBash::foldComments
    {54, 972, 302},	// QsciLexerBash::foldCompact
    {54, 1051, 298},	// QsciLexerBash::keywords$
    {54, 1052, 290},	// QsciLexerBash::language
    {54, 1057, 291},	// QsciLexerBash::lexer
    {54, 1113, 282},	// QsciLexerBash::metaObject
    {54, 1155, 288},	// QsciLexerBash::qt_metacall$$?
    {54, 1157, 283},	// QsciLexerBash::qt_metacast$
    {54, 1162, 305},	// QsciLexerBash::readProperties#$
    {54, 1171, 300},	// QsciLexerBash::refreshProperties
    {54, 1317, 303},	// QsciLexerBash::setFoldComments$
    {54, 1319, 304},	// QsciLexerBash::setFoldCompact$
    {54, 1549, 310},	// QsciLexerBash::staticMetaObject
    {54, 1575, 307},	// QsciLexerBash::tr$
    {54, 1576, 284},	// QsciLexerBash::tr$$
    {54, 1577, 286},	// QsciLexerBash::tr$$$
    {54, 1579, 308},	// QsciLexerBash::trUtf8$
    {54, 1580, 285},	// QsciLexerBash::trUtf8$$
    {54, 1581, 287},	// QsciLexerBash::trUtf8$$$
    {54, 1606, 293},	// QsciLexerBash::wordCharacters
    {54, 1612, 306},	// QsciLexerBash::writeProperties#$
    {54, 1628, 325},	// QsciLexerBash::~QsciLexerBash
    {55, 138, 349},	// QsciLexerBatch::Comment
    {55, 159, 348},	// QsciLexerBatch::Default
    {55, 213, 353},	// QsciLexerBatch::ExternalCommand
    {55, 242, 352},	// QsciLexerBatch::HideCommandChar
    {55, 306, 350},	// QsciLexerBatch::Keyword
    {55, 316, 351},	// QsciLexerBatch::Label
    {55, 380, 355},	// QsciLexerBatch::Operator
    {55, 462, 346},	// QsciLexerBatch::QsciLexerBatch
    {55, 463, 333},	// QsciLexerBatch::QsciLexerBatch#
    {55, 746, 354},	// QsciLexerBatch::Variable
    {55, 850, 337},	// QsciLexerBatch::caseSensitive
    {55, 894, 338},	// QsciLexerBatch::defaultColor$
    {55, 896, 339},	// QsciLexerBatch::defaultEolFill$
    {55, 898, 340},	// QsciLexerBatch::defaultFont$
    {55, 900, 341},	// QsciLexerBatch::defaultPaper$
    {55, 904, 343},	// QsciLexerBatch::description$
    {55, 1051, 342},	// QsciLexerBatch::keywords$
    {55, 1052, 334},	// QsciLexerBatch::language
    {55, 1057, 335},	// QsciLexerBatch::lexer
    {55, 1113, 326},	// QsciLexerBatch::metaObject
    {55, 1155, 332},	// QsciLexerBatch::qt_metacall$$?
    {55, 1157, 327},	// QsciLexerBatch::qt_metacast$
    {55, 1549, 347},	// QsciLexerBatch::staticMetaObject
    {55, 1575, 344},	// QsciLexerBatch::tr$
    {55, 1576, 328},	// QsciLexerBatch::tr$$
    {55, 1577, 330},	// QsciLexerBatch::tr$$$
    {55, 1579, 345},	// QsciLexerBatch::trUtf8$
    {55, 1580, 329},	// QsciLexerBatch::trUtf8$$
    {55, 1581, 331},	// QsciLexerBatch::trUtf8$$$
    {55, 1606, 336},	// QsciLexerBatch::wordCharacters
    {55, 1629, 356},	// QsciLexerBatch::~QsciLexerBatch
    {56, 91, 391},	// QsciLexerCMake::BlockForeach
    {56, 92, 392},	// QsciLexerCMake::BlockIf
    {56, 93, 393},	// QsciLexerCMake::BlockMacro
    {56, 94, 390},	// QsciLexerCMake::BlockWhile
    {56, 138, 382},	// QsciLexerCMake::Comment
    {56, 159, 381},	// QsciLexerCMake::Default
    {56, 222, 386},	// QsciLexerCMake::Function
    {56, 310, 389},	// QsciLexerCMake::KeywordSet3
    {56, 316, 388},	// QsciLexerCMake::Label
    {56, 376, 395},	// QsciLexerCMake::Number
    {56, 464, 379},	// QsciLexerCMake::QsciLexerCMake
    {56, 465, 364},	// QsciLexerCMake::QsciLexerCMake#
    {56, 671, 383},	// QsciLexerCMake::String
    {56, 672, 384},	// QsciLexerCMake::StringLeftQuote
    {56, 673, 385},	// QsciLexerCMake::StringRightQuote
    {56, 675, 394},	// QsciLexerCMake::StringVariable
    {56, 746, 387},	// QsciLexerCMake::Variable
    {56, 894, 367},	// QsciLexerCMake::defaultColor$
    {56, 898, 368},	// QsciLexerCMake::defaultFont$
    {56, 900, 369},	// QsciLexerCMake::defaultPaper$
    {56, 904, 371},	// QsciLexerCMake::description$
    {56, 969, 373},	// QsciLexerCMake::foldAtElse
    {56, 1051, 370},	// QsciLexerCMake::keywords$
    {56, 1052, 365},	// QsciLexerCMake::language
    {56, 1057, 366},	// QsciLexerCMake::lexer
    {56, 1113, 357},	// QsciLexerCMake::metaObject
    {56, 1155, 363},	// QsciLexerCMake::qt_metacall$$?
    {56, 1157, 358},	// QsciLexerCMake::qt_metacast$
    {56, 1162, 375},	// QsciLexerCMake::readProperties#$
    {56, 1171, 372},	// QsciLexerCMake::refreshProperties
    {56, 1313, 374},	// QsciLexerCMake::setFoldAtElse$
    {56, 1549, 380},	// QsciLexerCMake::staticMetaObject
    {56, 1575, 377},	// QsciLexerCMake::tr$
    {56, 1576, 359},	// QsciLexerCMake::tr$$
    {56, 1577, 361},	// QsciLexerCMake::tr$$$
    {56, 1579, 378},	// QsciLexerCMake::trUtf8$
    {56, 1580, 360},	// QsciLexerCMake::trUtf8$$
    {56, 1581, 362},	// QsciLexerCMake::trUtf8$$$
    {56, 1612, 376},	// QsciLexerCMake::writeProperties#$
    {56, 1630, 396},	// QsciLexerCMake::~QsciLexerCMake
    {57, 138, 454},	// QsciLexerCPP::Comment
    {57, 141, 458},	// QsciLexerCPP::CommentDoc
    {57, 142, 486},	// QsciLexerCPP::CommentDocKeyword
    {57, 143, 488},	// QsciLexerCPP::CommentDocKeywordError
    {57, 144, 456},	// QsciLexerCPP::CommentLine
    {57, 145, 482},	// QsciLexerCPP::CommentLineDoc
    {57, 159, 452},	// QsciLexerCPP::Default
    {57, 185, 464},	// QsciLexerCPP::DoubleQuotedString
    {57, 206, 506},	// QsciLexerCPP::EscapeSequence
    {57, 225, 490},	// QsciLexerCPP::GlobalClass
    {57, 235, 496},	// QsciLexerCPP::HashQuotedString
    {57, 254, 474},	// QsciLexerCPP::Identifier
    {57, 259, 455},	// QsciLexerCPP::InactiveComment
    {57, 260, 459},	// QsciLexerCPP::InactiveCommentDoc
    {57, 261, 487},	// QsciLexerCPP::InactiveCommentDocKeyword
    {57, 262, 489},	// QsciLexerCPP::InactiveCommentDocKeywordError
    {57, 263, 457},	// QsciLexerCPP::InactiveCommentLine
    {57, 264, 483},	// QsciLexerCPP::InactiveCommentLineDoc
    {57, 265, 453},	// QsciLexerCPP::InactiveDefault
    {57, 266, 465},	// QsciLexerCPP::InactiveDoubleQuotedString
    {57, 267, 507},	// QsciLexerCPP::InactiveEscapeSequence
    {57, 268, 491},	// QsciLexerCPP::InactiveGlobalClass
    {57, 269, 497},	// QsciLexerCPP::InactiveHashQuotedString
    {57, 270, 475},	// QsciLexerCPP::InactiveIdentifier
    {57, 271, 463},	// QsciLexerCPP::InactiveKeyword
    {57, 272, 485},	// QsciLexerCPP::InactiveKeywordSet2
    {57, 273, 461},	// QsciLexerCPP::InactiveNumber
    {57, 274, 473},	// QsciLexerCPP::InactiveOperator
    {57, 275, 471},	// QsciLexerCPP::InactivePreProcessor
    {57, 276, 499},	// QsciLexerCPP::InactivePreProcessorComment
    {57, 277, 501},	// QsciLexerCPP::InactivePreProcessorCommentLineDoc
    {57, 278, 493},	// QsciLexerCPP::InactiveRawString
    {57, 279, 481},	// QsciLexerCPP::InactiveRegex
    {57, 280, 467},	// QsciLexerCPP::InactiveSingleQuotedString
    {57, 281, 505},	// QsciLexerCPP::InactiveTaskMarker
    {57, 282, 495},	// QsciLexerCPP::InactiveTripleQuotedVerbatimString
    {57, 283, 469},	// QsciLexerCPP::InactiveUUID
    {57, 284, 477},	// QsciLexerCPP::InactiveUnclosedString
    {57, 285, 503},	// QsciLexerCPP::InactiveUserLiteral
    {57, 286, 479},	// QsciLexerCPP::InactiveVerbatimString
    {57, 306, 462},	// QsciLexerCPP::Keyword
    {57, 309, 484},	// QsciLexerCPP::KeywordSet2
    {57, 376, 460},	// QsciLexerCPP::Number
    {57, 380, 472},	// QsciLexerCPP::Operator
    {57, 426, 470},	// QsciLexerCPP::PreProcessor
    {57, 427, 498},	// QsciLexerCPP::PreProcessorComment
    {57, 428, 500},	// QsciLexerCPP::PreProcessorCommentLineDoc
    {57, 466, 446},	// QsciLexerCPP::QsciLexerCPP
    {57, 467, 447},	// QsciLexerCPP::QsciLexerCPP#
    {57, 468, 404},	// QsciLexerCPP::QsciLexerCPP#$
    {57, 551, 492},	// QsciLexerCPP::RawString
    {57, 555, 480},	// QsciLexerCPP::Regex
    {57, 652, 466},	// QsciLexerCPP::SingleQuotedString
    {57, 701, 504},	// QsciLexerCPP::TaskMarker
    {57, 718, 494},	// QsciLexerCPP::TripleQuotedVerbatimString
    {57, 722, 468},	// QsciLexerCPP::UUID
    {57, 723, 476},	// QsciLexerCPP::UnclosedString
    {57, 731, 502},	// QsciLexerCPP::UserLiteral
    {57, 747, 478},	// QsciLexerCPP::VerbatimString
    {57, 819, 407},	// QsciLexerCPP::autoCompletionWordSeparators
    {57, 825, 448},	// QsciLexerCPP::blockEnd
    {57, 826, 408},	// QsciLexerCPP::blockEnd$
    {57, 828, 449},	// QsciLexerCPP::blockStart
    {57, 829, 409},	// QsciLexerCPP::blockStart$
    {57, 830, 450},	// QsciLexerCPP::blockStartKeyword
    {57, 831, 410},	// QsciLexerCPP::blockStartKeyword$
    {57, 835, 411},	// QsciLexerCPP::braceStyle
    {57, 894, 413},	// QsciLexerCPP::defaultColor$
    {57, 896, 414},	// QsciLexerCPP::defaultEolFill$
    {57, 898, 415},	// QsciLexerCPP::defaultFont$
    {57, 900, 416},	// QsciLexerCPP::defaultPaper$
    {57, 904, 418},	// QsciLexerCPP::description$
    {57, 909, 426},	// QsciLexerCPP::dollarsAllowed
    {57, 969, 420},	// QsciLexerCPP::foldAtElse
    {57, 971, 421},	// QsciLexerCPP::foldComments
    {57, 972, 422},	// QsciLexerCPP::foldCompact
    {57, 979, 423},	// QsciLexerCPP::foldPreprocessor
    {57, 1001, 432},	// QsciLexerCPP::highlightBackQuotedStrings
    {57, 1002, 434},	// QsciLexerCPP::highlightEscapeSequences
    {57, 1003, 430},	// QsciLexerCPP::highlightHashQuotedStrings
    {57, 1005, 428},	// QsciLexerCPP::highlightTripleQuotedStrings
    {57, 1051, 417},	// QsciLexerCPP::keywords$
    {57, 1052, 405},	// QsciLexerCPP::language
    {57, 1057, 406},	// QsciLexerCPP::lexer
    {57, 1113, 397},	// QsciLexerCPP::metaObject
    {57, 1155, 403},	// QsciLexerCPP::qt_metacall$$?
    {57, 1157, 398},	// QsciLexerCPP::qt_metacast$
    {57, 1162, 442},	// QsciLexerCPP::readProperties#$
    {57, 1171, 419},	// QsciLexerCPP::refreshProperties
    {57, 1286, 425},	// QsciLexerCPP::setDollarsAllowed$
    {57, 1313, 437},	// QsciLexerCPP::setFoldAtElse$
    {57, 1317, 438},	// QsciLexerCPP::setFoldComments$
    {57, 1319, 439},	// QsciLexerCPP::setFoldCompact$
    {57, 1331, 440},	// QsciLexerCPP::setFoldPreprocessor$
    {57, 1349, 431},	// QsciLexerCPP::setHighlightBackQuotedStrings$
    {57, 1351, 433},	// QsciLexerCPP::setHighlightEscapeSequences$
    {57, 1353, 429},	// QsciLexerCPP::setHighlightHashQuotedStrings$
    {57, 1357, 427},	// QsciLexerCPP::setHighlightTripleQuotedStrings$
    {57, 1489, 441},	// QsciLexerCPP::setStylePreprocessor$
    {57, 1520, 435},	// QsciLexerCPP::setVerbatimStringEscapeSequencesAllowed$
    {57, 1549, 451},	// QsciLexerCPP::staticMetaObject
    {57, 1554, 424},	// QsciLexerCPP::stylePreprocessor
    {57, 1575, 444},	// QsciLexerCPP::tr$
    {57, 1576, 399},	// QsciLexerCPP::tr$$
    {57, 1577, 401},	// QsciLexerCPP::tr$$$
    {57, 1579, 445},	// QsciLexerCPP::trUtf8$
    {57, 1580, 400},	// QsciLexerCPP::trUtf8$$
    {57, 1581, 402},	// QsciLexerCPP::trUtf8$$$
    {57, 1594, 436},	// QsciLexerCPP::verbatimStringEscapeSequencesAllowed
    {57, 1606, 412},	// QsciLexerCPP::wordCharacters
    {57, 1612, 443},	// QsciLexerCPP::writeProperties#$
    {57, 1631, 508},	// QsciLexerCPP::~QsciLexerCPP
    {58, 66, 557},	// QsciLexerCSS::AtRule
    {58, 67, 561},	// QsciLexerCSS::Attribute
    {58, 106, 551},	// QsciLexerCSS::CSS1Property
    {58, 107, 560},	// QsciLexerCSS::CSS2Property
    {58, 108, 562},	// QsciLexerCSS::CSS3Property
    {58, 133, 547},	// QsciLexerCSS::ClassSelector
    {58, 138, 554},	// QsciLexerCSS::Comment
    {58, 159, 545},	// QsciLexerCSS::Default
    {58, 185, 558},	// QsciLexerCSS::DoubleQuotedString
    {58, 209, 564},	// QsciLexerCSS::ExtendedCSSProperty
    {58, 211, 565},	// QsciLexerCSS::ExtendedPseudoClass
    {58, 212, 566},	// QsciLexerCSS::ExtendedPseudoElement
    {58, 228, 530},	// QsciLexerCSS::HSSLanguage
    {58, 252, 555},	// QsciLexerCSS::IDSelector
    {58, 258, 556},	// QsciLexerCSS::Important
    {58, 326, 532},	// QsciLexerCSS::LessLanguage
    {58, 358, 567},	// QsciLexerCSS::MediaRule
    {58, 380, 550},	// QsciLexerCSS::Operator
    {58, 435, 548},	// QsciLexerCSS::PseudoClass
    {58, 436, 563},	// QsciLexerCSS::PseudoElement
    {58, 469, 541},	// QsciLexerCSS::QsciLexerCSS
    {58, 470, 516},	// QsciLexerCSS::QsciLexerCSS#
    {58, 613, 534},	// QsciLexerCSS::SCSSLanguage
    {58, 652, 559},	// QsciLexerCSS::SingleQuotedString
    {58, 699, 546},	// QsciLexerCSS::Tag
    {58, 727, 552},	// QsciLexerCSS::UnknownProperty
    {58, 728, 549},	// QsciLexerCSS::UnknownPseudoClass
    {58, 745, 553},	// QsciLexerCSS::Value
    {58, 746, 568},	// QsciLexerCSS::Variable
    {58, 825, 542},	// QsciLexerCSS::blockEnd
    {58, 826, 519},	// QsciLexerCSS::blockEnd$
    {58, 828, 543},	// QsciLexerCSS::blockStart
    {58, 829, 520},	// QsciLexerCSS::blockStart$
    {58, 894, 522},	// QsciLexerCSS::defaultColor$
    {58, 898, 523},	// QsciLexerCSS::defaultFont$
    {58, 904, 525},	// QsciLexerCSS::description$
    {58, 971, 527},	// QsciLexerCSS::foldComments
    {58, 972, 528},	// QsciLexerCSS::foldCompact
    {58, 1051, 524},	// QsciLexerCSS::keywords$
    {58, 1052, 517},	// QsciLexerCSS::language
    {58, 1057, 518},	// QsciLexerCSS::lexer
    {58, 1113, 509},	// QsciLexerCSS::metaObject
    {58, 1155, 515},	// QsciLexerCSS::qt_metacall$$?
    {58, 1157, 510},	// QsciLexerCSS::qt_metacast$
    {58, 1162, 537},	// QsciLexerCSS::readProperties#$
    {58, 1171, 526},	// QsciLexerCSS::refreshProperties
    {58, 1317, 535},	// QsciLexerCSS::setFoldComments$
    {58, 1319, 536},	// QsciLexerCSS::setFoldCompact$
    {58, 1345, 529},	// QsciLexerCSS::setHSSLanguage$
    {58, 1402, 531},	// QsciLexerCSS::setLessLanguage$
    {58, 1466, 533},	// QsciLexerCSS::setSCSSLanguage$
    {58, 1549, 544},	// QsciLexerCSS::staticMetaObject
    {58, 1575, 539},	// QsciLexerCSS::tr$
    {58, 1576, 511},	// QsciLexerCSS::tr$$
    {58, 1577, 513},	// QsciLexerCSS::tr$$$
    {58, 1579, 540},	// QsciLexerCSS::trUtf8$
    {58, 1580, 512},	// QsciLexerCSS::trUtf8$$
    {58, 1581, 514},	// QsciLexerCSS::trUtf8$$$
    {58, 1606, 521},	// QsciLexerCSS::wordCharacters
    {58, 1612, 538},	// QsciLexerCSS::writeProperties#$
    {58, 1632, 569},	// QsciLexerCSS::~QsciLexerCSS
    {59, 471, 587},	// QsciLexerCSharp::QsciLexerCSharp
    {59, 472, 577},	// QsciLexerCSharp::QsciLexerCSharp#
    {59, 894, 579},	// QsciLexerCSharp::defaultColor$
    {59, 896, 580},	// QsciLexerCSharp::defaultEolFill$
    {59, 898, 581},	// QsciLexerCSharp::defaultFont$
    {59, 900, 582},	// QsciLexerCSharp::defaultPaper$
    {59, 904, 584},	// QsciLexerCSharp::description$
    {59, 1051, 583},	// QsciLexerCSharp::keywords$
    {59, 1052, 578},	// QsciLexerCSharp::language
    {59, 1113, 570},	// QsciLexerCSharp::metaObject
    {59, 1155, 576},	// QsciLexerCSharp::qt_metacall$$?
    {59, 1157, 571},	// QsciLexerCSharp::qt_metacast$
    {59, 1549, 588},	// QsciLexerCSharp::staticMetaObject
    {59, 1575, 585},	// QsciLexerCSharp::tr$
    {59, 1576, 572},	// QsciLexerCSharp::tr$$
    {59, 1577, 574},	// QsciLexerCSharp::tr$$$
    {59, 1579, 586},	// QsciLexerCSharp::trUtf8$
    {59, 1580, 573},	// QsciLexerCSharp::trUtf8$$
    {59, 1581, 575},	// QsciLexerCSharp::trUtf8$$$
    {59, 1633, 589},	// QsciLexerCSharp::~QsciLexerCSharp
    {60, 473, 606},	// QsciLexerCustom::QsciLexerCustom
    {60, 474, 597},	// QsciLexerCustom::QsciLexerCustom#
    {60, 1113, 590},	// QsciLexerCustom::metaObject
    {60, 1155, 596},	// QsciLexerCustom::qt_metacall$$?
    {60, 1157, 591},	// QsciLexerCustom::qt_metacast$
    {60, 1296, 602},	// QsciLexerCustom::setEditor#
    {60, 1491, 599},	// QsciLexerCustom::setStyling$#
    {60, 1492, 598},	// QsciLexerCustom::setStyling$$
    {60, 1547, 607},	// QsciLexerCustom::startStyling$
    {60, 1548, 600},	// QsciLexerCustom::startStyling$$
    {60, 1549, 608},	// QsciLexerCustom::staticMetaObject
    {60, 1552, 603},	// QsciLexerCustom::styleBitsNeeded
    {60, 1556, 601},	// QsciLexerCustom::styleText$$
    {60, 1575, 604},	// QsciLexerCustom::tr$
    {60, 1576, 592},	// QsciLexerCustom::tr$$
    {60, 1577, 594},	// QsciLexerCustom::tr$$$
    {60, 1579, 605},	// QsciLexerCustom::trUtf8$
    {60, 1580, 593},	// QsciLexerCustom::trUtf8$$
    {60, 1581, 595},	// QsciLexerCustom::trUtf8$$$
    {60, 1634, 609},	// QsciLexerCustom::~QsciLexerCustom
    {61, 81, 666},	// QsciLexerD::BackquoteString
    {61, 123, 660},	// QsciLexerD::Character
    {61, 138, 649},	// QsciLexerD::Comment
    {61, 141, 651},	// QsciLexerD::CommentDoc
    {61, 142, 664},	// QsciLexerD::CommentDocKeyword
    {61, 143, 665},	// QsciLexerD::CommentDocKeywordError
    {61, 144, 650},	// QsciLexerD::CommentLine
    {61, 145, 663},	// QsciLexerD::CommentLineDoc
    {61, 147, 652},	// QsciLexerD::CommentNested
    {61, 159, 648},	// QsciLexerD::Default
    {61, 254, 662},	// QsciLexerD::Identifier
    {61, 306, 654},	// QsciLexerD::Keyword
    {61, 307, 656},	// QsciLexerD::KeywordDoc
    {61, 308, 655},	// QsciLexerD::KeywordSecondary
    {61, 311, 668},	// QsciLexerD::KeywordSet5
    {61, 312, 669},	// QsciLexerD::KeywordSet6
    {61, 313, 670},	// QsciLexerD::KeywordSet7
    {61, 376, 653},	// QsciLexerD::Number
    {61, 380, 661},	// QsciLexerD::Operator
    {61, 475, 643},	// QsciLexerD::QsciLexerD
    {61, 476, 617},	// QsciLexerD::QsciLexerD#
    {61, 551, 667},	// QsciLexerD::RawString
    {61, 671, 658},	// QsciLexerD::String
    {61, 720, 657},	// QsciLexerD::Typedefs
    {61, 723, 659},	// QsciLexerD::UnclosedString
    {61, 819, 620},	// QsciLexerD::autoCompletionWordSeparators
    {61, 825, 644},	// QsciLexerD::blockEnd
    {61, 826, 621},	// QsciLexerD::blockEnd$
    {61, 828, 645},	// QsciLexerD::blockStart
    {61, 829, 622},	// QsciLexerD::blockStart$
    {61, 830, 646},	// QsciLexerD::blockStartKeyword
    {61, 831, 623},	// QsciLexerD::blockStartKeyword$
    {61, 835, 624},	// QsciLexerD::braceStyle
    {61, 894, 626},	// QsciLexerD::defaultColor$
    {61, 896, 627},	// QsciLexerD::defaultEolFill$
    {61, 898, 628},	// QsciLexerD::defaultFont$
    {61, 900, 629},	// QsciLexerD::defaultPaper$
    {61, 904, 631},	// QsciLexerD::description$
    {61, 969, 633},	// QsciLexerD::foldAtElse
    {61, 971, 634},	// QsciLexerD::foldComments
    {61, 972, 635},	// QsciLexerD::foldCompact
    {61, 1051, 630},	// QsciLexerD::keywords$
    {61, 1052, 618},	// QsciLexerD::language
    {61, 1057, 619},	// QsciLexerD::lexer
    {61, 1113, 610},	// QsciLexerD::metaObject
    {61, 1155, 616},	// QsciLexerD::qt_metacall$$?
    {61, 1157, 611},	// QsciLexerD::qt_metacast$
    {61, 1162, 639},	// QsciLexerD::readProperties#$
    {61, 1171, 632},	// QsciLexerD::refreshProperties
    {61, 1313, 636},	// QsciLexerD::setFoldAtElse$
    {61, 1317, 637},	// QsciLexerD::setFoldComments$
    {61, 1319, 638},	// QsciLexerD::setFoldCompact$
    {61, 1549, 647},	// QsciLexerD::staticMetaObject
    {61, 1575, 641},	// QsciLexerD::tr$
    {61, 1576, 612},	// QsciLexerD::tr$$
    {61, 1577, 614},	// QsciLexerD::tr$$$
    {61, 1579, 642},	// QsciLexerD::trUtf8$
    {61, 1580, 613},	// QsciLexerD::trUtf8$$
    {61, 1581, 615},	// QsciLexerD::trUtf8$$$
    {61, 1606, 625},	// QsciLexerD::wordCharacters
    {61, 1612, 640},	// QsciLexerD::writeProperties#$
    {61, 1635, 671},	// QsciLexerD::~QsciLexerD
    {62, 137, 691},	// QsciLexerDiff::Command
    {62, 138, 690},	// QsciLexerDiff::Comment
    {62, 159, 689},	// QsciLexerDiff::Default
    {62, 236, 692},	// QsciLexerDiff::Header
    {62, 328, 695},	// QsciLexerDiff::LineAdded
    {62, 329, 696},	// QsciLexerDiff::LineChanged
    {62, 345, 694},	// QsciLexerDiff::LineRemoved
    {62, 424, 693},	// QsciLexerDiff::Position
    {62, 477, 687},	// QsciLexerDiff::QsciLexerDiff
    {62, 478, 679},	// QsciLexerDiff::QsciLexerDiff#
    {62, 894, 683},	// QsciLexerDiff::defaultColor$
    {62, 904, 684},	// QsciLexerDiff::description$
    {62, 1052, 680},	// QsciLexerDiff::language
    {62, 1057, 681},	// QsciLexerDiff::lexer
    {62, 1113, 672},	// QsciLexerDiff::metaObject
    {62, 1155, 678},	// QsciLexerDiff::qt_metacall$$?
    {62, 1157, 673},	// QsciLexerDiff::qt_metacast$
    {62, 1549, 688},	// QsciLexerDiff::staticMetaObject
    {62, 1575, 685},	// QsciLexerDiff::tr$
    {62, 1576, 674},	// QsciLexerDiff::tr$$
    {62, 1577, 676},	// QsciLexerDiff::tr$$$
    {62, 1579, 686},	// QsciLexerDiff::trUtf8$
    {62, 1580, 675},	// QsciLexerDiff::trUtf8$$
    {62, 1581, 677},	// QsciLexerDiff::trUtf8$$$
    {62, 1606, 682},	// QsciLexerDiff::wordCharacters
    {62, 1636, 697},	// QsciLexerDiff::~QsciLexerDiff
    {63, 479, 711},	// QsciLexerFortran::QsciLexerFortran
    {63, 480, 705},	// QsciLexerFortran::QsciLexerFortran#
    {63, 1051, 708},	// QsciLexerFortran::keywords$
    {63, 1052, 706},	// QsciLexerFortran::language
    {63, 1057, 707},	// QsciLexerFortran::lexer
    {63, 1113, 698},	// QsciLexerFortran::metaObject
    {63, 1155, 704},	// QsciLexerFortran::qt_metacall$$?
    {63, 1157, 699},	// QsciLexerFortran::qt_metacast$
    {63, 1549, 712},	// QsciLexerFortran::staticMetaObject
    {63, 1575, 709},	// QsciLexerFortran::tr$
    {63, 1576, 700},	// QsciLexerFortran::tr$$
    {63, 1577, 702},	// QsciLexerFortran::tr$$$
    {63, 1579, 710},	// QsciLexerFortran::trUtf8$
    {63, 1580, 701},	// QsciLexerFortran::trUtf8$$
    {63, 1581, 703},	// QsciLexerFortran::trUtf8$$$
    {63, 1637, 713},	// QsciLexerFortran::~QsciLexerFortran
    {64, 138, 741},	// QsciLexerFortran77::Comment
    {64, 149, 754},	// QsciLexerFortran77::Continuation
    {64, 159, 740},	// QsciLexerFortran77::Default
    {64, 182, 752},	// QsciLexerFortran77::DottedOperator
    {64, 185, 744},	// QsciLexerFortran77::DoubleQuotedString
    {64, 210, 750},	// QsciLexerFortran77::ExtendedFunction
    {64, 254, 747},	// QsciLexerFortran77::Identifier
    {64, 290, 749},	// QsciLexerFortran77::IntrinsicFunction
    {64, 306, 748},	// QsciLexerFortran77::Keyword
    {64, 316, 753},	// QsciLexerFortran77::Label
    {64, 376, 742},	// QsciLexerFortran77::Number
    {64, 380, 746},	// QsciLexerFortran77::Operator
    {64, 426, 751},	// QsciLexerFortran77::PreProcessor
    {64, 481, 738},	// QsciLexerFortran77::QsciLexerFortran77
    {64, 482, 721},	// QsciLexerFortran77::QsciLexerFortran77#
    {64, 652, 743},	// QsciLexerFortran77::SingleQuotedString
    {64, 723, 745},	// QsciLexerFortran77::UnclosedString
    {64, 835, 724},	// QsciLexerFortran77::braceStyle
    {64, 894, 725},	// QsciLexerFortran77::defaultColor$
    {64, 896, 726},	// QsciLexerFortran77::defaultEolFill$
    {64, 898, 727},	// QsciLexerFortran77::defaultFont$
    {64, 900, 728},	// QsciLexerFortran77::defaultPaper$
    {64, 904, 730},	// QsciLexerFortran77::description$
    {64, 972, 732},	// QsciLexerFortran77::foldCompact
    {64, 1051, 729},	// QsciLexerFortran77::keywords$
    {64, 1052, 722},	// QsciLexerFortran77::language
    {64, 1057, 723},	// QsciLexerFortran77::lexer
    {64, 1113, 714},	// QsciLexerFortran77::metaObject
    {64, 1155, 720},	// QsciLexerFortran77::qt_metacall$$?
    {64, 1157, 715},	// QsciLexerFortran77::qt_metacast$
    {64, 1162, 734},	// QsciLexerFortran77::readProperties#$
    {64, 1171, 731},	// QsciLexerFortran77::refreshProperties
    {64, 1319, 733},	// QsciLexerFortran77::setFoldCompact$
    {64, 1549, 739},	// QsciLexerFortran77::staticMetaObject
    {64, 1575, 736},	// QsciLexerFortran77::tr$
    {64, 1576, 716},	// QsciLexerFortran77::tr$$
    {64, 1577, 718},	// QsciLexerFortran77::tr$$$
    {64, 1579, 737},	// QsciLexerFortran77::trUtf8$
    {64, 1580, 717},	// QsciLexerFortran77::trUtf8$$
    {64, 1581, 719},	// QsciLexerFortran77::trUtf8$$$
    {64, 1612, 735},	// QsciLexerFortran77::writeProperties#$
    {64, 1638, 755},	// QsciLexerFortran77::~QsciLexerFortran77
    {65, 11, 810},	// QsciLexerHTML::ASPAtStart
    {65, 12, 842},	// QsciLexerHTML::ASPJavaScriptComment
    {65, 13, 844},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {65, 14, 843},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {65, 15, 841},	// QsciLexerHTML::ASPJavaScriptDefault
    {65, 16, 848},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {65, 17, 847},	// QsciLexerHTML::ASPJavaScriptKeyword
    {65, 18, 845},	// QsciLexerHTML::ASPJavaScriptNumber
    {65, 19, 852},	// QsciLexerHTML::ASPJavaScriptRegex
    {65, 20, 849},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {65, 21, 840},	// QsciLexerHTML::ASPJavaScriptStart
    {65, 22, 850},	// QsciLexerHTML::ASPJavaScriptSymbol
    {65, 23, 851},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {65, 24, 846},	// QsciLexerHTML::ASPJavaScriptWord
    {65, 25, 891},	// QsciLexerHTML::ASPPythonClassName
    {65, 26, 884},	// QsciLexerHTML::ASPPythonComment
    {65, 27, 883},	// QsciLexerHTML::ASPPythonDefault
    {65, 28, 886},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {65, 29, 892},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {65, 30, 894},	// QsciLexerHTML::ASPPythonIdentifier
    {65, 31, 888},	// QsciLexerHTML::ASPPythonKeyword
    {65, 32, 885},	// QsciLexerHTML::ASPPythonNumber
    {65, 33, 893},	// QsciLexerHTML::ASPPythonOperator
    {65, 34, 887},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {65, 35, 882},	// QsciLexerHTML::ASPPythonStart
    {65, 36, 890},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {65, 37, 889},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {65, 38, 811},	// QsciLexerHTML::ASPStart
    {65, 39, 863},	// QsciLexerHTML::ASPVBScriptComment
    {65, 40, 862},	// QsciLexerHTML::ASPVBScriptDefault
    {65, 41, 867},	// QsciLexerHTML::ASPVBScriptIdentifier
    {65, 42, 865},	// QsciLexerHTML::ASPVBScriptKeyword
    {65, 43, 864},	// QsciLexerHTML::ASPVBScriptNumber
    {65, 44, 861},	// QsciLexerHTML::ASPVBScriptStart
    {65, 45, 866},	// QsciLexerHTML::ASPVBScriptString
    {65, 46, 868},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {65, 47, 815},	// QsciLexerHTML::ASPXCComment
    {65, 67, 798},	// QsciLexerHTML::Attribute
    {65, 105, 812},	// QsciLexerHTML::CDATA
    {65, 159, 795},	// QsciLexerHTML::Default
    {65, 199, 805},	// QsciLexerHTML::Entity
    {65, 229, 804},	// QsciLexerHTML::HTMLComment
    {65, 230, 801},	// QsciLexerHTML::HTMLDoubleQuotedString
    {65, 231, 800},	// QsciLexerHTML::HTMLNumber
    {65, 232, 802},	// QsciLexerHTML::HTMLSingleQuotedString
    {65, 233, 814},	// QsciLexerHTML::HTMLValue
    {65, 292, 829},	// QsciLexerHTML::JavaScriptComment
    {65, 293, 831},	// QsciLexerHTML::JavaScriptCommentDoc
    {65, 294, 830},	// QsciLexerHTML::JavaScriptCommentLine
    {65, 295, 828},	// QsciLexerHTML::JavaScriptDefault
    {65, 296, 835},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {65, 297, 834},	// QsciLexerHTML::JavaScriptKeyword
    {65, 298, 832},	// QsciLexerHTML::JavaScriptNumber
    {65, 299, 839},	// QsciLexerHTML::JavaScriptRegex
    {65, 300, 836},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {65, 301, 827},	// QsciLexerHTML::JavaScriptStart
    {65, 302, 837},	// QsciLexerHTML::JavaScriptSymbol
    {65, 303, 838},	// QsciLexerHTML::JavaScriptUnclosedString
    {65, 304, 833},	// QsciLexerHTML::JavaScriptWord
    {65, 382, 803},	// QsciLexerHTML::OtherInTag
    {65, 383, 901},	// QsciLexerHTML::PHPComment
    {65, 384, 902},	// QsciLexerHTML::PHPCommentLine
    {65, 385, 895},	// QsciLexerHTML::PHPDefault
    {65, 386, 896},	// QsciLexerHTML::PHPDoubleQuotedString
    {65, 387, 903},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {65, 388, 898},	// QsciLexerHTML::PHPKeyword
    {65, 389, 899},	// QsciLexerHTML::PHPNumber
    {65, 390, 904},	// QsciLexerHTML::PHPOperator
    {65, 391, 897},	// QsciLexerHTML::PHPSingleQuotedString
    {65, 392, 813},	// QsciLexerHTML::PHPStart
    {65, 393, 900},	// QsciLexerHTML::PHPVariable
    {65, 437, 878},	// QsciLexerHTML::PythonClassName
    {65, 438, 871},	// QsciLexerHTML::PythonComment
    {65, 439, 870},	// QsciLexerHTML::PythonDefault
    {65, 440, 873},	// QsciLexerHTML::PythonDoubleQuotedString
    {65, 441, 879},	// QsciLexerHTML::PythonFunctionMethodName
    {65, 442, 881},	// QsciLexerHTML::PythonIdentifier
    {65, 443, 875},	// QsciLexerHTML::PythonKeyword
    {65, 444, 872},	// QsciLexerHTML::PythonNumber
    {65, 445, 880},	// QsciLexerHTML::PythonOperator
    {65, 446, 874},	// QsciLexerHTML::PythonSingleQuotedString
    {65, 447, 869},	// QsciLexerHTML::PythonStart
    {65, 448, 877},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {65, 449, 876},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {65, 483, 793},	// QsciLexerHTML::QsciLexerHTML
    {65, 484, 763},	// QsciLexerHTML::QsciLexerHTML#
    {65, 617, 826},	// QsciLexerHTML::SGMLBlockDefault
    {65, 618, 817},	// QsciLexerHTML::SGMLCommand
    {65, 619, 824},	// QsciLexerHTML::SGMLComment
    {65, 620, 816},	// QsciLexerHTML::SGMLDefault
    {65, 621, 819},	// QsciLexerHTML::SGMLDoubleQuotedString
    {65, 622, 823},	// QsciLexerHTML::SGMLEntity
    {65, 623, 821},	// QsciLexerHTML::SGMLError
    {65, 624, 818},	// QsciLexerHTML::SGMLParameter
    {65, 625, 825},	// QsciLexerHTML::SGMLParameterComment
    {65, 626, 820},	// QsciLexerHTML::SGMLSingleQuotedString
    {65, 627, 822},	// QsciLexerHTML::SGMLSpecial
    {65, 630, 809},	// QsciLexerHTML::Script
    {65, 699, 796},	// QsciLexerHTML::Tag
    {65, 726, 799},	// QsciLexerHTML::UnknownAttribute
    {65, 729, 797},	// QsciLexerHTML::UnknownTag
    {65, 732, 855},	// QsciLexerHTML::VBScriptComment
    {65, 733, 854},	// QsciLexerHTML::VBScriptDefault
    {65, 734, 859},	// QsciLexerHTML::VBScriptIdentifier
    {65, 735, 857},	// QsciLexerHTML::VBScriptKeyword
    {65, 736, 856},	// QsciLexerHTML::VBScriptNumber
    {65, 737, 853},	// QsciLexerHTML::VBScriptStart
    {65, 738, 858},	// QsciLexerHTML::VBScriptString
    {65, 739, 860},	// QsciLexerHTML::VBScriptUnclosedString
    {65, 777, 808},	// QsciLexerHTML::XMLEnd
    {65, 778, 807},	// QsciLexerHTML::XMLStart
    {65, 779, 806},	// QsciLexerHTML::XMLTagEnd
    {65, 810, 766},	// QsciLexerHTML::autoCompletionFillups
    {65, 851, 775},	// QsciLexerHTML::caseSensitiveTags
    {65, 894, 768},	// QsciLexerHTML::defaultColor$
    {65, 896, 769},	// QsciLexerHTML::defaultEolFill$
    {65, 898, 770},	// QsciLexerHTML::defaultFont$
    {65, 900, 771},	// QsciLexerHTML::defaultPaper$
    {65, 904, 773},	// QsciLexerHTML::description$
    {65, 907, 777},	// QsciLexerHTML::djangoTemplates
    {65, 972, 778},	// QsciLexerHTML::foldCompact
    {65, 979, 779},	// QsciLexerHTML::foldPreprocessor
    {65, 981, 781},	// QsciLexerHTML::foldScriptComments
    {65, 982, 783},	// QsciLexerHTML::foldScriptHeredocs
    {65, 1051, 772},	// QsciLexerHTML::keywords$
    {65, 1052, 764},	// QsciLexerHTML::language
    {65, 1057, 765},	// QsciLexerHTML::lexer
    {65, 1072, 785},	// QsciLexerHTML::makoTemplates
    {65, 1113, 756},	// QsciLexerHTML::metaObject
    {65, 1155, 762},	// QsciLexerHTML::qt_metacall$$?
    {65, 1157, 757},	// QsciLexerHTML::qt_metacast$
    {65, 1162, 789},	// QsciLexerHTML::readProperties#$
    {65, 1171, 774},	// QsciLexerHTML::refreshProperties
    {65, 1263, 788},	// QsciLexerHTML::setCaseSensitiveTags$
    {65, 1282, 776},	// QsciLexerHTML::setDjangoTemplates$
    {65, 1319, 786},	// QsciLexerHTML::setFoldCompact$
    {65, 1331, 787},	// QsciLexerHTML::setFoldPreprocessor$
    {65, 1335, 780},	// QsciLexerHTML::setFoldScriptComments$
    {65, 1337, 782},	// QsciLexerHTML::setFoldScriptHeredocs$
    {65, 1410, 784},	// QsciLexerHTML::setMakoTemplates$
    {65, 1549, 794},	// QsciLexerHTML::staticMetaObject
    {65, 1575, 791},	// QsciLexerHTML::tr$
    {65, 1576, 758},	// QsciLexerHTML::tr$$
    {65, 1577, 760},	// QsciLexerHTML::tr$$$
    {65, 1579, 792},	// QsciLexerHTML::trUtf8$
    {65, 1580, 759},	// QsciLexerHTML::trUtf8$$
    {65, 1581, 761},	// QsciLexerHTML::trUtf8$$$
    {65, 1606, 767},	// QsciLexerHTML::wordCharacters
    {65, 1612, 790},	// QsciLexerHTML::writeProperties#$
    {65, 1639, 905},	// QsciLexerHTML::~QsciLexerHTML
    {66, 485, 920},	// QsciLexerIDL::QsciLexerIDL
    {66, 486, 913},	// QsciLexerIDL::QsciLexerIDL#
    {66, 894, 915},	// QsciLexerIDL::defaultColor$
    {66, 904, 917},	// QsciLexerIDL::description$
    {66, 1051, 916},	// QsciLexerIDL::keywords$
    {66, 1052, 914},	// QsciLexerIDL::language
    {66, 1113, 906},	// QsciLexerIDL::metaObject
    {66, 1155, 912},	// QsciLexerIDL::qt_metacall$$?
    {66, 1157, 907},	// QsciLexerIDL::qt_metacast$
    {66, 1549, 921},	// QsciLexerIDL::staticMetaObject
    {66, 1575, 918},	// QsciLexerIDL::tr$
    {66, 1576, 908},	// QsciLexerIDL::tr$$
    {66, 1577, 910},	// QsciLexerIDL::tr$$$
    {66, 1579, 919},	// QsciLexerIDL::trUtf8$
    {66, 1580, 909},	// QsciLexerIDL::trUtf8$$
    {66, 1581, 911},	// QsciLexerIDL::trUtf8$$$
    {66, 1640, 922},	// QsciLexerIDL::~QsciLexerIDL
    {67, 487, 935},	// QsciLexerJava::QsciLexerJava
    {67, 488, 930},	// QsciLexerJava::QsciLexerJava#
    {67, 1051, 932},	// QsciLexerJava::keywords$
    {67, 1052, 931},	// QsciLexerJava::language
    {67, 1113, 923},	// QsciLexerJava::metaObject
    {67, 1155, 929},	// QsciLexerJava::qt_metacall$$?
    {67, 1157, 924},	// QsciLexerJava::qt_metacast$
    {67, 1549, 936},	// QsciLexerJava::staticMetaObject
    {67, 1575, 933},	// QsciLexerJava::tr$
    {67, 1576, 925},	// QsciLexerJava::tr$$
    {67, 1577, 927},	// QsciLexerJava::tr$$$
    {67, 1579, 934},	// QsciLexerJava::trUtf8$
    {67, 1580, 926},	// QsciLexerJava::trUtf8$$
    {67, 1581, 928},	// QsciLexerJava::trUtf8$$$
    {67, 1641, 937},	// QsciLexerJava::~QsciLexerJava
    {68, 489, 955},	// QsciLexerJavaScript::QsciLexerJavaScript
    {68, 490, 945},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {68, 894, 947},	// QsciLexerJavaScript::defaultColor$
    {68, 896, 948},	// QsciLexerJavaScript::defaultEolFill$
    {68, 898, 949},	// QsciLexerJavaScript::defaultFont$
    {68, 900, 950},	// QsciLexerJavaScript::defaultPaper$
    {68, 904, 952},	// QsciLexerJavaScript::description$
    {68, 1051, 951},	// QsciLexerJavaScript::keywords$
    {68, 1052, 946},	// QsciLexerJavaScript::language
    {68, 1113, 938},	// QsciLexerJavaScript::metaObject
    {68, 1155, 944},	// QsciLexerJavaScript::qt_metacall$$?
    {68, 1157, 939},	// QsciLexerJavaScript::qt_metacast$
    {68, 1549, 956},	// QsciLexerJavaScript::staticMetaObject
    {68, 1575, 953},	// QsciLexerJavaScript::tr$
    {68, 1576, 940},	// QsciLexerJavaScript::tr$$
    {68, 1577, 942},	// QsciLexerJavaScript::tr$$$
    {68, 1579, 954},	// QsciLexerJavaScript::trUtf8$
    {68, 1580, 941},	// QsciLexerJavaScript::trUtf8$$
    {68, 1581, 943},	// QsciLexerJavaScript::trUtf8$$$
    {68, 1642, 957},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {69, 90, 999},	// QsciLexerLua::BasicFunctions
    {69, 123, 993},	// QsciLexerLua::Character
    {69, 138, 988},	// QsciLexerLua::Comment
    {69, 150, 1001},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {69, 159, 987},	// QsciLexerLua::Default
    {69, 254, 997},	// QsciLexerLua::Identifier
    {69, 306, 991},	// QsciLexerLua::Keyword
    {69, 311, 1002},	// QsciLexerLua::KeywordSet5
    {69, 312, 1003},	// QsciLexerLua::KeywordSet6
    {69, 313, 1004},	// QsciLexerLua::KeywordSet7
    {69, 314, 1005},	// QsciLexerLua::KeywordSet8
    {69, 316, 1006},	// QsciLexerLua::Label
    {69, 330, 989},	// QsciLexerLua::LineComment
    {69, 353, 994},	// QsciLexerLua::LiteralString
    {69, 376, 990},	// QsciLexerLua::Number
    {69, 380, 996},	// QsciLexerLua::Operator
    {69, 432, 995},	// QsciLexerLua::Preprocessor
    {69, 491, 984},	// QsciLexerLua::QsciLexerLua
    {69, 492, 965},	// QsciLexerLua::QsciLexerLua#
    {69, 671, 992},	// QsciLexerLua::String
    {69, 674, 1000},	// QsciLexerLua::StringTableMathsFunctions
    {69, 723, 998},	// QsciLexerLua::UnclosedString
    {69, 819, 968},	// QsciLexerLua::autoCompletionWordSeparators
    {69, 828, 985},	// QsciLexerLua::blockStart
    {69, 829, 969},	// QsciLexerLua::blockStart$
    {69, 835, 970},	// QsciLexerLua::braceStyle
    {69, 894, 971},	// QsciLexerLua::defaultColor$
    {69, 896, 972},	// QsciLexerLua::defaultEolFill$
    {69, 898, 973},	// QsciLexerLua::defaultFont$
    {69, 900, 974},	// QsciLexerLua::defaultPaper$
    {69, 904, 976},	// QsciLexerLua::description$
    {69, 972, 978},	// QsciLexerLua::foldCompact
    {69, 1051, 975},	// QsciLexerLua::keywords$
    {69, 1052, 966},	// QsciLexerLua::language
    {69, 1057, 967},	// QsciLexerLua::lexer
    {69, 1113, 958},	// QsciLexerLua::metaObject
    {69, 1155, 964},	// QsciLexerLua::qt_metacall$$?
    {69, 1157, 959},	// QsciLexerLua::qt_metacast$
    {69, 1162, 980},	// QsciLexerLua::readProperties#$
    {69, 1171, 977},	// QsciLexerLua::refreshProperties
    {69, 1319, 979},	// QsciLexerLua::setFoldCompact$
    {69, 1549, 986},	// QsciLexerLua::staticMetaObject
    {69, 1575, 982},	// QsciLexerLua::tr$
    {69, 1576, 960},	// QsciLexerLua::tr$$
    {69, 1577, 962},	// QsciLexerLua::tr$$$
    {69, 1579, 983},	// QsciLexerLua::trUtf8$
    {69, 1580, 961},	// QsciLexerLua::trUtf8$$
    {69, 1581, 963},	// QsciLexerLua::trUtf8$$$
    {69, 1612, 981},	// QsciLexerLua::writeProperties#$
    {69, 1643, 1007},	// QsciLexerLua::~QsciLexerLua
    {70, 138, 1029},	// QsciLexerMakefile::Comment
    {70, 159, 1028},	// QsciLexerMakefile::Default
    {70, 205, 1034},	// QsciLexerMakefile::Error
    {70, 380, 1032},	// QsciLexerMakefile::Operator
    {70, 432, 1030},	// QsciLexerMakefile::Preprocessor
    {70, 493, 1026},	// QsciLexerMakefile::QsciLexerMakefile
    {70, 494, 1015},	// QsciLexerMakefile::QsciLexerMakefile#
    {70, 700, 1033},	// QsciLexerMakefile::Target
    {70, 746, 1031},	// QsciLexerMakefile::Variable
    {70, 894, 1019},	// QsciLexerMakefile::defaultColor$
    {70, 896, 1020},	// QsciLexerMakefile::defaultEolFill$
    {70, 898, 1021},	// QsciLexerMakefile::defaultFont$
    {70, 900, 1022},	// QsciLexerMakefile::defaultPaper$
    {70, 904, 1023},	// QsciLexerMakefile::description$
    {70, 1052, 1016},	// QsciLexerMakefile::language
    {70, 1057, 1017},	// QsciLexerMakefile::lexer
    {70, 1113, 1008},	// QsciLexerMakefile::metaObject
    {70, 1155, 1014},	// QsciLexerMakefile::qt_metacall$$?
    {70, 1157, 1009},	// QsciLexerMakefile::qt_metacast$
    {70, 1549, 1027},	// QsciLexerMakefile::staticMetaObject
    {70, 1575, 1024},	// QsciLexerMakefile::tr$
    {70, 1576, 1010},	// QsciLexerMakefile::tr$$
    {70, 1577, 1012},	// QsciLexerMakefile::tr$$$
    {70, 1579, 1025},	// QsciLexerMakefile::trUtf8$
    {70, 1580, 1011},	// QsciLexerMakefile::trUtf8$$
    {70, 1581, 1013},	// QsciLexerMakefile::trUtf8$$$
    {70, 1606, 1018},	// QsciLexerMakefile::wordCharacters
    {70, 1644, 1035},	// QsciLexerMakefile::~QsciLexerMakefile
    {71, 87, 1076},	// QsciLexerPOV::BadDirective
    {71, 138, 1068},	// QsciLexerPOV::Comment
    {71, 144, 1069},	// QsciLexerPOV::CommentLine
    {71, 159, 1067},	// QsciLexerPOV::Default
    {71, 174, 1075},	// QsciLexerPOV::Directive
    {71, 254, 1072},	// QsciLexerPOV::Identifier
    {71, 312, 1081},	// QsciLexerPOV::KeywordSet6
    {71, 313, 1082},	// QsciLexerPOV::KeywordSet7
    {71, 314, 1083},	// QsciLexerPOV::KeywordSet8
    {71, 376, 1070},	// QsciLexerPOV::Number
    {71, 378, 1077},	// QsciLexerPOV::ObjectsCSGAppearance
    {71, 380, 1071},	// QsciLexerPOV::Operator
    {71, 430, 1080},	// QsciLexerPOV::PredefinedFunctions
    {71, 431, 1079},	// QsciLexerPOV::PredefinedIdentifiers
    {71, 495, 1065},	// QsciLexerPOV::QsciLexerPOV
    {71, 496, 1043},	// QsciLexerPOV::QsciLexerPOV#
    {71, 671, 1073},	// QsciLexerPOV::String
    {71, 721, 1078},	// QsciLexerPOV::TypesModifiersItems
    {71, 723, 1074},	// QsciLexerPOV::UnclosedString
    {71, 835, 1046},	// QsciLexerPOV::braceStyle
    {71, 894, 1048},	// QsciLexerPOV::defaultColor$
    {71, 896, 1049},	// QsciLexerPOV::defaultEolFill$
    {71, 898, 1050},	// QsciLexerPOV::defaultFont$
    {71, 900, 1051},	// QsciLexerPOV::defaultPaper$
    {71, 904, 1053},	// QsciLexerPOV::description$
    {71, 971, 1055},	// QsciLexerPOV::foldComments
    {71, 972, 1056},	// QsciLexerPOV::foldCompact
    {71, 973, 1057},	// QsciLexerPOV::foldDirectives
    {71, 1051, 1052},	// QsciLexerPOV::keywords$
    {71, 1052, 1044},	// QsciLexerPOV::language
    {71, 1057, 1045},	// QsciLexerPOV::lexer
    {71, 1113, 1036},	// QsciLexerPOV::metaObject
    {71, 1155, 1042},	// QsciLexerPOV::qt_metacall$$?
    {71, 1157, 1037},	// QsciLexerPOV::qt_metacast$
    {71, 1162, 1061},	// QsciLexerPOV::readProperties#$
    {71, 1171, 1054},	// QsciLexerPOV::refreshProperties
    {71, 1317, 1058},	// QsciLexerPOV::setFoldComments$
    {71, 1319, 1059},	// QsciLexerPOV::setFoldCompact$
    {71, 1321, 1060},	// QsciLexerPOV::setFoldDirectives$
    {71, 1549, 1066},	// QsciLexerPOV::staticMetaObject
    {71, 1575, 1063},	// QsciLexerPOV::tr$
    {71, 1576, 1038},	// QsciLexerPOV::tr$$
    {71, 1577, 1040},	// QsciLexerPOV::tr$$$
    {71, 1579, 1064},	// QsciLexerPOV::trUtf8$
    {71, 1580, 1039},	// QsciLexerPOV::trUtf8$$
    {71, 1581, 1041},	// QsciLexerPOV::trUtf8$$$
    {71, 1606, 1047},	// QsciLexerPOV::wordCharacters
    {71, 1612, 1062},	// QsciLexerPOV::writeProperties#$
    {71, 1645, 1084},	// QsciLexerPOV::~QsciLexerPOV
    {72, 64, 1138},	// QsciLexerPascal::Asm
    {72, 123, 1136},	// QsciLexerPascal::Character
    {72, 138, 1126},	// QsciLexerPascal::Comment
    {72, 144, 1128},	// QsciLexerPascal::CommentLine
    {72, 148, 1127},	// QsciLexerPascal::CommentParenthesis
    {72, 159, 1124},	// QsciLexerPascal::Default
    {72, 239, 1132},	// QsciLexerPascal::HexNumber
    {72, 254, 1125},	// QsciLexerPascal::Identifier
    {72, 306, 1133},	// QsciLexerPascal::Keyword
    {72, 376, 1131},	// QsciLexerPascal::Number
    {72, 380, 1137},	// QsciLexerPascal::Operator
    {72, 426, 1129},	// QsciLexerPascal::PreProcessor
    {72, 429, 1130},	// QsciLexerPascal::PreProcessorParenthesis
    {72, 497, 1119},	// QsciLexerPascal::QsciLexerPascal
    {72, 498, 1092},	// QsciLexerPascal::QsciLexerPascal#
    {72, 652, 1134},	// QsciLexerPascal::SingleQuotedString
    {72, 723, 1135},	// QsciLexerPascal::UnclosedString
    {72, 819, 1095},	// QsciLexerPascal::autoCompletionWordSeparators
    {72, 825, 1120},	// QsciLexerPascal::blockEnd
    {72, 826, 1096},	// QsciLexerPascal::blockEnd$
    {72, 828, 1121},	// QsciLexerPascal::blockStart
    {72, 829, 1097},	// QsciLexerPascal::blockStart$
    {72, 830, 1122},	// QsciLexerPascal::blockStartKeyword
    {72, 831, 1098},	// QsciLexerPascal::blockStartKeyword$
    {72, 835, 1099},	// QsciLexerPascal::braceStyle
    {72, 894, 1100},	// QsciLexerPascal::defaultColor$
    {72, 896, 1101},	// QsciLexerPascal::defaultEolFill$
    {72, 898, 1102},	// QsciLexerPascal::defaultFont$
    {72, 900, 1103},	// QsciLexerPascal::defaultPaper$
    {72, 904, 1105},	// QsciLexerPascal::description$
    {72, 971, 1107},	// QsciLexerPascal::foldComments
    {72, 972, 1108},	// QsciLexerPascal::foldCompact
    {72, 979, 1109},	// QsciLexerPascal::foldPreprocessor
    {72, 1051, 1104},	// QsciLexerPascal::keywords$
    {72, 1052, 1093},	// QsciLexerPascal::language
    {72, 1057, 1094},	// QsciLexerPascal::lexer
    {72, 1113, 1085},	// QsciLexerPascal::metaObject
    {72, 1155, 1091},	// QsciLexerPascal::qt_metacall$$?
    {72, 1157, 1086},	// QsciLexerPascal::qt_metacast$
    {72, 1162, 1115},	// QsciLexerPascal::readProperties#$
    {72, 1171, 1106},	// QsciLexerPascal::refreshProperties
    {72, 1317, 1112},	// QsciLexerPascal::setFoldComments$
    {72, 1319, 1113},	// QsciLexerPascal::setFoldCompact$
    {72, 1331, 1114},	// QsciLexerPascal::setFoldPreprocessor$
    {72, 1483, 1110},	// QsciLexerPascal::setSmartHighlighting$
    {72, 1543, 1111},	// QsciLexerPascal::smartHighlighting
    {72, 1549, 1123},	// QsciLexerPascal::staticMetaObject
    {72, 1575, 1117},	// QsciLexerPascal::tr$
    {72, 1576, 1087},	// QsciLexerPascal::tr$$
    {72, 1577, 1089},	// QsciLexerPascal::tr$$$
    {72, 1579, 1118},	// QsciLexerPascal::trUtf8$
    {72, 1580, 1088},	// QsciLexerPascal::trUtf8$$
    {72, 1581, 1090},	// QsciLexerPascal::trUtf8$$$
    {72, 1612, 1116},	// QsciLexerPascal::writeProperties#$
    {72, 1646, 1139},	// QsciLexerPascal::~QsciLexerPascal
    {73, 62, 1191},	// QsciLexerPerl::Array
    {73, 83, 1201},	// QsciLexerPerl::BacktickHereDocument
    {73, 84, 1217},	// QsciLexerPerl::BacktickHereDocumentVar
    {73, 85, 1196},	// QsciLexerPerl::Backticks
    {73, 86, 1215},	// QsciLexerPerl::BackticksVar
    {73, 138, 1182},	// QsciLexerPerl::Comment
    {73, 157, 1197},	// QsciLexerPerl::DataSection
    {73, 159, 1180},	// QsciLexerPerl::Default
    {73, 183, 1200},	// QsciLexerPerl::DoubleQuotedHereDocument
    {73, 184, 1216},	// QsciLexerPerl::DoubleQuotedHereDocumentVar
    {73, 185, 1186},	// QsciLexerPerl::DoubleQuotedString
    {73, 186, 1211},	// QsciLexerPerl::DoubleQuotedStringVar
    {73, 205, 1181},	// QsciLexerPerl::Error
    {73, 217, 1210},	// QsciLexerPerl::FormatBody
    {73, 218, 1209},	// QsciLexerPerl::FormatIdentifier
    {73, 234, 1192},	// QsciLexerPerl::Hash
    {73, 238, 1198},	// QsciLexerPerl::HereDocumentDelimiter
    {73, 254, 1189},	// QsciLexerPerl::Identifier
    {73, 306, 1185},	// QsciLexerPerl::Keyword
    {73, 376, 1184},	// QsciLexerPerl::Number
    {73, 380, 1188},	// QsciLexerPerl::Operator
    {73, 394, 1183},	// QsciLexerPerl::POD
    {73, 395, 1207},	// QsciLexerPerl::PODVerbatim
    {73, 499, 1176},	// QsciLexerPerl::QsciLexerPerl
    {73, 500, 1147},	// QsciLexerPerl::QsciLexerPerl#
    {73, 543, 1202},	// QsciLexerPerl::QuotedStringQ
    {73, 544, 1203},	// QsciLexerPerl::QuotedStringQQ
    {73, 545, 1218},	// QsciLexerPerl::QuotedStringQQVar
    {73, 546, 1205},	// QsciLexerPerl::QuotedStringQR
    {73, 547, 1220},	// QsciLexerPerl::QuotedStringQRVar
    {73, 548, 1206},	// QsciLexerPerl::QuotedStringQW
    {73, 549, 1204},	// QsciLexerPerl::QuotedStringQX
    {73, 550, 1219},	// QsciLexerPerl::QuotedStringQXVar
    {73, 555, 1194},	// QsciLexerPerl::Regex
    {73, 556, 1213},	// QsciLexerPerl::RegexVar
    {73, 628, 1190},	// QsciLexerPerl::Scalar
    {73, 651, 1199},	// QsciLexerPerl::SingleQuotedHereDocument
    {73, 652, 1187},	// QsciLexerPerl::SingleQuotedString
    {73, 680, 1208},	// QsciLexerPerl::SubroutinePrototype
    {73, 681, 1195},	// QsciLexerPerl::Substitution
    {73, 683, 1214},	// QsciLexerPerl::SubstitutionVar
    {73, 689, 1193},	// QsciLexerPerl::SymbolTable
    {73, 714, 1212},	// QsciLexerPerl::Translation
    {73, 819, 1150},	// QsciLexerPerl::autoCompletionWordSeparators
    {73, 825, 1177},	// QsciLexerPerl::blockEnd
    {73, 826, 1151},	// QsciLexerPerl::blockEnd$
    {73, 828, 1178},	// QsciLexerPerl::blockStart
    {73, 829, 1152},	// QsciLexerPerl::blockStart$
    {73, 835, 1153},	// QsciLexerPerl::braceStyle
    {73, 894, 1155},	// QsciLexerPerl::defaultColor$
    {73, 896, 1156},	// QsciLexerPerl::defaultEolFill$
    {73, 898, 1157},	// QsciLexerPerl::defaultFont$
    {73, 900, 1158},	// QsciLexerPerl::defaultPaper$
    {73, 904, 1160},	// QsciLexerPerl::description$
    {73, 969, 1163},	// QsciLexerPerl::foldAtElse
    {73, 971, 1164},	// QsciLexerPerl::foldComments
    {73, 972, 1165},	// QsciLexerPerl::foldCompact
    {73, 977, 1169},	// QsciLexerPerl::foldPODBlocks
    {73, 978, 1167},	// QsciLexerPerl::foldPackages
    {73, 1051, 1159},	// QsciLexerPerl::keywords$
    {73, 1052, 1148},	// QsciLexerPerl::language
    {73, 1057, 1149},	// QsciLexerPerl::lexer
    {73, 1113, 1140},	// QsciLexerPerl::metaObject
    {73, 1155, 1146},	// QsciLexerPerl::qt_metacall$$?
    {73, 1157, 1141},	// QsciLexerPerl::qt_metacast$
    {73, 1162, 1172},	// QsciLexerPerl::readProperties#$
    {73, 1171, 1161},	// QsciLexerPerl::refreshProperties
    {73, 1313, 1162},	// QsciLexerPerl::setFoldAtElse$
    {73, 1317, 1170},	// QsciLexerPerl::setFoldComments$
    {73, 1319, 1171},	// QsciLexerPerl::setFoldCompact$
    {73, 1327, 1168},	// QsciLexerPerl::setFoldPODBlocks$
    {73, 1329, 1166},	// QsciLexerPerl::setFoldPackages$
    {73, 1549, 1179},	// QsciLexerPerl::staticMetaObject
    {73, 1575, 1174},	// QsciLexerPerl::tr$
    {73, 1576, 1142},	// QsciLexerPerl::tr$$
    {73, 1577, 1144},	// QsciLexerPerl::tr$$$
    {73, 1579, 1175},	// QsciLexerPerl::trUtf8$
    {73, 1580, 1143},	// QsciLexerPerl::trUtf8$$
    {73, 1581, 1145},	// QsciLexerPerl::trUtf8$$$
    {73, 1606, 1154},	// QsciLexerPerl::wordCharacters
    {73, 1612, 1173},	// QsciLexerPerl::writeProperties#$
    {73, 1647, 1221},	// QsciLexerPerl::~QsciLexerPerl
    {74, 63, 1262},	// QsciLexerPostScript::ArrayParenthesis
    {74, 88, 1268},	// QsciLexerPostScript::BadStringCharacter
    {74, 89, 1267},	// QsciLexerPostScript::Base85String
    {74, 138, 1254},	// QsciLexerPostScript::Comment
    {74, 154, 1255},	// QsciLexerPostScript::DSCComment
    {74, 155, 1256},	// QsciLexerPostScript::DSCCommentValue
    {74, 159, 1253},	// QsciLexerPostScript::Default
    {74, 172, 1263},	// QsciLexerPostScript::DictionaryParenthesis
    {74, 240, 1266},	// QsciLexerPostScript::HexString
    {74, 257, 1261},	// QsciLexerPostScript::ImmediateEvalLiteral
    {74, 306, 1259},	// QsciLexerPostScript::Keyword
    {74, 352, 1260},	// QsciLexerPostScript::Literal
    {74, 370, 1258},	// QsciLexerPostScript::Name
    {74, 376, 1257},	// QsciLexerPostScript::Number
    {74, 434, 1264},	// QsciLexerPostScript::ProcedureParenthesis
    {74, 501, 1251},	// QsciLexerPostScript::QsciLexerPostScript
    {74, 502, 1229},	// QsciLexerPostScript::QsciLexerPostScript#
    {74, 702, 1265},	// QsciLexerPostScript::Text
    {74, 835, 1232},	// QsciLexerPostScript::braceStyle
    {74, 894, 1233},	// QsciLexerPostScript::defaultColor$
    {74, 898, 1234},	// QsciLexerPostScript::defaultFont$
    {74, 900, 1235},	// QsciLexerPostScript::defaultPaper$
    {74, 904, 1237},	// QsciLexerPostScript::description$
    {74, 969, 1242},	// QsciLexerPostScript::foldAtElse
    {74, 972, 1241},	// QsciLexerPostScript::foldCompact
    {74, 1051, 1236},	// QsciLexerPostScript::keywords$
    {74, 1052, 1230},	// QsciLexerPostScript::language
    {74, 1056, 1240},	// QsciLexerPostScript::level
    {74, 1057, 1231},	// QsciLexerPostScript::lexer
    {74, 1113, 1222},	// QsciLexerPostScript::metaObject
    {74, 1155, 1228},	// QsciLexerPostScript::qt_metacall$$?
    {74, 1157, 1223},	// QsciLexerPostScript::qt_metacast$
    {74, 1162, 1247},	// QsciLexerPostScript::readProperties#$
    {74, 1171, 1238},	// QsciLexerPostScript::refreshProperties
    {74, 1313, 1246},	// QsciLexerPostScript::setFoldAtElse$
    {74, 1319, 1245},	// QsciLexerPostScript::setFoldCompact$
    {74, 1404, 1244},	// QsciLexerPostScript::setLevel$
    {74, 1504, 1243},	// QsciLexerPostScript::setTokenize$
    {74, 1549, 1252},	// QsciLexerPostScript::staticMetaObject
    {74, 1573, 1239},	// QsciLexerPostScript::tokenize
    {74, 1575, 1249},	// QsciLexerPostScript::tr$
    {74, 1576, 1224},	// QsciLexerPostScript::tr$$
    {74, 1577, 1226},	// QsciLexerPostScript::tr$$$
    {74, 1579, 1250},	// QsciLexerPostScript::trUtf8$
    {74, 1580, 1225},	// QsciLexerPostScript::trUtf8$$
    {74, 1581, 1227},	// QsciLexerPostScript::trUtf8$$$
    {74, 1612, 1248},	// QsciLexerPostScript::writeProperties#$
    {74, 1648, 1269},	// QsciLexerPostScript::~QsciLexerPostScript
    {75, 65, 1300},	// QsciLexerProperties::Assignment
    {75, 138, 1298},	// QsciLexerProperties::Comment
    {75, 159, 1297},	// QsciLexerProperties::Default
    {75, 160, 1301},	// QsciLexerProperties::DefaultValue
    {75, 305, 1302},	// QsciLexerProperties::Key
    {75, 503, 1295},	// QsciLexerProperties::QsciLexerProperties
    {75, 504, 1277},	// QsciLexerProperties::QsciLexerProperties#
    {75, 633, 1299},	// QsciLexerProperties::Section
    {75, 894, 1281},	// QsciLexerProperties::defaultColor$
    {75, 896, 1282},	// QsciLexerProperties::defaultEolFill$
    {75, 898, 1283},	// QsciLexerProperties::defaultFont$
    {75, 900, 1284},	// QsciLexerProperties::defaultPaper$
    {75, 904, 1285},	// QsciLexerProperties::description$
    {75, 972, 1287},	// QsciLexerProperties::foldCompact
    {75, 1025, 1289},	// QsciLexerProperties::initialSpaces
    {75, 1052, 1278},	// QsciLexerProperties::language
    {75, 1057, 1279},	// QsciLexerProperties::lexer
    {75, 1113, 1270},	// QsciLexerProperties::metaObject
    {75, 1155, 1276},	// QsciLexerProperties::qt_metacall$$?
    {75, 1157, 1271},	// QsciLexerProperties::qt_metacast$
    {75, 1162, 1291},	// QsciLexerProperties::readProperties#$
    {75, 1171, 1286},	// QsciLexerProperties::refreshProperties
    {75, 1319, 1290},	// QsciLexerProperties::setFoldCompact$
    {75, 1398, 1288},	// QsciLexerProperties::setInitialSpaces$
    {75, 1549, 1296},	// QsciLexerProperties::staticMetaObject
    {75, 1575, 1293},	// QsciLexerProperties::tr$
    {75, 1576, 1272},	// QsciLexerProperties::tr$$
    {75, 1577, 1274},	// QsciLexerProperties::tr$$$
    {75, 1579, 1294},	// QsciLexerProperties::trUtf8$
    {75, 1580, 1273},	// QsciLexerProperties::trUtf8$$
    {75, 1581, 1275},	// QsciLexerProperties::trUtf8$$$
    {75, 1606, 1280},	// QsciLexerProperties::wordCharacters
    {75, 1612, 1292},	// QsciLexerProperties::writeProperties#$
    {75, 1649, 1303},	// QsciLexerProperties::~QsciLexerProperties
    {76, 132, 1359},	// QsciLexerPython::ClassName
    {76, 138, 1352},	// QsciLexerPython::Comment
    {76, 139, 1363},	// QsciLexerPython::CommentBlock
    {76, 158, 1366},	// QsciLexerPython::Decorator
    {76, 159, 1351},	// QsciLexerPython::Default
    {76, 185, 1354},	// QsciLexerPython::DoubleQuotedString
    {76, 223, 1360},	// QsciLexerPython::FunctionMethodName
    {76, 244, 1365},	// QsciLexerPython::HighlightedIdentifier
    {76, 254, 1362},	// QsciLexerPython::Identifier
    {76, 288, 1368},	// QsciLexerPython::Inconsistent
    {76, 306, 1356},	// QsciLexerPython::Keyword
    {76, 375, 1367},	// QsciLexerPython::NoWarning
    {76, 376, 1353},	// QsciLexerPython::Number
    {76, 380, 1361},	// QsciLexerPython::Operator
    {76, 505, 1348},	// QsciLexerPython::QsciLexerPython
    {76, 506, 1311},	// QsciLexerPython::QsciLexerPython#
    {76, 652, 1355},	// QsciLexerPython::SingleQuotedString
    {76, 656, 1370},	// QsciLexerPython::Spaces
    {76, 697, 1371},	// QsciLexerPython::Tabs
    {76, 698, 1369},	// QsciLexerPython::TabsAfterSpaces
    {76, 717, 1358},	// QsciLexerPython::TripleDoubleQuotedString
    {76, 719, 1357},	// QsciLexerPython::TripleSingleQuotedString
    {76, 723, 1364},	// QsciLexerPython::UnclosedString
    {76, 819, 1314},	// QsciLexerPython::autoCompletionWordSeparators
    {76, 827, 1315},	// QsciLexerPython::blockLookback
    {76, 828, 1349},	// QsciLexerPython::blockStart
    {76, 829, 1316},	// QsciLexerPython::blockStart$
    {76, 835, 1317},	// QsciLexerPython::braceStyle
    {76, 894, 1318},	// QsciLexerPython::defaultColor$
    {76, 896, 1319},	// QsciLexerPython::defaultEolFill$
    {76, 898, 1320},	// QsciLexerPython::defaultFont$
    {76, 900, 1321},	// QsciLexerPython::defaultPaper$
    {76, 904, 1324},	// QsciLexerPython::description$
    {76, 971, 1326},	// QsciLexerPython::foldComments
    {76, 972, 1328},	// QsciLexerPython::foldCompact
    {76, 980, 1329},	// QsciLexerPython::foldQuotes
    {76, 1004, 1332},	// QsciLexerPython::highlightSubidentifiers
    {76, 1011, 1322},	// QsciLexerPython::indentationGuideView
    {76, 1013, 1330},	// QsciLexerPython::indentationWarning
    {76, 1051, 1323},	// QsciLexerPython::keywords$
    {76, 1052, 1312},	// QsciLexerPython::language
    {76, 1057, 1313},	// QsciLexerPython::lexer
    {76, 1113, 1304},	// QsciLexerPython::metaObject
    {76, 1155, 1310},	// QsciLexerPython::qt_metacall$$?
    {76, 1157, 1305},	// QsciLexerPython::qt_metacast$
    {76, 1162, 1344},	// QsciLexerPython::readProperties#$
    {76, 1171, 1325},	// QsciLexerPython::refreshProperties
    {76, 1317, 1341},	// QsciLexerPython::setFoldComments$
    {76, 1319, 1327},	// QsciLexerPython::setFoldCompact$
    {76, 1333, 1342},	// QsciLexerPython::setFoldQuotes$
    {76, 1355, 1331},	// QsciLexerPython::setHighlightSubidentifiers$
    {76, 1377, 1343},	// QsciLexerPython::setIndentationWarning$
    {76, 1485, 1333},	// QsciLexerPython::setStringsOverNewlineAllowed$
    {76, 1514, 1335},	// QsciLexerPython::setV2UnicodeAllowed$
    {76, 1516, 1337},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {76, 1518, 1339},	// QsciLexerPython::setV3BytesAllowed$
    {76, 1549, 1350},	// QsciLexerPython::staticMetaObject
    {76, 1550, 1334},	// QsciLexerPython::stringsOverNewlineAllowed
    {76, 1575, 1346},	// QsciLexerPython::tr$
    {76, 1576, 1306},	// QsciLexerPython::tr$$
    {76, 1577, 1308},	// QsciLexerPython::tr$$$
    {76, 1579, 1347},	// QsciLexerPython::trUtf8$
    {76, 1580, 1307},	// QsciLexerPython::trUtf8$$
    {76, 1581, 1309},	// QsciLexerPython::trUtf8$$$
    {76, 1589, 1336},	// QsciLexerPython::v2UnicodeAllowed
    {76, 1590, 1338},	// QsciLexerPython::v3BinaryOctalAllowed
    {76, 1591, 1340},	// QsciLexerPython::v3BytesAllowed
    {76, 1612, 1345},	// QsciLexerPython::writeProperties#$
    {76, 1650, 1372},	// QsciLexerPython::~QsciLexerPython
    {77, 85, 1425},	// QsciLexerRuby::Backticks
    {77, 132, 1415},	// QsciLexerRuby::ClassName
    {77, 134, 1424},	// QsciLexerRuby::ClassVariable
    {77, 138, 1409},	// QsciLexerRuby::Comment
    {77, 157, 1426},	// QsciLexerRuby::DataSection
    {77, 159, 1407},	// QsciLexerRuby::Default
    {77, 169, 1434},	// QsciLexerRuby::DemotedKeyword
    {77, 185, 1413},	// QsciLexerRuby::DoubleQuotedString
    {77, 205, 1408},	// QsciLexerRuby::Error
    {77, 223, 1416},	// QsciLexerRuby::FunctionMethodName
    {77, 224, 1420},	// QsciLexerRuby::Global
    {77, 237, 1428},	// QsciLexerRuby::HereDocument
    {77, 238, 1427},	// QsciLexerRuby::HereDocumentDelimiter
    {77, 254, 1418},	// QsciLexerRuby::Identifier
    {77, 289, 1423},	// QsciLexerRuby::InstanceVariable
    {77, 306, 1412},	// QsciLexerRuby::Keyword
    {77, 365, 1422},	// QsciLexerRuby::ModuleName
    {77, 376, 1411},	// QsciLexerRuby::Number
    {77, 380, 1417},	// QsciLexerRuby::Operator
    {77, 394, 1410},	// QsciLexerRuby::POD
    {77, 410, 1430},	// QsciLexerRuby::PercentStringQ
    {77, 411, 1429},	// QsciLexerRuby::PercentStringq
    {77, 412, 1432},	// QsciLexerRuby::PercentStringr
    {77, 413, 1433},	// QsciLexerRuby::PercentStringw
    {77, 414, 1431},	// QsciLexerRuby::PercentStringx
    {77, 507, 1402},	// QsciLexerRuby::QsciLexerRuby
    {77, 508, 1380},	// QsciLexerRuby::QsciLexerRuby#
    {77, 555, 1419},	// QsciLexerRuby::Regex
    {77, 652, 1414},	// QsciLexerRuby::SingleQuotedString
    {77, 665, 1437},	// QsciLexerRuby::Stderr
    {77, 666, 1435},	// QsciLexerRuby::Stdin
    {77, 667, 1436},	// QsciLexerRuby::Stdout
    {77, 684, 1421},	// QsciLexerRuby::Symbol
    {77, 825, 1403},	// QsciLexerRuby::blockEnd
    {77, 826, 1383},	// QsciLexerRuby::blockEnd$
    {77, 828, 1404},	// QsciLexerRuby::blockStart
    {77, 829, 1384},	// QsciLexerRuby::blockStart$
    {77, 830, 1405},	// QsciLexerRuby::blockStartKeyword
    {77, 831, 1385},	// QsciLexerRuby::blockStartKeyword$
    {77, 835, 1386},	// QsciLexerRuby::braceStyle
    {77, 894, 1387},	// QsciLexerRuby::defaultColor$
    {77, 896, 1388},	// QsciLexerRuby::defaultEolFill$
    {77, 898, 1389},	// QsciLexerRuby::defaultFont$
    {77, 900, 1390},	// QsciLexerRuby::defaultPaper$
    {77, 904, 1392},	// QsciLexerRuby::description$
    {77, 971, 1395},	// QsciLexerRuby::foldComments
    {77, 972, 1397},	// QsciLexerRuby::foldCompact
    {77, 1051, 1391},	// QsciLexerRuby::keywords$
    {77, 1052, 1381},	// QsciLexerRuby::language
    {77, 1057, 1382},	// QsciLexerRuby::lexer
    {77, 1113, 1373},	// QsciLexerRuby::metaObject
    {77, 1155, 1379},	// QsciLexerRuby::qt_metacall$$?
    {77, 1157, 1374},	// QsciLexerRuby::qt_metacast$
    {77, 1162, 1398},	// QsciLexerRuby::readProperties#$
    {77, 1171, 1393},	// QsciLexerRuby::refreshProperties
    {77, 1317, 1394},	// QsciLexerRuby::setFoldComments$
    {77, 1319, 1396},	// QsciLexerRuby::setFoldCompact$
    {77, 1549, 1406},	// QsciLexerRuby::staticMetaObject
    {77, 1575, 1400},	// QsciLexerRuby::tr$
    {77, 1576, 1375},	// QsciLexerRuby::tr$$
    {77, 1577, 1377},	// QsciLexerRuby::tr$$$
    {77, 1579, 1401},	// QsciLexerRuby::trUtf8$
    {77, 1580, 1376},	// QsciLexerRuby::trUtf8$$
    {77, 1581, 1378},	// QsciLexerRuby::trUtf8$$$
    {77, 1612, 1399},	// QsciLexerRuby::writeProperties#$
    {77, 1651, 1438},	// QsciLexerRuby::~QsciLexerRuby
    {78, 138, 1480},	// QsciLexerSQL::Comment
    {78, 141, 1482},	// QsciLexerSQL::CommentDoc
    {78, 142, 1493},	// QsciLexerSQL::CommentDocKeyword
    {78, 143, 1494},	// QsciLexerSQL::CommentDocKeywordError
    {78, 144, 1481},	// QsciLexerSQL::CommentLine
    {78, 146, 1492},	// QsciLexerSQL::CommentLineHash
    {78, 159, 1479},	// QsciLexerSQL::Default
    {78, 185, 1485},	// QsciLexerSQL::DoubleQuotedString
    {78, 254, 1490},	// QsciLexerSQL::Identifier
    {78, 306, 1484},	// QsciLexerSQL::Keyword
    {78, 311, 1495},	// QsciLexerSQL::KeywordSet5
    {78, 312, 1496},	// QsciLexerSQL::KeywordSet6
    {78, 313, 1497},	// QsciLexerSQL::KeywordSet7
    {78, 314, 1498},	// QsciLexerSQL::KeywordSet8
    {78, 376, 1483},	// QsciLexerSQL::Number
    {78, 380, 1489},	// QsciLexerSQL::Operator
    {78, 419, 1491},	// QsciLexerSQL::PlusComment
    {78, 420, 1487},	// QsciLexerSQL::PlusKeyword
    {78, 421, 1488},	// QsciLexerSQL::PlusPrompt
    {78, 509, 1477},	// QsciLexerSQL::QsciLexerSQL
    {78, 510, 1446},	// QsciLexerSQL::QsciLexerSQL#
    {78, 539, 1499},	// QsciLexerSQL::QuotedIdentifier
    {78, 541, 1500},	// QsciLexerSQL::QuotedOperator
    {78, 652, 1486},	// QsciLexerSQL::SingleQuotedString
    {78, 822, 1457},	// QsciLexerSQL::backslashEscapes
    {78, 835, 1449},	// QsciLexerSQL::braceStyle
    {78, 894, 1450},	// QsciLexerSQL::defaultColor$
    {78, 896, 1451},	// QsciLexerSQL::defaultEolFill$
    {78, 898, 1452},	// QsciLexerSQL::defaultFont$
    {78, 900, 1453},	// QsciLexerSQL::defaultPaper$
    {78, 904, 1455},	// QsciLexerSQL::description$
    {78, 910, 1459},	// QsciLexerSQL::dottedWords
    {78, 969, 1461},	// QsciLexerSQL::foldAtElse
    {78, 971, 1462},	// QsciLexerSQL::foldComments
    {78, 972, 1463},	// QsciLexerSQL::foldCompact
    {78, 976, 1465},	// QsciLexerSQL::foldOnlyBegin
    {78, 998, 1467},	// QsciLexerSQL::hashComments
    {78, 1051, 1454},	// QsciLexerSQL::keywords$
    {78, 1052, 1447},	// QsciLexerSQL::language
    {78, 1057, 1448},	// QsciLexerSQL::lexer
    {78, 1113, 1439},	// QsciLexerSQL::metaObject
    {78, 1155, 1445},	// QsciLexerSQL::qt_metacall$$?
    {78, 1157, 1440},	// QsciLexerSQL::qt_metacast$
    {78, 1158, 1469},	// QsciLexerSQL::quotedIdentifiers
    {78, 1162, 1473},	// QsciLexerSQL::readProperties#$
    {78, 1171, 1456},	// QsciLexerSQL::refreshProperties
    {78, 1237, 1470},	// QsciLexerSQL::setBackslashEscapes$
    {78, 1288, 1458},	// QsciLexerSQL::setDottedWords$
    {78, 1313, 1460},	// QsciLexerSQL::setFoldAtElse$
    {78, 1317, 1471},	// QsciLexerSQL::setFoldComments$
    {78, 1319, 1472},	// QsciLexerSQL::setFoldCompact$
    {78, 1325, 1464},	// QsciLexerSQL::setFoldOnlyBegin$
    {78, 1347, 1466},	// QsciLexerSQL::setHashComments$
    {78, 1462, 1468},	// QsciLexerSQL::setQuotedIdentifiers$
    {78, 1549, 1478},	// QsciLexerSQL::staticMetaObject
    {78, 1575, 1475},	// QsciLexerSQL::tr$
    {78, 1576, 1441},	// QsciLexerSQL::tr$$
    {78, 1577, 1443},	// QsciLexerSQL::tr$$$
    {78, 1579, 1476},	// QsciLexerSQL::trUtf8$
    {78, 1580, 1442},	// QsciLexerSQL::trUtf8$$
    {78, 1581, 1444},	// QsciLexerSQL::trUtf8$$$
    {78, 1612, 1474},	// QsciLexerSQL::writeProperties#$
    {78, 1652, 1501},	// QsciLexerSQL::~QsciLexerSQL
    {79, 138, 1529},	// QsciLexerTCL::Comment
    {79, 139, 1549},	// QsciLexerTCL::CommentBlock
    {79, 140, 1548},	// QsciLexerTCL::CommentBox
    {79, 144, 1530},	// QsciLexerTCL::CommentLine
    {79, 159, 1528},	// QsciLexerTCL::Default
    {79, 208, 1539},	// QsciLexerTCL::ExpandKeyword
    {79, 253, 1542},	// QsciLexerTCL::ITCLKeyword
    {79, 254, 1535},	// QsciLexerTCL::Identifier
    {79, 312, 1544},	// QsciLexerTCL::KeywordSet6
    {79, 313, 1545},	// QsciLexerTCL::KeywordSet7
    {79, 314, 1546},	// QsciLexerTCL::KeywordSet8
    {79, 315, 1547},	// QsciLexerTCL::KeywordSet9
    {79, 364, 1538},	// QsciLexerTCL::Modifier
    {79, 376, 1531},	// QsciLexerTCL::Number
    {79, 380, 1534},	// QsciLexerTCL::Operator
    {79, 511, 1526},	// QsciLexerTCL::QsciLexerTCL
    {79, 512, 1509},	// QsciLexerTCL::QsciLexerTCL#
    {79, 540, 1532},	// QsciLexerTCL::QuotedKeyword
    {79, 542, 1533},	// QsciLexerTCL::QuotedString
    {79, 681, 1536},	// QsciLexerTCL::Substitution
    {79, 682, 1537},	// QsciLexerTCL::SubstitutionBrace
    {79, 691, 1540},	// QsciLexerTCL::TCLKeyword
    {79, 711, 1543},	// QsciLexerTCL::TkCommand
    {79, 712, 1541},	// QsciLexerTCL::TkKeyword
    {79, 835, 1512},	// QsciLexerTCL::braceStyle
    {79, 894, 1513},	// QsciLexerTCL::defaultColor$
    {79, 896, 1514},	// QsciLexerTCL::defaultEolFill$
    {79, 898, 1515},	// QsciLexerTCL::defaultFont$
    {79, 900, 1516},	// QsciLexerTCL::defaultPaper$
    {79, 904, 1518},	// QsciLexerTCL::description$
    {79, 971, 1521},	// QsciLexerTCL::foldComments
    {79, 1051, 1517},	// QsciLexerTCL::keywords$
    {79, 1052, 1510},	// QsciLexerTCL::language
    {79, 1057, 1511},	// QsciLexerTCL::lexer
    {79, 1113, 1502},	// QsciLexerTCL::metaObject
    {79, 1155, 1508},	// QsciLexerTCL::qt_metacall$$?
    {79, 1157, 1503},	// QsciLexerTCL::qt_metacast$
    {79, 1162, 1522},	// QsciLexerTCL::readProperties#$
    {79, 1171, 1519},	// QsciLexerTCL::refreshProperties
    {79, 1317, 1520},	// QsciLexerTCL::setFoldComments$
    {79, 1549, 1527},	// QsciLexerTCL::staticMetaObject
    {79, 1575, 1524},	// QsciLexerTCL::tr$
    {79, 1576, 1504},	// QsciLexerTCL::tr$$
    {79, 1577, 1506},	// QsciLexerTCL::tr$$$
    {79, 1579, 1525},	// QsciLexerTCL::trUtf8$
    {79, 1580, 1505},	// QsciLexerTCL::trUtf8$$
    {79, 1581, 1507},	// QsciLexerTCL::trUtf8$$$
    {79, 1612, 1523},	// QsciLexerTCL::writeProperties#$
    {79, 1653, 1550},	// QsciLexerTCL::~QsciLexerTCL
    {80, 137, 1584},	// QsciLexerTeX::Command
    {80, 159, 1580},	// QsciLexerTeX::Default
    {80, 227, 1582},	// QsciLexerTeX::Group
    {80, 513, 1578},	// QsciLexerTeX::QsciLexerTeX
    {80, 514, 1558},	// QsciLexerTeX::QsciLexerTeX#
    {80, 657, 1581},	// QsciLexerTeX::Special
    {80, 684, 1583},	// QsciLexerTeX::Symbol
    {80, 702, 1585},	// QsciLexerTeX::Text
    {80, 894, 1562},	// QsciLexerTeX::defaultColor$
    {80, 904, 1564},	// QsciLexerTeX::description$
    {80, 971, 1567},	// QsciLexerTeX::foldComments
    {80, 972, 1569},	// QsciLexerTeX::foldCompact
    {80, 1051, 1563},	// QsciLexerTeX::keywords$
    {80, 1052, 1559},	// QsciLexerTeX::language
    {80, 1057, 1560},	// QsciLexerTeX::lexer
    {80, 1113, 1551},	// QsciLexerTeX::metaObject
    {80, 1150, 1571},	// QsciLexerTeX::processComments
    {80, 1151, 1573},	// QsciLexerTeX::processIf
    {80, 1155, 1557},	// QsciLexerTeX::qt_metacall$$?
    {80, 1157, 1552},	// QsciLexerTeX::qt_metacast$
    {80, 1162, 1574},	// QsciLexerTeX::readProperties#$
    {80, 1171, 1565},	// QsciLexerTeX::refreshProperties
    {80, 1317, 1566},	// QsciLexerTeX::setFoldComments$
    {80, 1319, 1568},	// QsciLexerTeX::setFoldCompact$
    {80, 1458, 1570},	// QsciLexerTeX::setProcessComments$
    {80, 1460, 1572},	// QsciLexerTeX::setProcessIf$
    {80, 1549, 1579},	// QsciLexerTeX::staticMetaObject
    {80, 1575, 1576},	// QsciLexerTeX::tr$
    {80, 1576, 1553},	// QsciLexerTeX::tr$$
    {80, 1577, 1555},	// QsciLexerTeX::tr$$$
    {80, 1579, 1577},	// QsciLexerTeX::trUtf8$
    {80, 1580, 1554},	// QsciLexerTeX::trUtf8$$
    {80, 1581, 1556},	// QsciLexerTeX::trUtf8$$$
    {80, 1606, 1561},	// QsciLexerTeX::wordCharacters
    {80, 1612, 1575},	// QsciLexerTeX::writeProperties#$
    {80, 1654, 1586},	// QsciLexerTeX::~QsciLexerTeX
    {81, 67, 1631},	// QsciLexerVHDL::Attribute
    {81, 138, 1622},	// QsciLexerVHDL::Comment
    {81, 139, 1636},	// QsciLexerVHDL::CommentBlock
    {81, 144, 1623},	// QsciLexerVHDL::CommentLine
    {81, 159, 1621},	// QsciLexerVHDL::Default
    {81, 254, 1627},	// QsciLexerVHDL::Identifier
    {81, 306, 1629},	// QsciLexerVHDL::Keyword
    {81, 313, 1635},	// QsciLexerVHDL::KeywordSet7
    {81, 376, 1624},	// QsciLexerVHDL::Number
    {81, 380, 1626},	// QsciLexerVHDL::Operator
    {81, 515, 1619},	// QsciLexerVHDL::QsciLexerVHDL
    {81, 516, 1594},	// QsciLexerVHDL::QsciLexerVHDL#
    {81, 661, 1632},	// QsciLexerVHDL::StandardFunction
    {81, 662, 1630},	// QsciLexerVHDL::StandardOperator
    {81, 663, 1633},	// QsciLexerVHDL::StandardPackage
    {81, 664, 1634},	// QsciLexerVHDL::StandardType
    {81, 671, 1625},	// QsciLexerVHDL::String
    {81, 723, 1628},	// QsciLexerVHDL::UnclosedString
    {81, 835, 1597},	// QsciLexerVHDL::braceStyle
    {81, 894, 1598},	// QsciLexerVHDL::defaultColor$
    {81, 896, 1599},	// QsciLexerVHDL::defaultEolFill$
    {81, 898, 1600},	// QsciLexerVHDL::defaultFont$
    {81, 900, 1601},	// QsciLexerVHDL::defaultPaper$
    {81, 904, 1603},	// QsciLexerVHDL::description$
    {81, 968, 1608},	// QsciLexerVHDL::foldAtBegin
    {81, 969, 1607},	// QsciLexerVHDL::foldAtElse
    {81, 970, 1609},	// QsciLexerVHDL::foldAtParenthesis
    {81, 971, 1605},	// QsciLexerVHDL::foldComments
    {81, 972, 1606},	// QsciLexerVHDL::foldCompact
    {81, 1051, 1602},	// QsciLexerVHDL::keywords$
    {81, 1052, 1595},	// QsciLexerVHDL::language
    {81, 1057, 1596},	// QsciLexerVHDL::lexer
    {81, 1113, 1587},	// QsciLexerVHDL::metaObject
    {81, 1155, 1593},	// QsciLexerVHDL::qt_metacall$$?
    {81, 1157, 1588},	// QsciLexerVHDL::qt_metacast$
    {81, 1162, 1615},	// QsciLexerVHDL::readProperties#$
    {81, 1171, 1604},	// QsciLexerVHDL::refreshProperties
    {81, 1311, 1613},	// QsciLexerVHDL::setFoldAtBegin$
    {81, 1313, 1612},	// QsciLexerVHDL::setFoldAtElse$
    {81, 1315, 1614},	// QsciLexerVHDL::setFoldAtParenthesis$
    {81, 1317, 1610},	// QsciLexerVHDL::setFoldComments$
    {81, 1319, 1611},	// QsciLexerVHDL::setFoldCompact$
    {81, 1549, 1620},	// QsciLexerVHDL::staticMetaObject
    {81, 1575, 1617},	// QsciLexerVHDL::tr$
    {81, 1576, 1589},	// QsciLexerVHDL::tr$$
    {81, 1577, 1591},	// QsciLexerVHDL::tr$$$
    {81, 1579, 1618},	// QsciLexerVHDL::trUtf8$
    {81, 1580, 1590},	// QsciLexerVHDL::trUtf8$$
    {81, 1581, 1592},	// QsciLexerVHDL::trUtf8$$$
    {81, 1612, 1616},	// QsciLexerVHDL::writeProperties#$
    {81, 1655, 1637},	// QsciLexerVHDL::~QsciLexerVHDL
    {82, 517, 1660},	// QsciLexerXML::QsciLexerXML
    {82, 518, 1645},	// QsciLexerXML::QsciLexerXML#
    {82, 894, 1648},	// QsciLexerXML::defaultColor$
    {82, 896, 1649},	// QsciLexerXML::defaultEolFill$
    {82, 898, 1650},	// QsciLexerXML::defaultFont$
    {82, 900, 1651},	// QsciLexerXML::defaultPaper$
    {82, 1051, 1652},	// QsciLexerXML::keywords$
    {82, 1052, 1646},	// QsciLexerXML::language
    {82, 1057, 1647},	// QsciLexerXML::lexer
    {82, 1113, 1638},	// QsciLexerXML::metaObject
    {82, 1155, 1644},	// QsciLexerXML::qt_metacall$$?
    {82, 1157, 1639},	// QsciLexerXML::qt_metacast$
    {82, 1162, 1656},	// QsciLexerXML::readProperties#$
    {82, 1171, 1653},	// QsciLexerXML::refreshProperties
    {82, 1197, 1655},	// QsciLexerXML::scriptsStyled
    {82, 1468, 1654},	// QsciLexerXML::setScriptsStyled$
    {82, 1549, 1661},	// QsciLexerXML::staticMetaObject
    {82, 1575, 1658},	// QsciLexerXML::tr$
    {82, 1576, 1640},	// QsciLexerXML::tr$$
    {82, 1577, 1642},	// QsciLexerXML::tr$$$
    {82, 1579, 1659},	// QsciLexerXML::trUtf8$
    {82, 1580, 1641},	// QsciLexerXML::trUtf8$$
    {82, 1581, 1643},	// QsciLexerXML::trUtf8$$$
    {82, 1612, 1657},	// QsciLexerXML::writeProperties#$
    {82, 1656, 1662},	// QsciLexerXML::~QsciLexerXML
    {83, 138, 1689},	// QsciLexerYAML::Comment
    {83, 159, 1688},	// QsciLexerYAML::Default
    {83, 175, 1694},	// QsciLexerYAML::DocumentDelimiter
    {83, 254, 1690},	// QsciLexerYAML::Identifier
    {83, 306, 1691},	// QsciLexerYAML::Keyword
    {83, 376, 1692},	// QsciLexerYAML::Number
    {83, 380, 1697},	// QsciLexerYAML::Operator
    {83, 519, 1686},	// QsciLexerYAML::QsciLexerYAML
    {83, 520, 1670},	// QsciLexerYAML::QsciLexerYAML#
    {83, 554, 1693},	// QsciLexerYAML::Reference
    {83, 690, 1696},	// QsciLexerYAML::SyntaxErrorMarker
    {83, 703, 1695},	// QsciLexerYAML::TextBlockMarker
    {83, 894, 1673},	// QsciLexerYAML::defaultColor$
    {83, 896, 1674},	// QsciLexerYAML::defaultEolFill$
    {83, 898, 1675},	// QsciLexerYAML::defaultFont$
    {83, 900, 1676},	// QsciLexerYAML::defaultPaper$
    {83, 904, 1678},	// QsciLexerYAML::description$
    {83, 971, 1680},	// QsciLexerYAML::foldComments
    {83, 1051, 1677},	// QsciLexerYAML::keywords$
    {83, 1052, 1671},	// QsciLexerYAML::language
    {83, 1057, 1672},	// QsciLexerYAML::lexer
    {83, 1113, 1663},	// QsciLexerYAML::metaObject
    {83, 1155, 1669},	// QsciLexerYAML::qt_metacall$$?
    {83, 1157, 1664},	// QsciLexerYAML::qt_metacast$
    {83, 1162, 1682},	// QsciLexerYAML::readProperties#$
    {83, 1171, 1679},	// QsciLexerYAML::refreshProperties
    {83, 1317, 1681},	// QsciLexerYAML::setFoldComments$
    {83, 1549, 1687},	// QsciLexerYAML::staticMetaObject
    {83, 1575, 1684},	// QsciLexerYAML::tr$
    {83, 1576, 1665},	// QsciLexerYAML::tr$$
    {83, 1577, 1667},	// QsciLexerYAML::tr$$$
    {83, 1579, 1685},	// QsciLexerYAML::trUtf8$
    {83, 1580, 1666},	// QsciLexerYAML::trUtf8$$
    {83, 1581, 1668},	// QsciLexerYAML::trUtf8$$$
    {83, 1612, 1683},	// QsciLexerYAML::writeProperties#$
    {83, 1657, 1698},	// QsciLexerYAML::~QsciLexerYAML
    {84, 522, 1706},	// QsciMacro::QsciMacro#
    {84, 523, 1707},	// QsciMacro::QsciMacro$#
    {84, 856, 1708},	// QsciMacro::clear
    {84, 924, 1713},	// QsciMacro::endRecording
    {84, 1068, 1709},	// QsciMacro::load$
    {84, 1113, 1699},	// QsciMacro::metaObject
    {84, 1141, 1711},	// QsciMacro::play
    {84, 1155, 1705},	// QsciMacro::qt_metacall$$?
    {84, 1157, 1700},	// QsciMacro::qt_metacast$
    {84, 1194, 1710},	// QsciMacro::save
    {84, 1545, 1712},	// QsciMacro::startRecording
    {84, 1549, 1716},	// QsciMacro::staticMetaObject
    {84, 1575, 1714},	// QsciMacro::tr$
    {84, 1576, 1701},	// QsciMacro::tr$$
    {84, 1577, 1703},	// QsciMacro::tr$$$
    {84, 1579, 1715},	// QsciMacro::trUtf8$
    {84, 1580, 1702},	// QsciMacro::trUtf8$$
    {84, 1581, 1704},	// QsciMacro::trUtf8$$$
    {84, 1658, 1717},	// QsciMacro::~QsciMacro
    {85, 524, 1725},	// QsciPrinter::QsciPrinter
    {85, 525, 1718},	// QsciPrinter::QsciPrinter$
    {85, 990, 1719},	// QsciPrinter::formatPage#$#$
    {85, 1071, 1720},	// QsciPrinter::magnification
    {85, 1147, 1726},	// QsciPrinter::printRange#
    {85, 1148, 1727},	// QsciPrinter::printRange#$
    {85, 1149, 1722},	// QsciPrinter::printRange#$$
    {85, 1408, 1721},	// QsciPrinter::setMagnification$
    {85, 1534, 1724},	// QsciPrinter::setWrapMode$
    {85, 1608, 1723},	// QsciPrinter::wrapMode
    {85, 1659, 1728},	// QsciPrinter::~QsciPrinter
    {86, 49, 2059},	// QsciScintilla::AcsAPIs
    {86, 50, 2057},	// QsciScintilla::AcsAll
    {86, 51, 2058},	// QsciScintilla::AcsDocument
    {86, 52, 2056},	// QsciScintilla::AcsNone
    {86, 54, 2055},	// QsciScintilla::AcusAlways
    {86, 55, 2054},	// QsciScintilla::AcusExplicit
    {86, 56, 2053},	// QsciScintilla::AcusNever
    {86, 58, 2051},	// QsciScintilla::AnnotationBoxed
    {86, 59, 2049},	// QsciScintilla::AnnotationHidden
    {86, 60, 2052},	// QsciScintilla::AnnotationIndented
    {86, 61, 2050},	// QsciScintilla::AnnotationStandard
    {86, 80, 2133},	// QsciScintilla::Background
    {86, 95, 2139},	// QsciScintilla::Bookmark
    {86, 96, 2121},	// QsciScintilla::BottomLeftCorner
    {86, 97, 2088},	// QsciScintilla::BoxIndicator
    {86, 98, 2079},	// QsciScintilla::BoxedFoldStyle
    {86, 99, 2125},	// QsciScintilla::BoxedMinus
    {86, 100, 2126},	// QsciScintilla::BoxedMinusConnected
    {86, 101, 2123},	// QsciScintilla::BoxedPlus
    {86, 102, 2124},	// QsciScintilla::BoxedPlusConnected
    {86, 103, 2081},	// QsciScintilla::BoxedTreeFoldStyle
    {86, 109, 2064},	// QsciScintilla::CallTipsAboveText
    {86, 110, 2063},	// QsciScintilla::CallTipsBelowText
    {86, 111, 2068},	// QsciScintilla::CallTipsContext
    {86, 112, 2067},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {86, 113, 2066},	// QsciScintilla::CallTipsNoContext
    {86, 114, 2065},	// QsciScintilla::CallTipsNone
    {86, 125, 2111},	// QsciScintilla::Circle
    {86, 126, 2078},	// QsciScintilla::CircledFoldStyle
    {86, 127, 2131},	// QsciScintilla::CircledMinus
    {86, 128, 2132},	// QsciScintilla::CircledMinusConnected
    {86, 129, 2129},	// QsciScintilla::CircledPlus
    {86, 130, 2130},	// QsciScintilla::CircledPlusConnected
    {86, 131, 2080},	// QsciScintilla::CircledTreeFoldStyle
    {86, 156, 2092},	// QsciScintilla::DashesIndicator
    {86, 171, 2085},	// QsciScintilla::DiagonalIndicator
    {86, 180, 2095},	// QsciScintilla::DotBoxIndicator
    {86, 181, 2093},	// QsciScintilla::DotsIndicator
    {86, 187, 2117},	// QsciScintilla::DownTriangle
    {86, 194, 2071},	// QsciScintilla::EdgeBackground
    {86, 195, 2070},	// QsciScintilla::EdgeLine
    {86, 196, 2072},	// QsciScintilla::EdgeMultipleLines
    {86, 197, 2069},	// QsciScintilla::EdgeNone
    {86, 202, 2075},	// QsciScintilla::EolMac
    {86, 203, 2074},	// QsciScintilla::EolUnix
    {86, 204, 2073},	// QsciScintilla::EolWindows
    {86, 220, 2091},	// QsciScintilla::FullBoxIndicator
    {86, 221, 2136},	// QsciScintilla::FullRectangle
    {86, 241, 2087},	// QsciScintilla::HiddenIndicator
    {86, 291, 2116},	// QsciScintilla::Invisible
    {86, 322, 2137},	// QsciScintilla::LeftRectangle
    {86, 323, 2128},	// QsciScintilla::LeftSideRoundedSplitter
    {86, 324, 2122},	// QsciScintilla::LeftSideSplitter
    {86, 361, 2118},	// QsciScintilla::Minus
    {86, 362, -195},	// QsciScintilla::MoNone
    {86, 363, -198},	// QsciScintilla::MoSublineSelect
    {86, 373, 2060},	// QsciScintilla::NoBraceMatch
    {86, 374, 2076},	// QsciScintilla::NoFoldStyle
    {86, 377, 2107},	// QsciScintilla::NumberMargin
    {86, 416, 2077},	// QsciScintilla::PlainFoldStyle
    {86, 417, 2082},	// QsciScintilla::PlainIndicator
    {86, 418, 2119},	// QsciScintilla::Plus
    {86, 526, 2013},	// QsciScintilla::QsciScintilla
    {86, 527, 1736},	// QsciScintilla::QsciScintilla#
    {86, 552, 2112},	// QsciScintilla::Rectangle
    {86, 557, 2115},	// QsciScintilla::RightArrow
    {86, 558, 2113},	// QsciScintilla::RightTriangle
    {86, 559, 2089},	// QsciScintilla::RoundBoxIndicator
    {86, 560, 2127},	// QsciScintilla::RoundedBottomLeftCorner
    {86, 653, 2062},	// QsciScintilla::SloppyBraceMatch
    {86, 655, 2114},	// QsciScintilla::SmallRectangle
    {86, 658, 2083},	// QsciScintilla::SquiggleIndicator
    {86, 659, 2094},	// QsciScintilla::SquiggleLowIndicator
    {86, 660, 2096},	// QsciScintilla::SquigglePixmapIndicator
    {86, 668, 2090},	// QsciScintilla::StraightBoxIndicator
    {86, 669, 2061},	// QsciScintilla::StrictBraceMatch
    {86, 670, 2086},	// QsciScintilla::StrikeIndicator
    {86, 685, 2104},	// QsciScintilla::SymbolMargin
    {86, 686, 2110},	// QsciScintilla::SymbolMarginColor
    {86, 687, 2106},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {86, 688, 2105},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {86, 692, 2084},	// QsciScintilla::TTIndicator
    {86, 694, 2140},	// QsciScintilla::TabLongArrow
    {86, 695, 2141},	// QsciScintilla::TabStrikeOut
    {86, 704, 2099},	// QsciScintilla::TextColorIndicator
    {86, 705, 2108},	// QsciScintilla::TextMargin
    {86, 706, 2109},	// QsciScintilla::TextMarginRightJustified
    {86, 707, 2097},	// QsciScintilla::ThickCompositionIndicator
    {86, 708, 2098},	// QsciScintilla::ThinCompositionIndicator
    {86, 709, 2134},	// QsciScintilla::ThreeDots
    {86, 710, 2135},	// QsciScintilla::ThreeRightArrows
    {86, 715, 2101},	// QsciScintilla::TriangleCharacterIndicator
    {86, 716, 2100},	// QsciScintilla::TriangleIndicator
    {86, 724, 2138},	// QsciScintilla::Underline
    {86, 749, 2120},	// QsciScintilla::VerticalLine
    {86, 762, 2148},	// QsciScintilla::WrapCharacter
    {86, 763, 2152},	// QsciScintilla::WrapFlagByBorder
    {86, 764, 2151},	// QsciScintilla::WrapFlagByText
    {86, 765, 2153},	// QsciScintilla::WrapFlagInMargin
    {86, 766, 2150},	// QsciScintilla::WrapFlagNone
    {86, 767, 2154},	// QsciScintilla::WrapIndentFixed
    {86, 768, 2156},	// QsciScintilla::WrapIndentIndented
    {86, 769, 2155},	// QsciScintilla::WrapIndentSame
    {86, 770, 2146},	// QsciScintilla::WrapNone
    {86, 771, 2149},	// QsciScintilla::WrapWhitespace
    {86, 772, 2147},	// QsciScintilla::WrapWord
    {86, 773, 2142},	// QsciScintilla::WsInvisible
    {86, 774, 2143},	// QsciScintilla::WsVisible
    {86, 775, 2144},	// QsciScintilla::WsVisibleAfterIndent
    {86, 776, 2145},	// QsciScintilla::WsVisibleOnlyInIndent
    {86, 786, 1854},	// QsciScintilla::addEdgeColumn$#
    {86, 789, 1740},	// QsciScintilla::annotate$#
    {86, 790, 1739},	// QsciScintilla::annotate$$#
    {86, 791, 1738},	// QsciScintilla::annotate$$$
    {86, 792, 1741},	// QsciScintilla::annotate$?
    {86, 794, 1742},	// QsciScintilla::annotation$
    {86, 795, 1743},	// QsciScintilla::annotationDisplay
    {86, 797, 1737},	// QsciScintilla::apiContext$$$
    {86, 803, 1919},	// QsciScintilla::append$
    {86, 806, 1921},	// QsciScintilla::autoCompleteFromAPIs
    {86, 807, 1920},	// QsciScintilla::autoCompleteFromAll
    {86, 808, 1922},	// QsciScintilla::autoCompleteFromDocument
    {86, 809, 1745},	// QsciScintilla::autoCompletionCaseSensitivity
    {86, 811, 1746},	// QsciScintilla::autoCompletionFillupsEnabled
    {86, 812, 1747},	// QsciScintilla::autoCompletionReplaceWord
    {86, 815, 1748},	// QsciScintilla::autoCompletionShowSingle
    {86, 816, 1749},	// QsciScintilla::autoCompletionSource
    {86, 817, 1750},	// QsciScintilla::autoCompletionThreshold
    {86, 818, 1751},	// QsciScintilla::autoCompletionUseSingle
    {86, 820, 1752},	// QsciScintilla::autoIndent
    {86, 823, 1753},	// QsciScintilla::backspaceUnindents
    {86, 824, 1754},	// QsciScintilla::beginUndoAction
    {86, 834, 1755},	// QsciScintilla::braceMatching
    {86, 837, 1756},	// QsciScintilla::bytes$$
    {86, 840, 1923},	// QsciScintilla::callTip
    {86, 843, 1757},	// QsciScintilla::callTipsPosition
    {86, 844, 1758},	// QsciScintilla::callTipsStyle
    {86, 845, 1759},	// QsciScintilla::callTipsVisible
    {86, 848, 1760},	// QsciScintilla::cancelList
    {86, 850, 1761},	// QsciScintilla::caseSensitive
    {86, 853, 2008},	// QsciScintilla::changeEvent#
    {86, 856, 1924},	// QsciScintilla::clear
    {86, 858, 2014},	// QsciScintilla::clearAnnotations
    {86, 859, 1744},	// QsciScintilla::clearAnnotations$
    {86, 860, 1855},	// QsciScintilla::clearEdgeColumns
    {86, 861, 1762},	// QsciScintilla::clearFolds
    {86, 863, 1763},	// QsciScintilla::clearIndicatorRange$$$$$
    {86, 865, 2037},	// QsciScintilla::clearMarginText
    {86, 866, 1872},	// QsciScintilla::clearMarginText$
    {86, 867, 1764},	// QsciScintilla::clearRegisteredImages
    {86, 869, 1765},	// QsciScintilla::color
    {86, 879, 2009},	// QsciScintilla::contextMenuEvent#
    {86, 882, 1766},	// QsciScintilla::contractedFolds
    {86, 884, 1767},	// QsciScintilla::convertEols$
    {86, 885, 1925},	// QsciScintilla::copy
    {86, 887, 1996},	// QsciScintilla::copyAvailable$
    {86, 888, 1768},	// QsciScintilla::createStandardContextMenu
    {86, 890, 1995},	// QsciScintilla::cursorPositionChanged$$
    {86, 892, 1926},	// QsciScintilla::cut
    {86, 908, 1769},	// QsciScintilla::document
    {86, 919, 1771},	// QsciScintilla::edgeColor
    {86, 920, 1772},	// QsciScintilla::edgeColumn
    {86, 921, 1773},	// QsciScintilla::edgeMode
    {86, 925, 1770},	// QsciScintilla::endUndoAction
    {86, 926, 1927},	// QsciScintilla::ensureCursorVisible
    {86, 928, 1928},	// QsciScintilla::ensureLineVisible$
    {86, 934, 1775},	// QsciScintilla::eolMode
    {86, 935, 1776},	// QsciScintilla::eolVisibility
    {86, 937, 2007},	// QsciScintilla::event#
    {86, 940, 1777},	// QsciScintilla::extraAscent
    {86, 941, 1778},	// QsciScintilla::extraDescent
    {86, 943, 1779},	// QsciScintilla::fillIndicatorRange$$$$$
    {86, 947, 2015},	// QsciScintilla::findFirst$$$$$
    {86, 948, 2016},	// QsciScintilla::findFirst$$$$$$
    {86, 949, 2017},	// QsciScintilla::findFirst$$$$$$$
    {86, 950, 2018},	// QsciScintilla::findFirst$$$$$$$$
    {86, 951, 2019},	// QsciScintilla::findFirst$$$$$$$$$
    {86, 952, 1780},	// QsciScintilla::findFirst$$$$$$$$$$
    {86, 954, 2020},	// QsciScintilla::findFirstInSelection$$$$
    {86, 955, 2021},	// QsciScintilla::findFirstInSelection$$$$$
    {86, 956, 2022},	// QsciScintilla::findFirstInSelection$$$$$$
    {86, 957, 1781},	// QsciScintilla::findFirstInSelection$$$$$$$
    {86, 958, 1782},	// QsciScintilla::findNext
    {86, 959, 1783},	// QsciScintilla::firstVisibleLine
    {86, 966, 2042},	// QsciScintilla::foldAll
    {86, 967, 1929},	// QsciScintilla::foldAll$
    {86, 975, 1930},	// QsciScintilla::foldLine$
    {86, 983, 1784},	// QsciScintilla::folding
    {86, 994, 1785},	// QsciScintilla::getCursorPosition$$
    {86, 996, 1786},	// QsciScintilla::getSelection$$$$
    {86, 997, 1787},	// QsciScintilla::hasSelectedText
    {86, 1008, 1931},	// QsciScintilla::indent$
    {86, 1010, 1788},	// QsciScintilla::indentation$
    {86, 1012, 1789},	// QsciScintilla::indentationGuides
    {86, 1014, 1791},	// QsciScintilla::indentationWidth
    {86, 1015, 1790},	// QsciScintilla::indentationsUseTabs
    {86, 1017, 1997},	// QsciScintilla::indicatorClicked$$$
    {86, 1019, 2023},	// QsciScintilla::indicatorDefine$
    {86, 1020, 1792},	// QsciScintilla::indicatorDefine$$
    {86, 1022, 1793},	// QsciScintilla::indicatorDrawUnder$
    {86, 1024, 1998},	// QsciScintilla::indicatorReleased$$$
    {86, 1031, 1932},	// QsciScintilla::insert$
    {86, 1033, 1933},	// QsciScintilla::insertAt$$$
    {86, 1035, 1794},	// QsciScintilla::isCallTipActive
    {86, 1036, 1795},	// QsciScintilla::isListActive
    {86, 1037, 1796},	// QsciScintilla::isModified
    {86, 1040, 1797},	// QsciScintilla::isReadOnly
    {86, 1041, 1798},	// QsciScintilla::isRedoAvailable
    {86, 1042, 1799},	// QsciScintilla::isUndoAvailable
    {86, 1043, 1800},	// QsciScintilla::isUtf8
    {86, 1045, 1801},	// QsciScintilla::isWordCharacter$
    {86, 1055, 1806},	// QsciScintilla::length
    {86, 1057, 1807},	// QsciScintilla::lexer
    {86, 1060, 1802},	// QsciScintilla::lineAt#
    {86, 1062, 1803},	// QsciScintilla::lineIndexFromPosition$$$
    {86, 1064, 1804},	// QsciScintilla::lineLength$
    {86, 1065, 1805},	// QsciScintilla::lines
    {86, 1066, 1999},	// QsciScintilla::linesChanged
    {86, 1074, 1808},	// QsciScintilla::marginBackgroundColor$
    {86, 1076, 2000},	// QsciScintilla::marginClicked$$$
    {86, 1078, 1809},	// QsciScintilla::marginLineNumbers$
    {86, 1080, 1810},	// QsciScintilla::marginMarkerMask$
    {86, 1081, 1811},	// QsciScintilla::marginOptions
    {86, 1083, 2001},	// QsciScintilla::marginRightClicked$$$
    {86, 1085, 1812},	// QsciScintilla::marginSensitivity$
    {86, 1087, 1813},	// QsciScintilla::marginType$
    {86, 1089, 1814},	// QsciScintilla::marginWidth$
    {86, 1090, 1815},	// QsciScintilla::margins
    {86, 1092, 1820},	// QsciScintilla::markerAdd$$
    {86, 1094, -201},	// QsciScintilla::markerDefine#
    {86, 1095, -204},	// QsciScintilla::markerDefine#$
    {86, 1096, -207},	// QsciScintilla::markerDefine$
    {86, 1097, -210},	// QsciScintilla::markerDefine$$
    {86, 1099, 2028},	// QsciScintilla::markerDelete$
    {86, 1100, 1822},	// QsciScintilla::markerDelete$$
    {86, 1101, 2029},	// QsciScintilla::markerDeleteAll
    {86, 1102, 1823},	// QsciScintilla::markerDeleteAll$
    {86, 1104, 1824},	// QsciScintilla::markerDeleteHandle$
    {86, 1106, 1826},	// QsciScintilla::markerFindNext$$
    {86, 1108, 1827},	// QsciScintilla::markerFindPrevious$$
    {86, 1110, 1825},	// QsciScintilla::markerLine$
    {86, 1112, 1821},	// QsciScintilla::markersAtLine$
    {86, 1113, 1729},	// QsciScintilla::metaObject
    {86, 1116, 2002},	// QsciScintilla::modificationAttempted
    {86, 1118, 2003},	// QsciScintilla::modificationChanged$
    {86, 1128, 1934},	// QsciScintilla::moveToMatchingBrace
    {86, 1131, 1828},	// QsciScintilla::overwriteMode
    {86, 1136, 1829},	// QsciScintilla::paper
    {86, 1140, 1935},	// QsciScintilla::paste
    {86, 1144, 1830},	// QsciScintilla::positionFromLineIndex$$
    {86, 1155, 1735},	// QsciScintilla::qt_metacall$$?
    {86, 1157, 1730},	// QsciScintilla::qt_metacast$
    {86, 1160, 1831},	// QsciScintilla::read#
    {86, 1166, 2030},	// QsciScintilla::recolor
    {86, 1167, 2031},	// QsciScintilla::recolor$
    {86, 1168, 1832},	// QsciScintilla::recolor$$
    {86, 1169, 1936},	// QsciScintilla::redo
    {86, 1173, -213},	// QsciScintilla::registerImage$#
    {86, 1176, 1937},	// QsciScintilla::removeSelectedText
    {86, 1178, 1835},	// QsciScintilla::replace$
    {86, 1182, 1938},	// QsciScintilla::replaceSelectedText$
    {86, 1185, 1836},	// QsciScintilla::resetFoldMarginColors
    {86, 1186, 1837},	// QsciScintilla::resetHotspotBackgroundColor
    {86, 1187, 1838},	// QsciScintilla::resetHotspotForegroundColor
    {86, 1188, 1879},	// QsciScintilla::resetMatchedBraceIndicator
    {86, 1189, 1939},	// QsciScintilla::resetSelectionBackgroundColor
    {86, 1190, 1940},	// QsciScintilla::resetSelectionForegroundColor
    {86, 1191, 1886},	// QsciScintilla::resetUnmatchedBraceIndicator
    {86, 1200, 1839},	// QsciScintilla::scrollWidth
    {86, 1201, 1840},	// QsciScintilla::scrollWidthTracking
    {86, 1202, 2043},	// QsciScintilla::selectAll
    {86, 1203, 1941},	// QsciScintilla::selectAll$
    {86, 1204, 1942},	// QsciScintilla::selectToMatchingBrace
    {86, 1205, 1888},	// QsciScintilla::selectedText
    {86, 1206, 2004},	// QsciScintilla::selectionChanged
    {86, 1207, 1889},	// QsciScintilla::selectionToEol
    {86, 1213, 1842},	// QsciScintilla::setAnnotationDisplay$
    {86, 1215, 1943},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {86, 1217, 1844},	// QsciScintilla::setAutoCompletionFillups$
    {86, 1219, 1843},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {86, 1221, 1944},	// QsciScintilla::setAutoCompletionReplaceWord$
    {86, 1223, 1945},	// QsciScintilla::setAutoCompletionShowSingle$
    {86, 1225, 1946},	// QsciScintilla::setAutoCompletionSource$
    {86, 1227, 1947},	// QsciScintilla::setAutoCompletionThreshold$
    {86, 1229, 1948},	// QsciScintilla::setAutoCompletionUseSingle$
    {86, 1231, 1845},	// QsciScintilla::setAutoCompletionWordSeparators?
    {86, 1233, 1949},	// QsciScintilla::setAutoIndent$
    {86, 1239, 1951},	// QsciScintilla::setBackspaceUnindents$
    {86, 1241, 1950},	// QsciScintilla::setBraceMatching$
    {86, 1243, 1846},	// QsciScintilla::setCallTipsBackgroundColor#
    {86, 1245, 1847},	// QsciScintilla::setCallTipsForegroundColor#
    {86, 1247, 1848},	// QsciScintilla::setCallTipsHighlightColor#
    {86, 1249, 1849},	// QsciScintilla::setCallTipsPosition$
    {86, 1251, 1850},	// QsciScintilla::setCallTipsStyle$
    {86, 1253, 1851},	// QsciScintilla::setCallTipsVisible$
    {86, 1255, 1952},	// QsciScintilla::setCaretForegroundColor#
    {86, 1257, 1953},	// QsciScintilla::setCaretLineBackgroundColor#
    {86, 1259, 1954},	// QsciScintilla::setCaretLineVisible$
    {86, 1261, 1955},	// QsciScintilla::setCaretWidth$
    {86, 1267, 1956},	// QsciScintilla::setColor#
    {86, 1270, 1852},	// QsciScintilla::setContractedFolds?
    {86, 1272, 1957},	// QsciScintilla::setCursorPosition$$
    {86, 1284, 1853},	// QsciScintilla::setDocument#
    {86, 1290, 1856},	// QsciScintilla::setEdgeColor#
    {86, 1292, 1857},	// QsciScintilla::setEdgeColumn$
    {86, 1294, 1858},	// QsciScintilla::setEdgeMode$
    {86, 1301, 1958},	// QsciScintilla::setEolMode$
    {86, 1303, 1959},	// QsciScintilla::setEolVisibility$
    {86, 1305, 1895},	// QsciScintilla::setExtraAscent$
    {86, 1307, 1896},	// QsciScintilla::setExtraDescent$
    {86, 1309, 1859},	// QsciScintilla::setFirstVisibleLine$
    {86, 1323, 1841},	// QsciScintilla::setFoldMarginColors##
    {86, 1339, 2044},	// QsciScintilla::setFolding$
    {86, 1340, 1960},	// QsciScintilla::setFolding$$
    {86, 1342, 1774},	// QsciScintilla::setFont#
    {86, 1361, 1890},	// QsciScintilla::setHotspotBackgroundColor#
    {86, 1363, 1891},	// QsciScintilla::setHotspotForegroundColor#
    {86, 1365, 1892},	// QsciScintilla::setHotspotUnderline$
    {86, 1367, 1893},	// QsciScintilla::setHotspotWrap$
    {86, 1369, 1961},	// QsciScintilla::setIndentation$$
    {86, 1371, 1962},	// QsciScintilla::setIndentationGuides$
    {86, 1373, 1963},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {86, 1375, 1964},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {86, 1379, 1966},	// QsciScintilla::setIndentationWidth$
    {86, 1381, 1965},	// QsciScintilla::setIndentationsUseTabs$
    {86, 1383, 2032},	// QsciScintilla::setIndicatorDrawUnder$
    {86, 1384, 1860},	// QsciScintilla::setIndicatorDrawUnder$$
    {86, 1386, 2033},	// QsciScintilla::setIndicatorForegroundColor#
    {86, 1387, 1861},	// QsciScintilla::setIndicatorForegroundColor#$
    {86, 1389, 2034},	// QsciScintilla::setIndicatorHoverForegroundColor#
    {86, 1390, 1862},	// QsciScintilla::setIndicatorHoverForegroundColor#$
    {86, 1392, 2035},	// QsciScintilla::setIndicatorHoverStyle$
    {86, 1393, 1863},	// QsciScintilla::setIndicatorHoverStyle$$
    {86, 1395, 2036},	// QsciScintilla::setIndicatorOutlineColor#
    {86, 1396, 1864},	// QsciScintilla::setIndicatorOutlineColor#$
    {86, 1405, 2045},	// QsciScintilla::setLexer
    {86, 1406, 1967},	// QsciScintilla::setLexer#
    {86, 1412, 1865},	// QsciScintilla::setMarginBackgroundColor$#
    {86, 1414, 1971},	// QsciScintilla::setMarginLineNumbers$$
    {86, 1416, 1972},	// QsciScintilla::setMarginMarkerMask$$
    {86, 1418, 1866},	// QsciScintilla::setMarginOptions$
    {86, 1420, 1973},	// QsciScintilla::setMarginSensitivity$$
    {86, 1422, 1869},	// QsciScintilla::setMarginText$#
    {86, 1423, 1868},	// QsciScintilla::setMarginText$$#
    {86, 1424, 1867},	// QsciScintilla::setMarginText$$$
    {86, 1425, 1870},	// QsciScintilla::setMarginText$?
    {86, 1427, 1871},	// QsciScintilla::setMarginType$$
    {86, 1429, -216},	// QsciScintilla::setMarginWidth$$
    {86, 1431, 1873},	// QsciScintilla::setMargins$
    {86, 1433, 1968},	// QsciScintilla::setMarginsBackgroundColor#
    {86, 1435, 1969},	// QsciScintilla::setMarginsFont#
    {86, 1437, 1970},	// QsciScintilla::setMarginsForegroundColor#
    {86, 1439, 2038},	// QsciScintilla::setMarkerBackgroundColor#
    {86, 1440, 1874},	// QsciScintilla::setMarkerBackgroundColor#$
    {86, 1442, 2039},	// QsciScintilla::setMarkerForegroundColor#
    {86, 1443, 1875},	// QsciScintilla::setMarkerForegroundColor#$
    {86, 1445, 1876},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {86, 1447, 1877},	// QsciScintilla::setMatchedBraceForegroundColor#
    {86, 1449, 1878},	// QsciScintilla::setMatchedBraceIndicator$
    {86, 1451, 1976},	// QsciScintilla::setModified$
    {86, 1453, 1897},	// QsciScintilla::setOverwriteMode$
    {86, 1455, 1977},	// QsciScintilla::setPaper#
    {86, 1464, 1978},	// QsciScintilla::setReadOnly$
    {86, 1471, 1880},	// QsciScintilla::setScrollWidth$
    {86, 1473, 1881},	// QsciScintilla::setScrollWidthTracking$
    {86, 1475, 1979},	// QsciScintilla::setSelection$$$$
    {86, 1477, 1980},	// QsciScintilla::setSelectionBackgroundColor#
    {86, 1479, 1981},	// QsciScintilla::setSelectionForegroundColor#
    {86, 1481, 1894},	// QsciScintilla::setSelectionToEol$
    {86, 1494, 1882},	// QsciScintilla::setTabDrawMode$
    {86, 1496, 1982},	// QsciScintilla::setTabIndents$
    {86, 1498, 1983},	// QsciScintilla::setTabWidth$
    {86, 1500, 1984},	// QsciScintilla::setText$
    {86, 1506, 1883},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {86, 1508, 1884},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {86, 1510, 1885},	// QsciScintilla::setUnmatchedBraceIndicator$
    {86, 1512, 1985},	// QsciScintilla::setUtf8$
    {86, 1524, 1898},	// QsciScintilla::setWhitespaceBackgroundColor#
    {86, 1526, 1899},	// QsciScintilla::setWhitespaceForegroundColor#
    {86, 1528, 1900},	// QsciScintilla::setWhitespaceSize$
    {86, 1530, 1986},	// QsciScintilla::setWhitespaceVisibility$
    {86, 1532, 1901},	// QsciScintilla::setWrapIndentMode$
    {86, 1534, 1987},	// QsciScintilla::setWrapMode$
    {86, 1536, 2040},	// QsciScintilla::setWrapVisualFlags$
    {86, 1537, 2041},	// QsciScintilla::setWrapVisualFlags$$
    {86, 1538, 1887},	// QsciScintilla::setWrapVisualFlags$$$
    {86, 1541, 1902},	// QsciScintilla::showUserList$?
    {86, 1544, 1903},	// QsciScintilla::standardCommands
    {86, 1549, 2046},	// QsciScintilla::staticMetaObject
    {86, 1557, 1904},	// QsciScintilla::tabDrawMode
    {86, 1558, 1905},	// QsciScintilla::tabIndents
    {86, 1559, 1906},	// QsciScintilla::tabWidth
    {86, 1561, 1907},	// QsciScintilla::text
    {86, 1562, 1908},	// QsciScintilla::text$
    {86, 1563, 1909},	// QsciScintilla::text$$
    {86, 1567, 2005},	// QsciScintilla::textChanged
    {86, 1569, 1910},	// QsciScintilla::textHeight$
    {86, 1575, 2011},	// QsciScintilla::tr$
    {86, 1576, 1731},	// QsciScintilla::tr$$
    {86, 1577, 1733},	// QsciScintilla::tr$$$
    {86, 1579, 2012},	// QsciScintilla::trUtf8$
    {86, 1580, 1732},	// QsciScintilla::trUtf8$$
    {86, 1581, 1734},	// QsciScintilla::trUtf8$$$
    {86, 1582, 1988},	// QsciScintilla::undo
    {86, 1584, 1989},	// QsciScintilla::unindent$
    {86, 1588, 2006},	// QsciScintilla::userListActivated$$
    {86, 1598, 2010},	// QsciScintilla::wheelEvent#
    {86, 1599, 1911},	// QsciScintilla::whitespaceSize
    {86, 1600, 1912},	// QsciScintilla::whitespaceVisibility
    {86, 1603, 1913},	// QsciScintilla::wordAtLineIndex$$
    {86, 1605, 1914},	// QsciScintilla::wordAtPoint#
    {86, 1606, 1915},	// QsciScintilla::wordCharacters
    {86, 1607, 1917},	// QsciScintilla::wrapIndentMode
    {86, 1608, 1916},	// QsciScintilla::wrapMode
    {86, 1610, 1918},	// QsciScintilla::write#
    {86, 1617, 1991},	// QsciScintilla::zoomIn
    {86, 1618, 1990},	// QsciScintilla::zoomIn$
    {86, 1619, 1993},	// QsciScintilla::zoomOut
    {86, 1620, 1992},	// QsciScintilla::zoomOut$
    {86, 1622, 1994},	// QsciScintilla::zoomTo$
    {86, 1660, 2157},	// QsciScintilla::~QsciScintilla
    {87, 451, 2184},	// QsciScintillaBase::QSCN_SELCHANGED$
    {87, 528, 2245},	// QsciScintillaBase::QsciScintillaBase
    {87, 529, 2165},	// QsciScintillaBase::QsciScintillaBase#
    {87, 561, 2190},	// QsciScintillaBase::SCEN_CHANGE
    {87, 562, 2185},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {87, 563, 2186},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {87, 565, 2187},	// QsciScintillaBase::SCN_AUTOCCOMPLETED$$$$
    {87, 567, 2189},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {87, 568, 2188},	// QsciScintillaBase::SCN_AUTOCSELECTION$$$$
    {87, 570, 2191},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {87, 572, 2192},	// QsciScintillaBase::SCN_CHARADDED$
    {87, 574, 2193},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {87, 576, 2194},	// QsciScintillaBase::SCN_DWELLEND$$$
    {87, 578, 2195},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {87, 579, 2196},	// QsciScintillaBase::SCN_FOCUSIN
    {87, 580, 2197},	// QsciScintillaBase::SCN_FOCUSOUT
    {87, 582, 2198},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {87, 584, 2199},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {87, 586, 2200},	// QsciScintillaBase::SCN_HOTSPOTRELEASECLICK$$
    {87, 588, 2201},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {87, 590, 2202},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {87, 592, 2203},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {87, 594, 2204},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {87, 596, 2205},	// QsciScintillaBase::SCN_MARGINRIGHTCLICK$$$
    {87, 598, 2206},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {87, 599, 2207},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {87, 601, 2208},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {87, 602, 2209},	// QsciScintillaBase::SCN_PAINTED
    {87, 603, 2210},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {87, 604, 2211},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {87, 606, 2212},	// QsciScintillaBase::SCN_STYLENEEDED$
    {87, 608, 2213},	// QsciScintillaBase::SCN_UPDATEUI$
    {87, 610, 2215},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {87, 611, 2214},	// QsciScintillaBase::SCN_USERLISTSELECTION$$$$
    {87, 612, 2216},	// QsciScintillaBase::SCN_ZOOM
    {87, 614, -1},	// QsciScintillaBase::SC_ORDER_CUSTOM
    {87, 615, -61},	// QsciScintillaBase::SC_ORDER_PERFORMSORT
    {87, 616, -121},	// QsciScintillaBase::SC_ORDER_PRESORTED
    {87, 642, 2246},	// QsciScintillaBase::SendScintilla$
    {87, 643, 2178},	// QsciScintillaBase::SendScintilla$#
    {87, 644, -181},	// QsciScintillaBase::SendScintilla$$
    {87, 645, -186},	// QsciScintillaBase::SendScintilla$$#
    {87, 646, 2179},	// QsciScintillaBase::SendScintilla$$##$$
    {87, 647, -190},	// QsciScintillaBase::SendScintilla$$$
    {87, 648, 2176},	// QsciScintillaBase::SendScintilla$$$$
    {87, 650, 2182},	// QsciScintillaBase::SendScintillaPtrResult$
    {87, 839, 2241},	// QsciScintillaBase::bytesAsText$
    {87, 847, 2217},	// QsciScintillaBase::canInsertFromMimeData#
    {87, 853, 2220},	// QsciScintillaBase::changeEvent#
    {87, 875, 2183},	// QsciScintillaBase::commandKey$$
    {87, 879, 2221},	// QsciScintillaBase::contextMenuEvent#
    {87, 881, 2242},	// QsciScintillaBase::contextMenuNeeded$$
    {87, 912, 2222},	// QsciScintillaBase::dragEnterEvent#
    {87, 914, 2223},	// QsciScintillaBase::dragLeaveEvent#
    {87, 916, 2224},	// QsciScintillaBase::dragMoveEvent#
    {87, 918, 2225},	// QsciScintillaBase::dropEvent#
    {87, 961, 2226},	// QsciScintillaBase::focusInEvent#
    {87, 963, 2228},	// QsciScintillaBase::focusNextPrevChild$
    {87, 965, 2227},	// QsciScintillaBase::focusOutEvent#
    {87, 992, 2218},	// QsciScintillaBase::fromMimeData#$
    {87, 1027, 2230},	// QsciScintillaBase::inputMethodEvent#
    {87, 1029, 2231},	// QsciScintillaBase::inputMethodQuery$
    {87, 1048, 2229},	// QsciScintillaBase::keyPressEvent#
    {87, 1113, 2158},	// QsciScintillaBase::metaObject
    {87, 1120, 2232},	// QsciScintillaBase::mouseDoubleClickEvent#
    {87, 1122, 2233},	// QsciScintillaBase::mouseMoveEvent#
    {87, 1124, 2234},	// QsciScintillaBase::mousePressEvent#
    {87, 1126, 2235},	// QsciScintillaBase::mouseReleaseEvent#
    {87, 1134, 2236},	// QsciScintillaBase::paintEvent#
    {87, 1142, 2166},	// QsciScintillaBase::pool
    {87, 1155, 2164},	// QsciScintillaBase::qt_metacall$$?
    {87, 1157, 2159},	// QsciScintillaBase::qt_metacast$
    {87, 1180, 2167},	// QsciScintillaBase::replaceHorizontalScrollBar#
    {87, 1184, 2168},	// QsciScintillaBase::replaceVerticalScrollBar#
    {87, 1193, 2237},	// QsciScintillaBase::resizeEvent#
    {87, 1199, 2238},	// QsciScintillaBase::scrollContentsBy$$
    {87, 1469, 2239},	// QsciScintillaBase::setScrollBars
    {87, 1549, 2248},	// QsciScintillaBase::staticMetaObject
    {87, 1565, 2240},	// QsciScintillaBase::textAsBytes$
    {87, 1572, 2219},	// QsciScintillaBase::toMimeData#$
    {87, 1575, 2243},	// QsciScintillaBase::tr$
    {87, 1576, 2160},	// QsciScintillaBase::tr$$
    {87, 1577, 2162},	// QsciScintillaBase::tr$$$
    {87, 1579, 2244},	// QsciScintillaBase::trUtf8$
    {87, 1580, 2161},	// QsciScintillaBase::trUtf8$$
    {87, 1581, 2163},	// QsciScintillaBase::trUtf8$$$
    {87, 1661, 2426},	// QsciScintillaBase::~QsciScintillaBase
    {88, 355, 2456},	// QsciStyle::LowerCase
    {88, 381, 2454},	// QsciStyle::OriginalCase
    {88, 530, 2452},	// QsciStyle::QsciStyle
    {88, 531, 2451},	// QsciStyle::QsciStyle#
    {88, 532, 2427},	// QsciStyle::QsciStyle$
    {88, 533, 2453},	// QsciStyle::QsciStyle$$###
    {88, 534, 2428},	// QsciStyle::QsciStyle$$###$
    {88, 730, 2455},	// QsciStyle::UpperCase
    {88, 805, 2429},	// QsciStyle::apply#
    {88, 854, 2447},	// QsciStyle::changeable
    {88, 869, 2435},	// QsciStyle::color
    {88, 903, 2433},	// QsciStyle::description
    {88, 930, 2441},	// QsciStyle::eolFill
    {88, 984, 2439},	// QsciStyle::font
    {88, 1006, 2449},	// QsciStyle::hotspot
    {88, 1136, 2437},	// QsciStyle::paper
    {88, 1170, 2450},	// QsciStyle::refresh
    {88, 1265, 2446},	// QsciStyle::setChangeable$
    {88, 1267, 2434},	// QsciStyle::setColor#
    {88, 1280, 2432},	// QsciStyle::setDescription$
    {88, 1298, 2440},	// QsciStyle::setEolFill$
    {88, 1342, 2438},	// QsciStyle::setFont#
    {88, 1359, 2448},	// QsciStyle::setHotspot$
    {88, 1455, 2436},	// QsciStyle::setPaper#
    {88, 1487, 2430},	// QsciStyle::setStyle$
    {88, 1502, 2442},	// QsciStyle::setTextCase$
    {88, 1522, 2444},	// QsciStyle::setVisible$
    {88, 1551, 2431},	// QsciStyle::style
    {88, 1566, 2443},	// QsciStyle::textCase
    {88, 1596, 2445},	// QsciStyle::visible
    {88, 1662, 2457},	// QsciStyle::~QsciStyle
    {89, 536, 2463},	// QsciStyledText::QsciStyledText#
    {89, 537, 2459},	// QsciStyledText::QsciStyledText$#
    {89, 538, 2458},	// QsciStyledText::QsciStyledText$$
    {89, 805, 2460},	// QsciStyledText::apply#
    {89, 1551, 2462},	// QsciStyledText::style
    {89, 1561, 2461},	// QsciStyledText::text
    {89, 1663, 2464},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 89,
        __smokeqsci::methods, 2465,
        __smokeqsci::methodMaps, 2236,
        __smokeqsci::methodNames, 1663,
        __smokeqsci::types, 225,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
